package androidx.appcompat.app;

import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import androidx.appcompat.widget.d1;
import androidx.appcompat.widget.i2;
import androidx.appcompat.widget.j1;
import androidx.appcompat.widget.n0;
import androidx.appcompat.widget.o0;
import androidx.appcompat.widget.r0;
import androidx.appcompat.widget.t0;
import androidx.core.view.s0;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
/* loaded from: classes.dex */
public class n {

    /* renamed from: b  reason: collision with root package name */
    private static final Class<?>[] f370b = {Context.class, AttributeSet.class};

    /* renamed from: c  reason: collision with root package name */
    private static final int[] f371c = {16843375};

    /* renamed from: d  reason: collision with root package name */
    private static final int[] f372d = {16844160};

    /* renamed from: e  reason: collision with root package name */
    private static final int[] f373e = {16844156};

    /* renamed from: f  reason: collision with root package name */
    private static final int[] f374f = {16844148};

    /* renamed from: g  reason: collision with root package name */
    private static final String[] f375g = {"android.widget.", "android.view.", "android.webkit."};

    /* renamed from: h  reason: collision with root package name */
    private static final n.g<String, Constructor<? extends View>> f376h = new n.g<>();

    /* renamed from: a  reason: collision with root package name */
    private final Object[] f377a = new Object[2];

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class a implements View.OnClickListener {

        /* renamed from: e  reason: collision with root package name */
        private final View f378e;

        /* renamed from: f  reason: collision with root package name */
        private final String f379f;

        /* renamed from: g  reason: collision with root package name */
        private Method f380g;

        /* renamed from: h  reason: collision with root package name */
        private Context f381h;

        public a(View view, String str) {
            this.f378e = view;
            this.f379f = str;
        }

        private void a(Context context) {
            int id;
            String str;
            Method method;
            while (context != null) {
                try {
                    if (!context.isRestricted() && (method = context.getClass().getMethod(this.f379f, View.class)) != null) {
                        this.f380g = method;
                        this.f381h = context;
                        return;
                    }
                } catch (NoSuchMethodException unused) {
                }
                context = context instanceof ContextWrapper ? ((ContextWrapper) context).getBaseContext() : null;
            }
            if (this.f378e.getId() == -1) {
                str = "";
            } else {
                str = " with id '" + this.f378e.getContext().getResources().getResourceEntryName(id) + "'";
            }
            throw new IllegalStateException("Could not find method " + this.f379f + "(View) in a parent or ancestor Context for android:onClick attribute defined on view " + this.f378e.getClass() + str);
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            if (this.f380g == null) {
                a(this.f378e.getContext());
            }
            try {
                this.f380g.invoke(this.f381h, view);
            } catch (IllegalAccessException e3) {
                throw new IllegalStateException("Could not execute non-public method for android:onClick", e3);
            } catch (InvocationTargetException e4) {
                throw new IllegalStateException("Could not execute method for android:onClick", e4);
            }
        }
    }

    private void a(Context context, View view, AttributeSet attributeSet) {
        if (Build.VERSION.SDK_INT > 28) {
            return;
        }
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f372d);
        if (obtainStyledAttributes.hasValue(0)) {
            s0.Q(view, obtainStyledAttributes.getBoolean(0, false));
        }
        obtainStyledAttributes.recycle();
        TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(attributeSet, f373e);
        if (obtainStyledAttributes2.hasValue(0)) {
            s0.R(view, obtainStyledAttributes2.getString(0));
        }
        obtainStyledAttributes2.recycle();
        TypedArray obtainStyledAttributes3 = context.obtainStyledAttributes(attributeSet, f374f);
        if (obtainStyledAttributes3.hasValue(0)) {
            s0.Y(view, obtainStyledAttributes3.getBoolean(0, false));
        }
        obtainStyledAttributes3.recycle();
    }

    private void b(View view, AttributeSet attributeSet) {
        Context context = view.getContext();
        if ((context instanceof ContextWrapper) && s0.y(view)) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f371c);
            String string = obtainStyledAttributes.getString(0);
            if (string != null) {
                view.setOnClickListener(new a(view, string));
            }
            obtainStyledAttributes.recycle();
        }
    }

    private View s(Context context, String str, String str2) {
        String str3;
        n.g<String, Constructor<? extends View>> gVar = f376h;
        Constructor<? extends View> constructor = gVar.get(str);
        if (constructor == null) {
            if (str2 != null) {
                try {
                    str3 = str2 + str;
                } catch (Exception unused) {
                    return null;
                }
            } else {
                str3 = str;
            }
            constructor = Class.forName(str3, false, context.getClassLoader()).asSubclass(View.class).getConstructor(f370b);
            gVar.put(str, constructor);
        }
        constructor.setAccessible(true);
        return constructor.newInstance(this.f377a);
    }

    private View t(Context context, String str, AttributeSet attributeSet) {
        if (str.equals("view")) {
            str = attributeSet.getAttributeValue(null, "class");
        }
        try {
            Object[] objArr = this.f377a;
            objArr[0] = context;
            objArr[1] = attributeSet;
            if (-1 != str.indexOf(46)) {
                return s(context, str, null);
            }
            int i3 = 0;
            while (true) {
                String[] strArr = f375g;
                if (i3 >= strArr.length) {
                    return null;
                }
                View s3 = s(context, str, strArr[i3]);
                if (s3 != null) {
                    return s3;
                }
                i3++;
            }
        } catch (Exception unused) {
            return null;
        } finally {
            Object[] objArr2 = this.f377a;
            objArr2[0] = null;
            objArr2[1] = null;
        }
    }

    private static Context u(Context context, AttributeSet attributeSet, boolean z2, boolean z3) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f.j.v3, 0, 0);
        int resourceId = z2 ? obtainStyledAttributes.getResourceId(f.j.w3, 0) : 0;
        if (z3 && resourceId == 0 && (resourceId = obtainStyledAttributes.getResourceId(f.j.x3, 0)) != 0) {
            Log.i("AppCompatViewInflater", "app:theme is now deprecated. Please move to using android:theme instead.");
        }
        obtainStyledAttributes.recycle();
        return resourceId != 0 ? ((context instanceof androidx.appcompat.view.d) && ((androidx.appcompat.view.d) context).c() == resourceId) ? context : new androidx.appcompat.view.d(context, resourceId) : context;
    }

    private void v(View view, String str) {
        if (view != null) {
            return;
        }
        throw new IllegalStateException(getClass().getName() + " asked to inflate view for <" + str + ">, but returned null");
    }

    protected androidx.appcompat.widget.d c(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.d(context, attributeSet);
    }

    protected androidx.appcompat.widget.f d(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.f(context, attributeSet);
    }

    protected androidx.appcompat.widget.g e(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.g(context, attributeSet);
    }

    protected androidx.appcompat.widget.h f(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.h(context, attributeSet);
    }

    protected androidx.appcompat.widget.l g(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.l(context, attributeSet);
    }

    protected androidx.appcompat.widget.p h(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.p(context, attributeSet);
    }

    protected androidx.appcompat.widget.r i(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.r(context, attributeSet);
    }

    protected androidx.appcompat.widget.s j(Context context, AttributeSet attributeSet) {
        return new androidx.appcompat.widget.s(context, attributeSet);
    }

    protected n0 k(Context context, AttributeSet attributeSet) {
        return new n0(context, attributeSet);
    }

    protected o0 l(Context context, AttributeSet attributeSet) {
        return new o0(context, attributeSet);
    }

    protected r0 m(Context context, AttributeSet attributeSet) {
        return new r0(context, attributeSet);
    }

    protected t0 n(Context context, AttributeSet attributeSet) {
        return new t0(context, attributeSet);
    }

    protected d1 o(Context context, AttributeSet attributeSet) {
        return new d1(context, attributeSet);
    }

    protected j1 p(Context context, AttributeSet attributeSet) {
        return new j1(context, attributeSet);
    }

    protected View q(Context context, String str, AttributeSet attributeSet) {
        return null;
    }

    public final View r(View view, String str, Context context, AttributeSet attributeSet, boolean z2, boolean z3, boolean z4, boolean z5) {
        View l3;
        Context context2 = (!z2 || view == null) ? context : view.getContext();
        if (z3 || z4) {
            context2 = u(context2, attributeSet, z3, z4);
        }
        if (z5) {
            context2 = i2.b(context2);
        }
        str.hashCode();
        char c3 = 65535;
        switch (str.hashCode()) {
            case -1946472170:
                if (str.equals("RatingBar")) {
                    c3 = 0;
                    break;
                }
                break;
            case -1455429095:
                if (str.equals("CheckedTextView")) {
                    c3 = 1;
                    break;
                }
                break;
            case -1346021293:
                if (str.equals("MultiAutoCompleteTextView")) {
                    c3 = 2;
                    break;
                }
                break;
            case -938935918:
                if (str.equals("TextView")) {
                    c3 = 3;
                    break;
                }
                break;
            case -937446323:
                if (str.equals("ImageButton")) {
                    c3 = 4;
                    break;
                }
                break;
            case -658531749:
                if (str.equals("SeekBar")) {
                    c3 = 5;
                    break;
                }
                break;
            case -339785223:
                if (str.equals("Spinner")) {
                    c3 = 6;
                    break;
                }
                break;
            case 776382189:
                if (str.equals("RadioButton")) {
                    c3 = 7;
                    break;
                }
                break;
            case 799298502:
                if (str.equals("ToggleButton")) {
                    c3 = '\b';
                    break;
                }
                break;
            case 1125864064:
                if (str.equals("ImageView")) {
                    c3 = '\t';
                    break;
                }
                break;
            case 1413872058:
                if (str.equals("AutoCompleteTextView")) {
                    c3 = '\n';
                    break;
                }
                break;
            case 1601505219:
                if (str.equals("CheckBox")) {
                    c3 = 11;
                    break;
                }
                break;
            case 1666676343:
                if (str.equals("EditText")) {
                    c3 = '\f';
                    break;
                }
                break;
            case 2001146706:
                if (str.equals("Button")) {
                    c3 = '\r';
                    break;
                }
                break;
        }
        switch (c3) {
            case 0:
                l3 = l(context2, attributeSet);
                v(l3, str);
                break;
            case 1:
                l3 = f(context2, attributeSet);
                v(l3, str);
                break;
            case 2:
                l3 = j(context2, attributeSet);
                v(l3, str);
                break;
            case 3:
                l3 = o(context2, attributeSet);
                v(l3, str);
                break;
            case 4:
                l3 = h(context2, attributeSet);
                v(l3, str);
                break;
            case 5:
                l3 = m(context2, attributeSet);
                v(l3, str);
                break;
            case 6:
                l3 = n(context2, attributeSet);
                v(l3, str);
                break;
            case 7:
                l3 = k(context2, attributeSet);
                v(l3, str);
                break;
            case '\b':
                l3 = p(context2, attributeSet);
                v(l3, str);
                break;
            case '\t':
                l3 = i(context2, attributeSet);
                v(l3, str);
                break;
            case '\n':
                l3 = c(context2, attributeSet);
                v(l3, str);
                break;
            case 11:
                l3 = e(context2, attributeSet);
                v(l3, str);
                break;
            case '\f':
                l3 = g(context2, attributeSet);
                v(l3, str);
                break;
            case '\r':
                l3 = d(context2, attributeSet);
                v(l3, str);
                break;
            default:
                l3 = q(context2, str, attributeSet);
                break;
        }
        if (l3 == null && context != context2) {
            l3 = t(context2, str, attributeSet);
        }
        if (l3 != null) {
            b(l3, attributeSet);
            a(context2, l3, attributeSet);
        }
        return l3;
    }
}
