package androidx.appcompat.view;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import android.view.InflateException;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import androidx.appcompat.widget.l2;
import androidx.appcompat.widget.m1;
import androidx.core.view.d0;
import java.io.IOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public class g extends MenuInflater {

    /* renamed from: e  reason: collision with root package name */
    static final Class<?>[] f478e;

    /* renamed from: f  reason: collision with root package name */
    static final Class<?>[] f479f;

    /* renamed from: a  reason: collision with root package name */
    final Object[] f480a;

    /* renamed from: b  reason: collision with root package name */
    final Object[] f481b;

    /* renamed from: c  reason: collision with root package name */
    Context f482c;

    /* renamed from: d  reason: collision with root package name */
    private Object f483d;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class a implements MenuItem.OnMenuItemClickListener {

        /* renamed from: c  reason: collision with root package name */
        private static final Class<?>[] f484c = {MenuItem.class};

        /* renamed from: a  reason: collision with root package name */
        private Object f485a;

        /* renamed from: b  reason: collision with root package name */
        private Method f486b;

        public a(Object obj, String str) {
            this.f485a = obj;
            Class<?> cls = obj.getClass();
            try {
                this.f486b = cls.getMethod(str, f484c);
            } catch (Exception e3) {
                InflateException inflateException = new InflateException("Couldn't resolve menu item onClick handler " + str + " in class " + cls.getName());
                inflateException.initCause(e3);
                throw inflateException;
            }
        }

        @Override // android.view.MenuItem.OnMenuItemClickListener
        public boolean onMenuItemClick(MenuItem menuItem) {
            try {
                if (this.f486b.getReturnType() == Boolean.TYPE) {
                    return ((Boolean) this.f486b.invoke(this.f485a, menuItem)).booleanValue();
                }
                this.f486b.invoke(this.f485a, menuItem);
                return true;
            } catch (Exception e3) {
                throw new RuntimeException(e3);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class b {
        androidx.core.view.b A;
        private CharSequence B;
        private CharSequence C;
        private ColorStateList D = null;
        private PorterDuff.Mode E = null;

        /* renamed from: a  reason: collision with root package name */
        private Menu f487a;

        /* renamed from: b  reason: collision with root package name */
        private int f488b;

        /* renamed from: c  reason: collision with root package name */
        private int f489c;

        /* renamed from: d  reason: collision with root package name */
        private int f490d;

        /* renamed from: e  reason: collision with root package name */
        private int f491e;

        /* renamed from: f  reason: collision with root package name */
        private boolean f492f;

        /* renamed from: g  reason: collision with root package name */
        private boolean f493g;

        /* renamed from: h  reason: collision with root package name */
        private boolean f494h;

        /* renamed from: i  reason: collision with root package name */
        private int f495i;

        /* renamed from: j  reason: collision with root package name */
        private int f496j;

        /* renamed from: k  reason: collision with root package name */
        private CharSequence f497k;

        /* renamed from: l  reason: collision with root package name */
        private CharSequence f498l;

        /* renamed from: m  reason: collision with root package name */
        private int f499m;

        /* renamed from: n  reason: collision with root package name */
        private char f500n;

        /* renamed from: o  reason: collision with root package name */
        private int f501o;

        /* renamed from: p  reason: collision with root package name */
        private char f502p;

        /* renamed from: q  reason: collision with root package name */
        private int f503q;

        /* renamed from: r  reason: collision with root package name */
        private int f504r;

        /* renamed from: s  reason: collision with root package name */
        private boolean f505s;

        /* renamed from: t  reason: collision with root package name */
        private boolean f506t;

        /* renamed from: u  reason: collision with root package name */
        private boolean f507u;

        /* renamed from: v  reason: collision with root package name */
        private int f508v;

        /* renamed from: w  reason: collision with root package name */
        private int f509w;

        /* renamed from: x  reason: collision with root package name */
        private String f510x;

        /* renamed from: y  reason: collision with root package name */
        private String f511y;

        /* renamed from: z  reason: collision with root package name */
        private String f512z;

        public b(Menu menu) {
            this.f487a = menu;
            h();
        }

        private char c(String str) {
            if (str == null) {
                return (char) 0;
            }
            return str.charAt(0);
        }

        private <T> T e(String str, Class<?>[] clsArr, Object[] objArr) {
            try {
                Constructor<?> constructor = Class.forName(str, false, g.this.f482c.getClassLoader()).getConstructor(clsArr);
                constructor.setAccessible(true);
                return (T) constructor.newInstance(objArr);
            } catch (Exception e3) {
                Log.w("SupportMenuInflater", "Cannot instantiate class: " + str, e3);
                return null;
            }
        }

        private void i(MenuItem menuItem) {
            boolean z2 = false;
            menuItem.setChecked(this.f505s).setVisible(this.f506t).setEnabled(this.f507u).setCheckable(this.f504r >= 1).setTitleCondensed(this.f498l).setIcon(this.f499m);
            int i3 = this.f508v;
            if (i3 >= 0) {
                menuItem.setShowAsAction(i3);
            }
            if (this.f512z != null) {
                if (g.this.f482c.isRestricted()) {
                    throw new IllegalStateException("The android:onClick attribute cannot be used within a restricted context");
                }
                menuItem.setOnMenuItemClickListener(new a(g.this.b(), this.f512z));
            }
            if (this.f504r >= 2) {
                if (menuItem instanceof androidx.appcompat.view.menu.i) {
                    ((androidx.appcompat.view.menu.i) menuItem).t(true);
                } else if (menuItem instanceof androidx.appcompat.view.menu.j) {
                    ((androidx.appcompat.view.menu.j) menuItem).h(true);
                }
            }
            String str = this.f510x;
            if (str != null) {
                menuItem.setActionView((View) e(str, g.f478e, g.this.f480a));
                z2 = true;
            }
            int i4 = this.f509w;
            if (i4 > 0) {
                if (z2) {
                    Log.w("SupportMenuInflater", "Ignoring attribute 'itemActionViewLayout'. Action view already specified.");
                } else {
                    menuItem.setActionView(i4);
                }
            }
            androidx.core.view.b bVar = this.A;
            if (bVar != null) {
                d0.a(menuItem, bVar);
            }
            d0.c(menuItem, this.B);
            d0.g(menuItem, this.C);
            d0.b(menuItem, this.f500n, this.f501o);
            d0.f(menuItem, this.f502p, this.f503q);
            PorterDuff.Mode mode = this.E;
            if (mode != null) {
                d0.e(menuItem, mode);
            }
            ColorStateList colorStateList = this.D;
            if (colorStateList != null) {
                d0.d(menuItem, colorStateList);
            }
        }

        public void a() {
            this.f494h = true;
            i(this.f487a.add(this.f488b, this.f495i, this.f496j, this.f497k));
        }

        public SubMenu b() {
            this.f494h = true;
            SubMenu addSubMenu = this.f487a.addSubMenu(this.f488b, this.f495i, this.f496j, this.f497k);
            i(addSubMenu.getItem());
            return addSubMenu;
        }

        public boolean d() {
            return this.f494h;
        }

        public void f(AttributeSet attributeSet) {
            TypedArray obtainStyledAttributes = g.this.f482c.obtainStyledAttributes(attributeSet, f.j.f3079o1);
            this.f488b = obtainStyledAttributes.getResourceId(f.j.f3087q1, 0);
            this.f489c = obtainStyledAttributes.getInt(f.j.f3095s1, 0);
            this.f490d = obtainStyledAttributes.getInt(f.j.f3099t1, 0);
            this.f491e = obtainStyledAttributes.getInt(f.j.f3103u1, 0);
            this.f492f = obtainStyledAttributes.getBoolean(f.j.f3091r1, true);
            this.f493g = obtainStyledAttributes.getBoolean(f.j.f3083p1, true);
            obtainStyledAttributes.recycle();
        }

        /* JADX WARN: Multi-variable type inference failed */
        public void g(AttributeSet attributeSet) {
            l2 t3 = l2.t(g.this.f482c, attributeSet, f.j.f3107v1);
            this.f495i = t3.m(f.j.f3119y1, 0);
            this.f496j = (t3.j(f.j.B1, this.f489c) & (-65536)) | (t3.j(f.j.C1, this.f490d) & 65535);
            this.f497k = t3.o(f.j.D1);
            this.f498l = t3.o(f.j.E1);
            this.f499m = t3.m(f.j.f3111w1, 0);
            this.f500n = c(t3.n(f.j.F1));
            this.f501o = t3.j(f.j.M1, 4096);
            this.f502p = c(t3.n(f.j.G1));
            this.f503q = t3.j(f.j.Q1, 4096);
            int i3 = f.j.H1;
            this.f504r = t3.r(i3) ? t3.a(i3, false) : this.f491e;
            this.f505s = t3.a(f.j.f3122z1, false);
            this.f506t = t3.a(f.j.A1, this.f492f);
            this.f507u = t3.a(f.j.f3115x1, this.f493g);
            this.f508v = t3.j(f.j.R1, -1);
            this.f512z = t3.n(f.j.I1);
            this.f509w = t3.m(f.j.J1, 0);
            this.f510x = t3.n(f.j.L1);
            String n3 = t3.n(f.j.K1);
            this.f511y = n3;
            boolean z2 = n3 != null;
            if (z2 && this.f509w == 0 && this.f510x == null) {
                this.A = (androidx.core.view.b) e(n3, g.f479f, g.this.f481b);
            } else {
                if (z2) {
                    Log.w("SupportMenuInflater", "Ignoring attribute 'actionProviderClass'. Action view already specified.");
                }
                this.A = null;
            }
            this.B = t3.o(f.j.N1);
            this.C = t3.o(f.j.S1);
            int i4 = f.j.P1;
            if (t3.r(i4)) {
                this.E = m1.d(t3.j(i4, -1), this.E);
            } else {
                this.E = null;
            }
            int i5 = f.j.O1;
            if (t3.r(i5)) {
                this.D = t3.c(i5);
            } else {
                this.D = null;
            }
            t3.v();
            this.f494h = false;
        }

        public void h() {
            this.f488b = 0;
            this.f489c = 0;
            this.f490d = 0;
            this.f491e = 0;
            this.f492f = true;
            this.f493g = true;
        }
    }

    static {
        Class<?>[] clsArr = {Context.class};
        f478e = clsArr;
        f479f = clsArr;
    }

    public g(Context context) {
        super(context);
        this.f482c = context;
        Object[] objArr = {context};
        this.f480a = objArr;
        this.f481b = objArr;
    }

    private Object a(Object obj) {
        return (!(obj instanceof Activity) && (obj instanceof ContextWrapper)) ? a(((ContextWrapper) obj).getBaseContext()) : obj;
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x003b, code lost:
        r8 = null;
        r6 = false;
        r7 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0040, code lost:
        if (r6 != false) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0042, code lost:
        if (r15 == 1) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0048, code lost:
        if (r15 == 2) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x004b, code lost:
        if (r15 == 3) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x004f, code lost:
        r15 = r13.getName();
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0053, code lost:
        if (r7 == false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0059, code lost:
        if (r15.equals(r8) == false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x005b, code lost:
        r8 = null;
        r7 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0062, code lost:
        if (r15.equals("group") == false) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0064, code lost:
        r0.h();
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x006c, code lost:
        if (r15.equals("item") == false) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0072, code lost:
        if (r0.d() != false) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0074, code lost:
        r15 = r0.A;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0076, code lost:
        if (r15 == null) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x007c, code lost:
        if (r15.a() == false) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x007e, code lost:
        r0.b();
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0082, code lost:
        r0.a();
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x008a, code lost:
        if (r15.equals("menu") == false) goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x008c, code lost:
        r6 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x008e, code lost:
        if (r7 == false) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0091, code lost:
        r15 = r13.getName();
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0099, code lost:
        if (r15.equals("group") == false) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x009b, code lost:
        r0.f(r14);
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x00a3, code lost:
        if (r15.equals("item") == false) goto L53;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x00a5, code lost:
        r0.g(r14);
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00ad, code lost:
        if (r15.equals("menu") == false) goto L57;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00af, code lost:
        c(r13, r14, r0.b());
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00b7, code lost:
        r8 = r15;
        r7 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00b9, code lost:
        r15 = r13.next();
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00c5, code lost:
        throw new java.lang.RuntimeException("Unexpected end of document");
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00c6, code lost:
        return;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void c(XmlPullParser xmlPullParser, AttributeSet attributeSet, Menu menu) {
        b bVar = new b(menu);
        int eventType = xmlPullParser.getEventType();
        while (true) {
            if (eventType != 2) {
                eventType = xmlPullParser.next();
                if (eventType == 1) {
                    break;
                }
            } else {
                String name = xmlPullParser.getName();
                if (!name.equals("menu")) {
                    throw new RuntimeException("Expecting menu, got " + name);
                }
                eventType = xmlPullParser.next();
            }
        }
    }

    Object b() {
        if (this.f483d == null) {
            this.f483d = a(this.f482c);
        }
        return this.f483d;
    }

    @Override // android.view.MenuInflater
    public void inflate(int i3, Menu menu) {
        if (!(menu instanceof p.a)) {
            super.inflate(i3, menu);
            return;
        }
        XmlResourceParser xmlResourceParser = null;
        try {
            try {
                try {
                    xmlResourceParser = this.f482c.getResources().getLayout(i3);
                    c(xmlResourceParser, Xml.asAttributeSet(xmlResourceParser), menu);
                } catch (XmlPullParserException e3) {
                    throw new InflateException("Error inflating menu XML", e3);
                }
            } catch (IOException e4) {
                throw new InflateException("Error inflating menu XML", e4);
            }
        } finally {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
        }
    }
}
