package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.d1;
import androidx.appcompat.widget.p1;
import androidx.appcompat.widget.r2;
/* loaded from: classes.dex */
public class ActionMenuItemView extends d1 implements n.a, View.OnClickListener, ActionMenuView.a {

    /* renamed from: l  reason: collision with root package name */
    i f523l;

    /* renamed from: m  reason: collision with root package name */
    private CharSequence f524m;

    /* renamed from: n  reason: collision with root package name */
    private Drawable f525n;

    /* renamed from: o  reason: collision with root package name */
    g.b f526o;

    /* renamed from: p  reason: collision with root package name */
    private p1 f527p;

    /* renamed from: q  reason: collision with root package name */
    b f528q;

    /* renamed from: r  reason: collision with root package name */
    private boolean f529r;

    /* renamed from: s  reason: collision with root package name */
    private boolean f530s;

    /* renamed from: t  reason: collision with root package name */
    private int f531t;

    /* renamed from: u  reason: collision with root package name */
    private int f532u;

    /* renamed from: v  reason: collision with root package name */
    private int f533v;

    /* loaded from: classes.dex */
    private class a extends p1 {
        public a() {
            super(ActionMenuItemView.this);
        }

        @Override // androidx.appcompat.widget.p1
        public p b() {
            b bVar = ActionMenuItemView.this.f528q;
            if (bVar != null) {
                return bVar.a();
            }
            return null;
        }

        @Override // androidx.appcompat.widget.p1
        protected boolean c() {
            p b3;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            g.b bVar = actionMenuItemView.f526o;
            return bVar != null && bVar.a(actionMenuItemView.f523l) && (b3 = b()) != null && b3.c();
        }
    }

    /* loaded from: classes.dex */
    public static abstract class b {
        public abstract p a();
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i3) {
        super(context, attributeSet, i3);
        Resources resources = context.getResources();
        this.f529r = s();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f.j.f3105v, i3, 0);
        this.f531t = obtainStyledAttributes.getDimensionPixelSize(f.j.f3109w, 0);
        obtainStyledAttributes.recycle();
        this.f533v = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.f532u = -1;
        setSaveEnabled(false);
    }

    private boolean s() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i3 = configuration.screenWidthDp;
        return i3 >= 480 || (i3 >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    private void t() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.f524m);
        if (this.f525n != null && (!this.f523l.B() || (!this.f529r && !this.f530s))) {
            z2 = false;
        }
        boolean z4 = z3 & z2;
        setText(z4 ? this.f524m : null);
        CharSequence contentDescription = this.f523l.getContentDescription();
        if (TextUtils.isEmpty(contentDescription)) {
            contentDescription = z4 ? null : this.f523l.getTitle();
        }
        setContentDescription(contentDescription);
        CharSequence tooltipText = this.f523l.getTooltipText();
        if (TextUtils.isEmpty(tooltipText)) {
            r2.a(this, z4 ? null : this.f523l.getTitle());
        } else {
            r2.a(this, tooltipText);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public boolean a() {
        return true;
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    public boolean b() {
        return r();
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    public boolean c() {
        return r() && this.f523l.getIcon() == null;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void d(i iVar, int i3) {
        this.f523l = iVar;
        setIcon(iVar.getIcon());
        setTitle(iVar.i(this));
        setId(iVar.getItemId());
        setVisibility(iVar.isVisible() ? 0 : 8);
        setEnabled(iVar.isEnabled());
        if (iVar.hasSubMenu() && this.f527p == null) {
            this.f527p = new a();
        }
    }

    @Override // android.widget.TextView, android.view.View
    public CharSequence getAccessibilityClassName() {
        return Button.class.getName();
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f523l;
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        g.b bVar = this.f526o;
        if (bVar != null) {
            bVar.a(this.f523l);
        }
    }

    @Override // android.widget.TextView, android.view.View
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f529r = s();
        t();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.d1, android.widget.TextView, android.view.View
    public void onMeasure(int i3, int i4) {
        int i5;
        boolean r3 = r();
        if (r3 && (i5 = this.f532u) >= 0) {
            super.setPadding(i5, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i3, i4);
        int mode = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i3);
        int measuredWidth = getMeasuredWidth();
        int min = mode == Integer.MIN_VALUE ? Math.min(size, this.f531t) : this.f531t;
        if (mode != 1073741824 && this.f531t > 0 && measuredWidth < min) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(min, 1073741824), i4);
        }
        if (r3 || this.f525n == null) {
            return;
        }
        super.setPadding((getMeasuredWidth() - this.f525n.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
    }

    @Override // android.widget.TextView, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    @Override // android.widget.TextView, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        p1 p1Var;
        if (this.f523l.hasSubMenu() && (p1Var = this.f527p) != null && p1Var.onTouch(this, motionEvent)) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    public boolean r() {
        return !TextUtils.isEmpty(getText());
    }

    public void setCheckable(boolean z2) {
    }

    public void setChecked(boolean z2) {
    }

    public void setExpandedFormat(boolean z2) {
        if (this.f530s != z2) {
            this.f530s = z2;
            i iVar = this.f523l;
            if (iVar != null) {
                iVar.c();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f525n = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i3 = this.f533v;
            if (intrinsicWidth > i3) {
                intrinsicHeight = (int) (intrinsicHeight * (i3 / intrinsicWidth));
                intrinsicWidth = i3;
            }
            if (intrinsicHeight > i3) {
                intrinsicWidth = (int) (intrinsicWidth * (i3 / intrinsicHeight));
            } else {
                i3 = intrinsicHeight;
            }
            drawable.setBounds(0, 0, intrinsicWidth, i3);
        }
        setCompoundDrawables(drawable, null, null, null);
        t();
    }

    public void setItemInvoker(g.b bVar) {
        this.f526o = bVar;
    }

    @Override // android.widget.TextView, android.view.View
    public void setPadding(int i3, int i4, int i5, int i6) {
        this.f532u = i3;
        super.setPadding(i3, i4, i5, i6);
    }

    public void setPopupCallback(b bVar) {
        this.f528q = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.f524m = charSequence;
        t();
    }
}
