package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.l2;
import androidx.core.view.s0;
/* loaded from: classes.dex */
public class ListMenuItemView extends LinearLayout implements n.a, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: e  reason: collision with root package name */
    private i f538e;

    /* renamed from: f  reason: collision with root package name */
    private ImageView f539f;

    /* renamed from: g  reason: collision with root package name */
    private RadioButton f540g;

    /* renamed from: h  reason: collision with root package name */
    private TextView f541h;

    /* renamed from: i  reason: collision with root package name */
    private CheckBox f542i;

    /* renamed from: j  reason: collision with root package name */
    private TextView f543j;

    /* renamed from: k  reason: collision with root package name */
    private ImageView f544k;

    /* renamed from: l  reason: collision with root package name */
    private ImageView f545l;

    /* renamed from: m  reason: collision with root package name */
    private LinearLayout f546m;

    /* renamed from: n  reason: collision with root package name */
    private Drawable f547n;

    /* renamed from: o  reason: collision with root package name */
    private int f548o;

    /* renamed from: p  reason: collision with root package name */
    private Context f549p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f550q;

    /* renamed from: r  reason: collision with root package name */
    private Drawable f551r;

    /* renamed from: s  reason: collision with root package name */
    private boolean f552s;

    /* renamed from: t  reason: collision with root package name */
    private LayoutInflater f553t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f554u;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.a.D);
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i3) {
        super(context, attributeSet);
        l2 u3 = l2.u(getContext(), attributeSet, f.j.T1, i3, 0);
        this.f547n = u3.f(f.j.V1);
        this.f548o = u3.m(f.j.U1, -1);
        this.f550q = u3.a(f.j.W1, false);
        this.f549p = context;
        this.f551r = u3.f(f.j.X1);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, f.a.A, 0);
        this.f552s = obtainStyledAttributes.hasValue(0);
        u3.v();
        obtainStyledAttributes.recycle();
    }

    private void b(View view) {
        c(view, -1);
    }

    private void c(View view, int i3) {
        LinearLayout linearLayout = this.f546m;
        if (linearLayout != null) {
            linearLayout.addView(view, i3);
        } else {
            addView(view, i3);
        }
    }

    private void e() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(f.g.f2991h, (ViewGroup) this, false);
        this.f542i = checkBox;
        b(checkBox);
    }

    private void f() {
        ImageView imageView = (ImageView) getInflater().inflate(f.g.f2992i, (ViewGroup) this, false);
        this.f539f = imageView;
        c(imageView, 0);
    }

    private void g() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(f.g.f2994k, (ViewGroup) this, false);
        this.f540g = radioButton;
        b(radioButton);
    }

    private LayoutInflater getInflater() {
        if (this.f553t == null) {
            this.f553t = LayoutInflater.from(getContext());
        }
        return this.f553t;
    }

    private void setSubMenuArrowVisible(boolean z2) {
        ImageView imageView = this.f544k;
        if (imageView != null) {
            imageView.setVisibility(z2 ? 0 : 8);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public boolean a() {
        return false;
    }

    @Override // android.widget.AbsListView.SelectionBoundsAdjuster
    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.f545l;
        if (imageView == null || imageView.getVisibility() != 0) {
            return;
        }
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f545l.getLayoutParams();
        rect.top += this.f545l.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void d(i iVar, int i3) {
        this.f538e = iVar;
        setVisibility(iVar.isVisible() ? 0 : 8);
        setTitle(iVar.i(this));
        setCheckable(iVar.isCheckable());
        h(iVar.A(), iVar.g());
        setIcon(iVar.getIcon());
        setEnabled(iVar.isEnabled());
        setSubMenuArrowVisible(iVar.hasSubMenu());
        setContentDescription(iVar.getContentDescription());
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f538e;
    }

    public void h(boolean z2, char c3) {
        int i3 = (z2 && this.f538e.A()) ? 0 : 8;
        if (i3 == 0) {
            this.f543j.setText(this.f538e.h());
        }
        if (this.f543j.getVisibility() != i3) {
            this.f543j.setVisibility(i3);
        }
    }

    @Override // android.view.View
    protected void onFinishInflate() {
        super.onFinishInflate();
        s0.S(this, this.f547n);
        TextView textView = (TextView) findViewById(f.f.M);
        this.f541h = textView;
        int i3 = this.f548o;
        if (i3 != -1) {
            textView.setTextAppearance(this.f549p, i3);
        }
        this.f543j = (TextView) findViewById(f.f.F);
        ImageView imageView = (ImageView) findViewById(f.f.I);
        this.f544k = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.f551r);
        }
        this.f545l = (ImageView) findViewById(f.f.f2975r);
        this.f546m = (LinearLayout) findViewById(f.f.f2969l);
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onMeasure(int i3, int i4) {
        if (this.f539f != null && this.f550q) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f539f.getLayoutParams();
            int i5 = layoutParams.height;
            if (i5 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i5;
            }
        }
        super.onMeasure(i3, i4);
    }

    public void setCheckable(boolean z2) {
        CompoundButton compoundButton;
        View view;
        if (!z2 && this.f540g == null && this.f542i == null) {
            return;
        }
        if (this.f538e.m()) {
            if (this.f540g == null) {
                g();
            }
            compoundButton = this.f540g;
            view = this.f542i;
        } else {
            if (this.f542i == null) {
                e();
            }
            compoundButton = this.f542i;
            view = this.f540g;
        }
        if (z2) {
            compoundButton.setChecked(this.f538e.isChecked());
            if (compoundButton.getVisibility() != 0) {
                compoundButton.setVisibility(0);
            }
            if (view == null || view.getVisibility() == 8) {
                return;
            }
            view.setVisibility(8);
            return;
        }
        CheckBox checkBox = this.f542i;
        if (checkBox != null) {
            checkBox.setVisibility(8);
        }
        RadioButton radioButton = this.f540g;
        if (radioButton != null) {
            radioButton.setVisibility(8);
        }
    }

    public void setChecked(boolean z2) {
        CompoundButton compoundButton;
        if (this.f538e.m()) {
            if (this.f540g == null) {
                g();
            }
            compoundButton = this.f540g;
        } else {
            if (this.f542i == null) {
                e();
            }
            compoundButton = this.f542i;
        }
        compoundButton.setChecked(z2);
    }

    public void setForceShowIcon(boolean z2) {
        this.f554u = z2;
        this.f550q = z2;
    }

    public void setGroupDividerEnabled(boolean z2) {
        ImageView imageView = this.f545l;
        if (imageView != null) {
            imageView.setVisibility((this.f552s || !z2) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z2 = this.f538e.z() || this.f554u;
        if (z2 || this.f550q) {
            ImageView imageView = this.f539f;
            if (imageView == null && drawable == null && !this.f550q) {
                return;
            }
            if (imageView == null) {
                f();
            }
            if (drawable == null && !this.f550q) {
                this.f539f.setVisibility(8);
                return;
            }
            ImageView imageView2 = this.f539f;
            if (!z2) {
                drawable = null;
            }
            imageView2.setImageDrawable(drawable);
            if (this.f539f.getVisibility() != 0) {
                this.f539f.setVisibility(0);
            }
        }
    }

    public void setTitle(CharSequence charSequence) {
        int i3;
        TextView textView;
        if (charSequence != null) {
            this.f541h.setText(charSequence);
            if (this.f541h.getVisibility() == 0) {
                return;
            }
            textView = this.f541h;
            i3 = 0;
        } else {
            i3 = 8;
            if (this.f541h.getVisibility() == 8) {
                return;
            }
            textView = this.f541h;
        }
        textView.setVisibility(i3);
    }
}
