package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
/* loaded from: classes.dex */
public class ActionBarContainer extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private boolean f743e;

    /* renamed from: f  reason: collision with root package name */
    private View f744f;

    /* renamed from: g  reason: collision with root package name */
    private View f745g;

    /* renamed from: h  reason: collision with root package name */
    private View f746h;

    /* renamed from: i  reason: collision with root package name */
    Drawable f747i;

    /* renamed from: j  reason: collision with root package name */
    Drawable f748j;

    /* renamed from: k  reason: collision with root package name */
    Drawable f749k;

    /* renamed from: l  reason: collision with root package name */
    boolean f750l;

    /* renamed from: m  reason: collision with root package name */
    boolean f751m;

    /* renamed from: n  reason: collision with root package name */
    private int f752n;

    /* loaded from: classes.dex */
    private static class a {
        public static void a(ActionBarContainer actionBarContainer) {
            actionBarContainer.invalidateOutline();
        }
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        androidx.core.view.s0.S(this, new b(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f.j.f3021a);
        this.f747i = obtainStyledAttributes.getDrawable(f.j.f3025b);
        this.f748j = obtainStyledAttributes.getDrawable(f.j.f3033d);
        this.f752n = obtainStyledAttributes.getDimensionPixelSize(f.j.f3057j, -1);
        boolean z2 = true;
        if (getId() == f.f.H) {
            this.f750l = true;
            this.f749k = obtainStyledAttributes.getDrawable(f.j.f3029c);
        }
        obtainStyledAttributes.recycle();
        if (!this.f750l ? this.f747i != null || this.f748j != null : this.f749k != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
    }

    private int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    private boolean b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f747i;
        if (drawable != null && drawable.isStateful()) {
            this.f747i.setState(getDrawableState());
        }
        Drawable drawable2 = this.f748j;
        if (drawable2 != null && drawable2.isStateful()) {
            this.f748j.setState(getDrawableState());
        }
        Drawable drawable3 = this.f749k;
        if (drawable3 == null || !drawable3.isStateful()) {
            return;
        }
        this.f749k.setState(getDrawableState());
    }

    public View getTabContainer() {
        return this.f744f;
    }

    @Override // android.view.ViewGroup, android.view.View
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f747i;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f748j;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.f749k;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    @Override // android.view.View
    public void onFinishInflate() {
        super.onFinishInflate();
        this.f745g = findViewById(f.f.f2958a);
        this.f746h = findViewById(f.f.f2963f);
    }

    @Override // android.view.View
    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f743e || super.onInterceptTouchEvent(motionEvent);
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z2, int i3, int i4, int i5, int i6) {
        Drawable drawable;
        Drawable drawable2;
        int left;
        int top;
        int right;
        View view;
        super.onLayout(z2, i3, i4, i5, i6);
        View view2 = this.f744f;
        boolean z3 = true;
        boolean z4 = false;
        boolean z5 = (view2 == null || view2.getVisibility() == 8) ? false : true;
        if (view2 != null && view2.getVisibility() != 8) {
            int measuredHeight = getMeasuredHeight();
            int i7 = ((FrameLayout.LayoutParams) view2.getLayoutParams()).bottomMargin;
            view2.layout(i3, (measuredHeight - view2.getMeasuredHeight()) - i7, i5, measuredHeight - i7);
        }
        if (this.f750l) {
            Drawable drawable3 = this.f749k;
            if (drawable3 != null) {
                drawable3.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z3 = false;
            }
        } else {
            if (this.f747i != null) {
                if (this.f745g.getVisibility() == 0) {
                    drawable2 = this.f747i;
                    left = this.f745g.getLeft();
                    top = this.f745g.getTop();
                    right = this.f745g.getRight();
                    view = this.f745g;
                } else {
                    View view3 = this.f746h;
                    if (view3 == null || view3.getVisibility() != 0) {
                        this.f747i.setBounds(0, 0, 0, 0);
                        z4 = true;
                    } else {
                        drawable2 = this.f747i;
                        left = this.f746h.getLeft();
                        top = this.f746h.getTop();
                        right = this.f746h.getRight();
                        view = this.f746h;
                    }
                }
                drawable2.setBounds(left, top, right, view.getBottom());
                z4 = true;
            }
            this.f751m = z5;
            if (!z5 || (drawable = this.f748j) == null) {
                z3 = z4;
            } else {
                drawable.setBounds(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            }
        }
        if (z3) {
            invalidate();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:27:0x0055  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x005a  */
    @Override // android.widget.FrameLayout, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMeasure(int i3, int i4) {
        int i5;
        View view;
        int i6;
        if (this.f745g == null && View.MeasureSpec.getMode(i4) == Integer.MIN_VALUE && (i6 = this.f752n) >= 0) {
            i4 = View.MeasureSpec.makeMeasureSpec(Math.min(i6, View.MeasureSpec.getSize(i4)), Integer.MIN_VALUE);
        }
        super.onMeasure(i3, i4);
        if (this.f745g == null) {
            return;
        }
        int mode = View.MeasureSpec.getMode(i4);
        View view2 = this.f744f;
        if (view2 == null || view2.getVisibility() == 8 || mode == 1073741824) {
            return;
        }
        if (!b(this.f745g)) {
            view = this.f745g;
        } else if (b(this.f746h)) {
            i5 = 0;
            setMeasuredDimension(getMeasuredWidth(), Math.min(i5 + a(this.f744f), mode != Integer.MIN_VALUE ? View.MeasureSpec.getSize(i4) : Integer.MAX_VALUE));
        } else {
            view = this.f746h;
        }
        i5 = a(view);
        setMeasuredDimension(getMeasuredWidth(), Math.min(i5 + a(this.f744f), mode != Integer.MIN_VALUE ? View.MeasureSpec.getSize(i4) : Integer.MAX_VALUE));
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.f747i;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.f747i);
        }
        this.f747i = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f745g;
            if (view != null) {
                this.f747i.setBounds(view.getLeft(), this.f745g.getTop(), this.f745g.getRight(), this.f745g.getBottom());
            }
        }
        boolean z2 = true;
        if (!this.f750l ? this.f747i != null || this.f748j != null : this.f749k != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
        invalidate();
        a.a(this);
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f749k;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.f749k);
        }
        this.f749k = drawable;
        boolean z2 = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f750l && (drawable2 = this.f749k) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.f750l ? !(this.f747i != null || this.f748j != null) : this.f749k == null) {
            z2 = true;
        }
        setWillNotDraw(z2);
        invalidate();
        a.a(this);
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f748j;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.f748j);
        }
        this.f748j = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f751m && (drawable2 = this.f748j) != null) {
                drawable2.setBounds(this.f744f.getLeft(), this.f744f.getTop(), this.f744f.getRight(), this.f744f.getBottom());
            }
        }
        boolean z2 = true;
        if (!this.f750l ? this.f747i != null || this.f748j != null : this.f749k != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
        invalidate();
        a.a(this);
    }

    public void setTabContainer(d2 d2Var) {
        View view = this.f744f;
        if (view != null) {
            removeView(view);
        }
        this.f744f = d2Var;
        if (d2Var != null) {
            addView(d2Var);
            ViewGroup.LayoutParams layoutParams = d2Var.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            d2Var.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z2) {
        this.f743e = z2;
        setDescendantFocusability(z2 ? 393216 : 262144);
    }

    @Override // android.view.View
    public void setVisibility(int i3) {
        super.setVisibility(i3);
        boolean z2 = i3 == 0;
        Drawable drawable = this.f747i;
        if (drawable != null) {
            drawable.setVisible(z2, false);
        }
        Drawable drawable2 = this.f748j;
        if (drawable2 != null) {
            drawable2.setVisible(z2, false);
        }
        Drawable drawable3 = this.f749k;
        if (drawable3 != null) {
            drawable3.setVisible(z2, false);
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i3) {
        if (i3 != 0) {
            return super.startActionModeForChild(view, callback, i3);
        }
        return null;
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f747i && !this.f750l) || (drawable == this.f748j && this.f751m) || ((drawable == this.f749k && this.f750l) || super.verifyDrawable(drawable));
    }
}
