package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.View;
import android.widget.FrameLayout;
/* loaded from: classes.dex */
public class ContentFrameLayout extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private TypedValue f810e;

    /* renamed from: f  reason: collision with root package name */
    private TypedValue f811f;

    /* renamed from: g  reason: collision with root package name */
    private TypedValue f812g;

    /* renamed from: h  reason: collision with root package name */
    private TypedValue f813h;

    /* renamed from: i  reason: collision with root package name */
    private TypedValue f814i;

    /* renamed from: j  reason: collision with root package name */
    private TypedValue f815j;

    /* renamed from: k  reason: collision with root package name */
    private final Rect f816k;

    /* renamed from: l  reason: collision with root package name */
    private a f817l;

    /* loaded from: classes.dex */
    public interface a {
        void a();

        void onDetachedFromWindow();
    }

    public ContentFrameLayout(Context context) {
        this(context, null);
    }

    public ContentFrameLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ContentFrameLayout(Context context, AttributeSet attributeSet, int i3) {
        super(context, attributeSet, i3);
        this.f816k = new Rect();
    }

    public void a(int i3, int i4, int i5, int i6) {
        this.f816k.set(i3, i4, i5, i6);
        if (androidx.core.view.s0.B(this)) {
            requestLayout();
        }
    }

    public TypedValue getFixedHeightMajor() {
        if (this.f814i == null) {
            this.f814i = new TypedValue();
        }
        return this.f814i;
    }

    public TypedValue getFixedHeightMinor() {
        if (this.f815j == null) {
            this.f815j = new TypedValue();
        }
        return this.f815j;
    }

    public TypedValue getFixedWidthMajor() {
        if (this.f812g == null) {
            this.f812g = new TypedValue();
        }
        return this.f812g;
    }

    public TypedValue getFixedWidthMinor() {
        if (this.f813h == null) {
            this.f813h = new TypedValue();
        }
        return this.f813h;
    }

    public TypedValue getMinWidthMajor() {
        if (this.f810e == null) {
            this.f810e = new TypedValue();
        }
        return this.f810e;
    }

    public TypedValue getMinWidthMinor() {
        if (this.f811f == null) {
            this.f811f = new TypedValue();
        }
        return this.f811f;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        a aVar = this.f817l;
        if (aVar != null) {
            aVar.a();
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        a aVar = this.f817l;
        if (aVar != null) {
            aVar.onDetachedFromWindow();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:21:0x004a  */
    /* JADX WARN: Removed duplicated region for block: B:24:0x0063  */
    /* JADX WARN: Removed duplicated region for block: B:37:0x0086  */
    /* JADX WARN: Removed duplicated region for block: B:42:0x00ab  */
    /* JADX WARN: Removed duplicated region for block: B:43:0x00ae  */
    /* JADX WARN: Removed duplicated region for block: B:48:0x00b8  */
    /* JADX WARN: Removed duplicated region for block: B:50:0x00be  */
    /* JADX WARN: Removed duplicated region for block: B:54:0x00cc  */
    /* JADX WARN: Removed duplicated region for block: B:56:0x00d6  */
    /* JADX WARN: Removed duplicated region for block: B:59:0x00de  */
    /* JADX WARN: Removed duplicated region for block: B:61:? A[RETURN, SYNTHETIC] */
    @Override // android.widget.FrameLayout, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onMeasure(int i3, int i4) {
        boolean z2;
        int measuredWidth;
        TypedValue typedValue;
        int i5;
        int i6;
        float fraction;
        int i7;
        int i8;
        float fraction2;
        int i9;
        int i10;
        float fraction3;
        DisplayMetrics displayMetrics = getContext().getResources().getDisplayMetrics();
        boolean z3 = true;
        boolean z4 = displayMetrics.widthPixels < displayMetrics.heightPixels;
        int mode = View.MeasureSpec.getMode(i3);
        int mode2 = View.MeasureSpec.getMode(i4);
        if (mode == Integer.MIN_VALUE) {
            TypedValue typedValue2 = z4 ? this.f813h : this.f812g;
            if (typedValue2 != null && (i9 = typedValue2.type) != 0) {
                if (i9 == 5) {
                    fraction3 = typedValue2.getDimension(displayMetrics);
                } else if (i9 == 6) {
                    int i11 = displayMetrics.widthPixels;
                    fraction3 = typedValue2.getFraction(i11, i11);
                } else {
                    i10 = 0;
                    if (i10 > 0) {
                        Rect rect = this.f816k;
                        i3 = View.MeasureSpec.makeMeasureSpec(Math.min(i10 - (rect.left + rect.right), View.MeasureSpec.getSize(i3)), 1073741824);
                        z2 = true;
                        if (mode2 == Integer.MIN_VALUE) {
                            TypedValue typedValue3 = z4 ? this.f814i : this.f815j;
                            if (typedValue3 != null && (i7 = typedValue3.type) != 0) {
                                if (i7 == 5) {
                                    fraction2 = typedValue3.getDimension(displayMetrics);
                                } else if (i7 == 6) {
                                    int i12 = displayMetrics.heightPixels;
                                    fraction2 = typedValue3.getFraction(i12, i12);
                                } else {
                                    i8 = 0;
                                    if (i8 > 0) {
                                        Rect rect2 = this.f816k;
                                        i4 = View.MeasureSpec.makeMeasureSpec(Math.min(i8 - (rect2.top + rect2.bottom), View.MeasureSpec.getSize(i4)), 1073741824);
                                    }
                                }
                                i8 = (int) fraction2;
                                if (i8 > 0) {
                                }
                            }
                        }
                        super.onMeasure(i3, i4);
                        measuredWidth = getMeasuredWidth();
                        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824);
                        if (!z2 && mode == Integer.MIN_VALUE) {
                            typedValue = !z4 ? this.f811f : this.f810e;
                            if (typedValue != null && (i5 = typedValue.type) != 0) {
                                if (i5 != 5) {
                                    fraction = typedValue.getDimension(displayMetrics);
                                } else if (i5 == 6) {
                                    int i13 = displayMetrics.widthPixels;
                                    fraction = typedValue.getFraction(i13, i13);
                                } else {
                                    i6 = 0;
                                    if (i6 > 0) {
                                        Rect rect3 = this.f816k;
                                        i6 -= rect3.left + rect3.right;
                                    }
                                    if (measuredWidth < i6) {
                                        makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i6, 1073741824);
                                        if (z3) {
                                            super.onMeasure(makeMeasureSpec, i4);
                                            return;
                                        }
                                        return;
                                    }
                                }
                                i6 = (int) fraction;
                                if (i6 > 0) {
                                }
                                if (measuredWidth < i6) {
                                }
                            }
                        }
                        z3 = false;
                        if (z3) {
                        }
                    }
                }
                i10 = (int) fraction3;
                if (i10 > 0) {
                }
            }
        }
        z2 = false;
        if (mode2 == Integer.MIN_VALUE) {
        }
        super.onMeasure(i3, i4);
        measuredWidth = getMeasuredWidth();
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824);
        if (!z2) {
            if (!z4) {
            }
            if (typedValue != null) {
                if (i5 != 5) {
                }
                i6 = (int) fraction;
                if (i6 > 0) {
                }
                if (measuredWidth < i6) {
                }
            }
        }
        z3 = false;
        if (z3) {
        }
    }

    public void setAttachListener(a aVar) {
        this.f817l = aVar;
    }
}
