package androidx.appcompat.widget;

import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
public class SearchView extends q1 implements androidx.appcompat.view.c {

    /* renamed from: u0  reason: collision with root package name */
    static final o f820u0;
    final ImageView A;
    private final View B;
    private q C;
    private Rect D;
    private Rect E;
    private int[] F;
    private int[] G;
    private final ImageView H;
    private final Drawable I;
    private final int J;
    private final int K;
    private final Intent L;
    private final Intent M;
    private final CharSequence N;
    private m O;
    private l P;
    View.OnFocusChangeListener Q;
    private n R;
    private View.OnClickListener S;
    private boolean T;
    private boolean U;
    x.a V;
    private boolean W;

    /* renamed from: a0  reason: collision with root package name */
    private CharSequence f821a0;

    /* renamed from: b0  reason: collision with root package name */
    private boolean f822b0;

    /* renamed from: c0  reason: collision with root package name */
    private boolean f823c0;

    /* renamed from: d0  reason: collision with root package name */
    private int f824d0;

    /* renamed from: e0  reason: collision with root package name */
    private boolean f825e0;

    /* renamed from: f0  reason: collision with root package name */
    private CharSequence f826f0;

    /* renamed from: g0  reason: collision with root package name */
    private CharSequence f827g0;

    /* renamed from: h0  reason: collision with root package name */
    private boolean f828h0;

    /* renamed from: i0  reason: collision with root package name */
    private int f829i0;

    /* renamed from: j0  reason: collision with root package name */
    SearchableInfo f830j0;

    /* renamed from: k0  reason: collision with root package name */
    private Bundle f831k0;

    /* renamed from: l0  reason: collision with root package name */
    private final Runnable f832l0;

    /* renamed from: m0  reason: collision with root package name */
    private Runnable f833m0;

    /* renamed from: n0  reason: collision with root package name */
    private final WeakHashMap<String, Drawable.ConstantState> f834n0;

    /* renamed from: o0  reason: collision with root package name */
    private final View.OnClickListener f835o0;

    /* renamed from: p0  reason: collision with root package name */
    View.OnKeyListener f836p0;

    /* renamed from: q0  reason: collision with root package name */
    private final TextView.OnEditorActionListener f837q0;

    /* renamed from: r0  reason: collision with root package name */
    private final AdapterView.OnItemClickListener f838r0;

    /* renamed from: s0  reason: collision with root package name */
    private final AdapterView.OnItemSelectedListener f839s0;

    /* renamed from: t  reason: collision with root package name */
    final SearchAutoComplete f840t;

    /* renamed from: t0  reason: collision with root package name */
    private TextWatcher f841t0;

    /* renamed from: u  reason: collision with root package name */
    private final View f842u;

    /* renamed from: v  reason: collision with root package name */
    private final View f843v;

    /* renamed from: w  reason: collision with root package name */
    private final View f844w;

    /* renamed from: x  reason: collision with root package name */
    final ImageView f845x;

    /* renamed from: y  reason: collision with root package name */
    final ImageView f846y;

    /* renamed from: z  reason: collision with root package name */
    final ImageView f847z;

    /* loaded from: classes.dex */
    public static class SearchAutoComplete extends androidx.appcompat.widget.d {

        /* renamed from: i  reason: collision with root package name */
        private int f848i;

        /* renamed from: j  reason: collision with root package name */
        private SearchView f849j;

        /* renamed from: k  reason: collision with root package name */
        private boolean f850k;

        /* renamed from: l  reason: collision with root package name */
        final Runnable f851l;

        /* loaded from: classes.dex */
        class a implements Runnable {
            a() {
            }

            @Override // java.lang.Runnable
            public void run() {
                SearchAutoComplete.this.d();
            }
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, f.a.f2897p);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i3) {
            super(context, attributeSet, i3);
            this.f851l = new a();
            this.f848i = getThreshold();
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i3 = configuration.screenWidthDp;
            int i4 = configuration.screenHeightDp;
            if (i3 < 960 || i4 < 720 || configuration.orientation != 2) {
                if (i3 < 600) {
                    return (i3 < 640 || i4 < 480) ? 160 : 192;
                }
                return 192;
            }
            return 256;
        }

        void b() {
            if (Build.VERSION.SDK_INT < 29) {
                SearchView.f820u0.c(this);
                return;
            }
            k.b(this, 1);
            if (enoughToFilter()) {
                showDropDown();
            }
        }

        boolean c() {
            return TextUtils.getTrimmedLength(getText()) == 0;
        }

        void d() {
            if (this.f850k) {
                ((InputMethodManager) getContext().getSystemService("input_method")).showSoftInput(this, 0);
                this.f850k = false;
            }
        }

        @Override // android.widget.AutoCompleteTextView
        public boolean enoughToFilter() {
            return this.f848i <= 0 || super.enoughToFilter();
        }

        @Override // androidx.appcompat.widget.d, android.widget.TextView, android.view.View
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.f850k) {
                removeCallbacks(this.f851l);
                post(this.f851l);
            }
            return onCreateInputConnection;
        }

        @Override // android.view.View
        protected void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        protected void onFocusChanged(boolean z2, int i3, Rect rect) {
            super.onFocusChanged(z2, i3, rect);
            this.f849j.V();
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public boolean onKeyPreIme(int i3, KeyEvent keyEvent) {
            if (i3 == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f849j.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i3, keyEvent);
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public void onWindowFocusChanged(boolean z2) {
            super.onWindowFocusChanged(z2);
            if (z2 && this.f849j.hasFocus() && getVisibility() == 0) {
                this.f850k = true;
                if (SearchView.I(getContext())) {
                    b();
                }
            }
        }

        @Override // android.widget.AutoCompleteTextView
        public void performCompletion() {
        }

        @Override // android.widget.AutoCompleteTextView
        protected void replaceText(CharSequence charSequence) {
        }

        void setImeVisibility(boolean z2) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z2) {
                this.f850k = false;
                removeCallbacks(this.f851l);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (!inputMethodManager.isActive(this)) {
                this.f850k = true;
            } else {
                this.f850k = false;
                removeCallbacks(this.f851l);
                inputMethodManager.showSoftInput(this, 0);
            }
        }

        void setSearchView(SearchView searchView) {
            this.f849j = searchView;
        }

        @Override // android.widget.AutoCompleteTextView
        public void setThreshold(int i3) {
            super.setThreshold(i3);
            this.f848i = i3;
        }
    }

    /* loaded from: classes.dex */
    class a implements TextWatcher {
        a() {
        }

        @Override // android.text.TextWatcher
        public void afterTextChanged(Editable editable) {
        }

        @Override // android.text.TextWatcher
        public void beforeTextChanged(CharSequence charSequence, int i3, int i4, int i5) {
        }

        @Override // android.text.TextWatcher
        public void onTextChanged(CharSequence charSequence, int i3, int i4, int i5) {
            SearchView.this.U(charSequence);
        }
    }

    /* loaded from: classes.dex */
    class b implements Runnable {
        b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            SearchView.this.b0();
        }
    }

    /* loaded from: classes.dex */
    class c implements Runnable {
        c() {
        }

        @Override // java.lang.Runnable
        public void run() {
            x.a aVar = SearchView.this.V;
            if (aVar instanceof f2) {
                aVar.a(null);
            }
        }
    }

    /* loaded from: classes.dex */
    class d implements View.OnFocusChangeListener {
        d() {
        }

        @Override // android.view.View.OnFocusChangeListener
        public void onFocusChange(View view, boolean z2) {
            SearchView searchView = SearchView.this;
            View.OnFocusChangeListener onFocusChangeListener = searchView.Q;
            if (onFocusChangeListener != null) {
                onFocusChangeListener.onFocusChange(searchView, z2);
            }
        }
    }

    /* loaded from: classes.dex */
    class e implements View.OnLayoutChangeListener {
        e() {
        }

        @Override // android.view.View.OnLayoutChangeListener
        public void onLayoutChange(View view, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10) {
            SearchView.this.x();
        }
    }

    /* loaded from: classes.dex */
    class f implements View.OnClickListener {
        f() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            SearchView searchView = SearchView.this;
            if (view == searchView.f845x) {
                searchView.R();
            } else if (view == searchView.f847z) {
                searchView.N();
            } else if (view == searchView.f846y) {
                searchView.S();
            } else if (view == searchView.A) {
                searchView.W();
            } else if (view == searchView.f840t) {
                searchView.D();
            }
        }
    }

    /* loaded from: classes.dex */
    class g implements View.OnKeyListener {
        g() {
        }

        @Override // android.view.View.OnKeyListener
        public boolean onKey(View view, int i3, KeyEvent keyEvent) {
            SearchView searchView = SearchView.this;
            if (searchView.f830j0 == null) {
                return false;
            }
            if (!searchView.f840t.isPopupShowing() || SearchView.this.f840t.getListSelection() == -1) {
                if (!SearchView.this.f840t.c() && keyEvent.hasNoModifiers() && keyEvent.getAction() == 1 && i3 == 66) {
                    view.cancelLongPress();
                    SearchView searchView2 = SearchView.this;
                    searchView2.L(0, null, searchView2.f840t.getText().toString());
                    return true;
                }
                return false;
            }
            return SearchView.this.T(view, i3, keyEvent);
        }
    }

    /* loaded from: classes.dex */
    class h implements TextView.OnEditorActionListener {
        h() {
        }

        @Override // android.widget.TextView.OnEditorActionListener
        public boolean onEditorAction(TextView textView, int i3, KeyEvent keyEvent) {
            SearchView.this.S();
            return true;
        }
    }

    /* loaded from: classes.dex */
    class i implements AdapterView.OnItemClickListener {
        i() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i3, long j3) {
            SearchView.this.O(i3, 0, null);
        }
    }

    /* loaded from: classes.dex */
    class j implements AdapterView.OnItemSelectedListener {
        j() {
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onItemSelected(AdapterView<?> adapterView, View view, int i3, long j3) {
            SearchView.this.P(i3);
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onNothingSelected(AdapterView<?> adapterView) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class k {
        static void a(AutoCompleteTextView autoCompleteTextView) {
            autoCompleteTextView.refreshAutoCompleteResults();
        }

        static void b(SearchAutoComplete searchAutoComplete, int i3) {
            searchAutoComplete.setInputMethodMode(i3);
        }
    }

    /* loaded from: classes.dex */
    public interface l {
        boolean onClose();
    }

    /* loaded from: classes.dex */
    public interface m {
        boolean onQueryTextChange(String str);

        boolean onQueryTextSubmit(String str);
    }

    /* loaded from: classes.dex */
    public interface n {
        boolean onSuggestionClick(int i3);

        boolean onSuggestionSelect(int i3);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class o {

        /* renamed from: a  reason: collision with root package name */
        private Method f863a;

        /* renamed from: b  reason: collision with root package name */
        private Method f864b;

        /* renamed from: c  reason: collision with root package name */
        private Method f865c;

        o() {
            this.f863a = null;
            this.f864b = null;
            this.f865c = null;
            d();
            try {
                Method declaredMethod = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.f863a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                Method declaredMethod2 = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.f864b = declaredMethod2;
                declaredMethod2.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                Method method = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                this.f865c = method;
                method.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
        }

        private static void d() {
            if (Build.VERSION.SDK_INT >= 29) {
                throw new UnsupportedClassVersionError("This function can only be used for API Level < 29.");
            }
        }

        void a(AutoCompleteTextView autoCompleteTextView) {
            d();
            Method method = this.f864b;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        void b(AutoCompleteTextView autoCompleteTextView) {
            d();
            Method method = this.f863a;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        void c(AutoCompleteTextView autoCompleteTextView) {
            d();
            Method method = this.f865c;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, Boolean.TRUE);
                } catch (Exception unused) {
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class p extends y.a {
        public static final Parcelable.Creator<p> CREATOR = new a();

        /* renamed from: g  reason: collision with root package name */
        boolean f866g;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<p> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: a */
            public p createFromParcel(Parcel parcel) {
                return new p(parcel, null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: b */
            public p createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new p(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: c */
            public p[] newArray(int i3) {
                return new p[i3];
            }
        }

        public p(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f866g = ((Boolean) parcel.readValue(null)).booleanValue();
        }

        p(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "SearchView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " isIconified=" + this.f866g + "}";
        }

        @Override // y.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i3) {
            super.writeToParcel(parcel, i3);
            parcel.writeValue(Boolean.valueOf(this.f866g));
        }
    }

    /* loaded from: classes.dex */
    private static class q extends TouchDelegate {

        /* renamed from: a  reason: collision with root package name */
        private final View f867a;

        /* renamed from: b  reason: collision with root package name */
        private final Rect f868b;

        /* renamed from: c  reason: collision with root package name */
        private final Rect f869c;

        /* renamed from: d  reason: collision with root package name */
        private final Rect f870d;

        /* renamed from: e  reason: collision with root package name */
        private final int f871e;

        /* renamed from: f  reason: collision with root package name */
        private boolean f872f;

        public q(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.f871e = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            this.f868b = new Rect();
            this.f870d = new Rect();
            this.f869c = new Rect();
            a(rect, rect2);
            this.f867a = view;
        }

        public void a(Rect rect, Rect rect2) {
            this.f868b.set(rect);
            this.f870d.set(rect);
            Rect rect3 = this.f870d;
            int i3 = this.f871e;
            rect3.inset(-i3, -i3);
            this.f869c.set(rect2);
        }

        @Override // android.view.TouchDelegate
        public boolean onTouchEvent(MotionEvent motionEvent) {
            boolean z2;
            float f3;
            int i3;
            boolean z3;
            int x3 = (int) motionEvent.getX();
            int y2 = (int) motionEvent.getY();
            int action = motionEvent.getAction();
            boolean z4 = true;
            if (action != 0) {
                if (action == 1 || action == 2) {
                    z3 = this.f872f;
                    if (z3 && !this.f870d.contains(x3, y2)) {
                        z4 = z3;
                        z2 = false;
                    }
                } else {
                    if (action == 3) {
                        z3 = this.f872f;
                        this.f872f = false;
                    }
                    z2 = true;
                    z4 = false;
                }
                z4 = z3;
                z2 = true;
            } else {
                if (this.f868b.contains(x3, y2)) {
                    this.f872f = true;
                    z2 = true;
                }
                z2 = true;
                z4 = false;
            }
            if (z4) {
                if (!z2 || this.f869c.contains(x3, y2)) {
                    Rect rect = this.f869c;
                    f3 = x3 - rect.left;
                    i3 = y2 - rect.top;
                } else {
                    f3 = this.f867a.getWidth() / 2;
                    i3 = this.f867a.getHeight() / 2;
                }
                motionEvent.setLocation(f3, i3);
                return this.f867a.dispatchTouchEvent(motionEvent);
            }
            return false;
        }
    }

    static {
        f820u0 = Build.VERSION.SDK_INT < 29 ? new o() : null;
    }

    public SearchView(Context context) {
        this(context, null);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.a.H);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i3) {
        super(context, attributeSet, i3);
        this.D = new Rect();
        this.E = new Rect();
        this.F = new int[2];
        this.G = new int[2];
        this.f832l0 = new b();
        this.f833m0 = new c();
        this.f834n0 = new WeakHashMap<>();
        f fVar = new f();
        this.f835o0 = fVar;
        this.f836p0 = new g();
        h hVar = new h();
        this.f837q0 = hVar;
        i iVar = new i();
        this.f838r0 = iVar;
        j jVar = new j();
        this.f839s0 = jVar;
        this.f841t0 = new a();
        int[] iArr = f.j.f3044f2;
        l2 u3 = l2.u(context, attributeSet, iArr, i3, 0);
        androidx.core.view.s0.N(this, context, iArr, attributeSet, u3.q(), i3, 0);
        LayoutInflater.from(context).inflate(u3.m(f.j.f3084p2, f.g.f3001r), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(f.f.D);
        this.f840t = searchAutoComplete;
        searchAutoComplete.setSearchView(this);
        this.f842u = findViewById(f.f.f2983z);
        View findViewById = findViewById(f.f.C);
        this.f843v = findViewById;
        View findViewById2 = findViewById(f.f.J);
        this.f844w = findViewById2;
        ImageView imageView = (ImageView) findViewById(f.f.f2981x);
        this.f845x = imageView;
        ImageView imageView2 = (ImageView) findViewById(f.f.A);
        this.f846y = imageView2;
        ImageView imageView3 = (ImageView) findViewById(f.f.f2982y);
        this.f847z = imageView3;
        ImageView imageView4 = (ImageView) findViewById(f.f.E);
        this.A = imageView4;
        ImageView imageView5 = (ImageView) findViewById(f.f.B);
        this.H = imageView5;
        androidx.core.view.s0.S(findViewById, u3.f(f.j.f3088q2));
        androidx.core.view.s0.S(findViewById2, u3.f(f.j.f3104u2));
        int i4 = f.j.f3100t2;
        imageView.setImageDrawable(u3.f(i4));
        imageView2.setImageDrawable(u3.f(f.j.f3076n2));
        imageView3.setImageDrawable(u3.f(f.j.f3064k2));
        imageView4.setImageDrawable(u3.f(f.j.f3112w2));
        imageView5.setImageDrawable(u3.f(i4));
        this.I = u3.f(f.j.f3096s2);
        r2.a(imageView, getResources().getString(f.h.f3015l));
        this.J = u3.m(f.j.f3108v2, f.g.f3000q);
        this.K = u3.m(f.j.f3068l2, 0);
        imageView.setOnClickListener(fVar);
        imageView3.setOnClickListener(fVar);
        imageView2.setOnClickListener(fVar);
        imageView4.setOnClickListener(fVar);
        searchAutoComplete.setOnClickListener(fVar);
        searchAutoComplete.addTextChangedListener(this.f841t0);
        searchAutoComplete.setOnEditorActionListener(hVar);
        searchAutoComplete.setOnItemClickListener(iVar);
        searchAutoComplete.setOnItemSelectedListener(jVar);
        searchAutoComplete.setOnKeyListener(this.f836p0);
        searchAutoComplete.setOnFocusChangeListener(new d());
        setIconifiedByDefault(u3.a(f.j.f3080o2, true));
        int e3 = u3.e(f.j.f3052h2, -1);
        if (e3 != -1) {
            setMaxWidth(e3);
        }
        this.N = u3.o(f.j.f3072m2);
        this.f821a0 = u3.o(f.j.f3092r2);
        int j3 = u3.j(f.j.f3060j2, -1);
        if (j3 != -1) {
            setImeOptions(j3);
        }
        int j4 = u3.j(f.j.f3056i2, -1);
        if (j4 != -1) {
            setInputType(j4);
        }
        setFocusable(u3.a(f.j.f3048g2, true));
        u3.v();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        this.L = intent;
        intent.addFlags(268435456);
        intent.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        Intent intent2 = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.M = intent2;
        intent2.addFlags(268435456);
        View findViewById3 = findViewById(searchAutoComplete.getDropDownAnchor());
        this.B = findViewById3;
        if (findViewById3 != null) {
            findViewById3.addOnLayoutChangeListener(new e());
        }
        g0(this.T);
        c0();
    }

    private Intent A(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1107296256);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.f831k0;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        int voiceMaxResults = searchableInfo.getVoiceMaxResults() != 0 ? searchableInfo.getVoiceMaxResults() : 1;
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", voiceMaxResults);
        intent3.putExtra("calling_package", searchActivity != null ? searchActivity.flattenToShortString() : null);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    private Intent B(Intent intent, SearchableInfo searchableInfo) {
        Intent intent2 = new Intent(intent);
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        intent2.putExtra("calling_package", searchActivity == null ? null : searchActivity.flattenToShortString());
        return intent2;
    }

    private void C() {
        this.f840t.dismissDropDown();
    }

    private void E(View view, Rect rect) {
        view.getLocationInWindow(this.F);
        getLocationInWindow(this.G);
        int[] iArr = this.F;
        int i3 = iArr[1];
        int[] iArr2 = this.G;
        int i4 = i3 - iArr2[1];
        int i5 = iArr[0] - iArr2[0];
        rect.set(i5, i4, view.getWidth() + i5, view.getHeight() + i4);
    }

    private CharSequence F(CharSequence charSequence) {
        if (!this.T || this.I == null) {
            return charSequence;
        }
        int textSize = (int) (this.f840t.getTextSize() * 1.25d);
        this.I.setBounds(0, 0, textSize, textSize);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
        spannableStringBuilder.setSpan(new ImageSpan(this.I), 1, 2, 33);
        spannableStringBuilder.append(charSequence);
        return spannableStringBuilder;
    }

    private boolean G() {
        SearchableInfo searchableInfo = this.f830j0;
        if (searchableInfo == null || !searchableInfo.getVoiceSearchEnabled()) {
            return false;
        }
        Intent intent = null;
        if (this.f830j0.getVoiceSearchLaunchWebSearch()) {
            intent = this.L;
        } else if (this.f830j0.getVoiceSearchLaunchRecognizer()) {
            intent = this.M;
        }
        return (intent == null || getContext().getPackageManager().resolveActivity(intent, 65536) == null) ? false : true;
    }

    static boolean I(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }

    private boolean J() {
        return (this.W || this.f825e0) && !H();
    }

    private void K(Intent intent) {
        if (intent == null) {
            return;
        }
        try {
            getContext().startActivity(intent);
        } catch (RuntimeException e3) {
            Log.e("SearchView", "Failed launch activity: " + intent, e3);
        }
    }

    private boolean M(int i3, int i4, String str) {
        Cursor b3 = this.V.b();
        if (b3 == null || !b3.moveToPosition(i3)) {
            return false;
        }
        K(z(b3, i4, str));
        return true;
    }

    private void X() {
        post(this.f832l0);
    }

    private void Y(int i3) {
        CharSequence convertToString;
        Editable text = this.f840t.getText();
        Cursor b3 = this.V.b();
        if (b3 == null) {
            return;
        }
        if (!b3.moveToPosition(i3) || (convertToString = this.V.convertToString(b3)) == null) {
            setQuery(text);
        } else {
            setQuery(convertToString);
        }
    }

    private void a0() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.f840t.getText());
        if (!z3 && (!this.T || this.f828h0)) {
            z2 = false;
        }
        this.f847z.setVisibility(z2 ? 0 : 8);
        Drawable drawable = this.f847z.getDrawable();
        if (drawable != null) {
            drawable.setState(z3 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    private void c0() {
        CharSequence queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.f840t;
        if (queryHint == null) {
            queryHint = "";
        }
        searchAutoComplete.setHint(F(queryHint));
    }

    private void d0() {
        this.f840t.setThreshold(this.f830j0.getSuggestThreshold());
        this.f840t.setImeOptions(this.f830j0.getImeOptions());
        int inputType = this.f830j0.getInputType();
        if ((inputType & 15) == 1) {
            inputType &= -65537;
            if (this.f830j0.getSuggestAuthority() != null) {
                inputType = inputType | 65536 | 524288;
            }
        }
        this.f840t.setInputType(inputType);
        x.a aVar = this.V;
        if (aVar != null) {
            aVar.a(null);
        }
        if (this.f830j0.getSuggestAuthority() != null) {
            f2 f2Var = new f2(getContext(), this, this.f830j0, this.f834n0);
            this.V = f2Var;
            this.f840t.setAdapter(f2Var);
            ((f2) this.V).w(this.f822b0 ? 2 : 1);
        }
    }

    private void e0() {
        this.f844w.setVisibility((J() && (this.f846y.getVisibility() == 0 || this.A.getVisibility() == 0)) ? 0 : 8);
    }

    private void f0(boolean z2) {
        this.f846y.setVisibility((this.W && J() && hasFocus() && (z2 || !this.f825e0)) ? 0 : 8);
    }

    private void g0(boolean z2) {
        this.U = z2;
        int i3 = 0;
        int i4 = z2 ? 0 : 8;
        boolean z3 = !TextUtils.isEmpty(this.f840t.getText());
        this.f845x.setVisibility(i4);
        f0(z3);
        this.f842u.setVisibility(z2 ? 8 : 0);
        this.H.setVisibility((this.H.getDrawable() == null || this.T) ? 8 : 8);
        a0();
        h0(!z3);
        e0();
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(f.d.f2923g);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(f.d.f2924h);
    }

    private void h0(boolean z2) {
        int i3 = 8;
        if (this.f825e0 && !H() && z2) {
            this.f846y.setVisibility(8);
            i3 = 0;
        }
        this.A.setVisibility(i3);
    }

    private void setQuery(CharSequence charSequence) {
        this.f840t.setText(charSequence);
        this.f840t.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    private Intent y(String str, Uri uri, String str2, String str3, int i3, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.f827g0);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.f831k0;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        if (i3 != 0) {
            intent.putExtra("action_key", i3);
            intent.putExtra("action_msg", str4);
        }
        intent.setComponent(this.f830j0.getSearchActivity());
        return intent;
    }

    private Intent z(Cursor cursor, int i3, String str) {
        int i4;
        String n3;
        try {
            String n4 = f2.n(cursor, "suggest_intent_action");
            if (n4 == null) {
                n4 = this.f830j0.getSuggestIntentAction();
            }
            if (n4 == null) {
                n4 = "android.intent.action.SEARCH";
            }
            String str2 = n4;
            String n5 = f2.n(cursor, "suggest_intent_data");
            if (n5 == null) {
                n5 = this.f830j0.getSuggestIntentData();
            }
            if (n5 != null && (n3 = f2.n(cursor, "suggest_intent_data_id")) != null) {
                n5 = n5 + "/" + Uri.encode(n3);
            }
            return y(str2, n5 == null ? null : Uri.parse(n5), f2.n(cursor, "suggest_intent_extra_data"), f2.n(cursor, "suggest_intent_query"), i3, str);
        } catch (RuntimeException e3) {
            try {
                i4 = cursor.getPosition();
            } catch (RuntimeException unused) {
                i4 = -1;
            }
            Log.w("SearchView", "Search suggestions cursor at row " + i4 + " returned exception.", e3);
            return null;
        }
    }

    void D() {
        if (Build.VERSION.SDK_INT >= 29) {
            k.a(this.f840t);
            return;
        }
        o oVar = f820u0;
        oVar.b(this.f840t);
        oVar.a(this.f840t);
    }

    public boolean H() {
        return this.U;
    }

    void L(int i3, String str, String str2) {
        getContext().startActivity(y("android.intent.action.SEARCH", null, null, str2, i3, str));
    }

    void N() {
        if (!TextUtils.isEmpty(this.f840t.getText())) {
            this.f840t.setText("");
            this.f840t.requestFocus();
            this.f840t.setImeVisibility(true);
        } else if (this.T) {
            l lVar = this.P;
            if (lVar == null || !lVar.onClose()) {
                clearFocus();
                g0(true);
            }
        }
    }

    boolean O(int i3, int i4, String str) {
        n nVar = this.R;
        if (nVar == null || !nVar.onSuggestionClick(i3)) {
            M(i3, 0, null);
            this.f840t.setImeVisibility(false);
            C();
            return true;
        }
        return false;
    }

    boolean P(int i3) {
        n nVar = this.R;
        if (nVar == null || !nVar.onSuggestionSelect(i3)) {
            Y(i3);
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void Q(CharSequence charSequence) {
        setQuery(charSequence);
    }

    void R() {
        g0(false);
        this.f840t.requestFocus();
        this.f840t.setImeVisibility(true);
        View.OnClickListener onClickListener = this.S;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    void S() {
        Editable text = this.f840t.getText();
        if (text == null || TextUtils.getTrimmedLength(text) <= 0) {
            return;
        }
        m mVar = this.O;
        if (mVar == null || !mVar.onQueryTextSubmit(text.toString())) {
            if (this.f830j0 != null) {
                L(0, null, text.toString());
            }
            this.f840t.setImeVisibility(false);
            C();
        }
    }

    boolean T(View view, int i3, KeyEvent keyEvent) {
        if (this.f830j0 != null && this.V != null && keyEvent.getAction() == 0 && keyEvent.hasNoModifiers()) {
            if (i3 == 66 || i3 == 84 || i3 == 61) {
                return O(this.f840t.getListSelection(), 0, null);
            }
            if (i3 == 21 || i3 == 22) {
                this.f840t.setSelection(i3 == 21 ? 0 : this.f840t.length());
                this.f840t.setListSelection(0);
                this.f840t.clearListSelection();
                this.f840t.b();
                return true;
            } else if (i3 == 19) {
                this.f840t.getListSelection();
                return false;
            }
        }
        return false;
    }

    void U(CharSequence charSequence) {
        Editable text = this.f840t.getText();
        this.f827g0 = text;
        boolean z2 = !TextUtils.isEmpty(text);
        f0(z2);
        h0(!z2);
        a0();
        e0();
        if (this.O != null && !TextUtils.equals(charSequence, this.f826f0)) {
            this.O.onQueryTextChange(charSequence.toString());
        }
        this.f826f0 = charSequence.toString();
    }

    void V() {
        g0(H());
        X();
        if (this.f840t.hasFocus()) {
            D();
        }
    }

    void W() {
        Intent A;
        SearchableInfo searchableInfo = this.f830j0;
        if (searchableInfo == null) {
            return;
        }
        try {
            if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                A = B(this.L, searchableInfo);
            } else if (!searchableInfo.getVoiceSearchLaunchRecognizer()) {
                return;
            } else {
                A = A(this.M, searchableInfo);
            }
            getContext().startActivity(A);
        } catch (ActivityNotFoundException unused) {
            Log.w("SearchView", "Could not find voice search activity");
        }
    }

    public void Z(CharSequence charSequence, boolean z2) {
        this.f840t.setText(charSequence);
        if (charSequence != null) {
            SearchAutoComplete searchAutoComplete = this.f840t;
            searchAutoComplete.setSelection(searchAutoComplete.length());
            this.f827g0 = charSequence;
        }
        if (!z2 || TextUtils.isEmpty(charSequence)) {
            return;
        }
        S();
    }

    void b0() {
        int[] iArr = this.f840t.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f843v.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.f844w.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    @Override // android.view.ViewGroup, android.view.View
    public void clearFocus() {
        this.f823c0 = true;
        super.clearFocus();
        this.f840t.clearFocus();
        this.f840t.setImeVisibility(false);
        this.f823c0 = false;
    }

    public int getImeOptions() {
        return this.f840t.getImeOptions();
    }

    public int getInputType() {
        return this.f840t.getInputType();
    }

    public int getMaxWidth() {
        return this.f824d0;
    }

    public CharSequence getQuery() {
        return this.f840t.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.f821a0;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.f830j0;
        return (searchableInfo == null || searchableInfo.getHintId() == 0) ? this.N : getContext().getText(this.f830j0.getHintId());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int getSuggestionCommitIconResId() {
        return this.K;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int getSuggestionRowLayout() {
        return this.J;
    }

    public x.a getSuggestionsAdapter() {
        return this.V;
    }

    @Override // androidx.appcompat.view.c
    public void onActionViewCollapsed() {
        Z("", false);
        clearFocus();
        g0(true);
        this.f840t.setImeOptions(this.f829i0);
        this.f828h0 = false;
    }

    @Override // androidx.appcompat.view.c
    public void onActionViewExpanded() {
        if (this.f828h0) {
            return;
        }
        this.f828h0 = true;
        int imeOptions = this.f840t.getImeOptions();
        this.f829i0 = imeOptions;
        this.f840t.setImeOptions(imeOptions | 33554432);
        this.f840t.setText("");
        setIconified(false);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        removeCallbacks(this.f832l0);
        post(this.f833m0);
        super.onDetachedFromWindow();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.q1, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z2, int i3, int i4, int i5, int i6) {
        super.onLayout(z2, i3, i4, i5, i6);
        if (z2) {
            E(this.f840t, this.D);
            Rect rect = this.E;
            Rect rect2 = this.D;
            rect.set(rect2.left, 0, rect2.right, i6 - i4);
            q qVar = this.C;
            if (qVar != null) {
                qVar.a(this.E, this.D);
                return;
            }
            q qVar2 = new q(this.E, this.D, this.f840t);
            this.C = qVar2;
            setTouchDelegate(qVar2);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x001f, code lost:
        if (r0 <= 0) goto L13;
     */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0043  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x004b  */
    @Override // androidx.appcompat.widget.q1, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMeasure(int i3, int i4) {
        int i5;
        int mode;
        if (H()) {
            super.onMeasure(i3, i4);
            return;
        }
        int mode2 = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i3);
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 == 0) {
                size = this.f824d0;
                if (size <= 0) {
                    size = getPreferredWidth();
                }
            } else if (mode2 == 1073741824) {
                i5 = this.f824d0;
            }
            mode = View.MeasureSpec.getMode(i4);
            int size2 = View.MeasureSpec.getSize(i4);
            if (mode != Integer.MIN_VALUE) {
                size2 = Math.min(getPreferredHeight(), size2);
            } else if (mode == 0) {
                size2 = getPreferredHeight();
            }
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
        }
        i5 = this.f824d0;
        if (i5 <= 0) {
            i5 = getPreferredWidth();
        }
        size = Math.min(i5, size);
        mode = View.MeasureSpec.getMode(i4);
        int size22 = View.MeasureSpec.getSize(i4);
        if (mode != Integer.MIN_VALUE) {
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size22, 1073741824));
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof p)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        p pVar = (p) parcelable;
        super.onRestoreInstanceState(pVar.a());
        g0(pVar.f866g);
        requestLayout();
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        p pVar = new p(super.onSaveInstanceState());
        pVar.f866g = H();
        return pVar;
    }

    @Override // android.view.View
    public void onWindowFocusChanged(boolean z2) {
        super.onWindowFocusChanged(z2);
        X();
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean requestFocus(int i3, Rect rect) {
        if (!this.f823c0 && isFocusable()) {
            if (H()) {
                return super.requestFocus(i3, rect);
            }
            boolean requestFocus = this.f840t.requestFocus(i3, rect);
            if (requestFocus) {
                g0(false);
            }
            return requestFocus;
        }
        return false;
    }

    public void setAppSearchData(Bundle bundle) {
        this.f831k0 = bundle;
    }

    public void setIconified(boolean z2) {
        if (z2) {
            N();
        } else {
            R();
        }
    }

    public void setIconifiedByDefault(boolean z2) {
        if (this.T == z2) {
            return;
        }
        this.T = z2;
        g0(z2);
        c0();
    }

    public void setImeOptions(int i3) {
        this.f840t.setImeOptions(i3);
    }

    public void setInputType(int i3) {
        this.f840t.setInputType(i3);
    }

    public void setMaxWidth(int i3) {
        this.f824d0 = i3;
        requestLayout();
    }

    public void setOnCloseListener(l lVar) {
        this.P = lVar;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.Q = onFocusChangeListener;
    }

    public void setOnQueryTextListener(m mVar) {
        this.O = mVar;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.S = onClickListener;
    }

    public void setOnSuggestionListener(n nVar) {
        this.R = nVar;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.f821a0 = charSequence;
        c0();
    }

    public void setQueryRefinementEnabled(boolean z2) {
        this.f822b0 = z2;
        x.a aVar = this.V;
        if (aVar instanceof f2) {
            ((f2) aVar).w(z2 ? 2 : 1);
        }
    }

    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.f830j0 = searchableInfo;
        if (searchableInfo != null) {
            d0();
            c0();
        }
        boolean G = G();
        this.f825e0 = G;
        if (G) {
            this.f840t.setPrivateImeOptions("nm");
        }
        g0(H());
    }

    public void setSubmitButtonEnabled(boolean z2) {
        this.W = z2;
        g0(H());
    }

    public void setSuggestionsAdapter(x.a aVar) {
        this.V = aVar;
        this.f840t.setAdapter(aVar);
    }

    void x() {
        if (this.B.getWidth() > 1) {
            Resources resources = getContext().getResources();
            int paddingLeft = this.f843v.getPaddingLeft();
            Rect rect = new Rect();
            boolean b3 = x2.b(this);
            int dimensionPixelSize = this.T ? resources.getDimensionPixelSize(f.d.f2921e) + resources.getDimensionPixelSize(f.d.f2922f) : 0;
            this.f840t.getDropDownBackground().getPadding(rect);
            int i3 = rect.left;
            this.f840t.setDropDownHorizontalOffset(b3 ? -i3 : paddingLeft - (i3 + dimensionPixelSize));
            this.f840t.setDropDownWidth((((this.B.getWidth() + rect.left) + rect.right) + dimensionPixelSize) - paddingLeft);
        }
    }
}
