package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import java.lang.ref.WeakReference;
/* loaded from: classes.dex */
public final class ViewStubCompat extends View {

    /* renamed from: e  reason: collision with root package name */
    private int f906e;

    /* renamed from: f  reason: collision with root package name */
    private int f907f;

    /* renamed from: g  reason: collision with root package name */
    private WeakReference<View> f908g;

    /* renamed from: h  reason: collision with root package name */
    private LayoutInflater f909h;

    /* renamed from: i  reason: collision with root package name */
    private a f910i;

    /* loaded from: classes.dex */
    public interface a {
        void a(ViewStubCompat viewStubCompat, View view);
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ViewStubCompat(Context context, AttributeSet attributeSet, int i3) {
        super(context, attributeSet, i3);
        this.f906e = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f.j.C3, i3, 0);
        this.f907f = obtainStyledAttributes.getResourceId(f.j.F3, -1);
        this.f906e = obtainStyledAttributes.getResourceId(f.j.E3, 0);
        setId(obtainStyledAttributes.getResourceId(f.j.D3, -1));
        obtainStyledAttributes.recycle();
        setVisibility(8);
        setWillNotDraw(true);
    }

    public View a() {
        ViewParent parent = getParent();
        if (parent instanceof ViewGroup) {
            if (this.f906e != 0) {
                ViewGroup viewGroup = (ViewGroup) parent;
                LayoutInflater layoutInflater = this.f909h;
                if (layoutInflater == null) {
                    layoutInflater = LayoutInflater.from(getContext());
                }
                View inflate = layoutInflater.inflate(this.f906e, viewGroup, false);
                int i3 = this.f907f;
                if (i3 != -1) {
                    inflate.setId(i3);
                }
                int indexOfChild = viewGroup.indexOfChild(this);
                viewGroup.removeViewInLayout(this);
                ViewGroup.LayoutParams layoutParams = getLayoutParams();
                if (layoutParams != null) {
                    viewGroup.addView(inflate, indexOfChild, layoutParams);
                } else {
                    viewGroup.addView(inflate, indexOfChild);
                }
                this.f908g = new WeakReference<>(inflate);
                a aVar = this.f910i;
                if (aVar != null) {
                    aVar.a(this, inflate);
                }
                return inflate;
            }
            throw new IllegalArgumentException("ViewStub must have a valid layoutResource");
        }
        throw new IllegalStateException("ViewStub must have a non-null ViewGroup viewParent");
    }

    @Override // android.view.View
    protected void dispatchDraw(Canvas canvas) {
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
    }

    public int getInflatedId() {
        return this.f907f;
    }

    public LayoutInflater getLayoutInflater() {
        return this.f909h;
    }

    public int getLayoutResource() {
        return this.f906e;
    }

    @Override // android.view.View
    protected void onMeasure(int i3, int i4) {
        setMeasuredDimension(0, 0);
    }

    public void setInflatedId(int i3) {
        this.f907f = i3;
    }

    public void setLayoutInflater(LayoutInflater layoutInflater) {
        this.f909h = layoutInflater;
    }

    public void setLayoutResource(int i3) {
        this.f906e = i3;
    }

    public void setOnInflateListener(a aVar) {
        this.f910i = aVar;
    }

    @Override // android.view.View
    public void setVisibility(int i3) {
        WeakReference<View> weakReference = this.f908g;
        if (weakReference != null) {
            View view = weakReference.get();
            if (view == null) {
                throw new IllegalStateException("setVisibility called on un-referenced view");
            }
            view.setVisibility(i3);
            return;
        }
        super.setVisibility(i3);
        if (i3 == 0 || i3 == 4) {
            a();
        }
    }
}
