package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public final class a2 {

    /* renamed from: i  reason: collision with root package name */
    private static a2 f923i;

    /* renamed from: a  reason: collision with root package name */
    private WeakHashMap<Context, n.h<ColorStateList>> f925a;

    /* renamed from: b  reason: collision with root package name */
    private n.g<String, e> f926b;

    /* renamed from: c  reason: collision with root package name */
    private n.h<String> f927c;

    /* renamed from: d  reason: collision with root package name */
    private final WeakHashMap<Context, n.d<WeakReference<Drawable.ConstantState>>> f928d = new WeakHashMap<>(0);

    /* renamed from: e  reason: collision with root package name */
    private TypedValue f929e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f930f;

    /* renamed from: g  reason: collision with root package name */
    private f f931g;

    /* renamed from: h  reason: collision with root package name */
    private static final PorterDuff.Mode f922h = PorterDuff.Mode.SRC_IN;

    /* renamed from: j  reason: collision with root package name */
    private static final c f924j = new c(6);

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class a implements e {
        a() {
        }

        @Override // androidx.appcompat.widget.a2.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return h.a.m(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e3) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e3);
                return null;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class b implements e {
        b() {
        }

        @Override // androidx.appcompat.widget.a2.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return androidx.vectordrawable.graphics.drawable.b.a(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e3) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e3);
                return null;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class c extends n.e<Integer, PorterDuffColorFilter> {
        public c(int i3) {
            super(i3);
        }

        private static int h(int i3, PorterDuff.Mode mode) {
            return ((i3 + 31) * 31) + mode.hashCode();
        }

        PorterDuffColorFilter i(int i3, PorterDuff.Mode mode) {
            return c(Integer.valueOf(h(i3, mode)));
        }

        PorterDuffColorFilter j(int i3, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return d(Integer.valueOf(h(i3, mode)), porterDuffColorFilter);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class d implements e {
        d() {
        }

        @Override // androidx.appcompat.widget.a2.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            String classAttribute = attributeSet.getClassAttribute();
            if (classAttribute != null) {
                try {
                    Drawable drawable = (Drawable) d.class.getClassLoader().loadClass(classAttribute).asSubclass(Drawable.class).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                    i.c.c(drawable, context.getResources(), xmlPullParser, attributeSet, theme);
                    return drawable;
                } catch (Exception e3) {
                    Log.e("DrawableDelegate", "Exception while inflating <drawable>", e3);
                }
            }
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public interface e {
        Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    /* loaded from: classes.dex */
    public interface f {
        boolean a(Context context, int i3, Drawable drawable);

        PorterDuff.Mode b(int i3);

        Drawable c(a2 a2Var, Context context, int i3);

        ColorStateList d(Context context, int i3);

        boolean e(Context context, int i3, Drawable drawable);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class g implements e {
        g() {
        }

        @Override // androidx.appcompat.widget.a2.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return androidx.vectordrawable.graphics.drawable.g.c(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e3) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e3);
                return null;
            }
        }
    }

    private void a(String str, e eVar) {
        if (this.f926b == null) {
            this.f926b = new n.g<>();
        }
        this.f926b.put(str, eVar);
    }

    private synchronized boolean b(Context context, long j3, Drawable drawable) {
        boolean z2;
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState != null) {
            n.d<WeakReference<Drawable.ConstantState>> dVar = this.f928d.get(context);
            if (dVar == null) {
                dVar = new n.d<>();
                this.f928d.put(context, dVar);
            }
            dVar.h(j3, new WeakReference<>(constantState));
            z2 = true;
        } else {
            z2 = false;
        }
        return z2;
    }

    private void c(Context context, int i3, ColorStateList colorStateList) {
        if (this.f925a == null) {
            this.f925a = new WeakHashMap<>();
        }
        n.h<ColorStateList> hVar = this.f925a.get(context);
        if (hVar == null) {
            hVar = new n.h<>();
            this.f925a.put(context, hVar);
        }
        hVar.a(i3, colorStateList);
    }

    private void d(Context context) {
        if (this.f930f) {
            return;
        }
        this.f930f = true;
        Drawable j3 = j(context, i.d.f3284a);
        if (j3 == null || !q(j3)) {
            this.f930f = false;
            throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
        }
    }

    private static long e(TypedValue typedValue) {
        return (typedValue.assetCookie << 32) | typedValue.data;
    }

    private Drawable f(Context context, int i3) {
        if (this.f929e == null) {
            this.f929e = new TypedValue();
        }
        TypedValue typedValue = this.f929e;
        context.getResources().getValue(i3, typedValue, true);
        long e3 = e(typedValue);
        Drawable i4 = i(context, e3);
        if (i4 != null) {
            return i4;
        }
        f fVar = this.f931g;
        Drawable c3 = fVar == null ? null : fVar.c(this, context, i3);
        if (c3 != null) {
            c3.setChangingConfigurations(typedValue.changingConfigurations);
            b(context, e3, c3);
        }
        return c3;
    }

    private static PorterDuffColorFilter g(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return l(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static synchronized a2 h() {
        a2 a2Var;
        synchronized (a2.class) {
            if (f923i == null) {
                a2 a2Var2 = new a2();
                f923i = a2Var2;
                p(a2Var2);
            }
            a2Var = f923i;
        }
        return a2Var;
    }

    private synchronized Drawable i(Context context, long j3) {
        n.d<WeakReference<Drawable.ConstantState>> dVar = this.f928d.get(context);
        if (dVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> e3 = dVar.e(j3);
        if (e3 != null) {
            Drawable.ConstantState constantState = e3.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            dVar.i(j3);
        }
        return null;
    }

    public static synchronized PorterDuffColorFilter l(int i3, PorterDuff.Mode mode) {
        PorterDuffColorFilter i4;
        synchronized (a2.class) {
            c cVar = f924j;
            i4 = cVar.i(i3, mode);
            if (i4 == null) {
                i4 = new PorterDuffColorFilter(i3, mode);
                cVar.j(i3, mode, i4);
            }
        }
        return i4;
    }

    private ColorStateList n(Context context, int i3) {
        n.h<ColorStateList> hVar;
        WeakHashMap<Context, n.h<ColorStateList>> weakHashMap = this.f925a;
        if (weakHashMap == null || (hVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return hVar.e(i3);
    }

    private static void p(a2 a2Var) {
        if (Build.VERSION.SDK_INT < 24) {
            a2Var.a("vector", new g());
            a2Var.a("animated-vector", new b());
            a2Var.a("animated-selector", new a());
            a2Var.a("drawable", new d());
        }
    }

    private static boolean q(Drawable drawable) {
        return (drawable instanceof androidx.vectordrawable.graphics.drawable.g) || "android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName());
    }

    private Drawable r(Context context, int i3) {
        int next;
        n.g<String, e> gVar = this.f926b;
        if (gVar == null || gVar.isEmpty()) {
            return null;
        }
        n.h<String> hVar = this.f927c;
        if (hVar != null) {
            String e3 = hVar.e(i3);
            if ("appcompat_skip_skip".equals(e3) || (e3 != null && this.f926b.get(e3) == null)) {
                return null;
            }
        } else {
            this.f927c = new n.h<>();
        }
        if (this.f929e == null) {
            this.f929e = new TypedValue();
        }
        TypedValue typedValue = this.f929e;
        Resources resources = context.getResources();
        resources.getValue(i3, typedValue, true);
        long e4 = e(typedValue);
        Drawable i4 = i(context, e4);
        if (i4 != null) {
            return i4;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i3);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        break;
                    }
                }
                if (next != 2) {
                    throw new XmlPullParserException("No start tag found");
                }
                String name = xml.getName();
                this.f927c.a(i3, name);
                e eVar = this.f926b.get(name);
                if (eVar != null) {
                    i4 = eVar.a(context, xml, asAttributeSet, context.getTheme());
                }
                if (i4 != null) {
                    i4.setChangingConfigurations(typedValue.changingConfigurations);
                    b(context, e4, i4);
                }
            } catch (Exception e5) {
                Log.e("ResourceManagerInternal", "Exception while inflating drawable", e5);
            }
        }
        if (i4 == null) {
            this.f927c.a(i3, "appcompat_skip_skip");
        }
        return i4;
    }

    private Drawable v(Context context, int i3, boolean z2, Drawable drawable) {
        ColorStateList m3 = m(context, i3);
        if (m3 == null) {
            f fVar = this.f931g;
            if ((fVar == null || !fVar.e(context, i3, drawable)) && !x(context, i3, drawable) && z2) {
                return null;
            }
            return drawable;
        }
        if (m1.a(drawable)) {
            drawable = drawable.mutate();
        }
        Drawable p3 = androidx.core.graphics.drawable.a.p(drawable);
        androidx.core.graphics.drawable.a.n(p3, m3);
        PorterDuff.Mode o3 = o(i3);
        if (o3 != null) {
            androidx.core.graphics.drawable.a.o(p3, o3);
            return p3;
        }
        return p3;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void w(Drawable drawable, j2 j2Var, int[] iArr) {
        int[] state = drawable.getState();
        if (m1.a(drawable)) {
            if (!(drawable.mutate() == drawable)) {
                Log.d("ResourceManagerInternal", "Mutated drawable is not the same instance as the input.");
                return;
            }
        }
        if ((drawable instanceof LayerDrawable) && drawable.isStateful()) {
            drawable.setState(new int[0]);
            drawable.setState(state);
        }
        boolean z2 = j2Var.f1075d;
        if (z2 || j2Var.f1074c) {
            drawable.setColorFilter(g(z2 ? j2Var.f1072a : null, j2Var.f1074c ? j2Var.f1073b : f922h, iArr));
        } else {
            drawable.clearColorFilter();
        }
        if (Build.VERSION.SDK_INT <= 23) {
            drawable.invalidateSelf();
        }
    }

    public synchronized Drawable j(Context context, int i3) {
        return k(context, i3, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public synchronized Drawable k(Context context, int i3, boolean z2) {
        Drawable r3;
        d(context);
        r3 = r(context, i3);
        if (r3 == null) {
            r3 = f(context, i3);
        }
        if (r3 == null) {
            r3 = androidx.core.content.a.d(context, i3);
        }
        if (r3 != null) {
            r3 = v(context, i3, z2, r3);
        }
        if (r3 != null) {
            m1.b(r3);
        }
        return r3;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public synchronized ColorStateList m(Context context, int i3) {
        ColorStateList n3;
        n3 = n(context, i3);
        if (n3 == null) {
            f fVar = this.f931g;
            n3 = fVar == null ? null : fVar.d(context, i3);
            if (n3 != null) {
                c(context, i3, n3);
            }
        }
        return n3;
    }

    PorterDuff.Mode o(int i3) {
        f fVar = this.f931g;
        if (fVar == null) {
            return null;
        }
        return fVar.b(i3);
    }

    public synchronized void s(Context context) {
        n.d<WeakReference<Drawable.ConstantState>> dVar = this.f928d.get(context);
        if (dVar != null) {
            dVar.b();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public synchronized Drawable t(Context context, w2 w2Var, int i3) {
        Drawable r3 = r(context, i3);
        if (r3 == null) {
            r3 = w2Var.a(i3);
        }
        if (r3 != null) {
            return v(context, i3, false, r3);
        }
        return null;
    }

    public synchronized void u(f fVar) {
        this.f931g = fVar;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean x(Context context, int i3, Drawable drawable) {
        f fVar = this.f931g;
        return fVar != null && fVar.a(context, i3, drawable);
    }
}
