package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.StaticLayout$Builder;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.widget.TextView;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public class e1 {

    /* renamed from: l  reason: collision with root package name */
    private static final RectF f1002l = new RectF();

    /* renamed from: m  reason: collision with root package name */
    private static ConcurrentHashMap<String, Method> f1003m = new ConcurrentHashMap<>();

    /* renamed from: n  reason: collision with root package name */
    private static ConcurrentHashMap<String, Field> f1004n = new ConcurrentHashMap<>();

    /* renamed from: a  reason: collision with root package name */
    private int f1005a = 0;

    /* renamed from: b  reason: collision with root package name */
    private boolean f1006b = false;

    /* renamed from: c  reason: collision with root package name */
    private float f1007c = -1.0f;

    /* renamed from: d  reason: collision with root package name */
    private float f1008d = -1.0f;

    /* renamed from: e  reason: collision with root package name */
    private float f1009e = -1.0f;

    /* renamed from: f  reason: collision with root package name */
    private int[] f1010f = new int[0];

    /* renamed from: g  reason: collision with root package name */
    private boolean f1011g = false;

    /* renamed from: h  reason: collision with root package name */
    private TextPaint f1012h;

    /* renamed from: i  reason: collision with root package name */
    private final TextView f1013i;

    /* renamed from: j  reason: collision with root package name */
    private final Context f1014j;

    /* renamed from: k  reason: collision with root package name */
    private final f f1015k;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class a {
        static StaticLayout a(CharSequence charSequence, Layout.Alignment alignment, int i3, TextView textView, TextPaint textPaint) {
            return new StaticLayout(charSequence, textPaint, i3, alignment, textView.getLineSpacingMultiplier(), textView.getLineSpacingExtra(), textView.getIncludeFontPadding());
        }

        static int b(TextView textView) {
            return textView.getMaxLines();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class b {
        static boolean a(View view) {
            return view.isInLayout();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class c {
        static StaticLayout a(CharSequence charSequence, Layout.Alignment alignment, int i3, int i4, TextView textView, TextPaint textPaint, f fVar) {
            int breakStrategy;
            int hyphenationFrequency;
            StaticLayout$Builder obtain = StaticLayout$Builder.obtain(charSequence, 0, charSequence.length(), textPaint, i3);
            StaticLayout$Builder includePad = obtain.setAlignment(alignment).setLineSpacing(textView.getLineSpacingExtra(), textView.getLineSpacingMultiplier()).setIncludePad(textView.getIncludeFontPadding());
            breakStrategy = textView.getBreakStrategy();
            StaticLayout$Builder breakStrategy2 = includePad.setBreakStrategy(breakStrategy);
            hyphenationFrequency = textView.getHyphenationFrequency();
            StaticLayout$Builder hyphenationFrequency2 = breakStrategy2.setHyphenationFrequency(hyphenationFrequency);
            if (i4 == -1) {
                i4 = Integer.MAX_VALUE;
            }
            hyphenationFrequency2.setMaxLines(i4);
            try {
                fVar.a(obtain, textView);
            } catch (ClassCastException unused) {
                Log.w("ACTVAutoSizeHelper", "Failed to obtain TextDirectionHeuristic, auto size may be incorrect");
            }
            return obtain.build();
        }
    }

    /* loaded from: classes.dex */
    private static class d extends f {
        d() {
        }

        @Override // androidx.appcompat.widget.e1.f
        void a(StaticLayout$Builder staticLayout$Builder, TextView textView) {
            staticLayout$Builder.setTextDirection((TextDirectionHeuristic) e1.m(textView, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR));
        }
    }

    /* loaded from: classes.dex */
    private static class e extends d {
        e() {
        }

        @Override // androidx.appcompat.widget.e1.d, androidx.appcompat.widget.e1.f
        void a(StaticLayout$Builder staticLayout$Builder, TextView textView) {
            TextDirectionHeuristic textDirectionHeuristic;
            textDirectionHeuristic = textView.getTextDirectionHeuristic();
            staticLayout$Builder.setTextDirection(textDirectionHeuristic);
        }

        @Override // androidx.appcompat.widget.e1.f
        boolean b(TextView textView) {
            boolean isHorizontallyScrollable;
            isHorizontallyScrollable = textView.isHorizontallyScrollable();
            return isHorizontallyScrollable;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class f {
        f() {
        }

        void a(StaticLayout$Builder staticLayout$Builder, TextView textView) {
        }

        boolean b(TextView textView) {
            return ((Boolean) e1.m(textView, "getHorizontallyScrolling", Boolean.FALSE)).booleanValue();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public e1(TextView textView) {
        this.f1013i = textView;
        this.f1014j = textView.getContext();
        int i3 = Build.VERSION.SDK_INT;
        this.f1015k = i3 >= 29 ? new e() : i3 >= 23 ? new d() : new f();
    }

    private int[] b(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i3 : iArr) {
            if (i3 > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i3)) < 0) {
                arrayList.add(Integer.valueOf(i3));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i4 = 0; i4 < size; i4++) {
            iArr2[i4] = ((Integer) arrayList.get(i4)).intValue();
        }
        return iArr2;
    }

    private void c() {
        this.f1005a = 0;
        this.f1008d = -1.0f;
        this.f1009e = -1.0f;
        this.f1007c = -1.0f;
        this.f1010f = new int[0];
        this.f1006b = false;
    }

    private int e(RectF rectF) {
        int length = this.f1010f.length;
        if (length != 0) {
            int i3 = length - 1;
            int i4 = 1;
            int i5 = 0;
            while (i4 <= i3) {
                int i6 = (i4 + i3) / 2;
                if (x(this.f1010f[i6], rectF)) {
                    int i7 = i6 + 1;
                    i5 = i4;
                    i4 = i7;
                } else {
                    i5 = i6 - 1;
                    i3 = i5;
                }
            }
            return this.f1010f[i5];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    private static Method k(String str) {
        try {
            Method method = f1003m.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f1003m.put(str, method);
            }
            return method;
        } catch (Exception e3) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e3);
            return null;
        }
    }

    static <T> T m(Object obj, String str, T t3) {
        try {
            return (T) k(str).invoke(obj, new Object[0]);
        } catch (Exception e3) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e3);
            return t3;
        }
    }

    private void s(float f3) {
        if (f3 != this.f1013i.getPaint().getTextSize()) {
            this.f1013i.getPaint().setTextSize(f3);
            boolean a3 = b.a(this.f1013i);
            if (this.f1013i.getLayout() != null) {
                this.f1006b = false;
                try {
                    Method k3 = k("nullLayouts");
                    if (k3 != null) {
                        k3.invoke(this.f1013i, new Object[0]);
                    }
                } catch (Exception e3) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e3);
                }
                if (a3) {
                    this.f1013i.forceLayout();
                } else {
                    this.f1013i.requestLayout();
                }
                this.f1013i.invalidate();
            }
        }
    }

    private boolean u() {
        if (y() && this.f1005a == 1) {
            if (!this.f1011g || this.f1010f.length == 0) {
                int floor = ((int) Math.floor((this.f1009e - this.f1008d) / this.f1007c)) + 1;
                int[] iArr = new int[floor];
                for (int i3 = 0; i3 < floor; i3++) {
                    iArr[i3] = Math.round(this.f1008d + (i3 * this.f1007c));
                }
                this.f1010f = b(iArr);
            }
            this.f1006b = true;
        } else {
            this.f1006b = false;
        }
        return this.f1006b;
    }

    private void v(TypedArray typedArray) {
        int length = typedArray.length();
        int[] iArr = new int[length];
        if (length > 0) {
            for (int i3 = 0; i3 < length; i3++) {
                iArr[i3] = typedArray.getDimensionPixelSize(i3, -1);
            }
            this.f1010f = b(iArr);
            w();
        }
    }

    private boolean w() {
        int[] iArr = this.f1010f;
        int length = iArr.length;
        boolean z2 = length > 0;
        this.f1011g = z2;
        if (z2) {
            this.f1005a = 1;
            this.f1008d = iArr[0];
            this.f1009e = iArr[length - 1];
            this.f1007c = -1.0f;
        }
        return z2;
    }

    private boolean x(int i3, RectF rectF) {
        CharSequence transformation;
        CharSequence text = this.f1013i.getText();
        TransformationMethod transformationMethod = this.f1013i.getTransformationMethod();
        if (transformationMethod != null && (transformation = transformationMethod.getTransformation(text, this.f1013i)) != null) {
            text = transformation;
        }
        int b3 = a.b(this.f1013i);
        l(i3);
        StaticLayout d3 = d(text, (Layout.Alignment) m(this.f1013i, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL), Math.round(rectF.right), b3);
        return (b3 == -1 || (d3.getLineCount() <= b3 && d3.getLineEnd(d3.getLineCount() - 1) == text.length())) && ((float) d3.getHeight()) <= rectF.bottom;
    }

    private boolean y() {
        return !(this.f1013i instanceof l);
    }

    private void z(float f3, float f4, float f5) {
        if (f3 <= 0.0f) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f3 + "px) is less or equal to (0px)");
        } else if (f4 <= f3) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f4 + "px) is less or equal to minimum auto-size text size (" + f3 + "px)");
        } else if (f5 <= 0.0f) {
            throw new IllegalArgumentException("The auto-size step granularity (" + f5 + "px) is less or equal to (0px)");
        } else {
            this.f1005a = 1;
            this.f1008d = f3;
            this.f1009e = f4;
            this.f1007c = f5;
            this.f1011g = false;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a() {
        if (n()) {
            if (this.f1006b) {
                if (this.f1013i.getMeasuredHeight() <= 0 || this.f1013i.getMeasuredWidth() <= 0) {
                    return;
                }
                int measuredWidth = this.f1015k.b(this.f1013i) ? 1048576 : (this.f1013i.getMeasuredWidth() - this.f1013i.getTotalPaddingLeft()) - this.f1013i.getTotalPaddingRight();
                int height = (this.f1013i.getHeight() - this.f1013i.getCompoundPaddingBottom()) - this.f1013i.getCompoundPaddingTop();
                if (measuredWidth <= 0 || height <= 0) {
                    return;
                }
                RectF rectF = f1002l;
                synchronized (rectF) {
                    rectF.setEmpty();
                    rectF.right = measuredWidth;
                    rectF.bottom = height;
                    float e3 = e(rectF);
                    if (e3 != this.f1013i.getTextSize()) {
                        t(0, e3);
                    }
                }
            }
            this.f1006b = true;
        }
    }

    StaticLayout d(CharSequence charSequence, Layout.Alignment alignment, int i3, int i4) {
        return Build.VERSION.SDK_INT >= 23 ? c.a(charSequence, alignment, i3, i4, this.f1013i, this.f1012h, this.f1015k) : a.a(charSequence, alignment, i3, this.f1013i, this.f1012h);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int f() {
        return Math.round(this.f1009e);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int g() {
        return Math.round(this.f1008d);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int h() {
        return Math.round(this.f1007c);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int[] i() {
        return this.f1010f;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int j() {
        return this.f1005a;
    }

    void l(int i3) {
        TextPaint textPaint = this.f1012h;
        if (textPaint == null) {
            this.f1012h = new TextPaint();
        } else {
            textPaint.reset();
        }
        this.f1012h.set(this.f1013i.getPaint());
        this.f1012h.setTextSize(i3);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean n() {
        return y() && this.f1005a != 0;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void o(AttributeSet attributeSet, int i3) {
        int resourceId;
        Context context = this.f1014j;
        int[] iArr = f.j.f3046g0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i3, 0);
        TextView textView = this.f1013i;
        androidx.core.view.s0.N(textView, textView.getContext(), iArr, attributeSet, obtainStyledAttributes, i3, 0);
        int i4 = f.j.f3066l0;
        if (obtainStyledAttributes.hasValue(i4)) {
            this.f1005a = obtainStyledAttributes.getInt(i4, 0);
        }
        int i5 = f.j.f3062k0;
        float dimension = obtainStyledAttributes.hasValue(i5) ? obtainStyledAttributes.getDimension(i5, -1.0f) : -1.0f;
        int i6 = f.j.f3054i0;
        float dimension2 = obtainStyledAttributes.hasValue(i6) ? obtainStyledAttributes.getDimension(i6, -1.0f) : -1.0f;
        int i7 = f.j.f3050h0;
        float dimension3 = obtainStyledAttributes.hasValue(i7) ? obtainStyledAttributes.getDimension(i7, -1.0f) : -1.0f;
        int i8 = f.j.f3058j0;
        if (obtainStyledAttributes.hasValue(i8) && (resourceId = obtainStyledAttributes.getResourceId(i8, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            v(obtainTypedArray);
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (!y()) {
            this.f1005a = 0;
        } else if (this.f1005a == 1) {
            if (!this.f1011g) {
                DisplayMetrics displayMetrics = this.f1014j.getResources().getDisplayMetrics();
                if (dimension2 == -1.0f) {
                    dimension2 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                }
                if (dimension3 == -1.0f) {
                    dimension3 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                }
                if (dimension == -1.0f) {
                    dimension = 1.0f;
                }
                z(dimension2, dimension3, dimension);
            }
            u();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void p(int i3, int i4, int i5, int i6) {
        if (y()) {
            DisplayMetrics displayMetrics = this.f1014j.getResources().getDisplayMetrics();
            z(TypedValue.applyDimension(i6, i3, displayMetrics), TypedValue.applyDimension(i6, i4, displayMetrics), TypedValue.applyDimension(i6, i5, displayMetrics));
            if (u()) {
                a();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void q(int[] iArr, int i3) {
        if (y()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i3 == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.f1014j.getResources().getDisplayMetrics();
                    for (int i4 = 0; i4 < length; i4++) {
                        iArr2[i4] = Math.round(TypedValue.applyDimension(i3, iArr[i4], displayMetrics));
                    }
                }
                this.f1010f = b(iArr2);
                if (!w()) {
                    throw new IllegalArgumentException("None of the preset sizes is valid: " + Arrays.toString(iArr));
                }
            } else {
                this.f1011g = false;
            }
            if (u()) {
                a();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void r(int i3) {
        if (y()) {
            if (i3 == 0) {
                c();
            } else if (i3 != 1) {
                throw new IllegalArgumentException("Unknown auto-size text type: " + i3);
            } else {
                DisplayMetrics displayMetrics = this.f1014j.getResources().getDisplayMetrics();
                z(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
                if (u()) {
                    a();
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void t(int i3, float f3) {
        Context context = this.f1014j;
        s(TypedValue.applyDimension(i3, f3, (context == null ? Resources.getSystem() : context.getResources()).getDisplayMetrics()));
    }
}
