package androidx.appcompat.widget;

import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
class f2 extends x.c implements View.OnClickListener {
    private int A;
    private int B;
    private int C;

    /* renamed from: p  reason: collision with root package name */
    private final SearchView f1019p;

    /* renamed from: q  reason: collision with root package name */
    private final SearchableInfo f1020q;

    /* renamed from: r  reason: collision with root package name */
    private final Context f1021r;

    /* renamed from: s  reason: collision with root package name */
    private final WeakHashMap<String, Drawable.ConstantState> f1022s;

    /* renamed from: t  reason: collision with root package name */
    private final int f1023t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f1024u;

    /* renamed from: v  reason: collision with root package name */
    private int f1025v;

    /* renamed from: w  reason: collision with root package name */
    private ColorStateList f1026w;

    /* renamed from: x  reason: collision with root package name */
    private int f1027x;

    /* renamed from: y  reason: collision with root package name */
    private int f1028y;

    /* renamed from: z  reason: collision with root package name */
    private int f1029z;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public final TextView f1030a;

        /* renamed from: b  reason: collision with root package name */
        public final TextView f1031b;

        /* renamed from: c  reason: collision with root package name */
        public final ImageView f1032c;

        /* renamed from: d  reason: collision with root package name */
        public final ImageView f1033d;

        /* renamed from: e  reason: collision with root package name */
        public final ImageView f1034e;

        public a(View view) {
            this.f1030a = (TextView) view.findViewById(16908308);
            this.f1031b = (TextView) view.findViewById(16908309);
            this.f1032c = (ImageView) view.findViewById(16908295);
            this.f1033d = (ImageView) view.findViewById(16908296);
            this.f1034e = (ImageView) view.findViewById(f.f.f2974q);
        }
    }

    public f2(Context context, SearchView searchView, SearchableInfo searchableInfo, WeakHashMap<String, Drawable.ConstantState> weakHashMap) {
        super(context, searchView.getSuggestionRowLayout(), null, true);
        this.f1024u = false;
        this.f1025v = 1;
        this.f1027x = -1;
        this.f1028y = -1;
        this.f1029z = -1;
        this.A = -1;
        this.B = -1;
        this.C = -1;
        this.f1019p = searchView;
        this.f1020q = searchableInfo;
        this.f1023t = searchView.getSuggestionCommitIconResId();
        this.f1021r = context;
        this.f1022s = weakHashMap;
    }

    private void A(Cursor cursor) {
        Bundle extras = cursor != null ? cursor.getExtras() : null;
        if (extras != null) {
            extras.getBoolean("in_progress");
        }
    }

    private Drawable j(String str) {
        Drawable.ConstantState constantState = this.f1022s.get(str);
        if (constantState == null) {
            return null;
        }
        return constantState.newDrawable();
    }

    private CharSequence k(CharSequence charSequence) {
        if (this.f1026w == null) {
            TypedValue typedValue = new TypedValue();
            this.f1021r.getTheme().resolveAttribute(f.a.K, typedValue, true);
            this.f1026w = this.f1021r.getResources().getColorStateList(typedValue.resourceId);
        }
        SpannableString spannableString = new SpannableString(charSequence);
        spannableString.setSpan(new TextAppearanceSpan(null, 0, 0, this.f1026w, null), 0, charSequence.length(), 33);
        return spannableString;
    }

    private Drawable l(ComponentName componentName) {
        String obj;
        ActivityInfo activityInfo;
        int iconResource;
        PackageManager packageManager = this.f1021r.getPackageManager();
        try {
            activityInfo = packageManager.getActivityInfo(componentName, 128);
            iconResource = activityInfo.getIconResource();
        } catch (PackageManager.NameNotFoundException e3) {
            obj = e3.toString();
        }
        if (iconResource == 0) {
            return null;
        }
        Drawable drawable = packageManager.getDrawable(componentName.getPackageName(), iconResource, activityInfo.applicationInfo);
        if (drawable == null) {
            obj = "Invalid icon resource " + iconResource + " for " + componentName.flattenToShortString();
            Log.w("SuggestionsAdapter", obj);
            return null;
        }
        return drawable;
    }

    private Drawable m(ComponentName componentName) {
        String flattenToShortString = componentName.flattenToShortString();
        if (!this.f1022s.containsKey(flattenToShortString)) {
            Drawable l3 = l(componentName);
            this.f1022s.put(flattenToShortString, l3 != null ? l3.getConstantState() : null);
            return l3;
        }
        Drawable.ConstantState constantState = this.f1022s.get(flattenToShortString);
        if (constantState == null) {
            return null;
        }
        return constantState.newDrawable(this.f1021r.getResources());
    }

    public static String n(Cursor cursor, String str) {
        return v(cursor, cursor.getColumnIndex(str));
    }

    private Drawable o() {
        Drawable m3 = m(this.f1020q.getSearchActivity());
        return m3 != null ? m3 : this.f1021r.getPackageManager().getDefaultActivityIcon();
    }

    private Drawable p(Uri uri) {
        try {
            if ("android.resource".equals(uri.getScheme())) {
                try {
                    return q(uri);
                } catch (Resources.NotFoundException unused) {
                    throw new FileNotFoundException("Resource does not exist: " + uri);
                }
            }
            InputStream openInputStream = this.f1021r.getContentResolver().openInputStream(uri);
            if (openInputStream == null) {
                throw new FileNotFoundException("Failed to open " + uri);
            }
            Drawable createFromStream = Drawable.createFromStream(openInputStream, null);
            try {
                openInputStream.close();
            } catch (IOException e3) {
                Log.e("SuggestionsAdapter", "Error closing icon stream for " + uri, e3);
            }
            return createFromStream;
        } catch (FileNotFoundException e4) {
            Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e4.getMessage());
            return null;
        }
        Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e4.getMessage());
        return null;
    }

    private Drawable r(String str) {
        if (str == null || str.isEmpty() || "0".equals(str)) {
            return null;
        }
        try {
            int parseInt = Integer.parseInt(str);
            String str2 = "android.resource://" + this.f1021r.getPackageName() + "/" + parseInt;
            Drawable j3 = j(str2);
            if (j3 != null) {
                return j3;
            }
            Drawable d3 = androidx.core.content.a.d(this.f1021r, parseInt);
            z(str2, d3);
            return d3;
        } catch (Resources.NotFoundException unused) {
            Log.w("SuggestionsAdapter", "Icon resource not found: " + str);
            return null;
        } catch (NumberFormatException unused2) {
            Drawable j4 = j(str);
            if (j4 != null) {
                return j4;
            }
            Drawable p3 = p(Uri.parse(str));
            z(str, p3);
            return p3;
        }
    }

    private Drawable s(Cursor cursor) {
        int i3 = this.A;
        if (i3 == -1) {
            return null;
        }
        Drawable r3 = r(cursor.getString(i3));
        return r3 != null ? r3 : o();
    }

    private Drawable t(Cursor cursor) {
        int i3 = this.B;
        if (i3 == -1) {
            return null;
        }
        return r(cursor.getString(i3));
    }

    private static String v(Cursor cursor, int i3) {
        if (i3 == -1) {
            return null;
        }
        try {
            return cursor.getString(i3);
        } catch (Exception e3) {
            Log.e("SuggestionsAdapter", "unexpected error retrieving valid column from cursor, did the remote process die?", e3);
            return null;
        }
    }

    private void x(ImageView imageView, Drawable drawable, int i3) {
        imageView.setImageDrawable(drawable);
        if (drawable == null) {
            imageView.setVisibility(i3);
            return;
        }
        imageView.setVisibility(0);
        drawable.setVisible(false, false);
        drawable.setVisible(true, false);
    }

    private void y(TextView textView, CharSequence charSequence) {
        textView.setText(charSequence);
        textView.setVisibility(TextUtils.isEmpty(charSequence) ? 8 : 0);
    }

    private void z(String str, Drawable drawable) {
        if (drawable != null) {
            this.f1022s.put(str, drawable.getConstantState());
        }
    }

    @Override // x.a, x.b.a
    public void a(Cursor cursor) {
        if (this.f1024u) {
            Log.w("SuggestionsAdapter", "Tried to change cursor after adapter was closed.");
            if (cursor != null) {
                cursor.close();
                return;
            }
            return;
        }
        try {
            super.a(cursor);
            if (cursor != null) {
                this.f1027x = cursor.getColumnIndex("suggest_text_1");
                this.f1028y = cursor.getColumnIndex("suggest_text_2");
                this.f1029z = cursor.getColumnIndex("suggest_text_2_url");
                this.A = cursor.getColumnIndex("suggest_icon_1");
                this.B = cursor.getColumnIndex("suggest_icon_2");
                this.C = cursor.getColumnIndex("suggest_flags");
            }
        } catch (Exception e3) {
            Log.e("SuggestionsAdapter", "error changing cursor and caching columns", e3);
        }
    }

    @Override // x.b.a
    public Cursor c(CharSequence charSequence) {
        String charSequence2 = charSequence == null ? "" : charSequence.toString();
        if (this.f1019p.getVisibility() == 0 && this.f1019p.getWindowVisibility() == 0) {
            try {
                Cursor u3 = u(this.f1020q, charSequence2, 50);
                if (u3 != null) {
                    u3.getCount();
                    return u3;
                }
            } catch (RuntimeException e3) {
                Log.w("SuggestionsAdapter", "Search suggestions query threw an exception.", e3);
            }
        }
        return null;
    }

    @Override // x.a, x.b.a
    public CharSequence convertToString(Cursor cursor) {
        String n3;
        String n4;
        if (cursor == null) {
            return null;
        }
        String n5 = n(cursor, "suggest_intent_query");
        if (n5 != null) {
            return n5;
        }
        if (!this.f1020q.shouldRewriteQueryFromData() || (n4 = n(cursor, "suggest_intent_data")) == null) {
            if (!this.f1020q.shouldRewriteQueryFromText() || (n3 = n(cursor, "suggest_text_1")) == null) {
                return null;
            }
            return n3;
        }
        return n4;
    }

    @Override // x.a
    public void d(View view, Context context, Cursor cursor) {
        a aVar = (a) view.getTag();
        int i3 = this.C;
        int i4 = i3 != -1 ? cursor.getInt(i3) : 0;
        if (aVar.f1030a != null) {
            y(aVar.f1030a, v(cursor, this.f1027x));
        }
        if (aVar.f1031b != null) {
            String v3 = v(cursor, this.f1029z);
            CharSequence k3 = v3 != null ? k(v3) : v(cursor, this.f1028y);
            if (TextUtils.isEmpty(k3)) {
                TextView textView = aVar.f1030a;
                if (textView != null) {
                    textView.setSingleLine(false);
                    aVar.f1030a.setMaxLines(2);
                }
            } else {
                TextView textView2 = aVar.f1030a;
                if (textView2 != null) {
                    textView2.setSingleLine(true);
                    aVar.f1030a.setMaxLines(1);
                }
            }
            y(aVar.f1031b, k3);
        }
        ImageView imageView = aVar.f1032c;
        if (imageView != null) {
            x(imageView, s(cursor), 4);
        }
        ImageView imageView2 = aVar.f1033d;
        if (imageView2 != null) {
            x(imageView2, t(cursor), 8);
        }
        int i5 = this.f1025v;
        if (i5 != 2 && (i5 != 1 || (i4 & 1) == 0)) {
            aVar.f1034e.setVisibility(8);
            return;
        }
        aVar.f1034e.setVisibility(0);
        aVar.f1034e.setTag(aVar.f1030a.getText());
        aVar.f1034e.setOnClickListener(this);
    }

    @Override // x.c, x.a
    public View g(Context context, Cursor cursor, ViewGroup viewGroup) {
        View g3 = super.g(context, cursor, viewGroup);
        g3.setTag(new a(g3));
        ((ImageView) g3.findViewById(f.f.f2974q)).setImageResource(this.f1023t);
        return g3;
    }

    @Override // x.a, android.widget.BaseAdapter, android.widget.SpinnerAdapter
    public View getDropDownView(int i3, View view, ViewGroup viewGroup) {
        try {
            return super.getDropDownView(i3, view, viewGroup);
        } catch (RuntimeException e3) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e3);
            View f3 = f(this.f1021r, b(), viewGroup);
            if (f3 != null) {
                ((a) f3.getTag()).f1030a.setText(e3.toString());
            }
            return f3;
        }
    }

    @Override // x.a, android.widget.Adapter
    public View getView(int i3, View view, ViewGroup viewGroup) {
        try {
            return super.getView(i3, view, viewGroup);
        } catch (RuntimeException e3) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e3);
            View g3 = g(this.f1021r, b(), viewGroup);
            if (g3 != null) {
                ((a) g3.getTag()).f1030a.setText(e3.toString());
            }
            return g3;
        }
    }

    @Override // android.widget.BaseAdapter, android.widget.Adapter
    public boolean hasStableIds() {
        return false;
    }

    @Override // android.widget.BaseAdapter
    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
        A(b());
    }

    @Override // android.widget.BaseAdapter
    public void notifyDataSetInvalidated() {
        super.notifyDataSetInvalidated();
        A(b());
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        Object tag = view.getTag();
        if (tag instanceof CharSequence) {
            this.f1019p.Q((CharSequence) tag);
        }
    }

    Drawable q(Uri uri) {
        int parseInt;
        String authority = uri.getAuthority();
        if (TextUtils.isEmpty(authority)) {
            throw new FileNotFoundException("No authority: " + uri);
        }
        try {
            Resources resourcesForApplication = this.f1021r.getPackageManager().getResourcesForApplication(authority);
            List<String> pathSegments = uri.getPathSegments();
            if (pathSegments == null) {
                throw new FileNotFoundException("No path: " + uri);
            }
            int size = pathSegments.size();
            if (size == 1) {
                try {
                    parseInt = Integer.parseInt(pathSegments.get(0));
                } catch (NumberFormatException unused) {
                    throw new FileNotFoundException("Single path segment is not a resource ID: " + uri);
                }
            } else if (size != 2) {
                throw new FileNotFoundException("More than two path segments: " + uri);
            } else {
                parseInt = resourcesForApplication.getIdentifier(pathSegments.get(1), pathSegments.get(0), authority);
            }
            if (parseInt != 0) {
                return resourcesForApplication.getDrawable(parseInt);
            }
            throw new FileNotFoundException("No resource found for: " + uri);
        } catch (PackageManager.NameNotFoundException unused2) {
            throw new FileNotFoundException("No package found for authority: " + uri);
        }
    }

    Cursor u(SearchableInfo searchableInfo, String str, int i3) {
        String suggestAuthority;
        String[] strArr = null;
        if (searchableInfo == null || (suggestAuthority = searchableInfo.getSuggestAuthority()) == null) {
            return null;
        }
        Uri.Builder fragment = new Uri.Builder().scheme("content").authority(suggestAuthority).query("").fragment("");
        String suggestPath = searchableInfo.getSuggestPath();
        if (suggestPath != null) {
            fragment.appendEncodedPath(suggestPath);
        }
        fragment.appendPath("search_suggest_query");
        String suggestSelection = searchableInfo.getSuggestSelection();
        if (suggestSelection != null) {
            strArr = new String[]{str};
        } else {
            fragment.appendPath(str);
        }
        String[] strArr2 = strArr;
        if (i3 > 0) {
            fragment.appendQueryParameter("limit", String.valueOf(i3));
        }
        return this.f1021r.getContentResolver().query(fragment.build(), null, suggestSelection, strArr2, null);
    }

    public void w(int i3) {
        this.f1025v = i3;
    }
}
