package androidx.appcompat.widget;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Shader;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ClipDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.RoundRectShape;
import android.graphics.drawable.shapes.Shape;
import android.os.Build;
import android.util.AttributeSet;
import android.widget.ProgressBar;
/* loaded from: classes.dex */
class m0 {

    /* renamed from: c  reason: collision with root package name */
    private static final int[] f1098c = {16843067, 16843068};

    /* renamed from: a  reason: collision with root package name */
    private final ProgressBar f1099a;

    /* renamed from: b  reason: collision with root package name */
    private Bitmap f1100b;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class a {
        public static void a(LayerDrawable layerDrawable, LayerDrawable layerDrawable2, int i3) {
            int layerGravity;
            int layerWidth;
            int layerHeight;
            int layerInsetLeft;
            int layerInsetRight;
            int layerInsetTop;
            int layerInsetBottom;
            int layerInsetStart;
            int layerInsetEnd;
            layerGravity = layerDrawable.getLayerGravity(i3);
            layerDrawable2.setLayerGravity(i3, layerGravity);
            layerWidth = layerDrawable.getLayerWidth(i3);
            layerDrawable2.setLayerWidth(i3, layerWidth);
            layerHeight = layerDrawable.getLayerHeight(i3);
            layerDrawable2.setLayerHeight(i3, layerHeight);
            layerInsetLeft = layerDrawable.getLayerInsetLeft(i3);
            layerDrawable2.setLayerInsetLeft(i3, layerInsetLeft);
            layerInsetRight = layerDrawable.getLayerInsetRight(i3);
            layerDrawable2.setLayerInsetRight(i3, layerInsetRight);
            layerInsetTop = layerDrawable.getLayerInsetTop(i3);
            layerDrawable2.setLayerInsetTop(i3, layerInsetTop);
            layerInsetBottom = layerDrawable.getLayerInsetBottom(i3);
            layerDrawable2.setLayerInsetBottom(i3, layerInsetBottom);
            layerInsetStart = layerDrawable.getLayerInsetStart(i3);
            layerDrawable2.setLayerInsetStart(i3, layerInsetStart);
            layerInsetEnd = layerDrawable.getLayerInsetEnd(i3);
            layerDrawable2.setLayerInsetEnd(i3, layerInsetEnd);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public m0(ProgressBar progressBar) {
        this.f1099a = progressBar;
    }

    private Shape a() {
        return new RoundRectShape(new float[]{5.0f, 5.0f, 5.0f, 5.0f, 5.0f, 5.0f, 5.0f, 5.0f}, null, null);
    }

    private Drawable e(Drawable drawable) {
        if (drawable instanceof AnimationDrawable) {
            AnimationDrawable animationDrawable = (AnimationDrawable) drawable;
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            AnimationDrawable animationDrawable2 = new AnimationDrawable();
            animationDrawable2.setOneShot(animationDrawable.isOneShot());
            for (int i3 = 0; i3 < numberOfFrames; i3++) {
                Drawable d3 = d(animationDrawable.getFrame(i3), true);
                d3.setLevel(10000);
                animationDrawable2.addFrame(d3, animationDrawable.getDuration(i3));
            }
            animationDrawable2.setLevel(10000);
            return animationDrawable2;
        }
        return drawable;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Bitmap b() {
        return this.f1100b;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void c(AttributeSet attributeSet, int i3) {
        l2 u3 = l2.u(this.f1099a.getContext(), attributeSet, f1098c, i3, 0);
        Drawable g3 = u3.g(0);
        if (g3 != null) {
            this.f1099a.setIndeterminateDrawable(e(g3));
        }
        Drawable g4 = u3.g(1);
        if (g4 != null) {
            this.f1099a.setProgressDrawable(d(g4, false));
        }
        u3.v();
    }

    Drawable d(Drawable drawable, boolean z2) {
        if (drawable instanceof androidx.core.graphics.drawable.k) {
            androidx.core.graphics.drawable.k kVar = (androidx.core.graphics.drawable.k) drawable;
            Drawable b3 = kVar.b();
            if (b3 != null) {
                kVar.a(d(b3, z2));
            }
        } else if (drawable instanceof LayerDrawable) {
            LayerDrawable layerDrawable = (LayerDrawable) drawable;
            int numberOfLayers = layerDrawable.getNumberOfLayers();
            Drawable[] drawableArr = new Drawable[numberOfLayers];
            for (int i3 = 0; i3 < numberOfLayers; i3++) {
                int id = layerDrawable.getId(i3);
                drawableArr[i3] = d(layerDrawable.getDrawable(i3), id == 16908301 || id == 16908303);
            }
            LayerDrawable layerDrawable2 = new LayerDrawable(drawableArr);
            for (int i4 = 0; i4 < numberOfLayers; i4++) {
                layerDrawable2.setId(i4, layerDrawable.getId(i4));
                if (Build.VERSION.SDK_INT >= 23) {
                    a.a(layerDrawable, layerDrawable2, i4);
                }
            }
            return layerDrawable2;
        } else if (drawable instanceof BitmapDrawable) {
            BitmapDrawable bitmapDrawable = (BitmapDrawable) drawable;
            Bitmap bitmap = bitmapDrawable.getBitmap();
            if (this.f1100b == null) {
                this.f1100b = bitmap;
            }
            ShapeDrawable shapeDrawable = new ShapeDrawable(a());
            shapeDrawable.getPaint().setShader(new BitmapShader(bitmap, Shader.TileMode.REPEAT, Shader.TileMode.CLAMP));
            shapeDrawable.getPaint().setColorFilter(bitmapDrawable.getPaint().getColorFilter());
            return z2 ? new ClipDrawable(shapeDrawable, 3, 1) : shapeDrawable;
        }
        return drawable;
    }
}
