package androidx.appcompat.widget;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.Resources;
import android.graphics.Rect;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.TextView;
/* loaded from: classes.dex */
class v2 {

    /* renamed from: a  reason: collision with root package name */
    private final Context f1275a;

    /* renamed from: b  reason: collision with root package name */
    private final View f1276b;

    /* renamed from: c  reason: collision with root package name */
    private final TextView f1277c;

    /* renamed from: d  reason: collision with root package name */
    private final WindowManager.LayoutParams f1278d;

    /* renamed from: e  reason: collision with root package name */
    private final Rect f1279e;

    /* renamed from: f  reason: collision with root package name */
    private final int[] f1280f;

    /* renamed from: g  reason: collision with root package name */
    private final int[] f1281g;

    /* JADX INFO: Access modifiers changed from: package-private */
    public v2(Context context) {
        WindowManager.LayoutParams layoutParams = new WindowManager.LayoutParams();
        this.f1278d = layoutParams;
        this.f1279e = new Rect();
        this.f1280f = new int[2];
        this.f1281g = new int[2];
        this.f1275a = context;
        View inflate = LayoutInflater.from(context).inflate(f.g.f3002s, (ViewGroup) null);
        this.f1276b = inflate;
        this.f1277c = (TextView) inflate.findViewById(f.f.f2976s);
        layoutParams.setTitle(getClass().getSimpleName());
        layoutParams.packageName = context.getPackageName();
        layoutParams.type = 1002;
        layoutParams.width = -2;
        layoutParams.height = -2;
        layoutParams.format = -3;
        layoutParams.windowAnimations = f.i.f3016a;
        layoutParams.flags = 24;
    }

    private void a(View view, int i3, int i4, boolean z2, WindowManager.LayoutParams layoutParams) {
        int height;
        int i5;
        layoutParams.token = view.getApplicationWindowToken();
        int dimensionPixelOffset = this.f1275a.getResources().getDimensionPixelOffset(f.d.f2929m);
        if (view.getWidth() < dimensionPixelOffset) {
            i3 = view.getWidth() / 2;
        }
        if (view.getHeight() >= dimensionPixelOffset) {
            int dimensionPixelOffset2 = this.f1275a.getResources().getDimensionPixelOffset(f.d.f2928l);
            height = i4 + dimensionPixelOffset2;
            i5 = i4 - dimensionPixelOffset2;
        } else {
            height = view.getHeight();
            i5 = 0;
        }
        layoutParams.gravity = 49;
        int dimensionPixelOffset3 = this.f1275a.getResources().getDimensionPixelOffset(z2 ? f.d.f2931o : f.d.f2930n);
        View b3 = b(view);
        if (b3 == null) {
            Log.e("TooltipPopup", "Cannot find app view");
            return;
        }
        b3.getWindowVisibleDisplayFrame(this.f1279e);
        Rect rect = this.f1279e;
        if (rect.left < 0 && rect.top < 0) {
            Resources resources = this.f1275a.getResources();
            int identifier = resources.getIdentifier("status_bar_height", "dimen", "android");
            int dimensionPixelSize = identifier != 0 ? resources.getDimensionPixelSize(identifier) : 0;
            DisplayMetrics displayMetrics = resources.getDisplayMetrics();
            this.f1279e.set(0, dimensionPixelSize, displayMetrics.widthPixels, displayMetrics.heightPixels);
        }
        b3.getLocationOnScreen(this.f1281g);
        view.getLocationOnScreen(this.f1280f);
        int[] iArr = this.f1280f;
        int i6 = iArr[0];
        int[] iArr2 = this.f1281g;
        int i7 = i6 - iArr2[0];
        iArr[0] = i7;
        iArr[1] = iArr[1] - iArr2[1];
        layoutParams.x = (i7 + i3) - (b3.getWidth() / 2);
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
        this.f1276b.measure(makeMeasureSpec, makeMeasureSpec);
        int measuredHeight = this.f1276b.getMeasuredHeight();
        int i8 = this.f1280f[1];
        int i9 = ((i5 + i8) - dimensionPixelOffset3) - measuredHeight;
        int i10 = i8 + height + dimensionPixelOffset3;
        if (!z2 ? measuredHeight + i10 <= this.f1279e.height() : i9 < 0) {
            layoutParams.y = i9;
        } else {
            layoutParams.y = i10;
        }
    }

    private static View b(View view) {
        View rootView = view.getRootView();
        ViewGroup.LayoutParams layoutParams = rootView.getLayoutParams();
        if ((layoutParams instanceof WindowManager.LayoutParams) && ((WindowManager.LayoutParams) layoutParams).type == 2) {
            return rootView;
        }
        for (Context context = view.getContext(); context instanceof ContextWrapper; context = ((ContextWrapper) context).getBaseContext()) {
            if (context instanceof Activity) {
                return ((Activity) context).getWindow().getDecorView();
            }
        }
        return rootView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void c() {
        if (d()) {
            ((WindowManager) this.f1275a.getSystemService("window")).removeView(this.f1276b);
        }
    }

    boolean d() {
        return this.f1276b.getParent() != null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void e(View view, int i3, int i4, boolean z2, CharSequence charSequence) {
        if (d()) {
            c();
        }
        this.f1277c.setText(charSequence);
        a(view, i3, i4, z2, this.f1278d);
        ((WindowManager) this.f1275a.getSystemService("window")).addView(this.f1276b, this.f1278d);
    }
}
