package androidx.browser.customtabs;

import android.app.PendingIntent;
import android.content.ComponentName;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.os.RemoteException;
import android.widget.RemoteViews;
import b.c;
import java.util.List;
/* loaded from: classes.dex */
public final class i {

    /* renamed from: a  reason: collision with root package name */
    private final Object f1368a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private final b.b f1369b;

    /* renamed from: c  reason: collision with root package name */
    private final b.a f1370c;

    /* renamed from: d  reason: collision with root package name */
    private final ComponentName f1371d;

    /* renamed from: e  reason: collision with root package name */
    private final PendingIntent f1372e;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a extends c.a {

        /* renamed from: d  reason: collision with root package name */
        private final Handler f1373d = new Handler(Looper.getMainLooper());

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ j f1374e;

        a(j jVar) {
            this.f1374e = jVar;
        }

        @Override // b.c
        public void onGreatestScrollPercentageIncreased(final int i3, final Bundle bundle) {
            Handler handler = this.f1373d;
            final j jVar = this.f1374e;
            handler.post(new Runnable() { // from class: androidx.browser.customtabs.h
                @Override // java.lang.Runnable
                public final void run() {
                    j.this.onGreatestScrollPercentageIncreased(i3, bundle);
                }
            });
        }

        @Override // b.c
        public void onSessionEnded(final boolean z2, final Bundle bundle) {
            Handler handler = this.f1373d;
            final j jVar = this.f1374e;
            handler.post(new Runnable() { // from class: androidx.browser.customtabs.g
                @Override // java.lang.Runnable
                public final void run() {
                    j.this.onSessionEnded(z2, bundle);
                }
            });
        }

        @Override // b.c
        public void onVerticalScrollEvent(final boolean z2, final Bundle bundle) {
            Handler handler = this.f1373d;
            final j jVar = this.f1374e;
            handler.post(new Runnable() { // from class: androidx.browser.customtabs.f
                @Override // java.lang.Runnable
                public final void run() {
                    j.this.onVerticalScrollEvent(z2, bundle);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public i(b.b bVar, b.a aVar, ComponentName componentName, PendingIntent pendingIntent) {
        this.f1369b = bVar;
        this.f1370c = aVar;
        this.f1371d = componentName;
        this.f1372e = pendingIntent;
    }

    private void a(Bundle bundle) {
        PendingIntent pendingIntent = this.f1372e;
        if (pendingIntent != null) {
            bundle.putParcelable("android.support.customtabs.extra.SESSION_ID", pendingIntent);
        }
    }

    private Bundle b(Bundle bundle) {
        Bundle bundle2 = new Bundle();
        if (bundle != null) {
            bundle2.putAll(bundle);
        }
        a(bundle2);
        return bundle2;
    }

    private c.a c(j jVar) {
        return new a(jVar);
    }

    private Bundle d(Uri uri) {
        Bundle bundle = new Bundle();
        if (uri != null) {
            bundle.putParcelable("target_origin", uri);
        }
        if (this.f1372e != null) {
            a(bundle);
        }
        if (bundle.isEmpty()) {
            return null;
        }
        return bundle;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public IBinder e() {
        return this.f1370c.asBinder();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ComponentName f() {
        return this.f1371d;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public PendingIntent g() {
        return this.f1372e;
    }

    public boolean h(Bundle bundle) {
        try {
            return this.f1369b.d(this.f1370c, bundle);
        } catch (SecurityException e3) {
            throw new UnsupportedOperationException("This method isn't supported by the Custom Tabs implementation.", e3);
        }
    }

    public boolean i(Uri uri, Bundle bundle, List<Bundle> list) {
        try {
            return this.f1369b.l(this.f1370c, uri, b(bundle), list);
        } catch (RemoteException unused) {
            return false;
        }
    }

    public int j(String str, Bundle bundle) {
        int e3;
        Bundle b3 = b(bundle);
        synchronized (this.f1368a) {
            try {
                try {
                    e3 = this.f1369b.e(this.f1370c, str, b3);
                } catch (RemoteException unused) {
                    return -2;
                }
            } catch (Throwable th) {
                throw th;
            }
        }
        return e3;
    }

    public boolean k(Uri uri, Uri uri2, Bundle bundle) {
        try {
            Bundle d3 = d(uri2);
            if (d3 != null) {
                bundle.putAll(d3);
                return this.f1369b.c(this.f1370c, uri, bundle);
            }
            return this.f1369b.a(this.f1370c, uri);
        } catch (RemoteException unused) {
            return false;
        }
    }

    public boolean l(Bitmap bitmap, String str) {
        Bundle bundle = new Bundle();
        bundle.putParcelable("android.support.customtabs.customaction.ICON", bitmap);
        bundle.putString("android.support.customtabs.customaction.DESCRIPTION", str);
        Bundle bundle2 = new Bundle();
        bundle2.putBundle("android.support.customtabs.extra.ACTION_BUTTON_BUNDLE", bundle);
        a(bundle);
        try {
            return this.f1369b.h(this.f1370c, bundle2);
        } catch (RemoteException unused) {
            return false;
        }
    }

    public boolean m(j jVar, Bundle bundle) {
        try {
            return this.f1369b.r(this.f1370c, c(jVar).asBinder(), bundle);
        } catch (SecurityException e3) {
            throw new UnsupportedOperationException("This method isn't supported by the Custom Tabs implementation.", e3);
        }
    }

    public boolean n(RemoteViews remoteViews, int[] iArr, PendingIntent pendingIntent) {
        Bundle bundle = new Bundle();
        bundle.putParcelable("android.support.customtabs.extra.EXTRA_REMOTEVIEWS", remoteViews);
        bundle.putIntArray("android.support.customtabs.extra.EXTRA_REMOTEVIEWS_VIEW_IDS", iArr);
        bundle.putParcelable("android.support.customtabs.extra.EXTRA_REMOTEVIEWS_PENDINGINTENT", pendingIntent);
        a(bundle);
        try {
            return this.f1369b.h(this.f1370c, bundle);
        } catch (RemoteException unused) {
            return false;
        }
    }

    public boolean o(int i3, Uri uri, Bundle bundle) {
        if (i3 >= 1 && i3 <= 2) {
            try {
                return this.f1369b.g(this.f1370c, i3, uri, b(bundle));
            } catch (RemoteException unused) {
            }
        }
        return false;
    }
}
