package androidx.concurrent.futures;

import java.util.Locale;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;
/* loaded from: classes.dex */
public abstract class a<V> implements z0.a<V> {

    /* renamed from: h  reason: collision with root package name */
    static final boolean f1376h = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: i  reason: collision with root package name */
    private static final Logger f1377i = Logger.getLogger(a.class.getName());

    /* renamed from: j  reason: collision with root package name */
    static final b f1378j;

    /* renamed from: k  reason: collision with root package name */
    private static final Object f1379k;

    /* renamed from: e  reason: collision with root package name */
    volatile Object f1380e;

    /* renamed from: f  reason: collision with root package name */
    volatile e f1381f;

    /* renamed from: g  reason: collision with root package name */
    volatile i f1382g;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static abstract class b {
        private b() {
        }

        abstract boolean a(a<?> aVar, e eVar, e eVar2);

        abstract boolean b(a<?> aVar, Object obj, Object obj2);

        abstract boolean c(a<?> aVar, i iVar, i iVar2);

        abstract void d(i iVar, i iVar2);

        abstract void e(i iVar, Thread thread);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class c {

        /* renamed from: c  reason: collision with root package name */
        static final c f1383c;

        /* renamed from: d  reason: collision with root package name */
        static final c f1384d;

        /* renamed from: a  reason: collision with root package name */
        final boolean f1385a;

        /* renamed from: b  reason: collision with root package name */
        final Throwable f1386b;

        static {
            if (a.f1376h) {
                f1384d = null;
                f1383c = null;
                return;
            }
            f1384d = new c(false, null);
            f1383c = new c(true, null);
        }

        c(boolean z2, Throwable th) {
            this.f1385a = z2;
            this.f1386b = th;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class d {

        /* renamed from: b  reason: collision with root package name */
        static final d f1387b = new d(new C0012a("Failure occurred while trying to finish a future."));

        /* renamed from: a  reason: collision with root package name */
        final Throwable f1388a;

        /* renamed from: androidx.concurrent.futures.a$d$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        class C0012a extends Throwable {
            C0012a(String str) {
                super(str);
            }

            @Override // java.lang.Throwable
            public synchronized Throwable fillInStackTrace() {
                return this;
            }
        }

        d(Throwable th) {
            this.f1388a = (Throwable) a.d(th);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class e {

        /* renamed from: d  reason: collision with root package name */
        static final e f1389d = new e(null, null);

        /* renamed from: a  reason: collision with root package name */
        final Runnable f1390a;

        /* renamed from: b  reason: collision with root package name */
        final Executor f1391b;

        /* renamed from: c  reason: collision with root package name */
        e f1392c;

        e(Runnable runnable, Executor executor) {
            this.f1390a = runnable;
            this.f1391b = executor;
        }
    }

    /* loaded from: classes.dex */
    private static final class f extends b {

        /* renamed from: a  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<i, Thread> f1393a;

        /* renamed from: b  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<i, i> f1394b;

        /* renamed from: c  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, i> f1395c;

        /* renamed from: d  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, e> f1396d;

        /* renamed from: e  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, Object> f1397e;

        f(AtomicReferenceFieldUpdater<i, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<i, i> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<a, i> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<a, e> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<a, Object> atomicReferenceFieldUpdater5) {
            super();
            this.f1393a = atomicReferenceFieldUpdater;
            this.f1394b = atomicReferenceFieldUpdater2;
            this.f1395c = atomicReferenceFieldUpdater3;
            this.f1396d = atomicReferenceFieldUpdater4;
            this.f1397e = atomicReferenceFieldUpdater5;
        }

        @Override // androidx.concurrent.futures.a.b
        boolean a(a<?> aVar, e eVar, e eVar2) {
            return androidx.concurrent.futures.b.a(this.f1396d, aVar, eVar, eVar2);
        }

        @Override // androidx.concurrent.futures.a.b
        boolean b(a<?> aVar, Object obj, Object obj2) {
            return androidx.concurrent.futures.b.a(this.f1397e, aVar, obj, obj2);
        }

        @Override // androidx.concurrent.futures.a.b
        boolean c(a<?> aVar, i iVar, i iVar2) {
            return androidx.concurrent.futures.b.a(this.f1395c, aVar, iVar, iVar2);
        }

        @Override // androidx.concurrent.futures.a.b
        void d(i iVar, i iVar2) {
            this.f1394b.lazySet(iVar, iVar2);
        }

        @Override // androidx.concurrent.futures.a.b
        void e(i iVar, Thread thread) {
            this.f1393a.lazySet(iVar, thread);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class g<V> implements Runnable {

        /* renamed from: e  reason: collision with root package name */
        final a<V> f1398e;

        /* renamed from: f  reason: collision with root package name */
        final z0.a<? extends V> f1399f;

        @Override // java.lang.Runnable
        public void run() {
            if (this.f1398e.f1380e != this) {
                return;
            }
            if (a.f1378j.b(this.f1398e, this, a.i(this.f1399f))) {
                a.f(this.f1398e);
            }
        }
    }

    /* loaded from: classes.dex */
    private static final class h extends b {
        h() {
            super();
        }

        @Override // androidx.concurrent.futures.a.b
        boolean a(a<?> aVar, e eVar, e eVar2) {
            synchronized (aVar) {
                if (aVar.f1381f == eVar) {
                    aVar.f1381f = eVar2;
                    return true;
                }
                return false;
            }
        }

        @Override // androidx.concurrent.futures.a.b
        boolean b(a<?> aVar, Object obj, Object obj2) {
            synchronized (aVar) {
                if (aVar.f1380e == obj) {
                    aVar.f1380e = obj2;
                    return true;
                }
                return false;
            }
        }

        @Override // androidx.concurrent.futures.a.b
        boolean c(a<?> aVar, i iVar, i iVar2) {
            synchronized (aVar) {
                if (aVar.f1382g == iVar) {
                    aVar.f1382g = iVar2;
                    return true;
                }
                return false;
            }
        }

        @Override // androidx.concurrent.futures.a.b
        void d(i iVar, i iVar2) {
            iVar.f1402b = iVar2;
        }

        @Override // androidx.concurrent.futures.a.b
        void e(i iVar, Thread thread) {
            iVar.f1401a = thread;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class i {

        /* renamed from: c  reason: collision with root package name */
        static final i f1400c = new i(false);

        /* renamed from: a  reason: collision with root package name */
        volatile Thread f1401a;

        /* renamed from: b  reason: collision with root package name */
        volatile i f1402b;

        i() {
            a.f1378j.e(this, Thread.currentThread());
        }

        i(boolean z2) {
        }

        void a(i iVar) {
            a.f1378j.d(this, iVar);
        }

        void b() {
            Thread thread = this.f1401a;
            if (thread != null) {
                this.f1401a = null;
                LockSupport.unpark(thread);
            }
        }
    }

    static {
        b hVar;
        try {
            hVar = new f(AtomicReferenceFieldUpdater.newUpdater(i.class, Thread.class, "a"), AtomicReferenceFieldUpdater.newUpdater(i.class, i.class, "b"), AtomicReferenceFieldUpdater.newUpdater(a.class, i.class, "g"), AtomicReferenceFieldUpdater.newUpdater(a.class, e.class, "f"), AtomicReferenceFieldUpdater.newUpdater(a.class, Object.class, "e"));
            th = null;
        } catch (Throwable th) {
            th = th;
            hVar = new h();
        }
        f1378j = hVar;
        if (th != null) {
            f1377i.log(Level.SEVERE, "SafeAtomicHelper is broken!", th);
        }
        f1379k = new Object();
    }

    private void a(StringBuilder sb) {
        String str = "]";
        try {
            Object j3 = j(this);
            sb.append("SUCCESS, result=[");
            sb.append(p(j3));
            sb.append("]");
        } catch (CancellationException unused) {
            str = "CANCELLED";
            sb.append(str);
        } catch (RuntimeException e3) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e3.getClass());
            str = " thrown from get()]";
            sb.append(str);
        } catch (ExecutionException e4) {
            sb.append("FAILURE, cause=[");
            sb.append(e4.getCause());
            sb.append(str);
        }
    }

    private static CancellationException c(String str, Throwable th) {
        CancellationException cancellationException = new CancellationException(str);
        cancellationException.initCause(th);
        return cancellationException;
    }

    static <T> T d(T t3) {
        t3.getClass();
        return t3;
    }

    private e e(e eVar) {
        e eVar2;
        do {
            eVar2 = this.f1381f;
        } while (!f1378j.a(this, eVar2, e.f1389d));
        e eVar3 = eVar;
        e eVar4 = eVar2;
        while (eVar4 != null) {
            e eVar5 = eVar4.f1392c;
            eVar4.f1392c = eVar3;
            eVar3 = eVar4;
            eVar4 = eVar5;
        }
        return eVar3;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v0, types: [androidx.concurrent.futures.a$b] */
    /* JADX WARN: Type inference failed for: r4v0, types: [androidx.concurrent.futures.a<?>] */
    /* JADX WARN: Type inference failed for: r4v1, types: [androidx.concurrent.futures.a] */
    /* JADX WARN: Type inference failed for: r4v6, types: [androidx.concurrent.futures.a<V>, androidx.concurrent.futures.a] */
    static void f(a<?> aVar) {
        e eVar = null;
        while (true) {
            aVar.m();
            aVar.b();
            e e3 = aVar.e(eVar);
            while (e3 != null) {
                eVar = e3.f1392c;
                Runnable runnable = e3.f1390a;
                if (runnable instanceof g) {
                    g gVar = (g) runnable;
                    aVar = gVar.f1398e;
                    if (aVar.f1380e == gVar) {
                        if (f1378j.b(aVar, gVar, i(gVar.f1399f))) {
                            break;
                        }
                    } else {
                        continue;
                    }
                } else {
                    g(runnable, e3.f1391b);
                }
                e3 = eVar;
            }
            return;
        }
    }

    private static void g(Runnable runnable, Executor executor) {
        try {
            executor.execute(runnable);
        } catch (RuntimeException e3) {
            Logger logger = f1377i;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e3);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    private V h(Object obj) {
        if (obj instanceof c) {
            throw c("Task was cancelled.", ((c) obj).f1386b);
        }
        if (obj instanceof d) {
            throw new ExecutionException(((d) obj).f1388a);
        }
        if (obj == f1379k) {
            return null;
        }
        return obj;
    }

    static Object i(z0.a<?> aVar) {
        if (aVar instanceof a) {
            Object obj = ((a) aVar).f1380e;
            if (obj instanceof c) {
                c cVar = (c) obj;
                return cVar.f1385a ? cVar.f1386b != null ? new c(false, cVar.f1386b) : c.f1384d : obj;
            }
            return obj;
        }
        boolean isCancelled = aVar.isCancelled();
        if ((!f1376h) && isCancelled) {
            return c.f1384d;
        }
        try {
            Object j3 = j(aVar);
            return j3 == null ? f1379k : j3;
        } catch (CancellationException e3) {
            if (isCancelled) {
                return new c(false, e3);
            }
            return new d(new IllegalArgumentException("get() threw CancellationException, despite reporting isCancelled() == false: " + aVar, e3));
        } catch (ExecutionException e4) {
            return new d(e4.getCause());
        } catch (Throwable th) {
            return new d(th);
        }
    }

    static <V> V j(Future<V> future) {
        V v3;
        boolean z2 = false;
        while (true) {
            try {
                v3 = future.get();
                break;
            } catch (InterruptedException unused) {
                z2 = true;
            } catch (Throwable th) {
                if (z2) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z2) {
            Thread.currentThread().interrupt();
        }
        return v3;
    }

    private void m() {
        i iVar;
        do {
            iVar = this.f1382g;
        } while (!f1378j.c(this, iVar, i.f1400c));
        while (iVar != null) {
            iVar.b();
            iVar = iVar.f1402b;
        }
    }

    private void n(i iVar) {
        iVar.f1401a = null;
        while (true) {
            i iVar2 = this.f1382g;
            if (iVar2 == i.f1400c) {
                return;
            }
            i iVar3 = null;
            while (iVar2 != null) {
                i iVar4 = iVar2.f1402b;
                if (iVar2.f1401a != null) {
                    iVar3 = iVar2;
                } else if (iVar3 != null) {
                    iVar3.f1402b = iVar4;
                    if (iVar3.f1401a == null) {
                        break;
                    }
                } else if (!f1378j.c(this, iVar2, iVar4)) {
                    break;
                }
                iVar2 = iVar4;
            }
            return;
        }
    }

    private String p(Object obj) {
        return obj == this ? "this future" : String.valueOf(obj);
    }

    protected void b() {
    }

    @Override // java.util.concurrent.Future
    public final boolean cancel(boolean z2) {
        Object obj = this.f1380e;
        if (!(obj == null) && !(obj instanceof g)) {
            return false;
        }
        c cVar = f1376h ? new c(z2, new CancellationException("Future.cancel() was called.")) : z2 ? c.f1383c : c.f1384d;
        boolean z3 = false;
        a<V> aVar = this;
        while (true) {
            if (f1378j.b(aVar, obj, cVar)) {
                if (z2) {
                    aVar.k();
                }
                f(aVar);
                if (!(obj instanceof g)) {
                    return true;
                }
                z0.a<? extends V> aVar2 = ((g) obj).f1399f;
                if (!(aVar2 instanceof a)) {
                    aVar2.cancel(z2);
                    return true;
                }
                aVar = (a) aVar2;
                obj = aVar.f1380e;
                if (!(obj == null) && !(obj instanceof g)) {
                    return true;
                }
                z3 = true;
            } else {
                obj = aVar.f1380e;
                if (!(obj instanceof g)) {
                    return z3;
                }
            }
        }
    }

    @Override // java.util.concurrent.Future
    public final V get() {
        Object obj;
        if (Thread.interrupted()) {
            throw new InterruptedException();
        }
        Object obj2 = this.f1380e;
        if ((obj2 != null) && (!(obj2 instanceof g))) {
            return h(obj2);
        }
        i iVar = this.f1382g;
        if (iVar != i.f1400c) {
            i iVar2 = new i();
            do {
                iVar2.a(iVar);
                if (f1378j.c(this, iVar, iVar2)) {
                    do {
                        LockSupport.park(this);
                        if (Thread.interrupted()) {
                            n(iVar2);
                            throw new InterruptedException();
                        }
                        obj = this.f1380e;
                    } while (!((obj != null) & (!(obj instanceof g))));
                    return h(obj);
                }
                iVar = this.f1382g;
            } while (iVar != i.f1400c);
            return h(this.f1380e);
        }
        return h(this.f1380e);
    }

    @Override // java.util.concurrent.Future
    public final V get(long j3, TimeUnit timeUnit) {
        Locale locale;
        long nanos = timeUnit.toNanos(j3);
        if (Thread.interrupted()) {
            throw new InterruptedException();
        }
        Object obj = this.f1380e;
        if ((obj != null) && (!(obj instanceof g))) {
            return h(obj);
        }
        long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0L;
        if (nanos >= 1000) {
            i iVar = this.f1382g;
            if (iVar != i.f1400c) {
                i iVar2 = new i();
                do {
                    iVar2.a(iVar);
                    if (f1378j.c(this, iVar, iVar2)) {
                        do {
                            LockSupport.parkNanos(this, nanos);
                            if (Thread.interrupted()) {
                                n(iVar2);
                                throw new InterruptedException();
                            }
                            Object obj2 = this.f1380e;
                            if ((obj2 != null) && (!(obj2 instanceof g))) {
                                return h(obj2);
                            }
                            nanos = nanoTime - System.nanoTime();
                        } while (nanos >= 1000);
                        n(iVar2);
                    } else {
                        iVar = this.f1382g;
                    }
                } while (iVar != i.f1400c);
                return h(this.f1380e);
            }
            return h(this.f1380e);
        }
        while (nanos > 0) {
            Object obj3 = this.f1380e;
            if ((obj3 != null) && (!(obj3 instanceof g))) {
                return h(obj3);
            }
            if (Thread.interrupted()) {
                throw new InterruptedException();
            }
            nanos = nanoTime - System.nanoTime();
        }
        String aVar = toString();
        String lowerCase = timeUnit.toString().toLowerCase(Locale.ROOT);
        String str = "Waited " + j3 + " " + timeUnit.toString().toLowerCase(locale);
        if (nanos + 1000 < 0) {
            String str2 = str + " (plus ";
            long j4 = -nanos;
            long convert = timeUnit.convert(j4, TimeUnit.NANOSECONDS);
            long nanos2 = j4 - timeUnit.toNanos(convert);
            int i3 = (convert > 0L ? 1 : (convert == 0L ? 0 : -1));
            boolean z2 = i3 == 0 || nanos2 > 1000;
            if (i3 > 0) {
                String str3 = str2 + convert + " " + lowerCase;
                if (z2) {
                    str3 = str3 + ",";
                }
                str2 = str3 + " ";
            }
            if (z2) {
                str2 = str2 + nanos2 + " nanoseconds ";
            }
            str = str2 + "delay)";
        }
        if (isDone()) {
            throw new TimeoutException(str + " but future completed as timeout expired");
        }
        throw new TimeoutException(str + " for " + aVar);
    }

    @Override // java.util.concurrent.Future
    public final boolean isCancelled() {
        return this.f1380e instanceof c;
    }

    @Override // java.util.concurrent.Future
    public final boolean isDone() {
        Object obj = this.f1380e;
        return (!(obj instanceof g)) & (obj != null);
    }

    protected void k() {
    }

    protected String l() {
        Object obj = this.f1380e;
        if (obj instanceof g) {
            return "setFuture=[" + p(((g) obj).f1399f) + "]";
        } else if (this instanceof ScheduledFuture) {
            return "remaining delay=[" + ((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS) + " ms]";
        } else {
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public boolean o(V v3) {
        if (v3 == null) {
            v3 = (V) f1379k;
        }
        if (f1378j.b(this, null, v3)) {
            f(this);
            return true;
        }
        return false;
    }

    public String toString() {
        String str;
        String str2;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (!isCancelled()) {
            if (!isDone()) {
                try {
                    str = l();
                } catch (RuntimeException e3) {
                    str = "Exception thrown from implementation: " + e3.getClass();
                }
                if (str != null && !str.isEmpty()) {
                    sb.append("PENDING, info=[");
                    sb.append(str);
                    sb.append("]");
                    sb.append("]");
                    return sb.toString();
                }
                str2 = isDone() ? "PENDING" : "PENDING";
            }
            a(sb);
            sb.append("]");
            return sb.toString();
        }
        str2 = "CANCELLED";
        sb.append(str2);
        sb.append("]");
        return sb.toString();
    }
}
