package androidx.core.content.res;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.StateSet;
import android.util.TypedValue;
import android.util.Xml;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public final class c {

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadLocal<TypedValue> f1464a = new ThreadLocal<>();

    public static ColorStateList a(Resources resources, XmlPullParser xmlPullParser, Resources.Theme theme) {
        int next;
        AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
        do {
            next = xmlPullParser.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            return b(resources, xmlPullParser, asAttributeSet, theme);
        }
        throw new XmlPullParserException("No start tag found");
    }

    public static ColorStateList b(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        String name = xmlPullParser.getName();
        if (name.equals("selector")) {
            return e(resources, xmlPullParser, attributeSet, theme);
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid color state list tag " + name);
    }

    private static TypedValue c() {
        ThreadLocal<TypedValue> threadLocal = f1464a;
        TypedValue typedValue = threadLocal.get();
        if (typedValue == null) {
            TypedValue typedValue2 = new TypedValue();
            threadLocal.set(typedValue2);
            return typedValue2;
        }
        return typedValue;
    }

    public static ColorStateList d(Resources resources, int i3, Resources.Theme theme) {
        try {
            return a(resources, resources.getXml(i3), theme);
        } catch (Exception e3) {
            Log.e("CSLCompat", "Failed to inflate ColorStateList.", e3);
            return null;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:27:0x0075, code lost:
        if (r9.hasValue(r12) != false) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0086, code lost:
        if (r9.hasValue(r12) != false) goto L30;
     */
    /* JADX WARN: Removed duplicated region for block: B:26:0x006f  */
    /* JADX WARN: Removed duplicated region for block: B:31:0x0080  */
    /* JADX WARN: Removed duplicated region for block: B:37:0x009c  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static ColorStateList e(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        int depth;
        int color;
        int i3;
        int i4;
        int attributeCount;
        int i5;
        Resources resources2 = resources;
        int i6 = 1;
        int depth2 = xmlPullParser.getDepth() + 1;
        int[][] iArr = new int[20];
        int[] iArr2 = new int[20];
        int i7 = 0;
        while (true) {
            int next = xmlPullParser.next();
            if (next == i6 || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                break;
            }
            if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                TypedArray h3 = h(resources2, theme, attributeSet, o.c.f4280b);
                int i8 = o.c.f4281c;
                int resourceId = h3.getResourceId(i8, -1);
                if (resourceId != -1 && !f(resources2, resourceId)) {
                    try {
                        color = a(resources2, resources2.getXml(resourceId), theme).getDefaultColor();
                    } catch (Exception unused) {
                        i8 = o.c.f4281c;
                    }
                    float f3 = 1.0f;
                    i3 = o.c.f4282d;
                    if (!h3.hasValue(i3)) {
                        i3 = o.c.f4284f;
                    }
                    f3 = h3.getFloat(i3, 1.0f);
                    if (Build.VERSION.SDK_INT >= 31) {
                        i4 = o.c.f4283e;
                    }
                    i4 = o.c.f4285g;
                    float f4 = h3.getFloat(i4, -1.0f);
                    h3.recycle();
                    attributeCount = attributeSet.getAttributeCount();
                    int[] iArr3 = new int[attributeCount];
                    int i9 = 0;
                    for (i5 = 0; i5 < attributeCount; i5++) {
                        int attributeNameResource = attributeSet.getAttributeNameResource(i5);
                        if (attributeNameResource != 16843173 && attributeNameResource != 16843551 && attributeNameResource != o.a.f4250a && attributeNameResource != o.a.f4251b) {
                            int i10 = i9 + 1;
                            if (!attributeSet.getAttributeBooleanValue(i5, false)) {
                                attributeNameResource = -attributeNameResource;
                            }
                            iArr3[i9] = attributeNameResource;
                            i9 = i10;
                        }
                    }
                    int[] trimStateSet = StateSet.trimStateSet(iArr3, i9);
                    iArr2 = g.a(iArr2, i7, g(color, f3, f4));
                    iArr = (int[][]) g.b(iArr, i7, trimStateSet);
                    i7++;
                }
                color = h3.getColor(i8, -65281);
                float f32 = 1.0f;
                i3 = o.c.f4282d;
                if (!h3.hasValue(i3)) {
                }
                f32 = h3.getFloat(i3, 1.0f);
                if (Build.VERSION.SDK_INT >= 31) {
                }
                i4 = o.c.f4285g;
                float f42 = h3.getFloat(i4, -1.0f);
                h3.recycle();
                attributeCount = attributeSet.getAttributeCount();
                int[] iArr32 = new int[attributeCount];
                int i92 = 0;
                while (i5 < attributeCount) {
                }
                int[] trimStateSet2 = StateSet.trimStateSet(iArr32, i92);
                iArr2 = g.a(iArr2, i7, g(color, f32, f42));
                iArr = (int[][]) g.b(iArr, i7, trimStateSet2);
                i7++;
            }
            i6 = 1;
            resources2 = resources;
        }
        int[] iArr4 = new int[i7];
        int[][] iArr5 = new int[i7];
        System.arraycopy(iArr2, 0, iArr4, 0, i7);
        System.arraycopy(iArr, 0, iArr5, 0, i7);
        return new ColorStateList(iArr5, iArr4);
    }

    private static boolean f(Resources resources, int i3) {
        TypedValue c3 = c();
        resources.getValue(i3, c3, true);
        int i4 = c3.type;
        return i4 >= 28 && i4 <= 31;
    }

    private static int g(int i3, float f3, float f4) {
        boolean z2 = f4 >= 0.0f && f4 <= 100.0f;
        if (f3 != 1.0f || z2) {
            int a3 = q.a.a((int) ((Color.alpha(i3) * f3) + 0.5f), 0, 255);
            if (z2) {
                a c3 = a.c(i3);
                i3 = a.m(c3.j(), c3.i(), f4);
            }
            return (i3 & 16777215) | (a3 << 24);
        }
        return i3;
    }

    private static TypedArray h(Resources resources, Resources.Theme theme, AttributeSet attributeSet, int[] iArr) {
        return theme == null ? resources.obtainAttributes(attributeSet, iArr) : theme.obtainStyledAttributes(attributeSet, iArr, 0, 0);
    }
}
