package androidx.core.content.res;

import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.LinearGradient;
import android.graphics.RadialGradient;
import android.graphics.Shader;
import android.graphics.SweepGradient;
import android.util.AttributeSet;
import java.util.ArrayList;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public final class f {

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        final int[] f1479a;

        /* renamed from: b  reason: collision with root package name */
        final float[] f1480b;

        a(int i3, int i4) {
            this.f1479a = new int[]{i3, i4};
            this.f1480b = new float[]{0.0f, 1.0f};
        }

        a(int i3, int i4, int i5) {
            this.f1479a = new int[]{i3, i4, i5};
            this.f1480b = new float[]{0.0f, 0.5f, 1.0f};
        }

        a(List<Integer> list, List<Float> list2) {
            int size = list.size();
            this.f1479a = new int[size];
            this.f1480b = new float[size];
            for (int i3 = 0; i3 < size; i3++) {
                this.f1479a[i3] = list.get(i3).intValue();
                this.f1480b[i3] = list2.get(i3).floatValue();
            }
        }
    }

    private static a a(a aVar, int i3, int i4, boolean z2, int i5) {
        return aVar != null ? aVar : z2 ? new a(i3, i5, i4) : new a(i3, i4);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Shader b(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        String name = xmlPullParser.getName();
        if (!name.equals("gradient")) {
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid gradient color tag " + name);
        }
        TypedArray k3 = n.k(resources, theme, attributeSet, o.c.A);
        float f3 = n.f(k3, xmlPullParser, "startX", o.c.J, 0.0f);
        float f4 = n.f(k3, xmlPullParser, "startY", o.c.K, 0.0f);
        float f5 = n.f(k3, xmlPullParser, "endX", o.c.L, 0.0f);
        float f6 = n.f(k3, xmlPullParser, "endY", o.c.M, 0.0f);
        float f7 = n.f(k3, xmlPullParser, "centerX", o.c.E, 0.0f);
        float f8 = n.f(k3, xmlPullParser, "centerY", o.c.F, 0.0f);
        int g3 = n.g(k3, xmlPullParser, "type", o.c.D, 0);
        int b3 = n.b(k3, xmlPullParser, "startColor", o.c.B, 0);
        boolean j3 = n.j(xmlPullParser, "centerColor");
        int b4 = n.b(k3, xmlPullParser, "centerColor", o.c.I, 0);
        int b5 = n.b(k3, xmlPullParser, "endColor", o.c.C, 0);
        int g4 = n.g(k3, xmlPullParser, "tileMode", o.c.H, 0);
        float f9 = n.f(k3, xmlPullParser, "gradientRadius", o.c.G, 0.0f);
        k3.recycle();
        a a3 = a(c(resources, xmlPullParser, attributeSet, theme), b3, b5, j3, b4);
        if (g3 != 1) {
            return g3 != 2 ? new LinearGradient(f3, f4, f5, f6, a3.f1479a, a3.f1480b, d(g4)) : new SweepGradient(f7, f8, a3.f1479a, a3.f1480b);
        } else if (f9 > 0.0f) {
            return new RadialGradient(f7, f8, f9, a3.f1479a, a3.f1480b, d(g4));
        } else {
            throw new XmlPullParserException("<gradient> tag requires 'gradientRadius' attribute with radial type");
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:21:0x0080, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(r10.getPositionDescription() + ": <item> tag requires a 'color' attribute and a 'offset' attribute!");
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static a c(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        int depth;
        int depth2 = xmlPullParser.getDepth() + 1;
        ArrayList arrayList = new ArrayList(20);
        ArrayList arrayList2 = new ArrayList(20);
        while (true) {
            int next = xmlPullParser.next();
            if (next == 1 || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                break;
            } else if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                TypedArray k3 = n.k(resources, theme, attributeSet, o.c.N);
                int i3 = o.c.O;
                boolean hasValue = k3.hasValue(i3);
                int i4 = o.c.P;
                boolean hasValue2 = k3.hasValue(i4);
                if (!hasValue || !hasValue2) {
                    break;
                }
                int color = k3.getColor(i3, 0);
                float f3 = k3.getFloat(i4, 0.0f);
                k3.recycle();
                arrayList2.add(Integer.valueOf(color));
                arrayList.add(Float.valueOf(f3));
            }
        }
        if (arrayList2.size() > 0) {
            return new a(arrayList2, arrayList);
        }
        return null;
    }

    private static Shader.TileMode d(int i3) {
        return i3 != 1 ? i3 != 2 ? Shader.TileMode.CLAMP : Shader.TileMode.MIRROR : Shader.TileMode.REPEAT;
    }
}
