package androidx.core.content.res;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import androidx.core.content.res.e;
import androidx.core.content.res.h;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public final class h {

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadLocal<TypedValue> f1481a = new ThreadLocal<>();

    /* renamed from: b  reason: collision with root package name */
    private static final WeakHashMap<d, SparseArray<c>> f1482b = new WeakHashMap<>(0);

    /* renamed from: c  reason: collision with root package name */
    private static final Object f1483c = new Object();

    /* loaded from: classes.dex */
    static class a {
        static Drawable a(Resources resources, int i3, Resources.Theme theme) {
            return resources.getDrawable(i3, theme);
        }

        static Drawable b(Resources resources, int i3, int i4, Resources.Theme theme) {
            return resources.getDrawableForDensity(i3, i4, theme);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class b {
        static int a(Resources resources, int i3, Resources.Theme theme) {
            int color;
            color = resources.getColor(i3, theme);
            return color;
        }

        static ColorStateList b(Resources resources, int i3, Resources.Theme theme) {
            ColorStateList colorStateList;
            colorStateList = resources.getColorStateList(i3, theme);
            return colorStateList;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        final ColorStateList f1484a;

        /* renamed from: b  reason: collision with root package name */
        final Configuration f1485b;

        /* renamed from: c  reason: collision with root package name */
        final int f1486c;

        c(ColorStateList colorStateList, Configuration configuration, Resources.Theme theme) {
            this.f1484a = colorStateList;
            this.f1485b = configuration;
            this.f1486c = theme == null ? 0 : theme.hashCode();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        final Resources f1487a;

        /* renamed from: b  reason: collision with root package name */
        final Resources.Theme f1488b;

        d(Resources resources, Resources.Theme theme) {
            this.f1487a = resources;
            this.f1488b = theme;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || d.class != obj.getClass()) {
                return false;
            }
            d dVar = (d) obj;
            return this.f1487a.equals(dVar.f1487a) && s.c.a(this.f1488b, dVar.f1488b);
        }

        public int hashCode() {
            return s.c.b(this.f1487a, this.f1488b);
        }
    }

    /* loaded from: classes.dex */
    public static abstract class e {
        public static Handler e(Handler handler) {
            return handler == null ? new Handler(Looper.getMainLooper()) : handler;
        }

        public final void c(final int i3, Handler handler) {
            e(handler).post(new Runnable() { // from class: androidx.core.content.res.l
                @Override // java.lang.Runnable
                public final void run() {
                    h.e.this.f(i3);
                }
            });
        }

        public final void d(final Typeface typeface, Handler handler) {
            e(handler).post(new Runnable() { // from class: androidx.core.content.res.k
                @Override // java.lang.Runnable
                public final void run() {
                    h.e.this.g(typeface);
                }
            });
        }

        /* renamed from: h */
        public abstract void f(int i3);

        /* renamed from: i */
        public abstract void g(Typeface typeface);
    }

    /* loaded from: classes.dex */
    public static final class f {

        /* loaded from: classes.dex */
        static class a {

            /* renamed from: a  reason: collision with root package name */
            private static final Object f1489a = new Object();

            /* renamed from: b  reason: collision with root package name */
            private static Method f1490b;

            /* renamed from: c  reason: collision with root package name */
            private static boolean f1491c;

            static void a(Resources.Theme theme) {
                synchronized (f1489a) {
                    if (!f1491c) {
                        try {
                            Method declaredMethod = Resources.Theme.class.getDeclaredMethod("rebase", new Class[0]);
                            f1490b = declaredMethod;
                            declaredMethod.setAccessible(true);
                        } catch (NoSuchMethodException e3) {
                            Log.i("ResourcesCompat", "Failed to retrieve rebase() method", e3);
                        }
                        f1491c = true;
                    }
                    Method method = f1490b;
                    if (method != null) {
                        try {
                            method.invoke(theme, new Object[0]);
                        } catch (IllegalAccessException | InvocationTargetException e4) {
                            Log.i("ResourcesCompat", "Failed to invoke rebase() method via reflection", e4);
                            f1490b = null;
                        }
                    }
                }
            }
        }

        /* loaded from: classes.dex */
        static class b {
            static void a(Resources.Theme theme) {
                theme.rebase();
            }
        }

        public static void a(Resources.Theme theme) {
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 29) {
                b.a(theme);
            } else if (i3 >= 23) {
                a.a(theme);
            }
        }
    }

    private static void a(d dVar, int i3, ColorStateList colorStateList, Resources.Theme theme) {
        synchronized (f1483c) {
            WeakHashMap<d, SparseArray<c>> weakHashMap = f1482b;
            SparseArray<c> sparseArray = weakHashMap.get(dVar);
            if (sparseArray == null) {
                sparseArray = new SparseArray<>();
                weakHashMap.put(dVar, sparseArray);
            }
            sparseArray.append(i3, new c(colorStateList, dVar.f1487a.getConfiguration(), theme));
        }
    }

    private static ColorStateList b(d dVar, int i3) {
        c cVar;
        Resources.Theme theme;
        synchronized (f1483c) {
            SparseArray<c> sparseArray = f1482b.get(dVar);
            if (sparseArray != null && sparseArray.size() > 0 && (cVar = sparseArray.get(i3)) != null) {
                if (cVar.f1485b.equals(dVar.f1487a.getConfiguration()) && (((theme = dVar.f1488b) == null && cVar.f1486c == 0) || (theme != null && cVar.f1486c == theme.hashCode()))) {
                    return cVar.f1484a;
                }
                sparseArray.remove(i3);
            }
            return null;
        }
    }

    public static ColorStateList c(Resources resources, int i3, Resources.Theme theme) {
        d dVar = new d(resources, theme);
        ColorStateList b3 = b(dVar, i3);
        if (b3 != null) {
            return b3;
        }
        ColorStateList h3 = h(resources, i3, theme);
        if (h3 == null) {
            return Build.VERSION.SDK_INT >= 23 ? b.b(resources, i3, theme) : resources.getColorStateList(i3);
        }
        a(dVar, i3, h3, theme);
        return h3;
    }

    public static Drawable d(Resources resources, int i3, Resources.Theme theme) {
        return a.a(resources, i3, theme);
    }

    public static Drawable e(Resources resources, int i3, int i4, Resources.Theme theme) {
        return a.b(resources, i3, i4, theme);
    }

    public static Typeface f(Context context, int i3, TypedValue typedValue, int i4, e eVar) {
        if (context.isRestricted()) {
            return null;
        }
        return j(context, i3, typedValue, i4, eVar, null, true, false);
    }

    private static TypedValue g() {
        ThreadLocal<TypedValue> threadLocal = f1481a;
        TypedValue typedValue = threadLocal.get();
        if (typedValue == null) {
            TypedValue typedValue2 = new TypedValue();
            threadLocal.set(typedValue2);
            return typedValue2;
        }
        return typedValue;
    }

    private static ColorStateList h(Resources resources, int i3, Resources.Theme theme) {
        if (i(resources, i3)) {
            return null;
        }
        try {
            return androidx.core.content.res.c.a(resources, resources.getXml(i3), theme);
        } catch (Exception e3) {
            Log.w("ResourcesCompat", "Failed to inflate ColorStateList, leaving it to the framework", e3);
            return null;
        }
    }

    private static boolean i(Resources resources, int i3) {
        TypedValue g3 = g();
        resources.getValue(i3, g3, true);
        int i4 = g3.type;
        return i4 >= 28 && i4 <= 31;
    }

    private static Typeface j(Context context, int i3, TypedValue typedValue, int i4, e eVar, Handler handler, boolean z2, boolean z3) {
        Resources resources = context.getResources();
        resources.getValue(i3, typedValue, true);
        Typeface k3 = k(context, resources, typedValue, i3, i4, eVar, handler, z2, z3);
        if (k3 == null && eVar == null && !z3) {
            throw new Resources.NotFoundException("Font resource ID #0x" + Integer.toHexString(i3) + " could not be retrieved.");
        }
        return k3;
    }

    /* JADX WARN: Removed duplicated region for block: B:38:0x00aa  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static Typeface k(Context context, Resources resources, TypedValue typedValue, int i3, int i4, e eVar, Handler handler, boolean z2, boolean z3) {
        StringBuilder sb;
        String str;
        CharSequence charSequence = typedValue.string;
        if (charSequence == null) {
            throw new Resources.NotFoundException("Resource \"" + resources.getResourceName(i3) + "\" (" + Integer.toHexString(i3) + ") is not a Font: " + typedValue);
        }
        String charSequence2 = charSequence.toString();
        if (!charSequence2.startsWith("res/")) {
            if (eVar != null) {
                eVar.c(-3, handler);
            }
            return null;
        }
        Typeface f3 = androidx.core.graphics.f.f(resources, i3, charSequence2, typedValue.assetCookie, i4);
        if (f3 != null) {
            if (eVar != null) {
                eVar.d(f3, handler);
            }
            return f3;
        } else if (z3) {
            return null;
        } else {
            try {
                if (!charSequence2.toLowerCase().endsWith(".xml")) {
                    Typeface d3 = androidx.core.graphics.f.d(context, resources, i3, charSequence2, typedValue.assetCookie, i4);
                    if (eVar != null) {
                        if (d3 != null) {
                            eVar.d(d3, handler);
                        } else {
                            eVar.c(-3, handler);
                        }
                    }
                    return d3;
                }
                e.b b3 = androidx.core.content.res.e.b(resources.getXml(i3), resources);
                if (b3 == null) {
                    Log.e("ResourcesCompat", "Failed to find font-family tag");
                    if (eVar != null) {
                        eVar.c(-3, handler);
                    }
                    return null;
                }
                return androidx.core.graphics.f.c(context, b3, resources, i3, charSequence2, typedValue.assetCookie, i4, eVar, handler, z2);
            } catch (IOException e3) {
                e = e3;
                sb = new StringBuilder();
                str = "Failed to read xml resource ";
                sb.append(str);
                sb.append(charSequence2);
                Log.e("ResourcesCompat", sb.toString(), e);
                if (eVar != null) {
                    eVar.c(-3, handler);
                }
                return null;
            } catch (XmlPullParserException e4) {
                e = e4;
                sb = new StringBuilder();
                str = "Failed to parse xml resource ";
                sb.append(str);
                sb.append(charSequence2);
                Log.e("ResourcesCompat", sb.toString(), e);
                if (eVar != null) {
                }
                return null;
            }
        }
    }
}
