package androidx.core.graphics;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.system.ErrnoException;
import android.system.Os;
import android.system.OsConstants;
import android.util.Log;
import androidx.core.content.res.e;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import r.i;
/* loaded from: classes.dex */
class g extends l {

    /* renamed from: b  reason: collision with root package name */
    private static Class<?> f1548b = null;

    /* renamed from: c  reason: collision with root package name */
    private static Constructor<?> f1549c = null;

    /* renamed from: d  reason: collision with root package name */
    private static Method f1550d = null;

    /* renamed from: e  reason: collision with root package name */
    private static Method f1551e = null;

    /* renamed from: f  reason: collision with root package name */
    private static boolean f1552f = false;

    private static boolean h(Object obj, String str, int i3, boolean z2) {
        k();
        try {
            return ((Boolean) f1550d.invoke(obj, str, Integer.valueOf(i3), Boolean.valueOf(z2))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException e3) {
            throw new RuntimeException(e3);
        }
    }

    private static Typeface i(Object obj) {
        k();
        try {
            Object newInstance = Array.newInstance(f1548b, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) f1551e.invoke(null, newInstance);
        } catch (IllegalAccessException | InvocationTargetException e3) {
            throw new RuntimeException(e3);
        }
    }

    private File j(ParcelFileDescriptor parcelFileDescriptor) {
        try {
            String readlink = Os.readlink("/proc/self/fd/" + parcelFileDescriptor.getFd());
            if (OsConstants.S_ISREG(Os.stat(readlink).st_mode)) {
                return new File(readlink);
            }
        } catch (ErrnoException unused) {
        }
        return null;
    }

    private static void k() {
        Method method;
        Class<?> cls;
        Method method2;
        if (f1552f) {
            return;
        }
        f1552f = true;
        Constructor<?> constructor = null;
        try {
            cls = Class.forName("android.graphics.FontFamily");
            Constructor<?> constructor2 = cls.getConstructor(new Class[0]);
            method2 = cls.getMethod("addFontWeightStyle", String.class, Integer.TYPE, Boolean.TYPE);
            method = Typeface.class.getMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass());
            constructor = constructor2;
        } catch (ClassNotFoundException | NoSuchMethodException e3) {
            Log.e("TypefaceCompatApi21Impl", e3.getClass().getName(), e3);
            method = null;
            cls = null;
            method2 = null;
        }
        f1549c = constructor;
        f1548b = cls;
        f1550d = method2;
        f1551e = method;
    }

    private static Object l() {
        k();
        try {
            return f1549c.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException e3) {
            throw new RuntimeException(e3);
        }
    }

    @Override // androidx.core.graphics.l
    public Typeface a(Context context, e.c cVar, Resources resources, int i3) {
        e.d[] a3;
        Object l3 = l();
        for (e.d dVar : cVar.a()) {
            File e3 = m.e(context);
            if (e3 == null) {
                return null;
            }
            try {
                if (!m.c(e3, resources, dVar.b())) {
                    return null;
                }
                if (!h(l3, e3.getPath(), dVar.e(), dVar.f())) {
                    return null;
                }
            } catch (RuntimeException unused) {
                return null;
            } finally {
                e3.delete();
            }
        }
        return i(l3);
    }

    @Override // androidx.core.graphics.l
    public Typeface b(Context context, CancellationSignal cancellationSignal, i.b[] bVarArr, int i3) {
        if (bVarArr.length < 1) {
            return null;
        }
        i.b g3 = g(bVarArr, i3);
        try {
            ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(g3.d(), "r", cancellationSignal);
            if (openFileDescriptor == null) {
                if (openFileDescriptor != null) {
                    openFileDescriptor.close();
                }
                return null;
            }
            File j3 = j(openFileDescriptor);
            if (j3 != null && j3.canRead()) {
                Typeface createFromFile = Typeface.createFromFile(j3);
                openFileDescriptor.close();
                return createFromFile;
            }
            FileInputStream fileInputStream = new FileInputStream(openFileDescriptor.getFileDescriptor());
            Typeface c3 = super.c(context, fileInputStream);
            fileInputStream.close();
            openFileDescriptor.close();
            return c3;
        } catch (IOException unused) {
            return null;
        }
    }
}
