package androidx.core.graphics;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.CancellationSignal;
import android.util.Log;
import androidx.core.content.res.e;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.List;
import r.i;
/* loaded from: classes.dex */
class h extends l {

    /* renamed from: b  reason: collision with root package name */
    private static final Class<?> f1553b;

    /* renamed from: c  reason: collision with root package name */
    private static final Constructor<?> f1554c;

    /* renamed from: d  reason: collision with root package name */
    private static final Method f1555d;

    /* renamed from: e  reason: collision with root package name */
    private static final Method f1556e;

    static {
        Class<?> cls;
        Method method;
        Method method2;
        Constructor<?> constructor = null;
        try {
            cls = Class.forName("android.graphics.FontFamily");
            Constructor<?> constructor2 = cls.getConstructor(new Class[0]);
            Class<?> cls2 = Integer.TYPE;
            method2 = cls.getMethod("addFontWeightStyle", ByteBuffer.class, cls2, List.class, cls2, Boolean.TYPE);
            method = Typeface.class.getMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass());
            constructor = constructor2;
        } catch (ClassNotFoundException | NoSuchMethodException e3) {
            Log.e("TypefaceCompatApi24Impl", e3.getClass().getName(), e3);
            cls = null;
            method = null;
            method2 = null;
        }
        f1554c = constructor;
        f1553b = cls;
        f1555d = method2;
        f1556e = method;
    }

    private static boolean h(Object obj, ByteBuffer byteBuffer, int i3, int i4, boolean z2) {
        try {
            return ((Boolean) f1555d.invoke(obj, byteBuffer, Integer.valueOf(i3), null, Integer.valueOf(i4), Boolean.valueOf(z2))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private static Typeface i(Object obj) {
        try {
            Object newInstance = Array.newInstance(f1553b, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) f1556e.invoke(null, newInstance);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    public static boolean j() {
        Method method = f1555d;
        if (method == null) {
            Log.w("TypefaceCompatApi24Impl", "Unable to collect necessary private methods.Fallback to legacy implementation.");
        }
        return method != null;
    }

    private static Object k() {
        try {
            return f1554c.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    @Override // androidx.core.graphics.l
    public Typeface a(Context context, e.c cVar, Resources resources, int i3) {
        e.d[] a3;
        Object k3 = k();
        if (k3 == null) {
            return null;
        }
        for (e.d dVar : cVar.a()) {
            ByteBuffer b3 = m.b(context, resources, dVar.b());
            if (b3 == null || !h(k3, b3, dVar.c(), dVar.e(), dVar.f())) {
                return null;
            }
        }
        return i(k3);
    }

    @Override // androidx.core.graphics.l
    public Typeface b(Context context, CancellationSignal cancellationSignal, i.b[] bVarArr, int i3) {
        Object k3 = k();
        if (k3 == null) {
            return null;
        }
        n.g gVar = new n.g();
        for (i.b bVar : bVarArr) {
            Uri d3 = bVar.d();
            ByteBuffer byteBuffer = (ByteBuffer) gVar.get(d3);
            if (byteBuffer == null) {
                byteBuffer = m.f(context, cancellationSignal, d3);
                gVar.put(d3, byteBuffer);
            }
            if (byteBuffer == null || !h(k3, byteBuffer, bVar.c(), bVar.e(), bVar.f())) {
                return null;
            }
        }
        Typeface i4 = i(k3);
        if (i4 == null) {
            return null;
        }
        return Typeface.create(i4, i3);
    }
}
