package androidx.core.graphics;

import android.content.Context;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.fonts.FontVariationAxis;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import androidx.core.content.res.e;
import java.io.FileDescriptor;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.Map;
import r.i;
/* loaded from: classes.dex */
public class i extends g {

    /* renamed from: g  reason: collision with root package name */
    protected final Class<?> f1557g;

    /* renamed from: h  reason: collision with root package name */
    protected final Constructor<?> f1558h;

    /* renamed from: i  reason: collision with root package name */
    protected final Method f1559i;

    /* renamed from: j  reason: collision with root package name */
    protected final Method f1560j;

    /* renamed from: k  reason: collision with root package name */
    protected final Method f1561k;

    /* renamed from: l  reason: collision with root package name */
    protected final Method f1562l;

    /* renamed from: m  reason: collision with root package name */
    protected final Method f1563m;

    public i() {
        Method method;
        Constructor<?> constructor;
        Method method2;
        Method method3;
        Method method4;
        Method method5;
        Class<?> cls = null;
        try {
            Class<?> v3 = v();
            constructor = w(v3);
            method2 = s(v3);
            method3 = t(v3);
            method4 = x(v3);
            method5 = r(v3);
            method = u(v3);
            cls = v3;
        } catch (ClassNotFoundException | NoSuchMethodException e3) {
            Log.e("TypefaceCompatApi26Impl", "Unable to collect necessary methods for class " + e3.getClass().getName(), e3);
            method = null;
            constructor = null;
            method2 = null;
            method3 = null;
            method4 = null;
            method5 = null;
        }
        this.f1557g = cls;
        this.f1558h = constructor;
        this.f1559i = method2;
        this.f1560j = method3;
        this.f1561k = method4;
        this.f1562l = method5;
        this.f1563m = method;
    }

    private Object l() {
        try {
            return this.f1558h.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    private void m(Object obj) {
        try {
            this.f1562l.invoke(obj, new Object[0]);
        } catch (IllegalAccessException | InvocationTargetException unused) {
        }
    }

    private boolean n(Context context, Object obj, String str, int i3, int i4, int i5, FontVariationAxis[] fontVariationAxisArr) {
        try {
            return ((Boolean) this.f1559i.invoke(obj, context.getAssets(), str, 0, Boolean.FALSE, Integer.valueOf(i3), Integer.valueOf(i4), Integer.valueOf(i5), fontVariationAxisArr)).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean o(Object obj, ByteBuffer byteBuffer, int i3, int i4, int i5) {
        try {
            return ((Boolean) this.f1560j.invoke(obj, byteBuffer, Integer.valueOf(i3), null, Integer.valueOf(i4), Integer.valueOf(i5))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean p(Object obj) {
        try {
            return ((Boolean) this.f1561k.invoke(obj, new Object[0])).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean q() {
        if (this.f1559i == null) {
            Log.w("TypefaceCompatApi26Impl", "Unable to collect necessary private methods. Fallback to legacy implementation.");
        }
        return this.f1559i != null;
    }

    @Override // androidx.core.graphics.g, androidx.core.graphics.l
    public Typeface a(Context context, e.c cVar, Resources resources, int i3) {
        e.d[] a3;
        if (q()) {
            Object l3 = l();
            if (l3 == null) {
                return null;
            }
            for (e.d dVar : cVar.a()) {
                if (!n(context, l3, dVar.a(), dVar.c(), dVar.e(), dVar.f() ? 1 : 0, FontVariationAxis.fromFontVariationSettings(dVar.d()))) {
                    m(l3);
                    return null;
                }
            }
            if (p(l3)) {
                return i(l3);
            }
            return null;
        }
        return super.a(context, cVar, resources, i3);
    }

    /* JADX WARN: Type inference failed for: r12v2, types: [android.graphics.Typeface$Builder] */
    @Override // androidx.core.graphics.g, androidx.core.graphics.l
    public Typeface b(Context context, CancellationSignal cancellationSignal, i.b[] bVarArr, int i3) {
        Typeface i4;
        if (bVarArr.length < 1) {
            return null;
        }
        if (!q()) {
            i.b g3 = g(bVarArr, i3);
            try {
                ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(g3.d(), "r", cancellationSignal);
                if (openFileDescriptor == null) {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                    return null;
                }
                final FileDescriptor fileDescriptor = openFileDescriptor.getFileDescriptor();
                Typeface build = new Object(fileDescriptor) { // from class: android.graphics.Typeface$Builder
                    static {
                        throw new NoClassDefFoundError();
                    }

                    public native /* synthetic */ Typeface build();

                    public native /* synthetic */ Typeface$Builder setItalic(boolean z2);

                    public native /* synthetic */ Typeface$Builder setWeight(int i5);
                }.setWeight(g3.e()).setItalic(g3.f()).build();
                openFileDescriptor.close();
                return build;
            } catch (IOException unused) {
                return null;
            }
        }
        Map<Uri, ByteBuffer> h3 = m.h(context, bVarArr, cancellationSignal);
        Object l3 = l();
        if (l3 == null) {
            return null;
        }
        boolean z2 = false;
        for (i.b bVar : bVarArr) {
            ByteBuffer byteBuffer = h3.get(bVar.d());
            if (byteBuffer != null) {
                if (!o(l3, byteBuffer, bVar.c(), bVar.e(), bVar.f() ? 1 : 0)) {
                    m(l3);
                    return null;
                }
                z2 = true;
            }
        }
        if (!z2) {
            m(l3);
            return null;
        } else if (p(l3) && (i4 = i(l3)) != null) {
            return Typeface.create(i4, i3);
        } else {
            return null;
        }
    }

    @Override // androidx.core.graphics.l
    public Typeface d(Context context, Resources resources, int i3, String str, int i4) {
        if (q()) {
            Object l3 = l();
            if (l3 == null) {
                return null;
            }
            if (!n(context, l3, str, 0, -1, -1, null)) {
                m(l3);
                return null;
            } else if (p(l3)) {
                return i(l3);
            } else {
                return null;
            }
        }
        return super.d(context, resources, i3, str, i4);
    }

    protected Typeface i(Object obj) {
        try {
            Object newInstance = Array.newInstance(this.f1557g, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) this.f1563m.invoke(null, newInstance, -1, -1);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    protected Method r(Class<?> cls) {
        return cls.getMethod("abortCreation", new Class[0]);
    }

    protected Method s(Class<?> cls) {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod("addFontFromAssetManager", AssetManager.class, String.class, cls2, Boolean.TYPE, cls2, cls2, cls2, FontVariationAxis[].class);
    }

    protected Method t(Class<?> cls) {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod("addFontFromBuffer", ByteBuffer.class, cls2, FontVariationAxis[].class, cls2, cls2);
    }

    protected Method u(Class<?> cls) {
        Class cls2 = Integer.TYPE;
        Method declaredMethod = Typeface.class.getDeclaredMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass(), cls2, cls2);
        declaredMethod.setAccessible(true);
        return declaredMethod;
    }

    protected Class<?> v() {
        return Class.forName("android.graphics.FontFamily");
    }

    protected Constructor<?> w(Class<?> cls) {
        return cls.getConstructor(new Class[0]);
    }

    protected Method x(Class<?> cls) {
        return cls.getMethod("freeze", new Class[0]);
    }
}
