package androidx.core.text;

import android.annotation.NonNull;
import android.os.Build;
import android.os.LocaleList;
import android.text.PrecomputedText;
import android.text.Spannable;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.MetricAffectingSpan;
/* loaded from: classes.dex */
public class d implements Spannable {

    /* renamed from: h  reason: collision with root package name */
    private static final Object f1594h = new Object();

    /* renamed from: e  reason: collision with root package name */
    private final Spannable f1595e;

    /* renamed from: f  reason: collision with root package name */
    private final a f1596f;

    /* renamed from: g  reason: collision with root package name */
    private final PrecomputedText f1597g;

    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private final TextPaint f1598a;

        /* renamed from: b  reason: collision with root package name */
        private final TextDirectionHeuristic f1599b;

        /* renamed from: c  reason: collision with root package name */
        private final int f1600c;

        /* renamed from: d  reason: collision with root package name */
        private final int f1601d;

        /* renamed from: e  reason: collision with root package name */
        final PrecomputedText.Params f1602e;

        /* renamed from: androidx.core.text.d$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        public static class C0019a {

            /* renamed from: a  reason: collision with root package name */
            private final TextPaint f1603a;

            /* renamed from: b  reason: collision with root package name */
            private TextDirectionHeuristic f1604b;

            /* renamed from: c  reason: collision with root package name */
            private int f1605c;

            /* renamed from: d  reason: collision with root package name */
            private int f1606d;

            public C0019a(TextPaint textPaint) {
                this.f1603a = textPaint;
                if (Build.VERSION.SDK_INT >= 23) {
                    this.f1605c = 1;
                    this.f1606d = 1;
                } else {
                    this.f1606d = 0;
                    this.f1605c = 0;
                }
                this.f1604b = TextDirectionHeuristics.FIRSTSTRONG_LTR;
            }

            public a a() {
                return new a(this.f1603a, this.f1604b, this.f1605c, this.f1606d);
            }

            public C0019a b(int i3) {
                this.f1605c = i3;
                return this;
            }

            public C0019a c(int i3) {
                this.f1606d = i3;
                return this;
            }

            public C0019a d(TextDirectionHeuristic textDirectionHeuristic) {
                this.f1604b = textDirectionHeuristic;
                return this;
            }
        }

        public a(PrecomputedText.Params params) {
            this.f1598a = params.getTextPaint();
            this.f1599b = params.getTextDirection();
            this.f1600c = params.getBreakStrategy();
            this.f1601d = params.getHyphenationFrequency();
            this.f1602e = Build.VERSION.SDK_INT < 29 ? null : params;
        }

        /* JADX WARN: Type inference failed for: r0v3, types: [android.text.PrecomputedText$Params$Builder] */
        a(TextPaint textPaint, TextDirectionHeuristic textDirectionHeuristic, int i3, int i4) {
            this.f1602e = Build.VERSION.SDK_INT >= 29 ? new Object(textPaint) { // from class: android.text.PrecomputedText.Params.Builder
                static {
                    throw new NoClassDefFoundError();
                }

                @NonNull
                public native /* synthetic */ Params build();

                public native /* synthetic */ Builder setBreakStrategy(int i5);

                public native /* synthetic */ Builder setHyphenationFrequency(int i5);

                public native /* synthetic */ Builder setTextDirection(@NonNull TextDirectionHeuristic textDirectionHeuristic2);
            }.setBreakStrategy(i3).setHyphenationFrequency(i4).setTextDirection(textDirectionHeuristic).build() : null;
            this.f1598a = textPaint;
            this.f1599b = textDirectionHeuristic;
            this.f1600c = i3;
            this.f1601d = i4;
        }

        public boolean a(a aVar) {
            LocaleList textLocales;
            LocaleList textLocales2;
            int i3 = Build.VERSION.SDK_INT;
            if ((i3 < 23 || (this.f1600c == aVar.b() && this.f1601d == aVar.c())) && this.f1598a.getTextSize() == aVar.e().getTextSize() && this.f1598a.getTextScaleX() == aVar.e().getTextScaleX() && this.f1598a.getTextSkewX() == aVar.e().getTextSkewX() && this.f1598a.getLetterSpacing() == aVar.e().getLetterSpacing() && TextUtils.equals(this.f1598a.getFontFeatureSettings(), aVar.e().getFontFeatureSettings()) && this.f1598a.getFlags() == aVar.e().getFlags()) {
                if (i3 >= 24) {
                    textLocales = this.f1598a.getTextLocales();
                    textLocales2 = aVar.e().getTextLocales();
                    if (!textLocales.equals(textLocales2)) {
                        return false;
                    }
                } else if (!this.f1598a.getTextLocale().equals(aVar.e().getTextLocale())) {
                    return false;
                }
                return this.f1598a.getTypeface() == null ? aVar.e().getTypeface() == null : this.f1598a.getTypeface().equals(aVar.e().getTypeface());
            }
            return false;
        }

        public int b() {
            return this.f1600c;
        }

        public int c() {
            return this.f1601d;
        }

        public TextDirectionHeuristic d() {
            return this.f1599b;
        }

        public TextPaint e() {
            return this.f1598a;
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (obj instanceof a) {
                a aVar = (a) obj;
                return a(aVar) && this.f1599b == aVar.d();
            }
            return false;
        }

        public int hashCode() {
            LocaleList textLocales;
            if (Build.VERSION.SDK_INT >= 24) {
                textLocales = this.f1598a.getTextLocales();
                return s.c.b(Float.valueOf(this.f1598a.getTextSize()), Float.valueOf(this.f1598a.getTextScaleX()), Float.valueOf(this.f1598a.getTextSkewX()), Float.valueOf(this.f1598a.getLetterSpacing()), Integer.valueOf(this.f1598a.getFlags()), textLocales, this.f1598a.getTypeface(), Boolean.valueOf(this.f1598a.isElegantTextHeight()), this.f1599b, Integer.valueOf(this.f1600c), Integer.valueOf(this.f1601d));
            }
            return s.c.b(Float.valueOf(this.f1598a.getTextSize()), Float.valueOf(this.f1598a.getTextScaleX()), Float.valueOf(this.f1598a.getTextSkewX()), Float.valueOf(this.f1598a.getLetterSpacing()), Integer.valueOf(this.f1598a.getFlags()), this.f1598a.getTextLocale(), this.f1598a.getTypeface(), Boolean.valueOf(this.f1598a.isElegantTextHeight()), this.f1599b, Integer.valueOf(this.f1600c), Integer.valueOf(this.f1601d));
        }

        public String toString() {
            StringBuilder sb;
            Object textLocale;
            String fontVariationSettings;
            StringBuilder sb2 = new StringBuilder("{");
            sb2.append("textSize=" + this.f1598a.getTextSize());
            sb2.append(", textScaleX=" + this.f1598a.getTextScaleX());
            sb2.append(", textSkewX=" + this.f1598a.getTextSkewX());
            int i3 = Build.VERSION.SDK_INT;
            sb2.append(", letterSpacing=" + this.f1598a.getLetterSpacing());
            sb2.append(", elegantTextHeight=" + this.f1598a.isElegantTextHeight());
            if (i3 >= 24) {
                sb = new StringBuilder();
                sb.append(", textLocale=");
                textLocale = this.f1598a.getTextLocales();
            } else {
                sb = new StringBuilder();
                sb.append(", textLocale=");
                textLocale = this.f1598a.getTextLocale();
            }
            sb.append(textLocale);
            sb2.append(sb.toString());
            sb2.append(", typeface=" + this.f1598a.getTypeface());
            if (i3 >= 26) {
                StringBuilder sb3 = new StringBuilder();
                sb3.append(", variationSettings=");
                fontVariationSettings = this.f1598a.getFontVariationSettings();
                sb3.append(fontVariationSettings);
                sb2.append(sb3.toString());
            }
            sb2.append(", textDir=" + this.f1599b);
            sb2.append(", breakStrategy=" + this.f1600c);
            sb2.append(", hyphenationFrequency=" + this.f1601d);
            sb2.append("}");
            return sb2.toString();
        }
    }

    public a a() {
        return this.f1596f;
    }

    public PrecomputedText b() {
        Spannable spannable = this.f1595e;
        if (spannable instanceof PrecomputedText) {
            return (PrecomputedText) spannable;
        }
        return null;
    }

    @Override // java.lang.CharSequence
    public char charAt(int i3) {
        return this.f1595e.charAt(i3);
    }

    @Override // android.text.Spanned
    public int getSpanEnd(Object obj) {
        return this.f1595e.getSpanEnd(obj);
    }

    @Override // android.text.Spanned
    public int getSpanFlags(Object obj) {
        return this.f1595e.getSpanFlags(obj);
    }

    @Override // android.text.Spanned
    public int getSpanStart(Object obj) {
        return this.f1595e.getSpanStart(obj);
    }

    @Override // android.text.Spanned
    public <T> T[] getSpans(int i3, int i4, Class<T> cls) {
        return Build.VERSION.SDK_INT >= 29 ? (T[]) this.f1597g.getSpans(i3, i4, cls) : (T[]) this.f1595e.getSpans(i3, i4, cls);
    }

    @Override // java.lang.CharSequence
    public int length() {
        return this.f1595e.length();
    }

    @Override // android.text.Spanned
    public int nextSpanTransition(int i3, int i4, Class cls) {
        return this.f1595e.nextSpanTransition(i3, i4, cls);
    }

    @Override // android.text.Spannable
    public void removeSpan(Object obj) {
        if (obj instanceof MetricAffectingSpan) {
            throw new IllegalArgumentException("MetricAffectingSpan can not be removed from PrecomputedText.");
        }
        if (Build.VERSION.SDK_INT >= 29) {
            this.f1597g.removeSpan(obj);
        } else {
            this.f1595e.removeSpan(obj);
        }
    }

    @Override // android.text.Spannable
    public void setSpan(Object obj, int i3, int i4, int i5) {
        if (obj instanceof MetricAffectingSpan) {
            throw new IllegalArgumentException("MetricAffectingSpan can not be set to PrecomputedText.");
        }
        if (Build.VERSION.SDK_INT >= 29) {
            this.f1597g.setSpan(obj, i3, i4, i5);
        } else {
            this.f1595e.setSpan(obj, i3, i4, i5);
        }
    }

    @Override // java.lang.CharSequence
    public CharSequence subSequence(int i3, int i4) {
        return this.f1595e.subSequence(i3, i4);
    }

    @Override // java.lang.CharSequence
    public String toString() {
        return this.f1595e.toString();
    }
}
