package androidx.core.view;

import android.os.Bundle;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.List;
import t.h;
/* loaded from: classes.dex */
public class a {

    /* renamed from: c  reason: collision with root package name */
    private static final View.AccessibilityDelegate f1607c = new View.AccessibilityDelegate();

    /* renamed from: a  reason: collision with root package name */
    private final View.AccessibilityDelegate f1608a;

    /* renamed from: b  reason: collision with root package name */
    private final View.AccessibilityDelegate f1609b;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: androidx.core.view.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static final class C0020a extends View.AccessibilityDelegate {

        /* renamed from: a  reason: collision with root package name */
        final a f1610a;

        C0020a(a aVar) {
            this.f1610a = aVar;
        }

        @Override // android.view.View.AccessibilityDelegate
        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f1610a.a(view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            t.l b3 = this.f1610a.b(view);
            if (b3 != null) {
                return (AccessibilityNodeProvider) b3.a();
            }
            return null;
        }

        @Override // android.view.View.AccessibilityDelegate
        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f1610a.f(view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            t.h c02 = t.h.c0(accessibilityNodeInfo);
            c02.Y(s0.D(view));
            c02.W(s0.z(view));
            c02.X(s0.m(view));
            c02.a0(s0.v(view));
            this.f1610a.g(view, c02);
            c02.c(accessibilityNodeInfo.getText(), view);
            List<h.a> c3 = a.c(view);
            for (int i3 = 0; i3 < c3.size(); i3++) {
                c02.a(c3.get(i3));
            }
        }

        @Override // android.view.View.AccessibilityDelegate
        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f1610a.h(view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.f1610a.i(viewGroup, view, accessibilityEvent);
        }

        @Override // android.view.View.AccessibilityDelegate
        public boolean performAccessibilityAction(View view, int i3, Bundle bundle) {
            return this.f1610a.j(view, i3, bundle);
        }

        @Override // android.view.View.AccessibilityDelegate
        public void sendAccessibilityEvent(View view, int i3) {
            this.f1610a.l(view, i3);
        }

        @Override // android.view.View.AccessibilityDelegate
        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.f1610a.m(view, accessibilityEvent);
        }
    }

    public a() {
        this(f1607c);
    }

    public a(View.AccessibilityDelegate accessibilityDelegate) {
        this.f1608a = accessibilityDelegate;
        this.f1609b = new C0020a(this);
    }

    static List<h.a> c(View view) {
        List<h.a> list = (List) view.getTag(o.b.H);
        return list == null ? Collections.emptyList() : list;
    }

    private boolean e(ClickableSpan clickableSpan, View view) {
        if (clickableSpan != null) {
            ClickableSpan[] m3 = t.h.m(view.createAccessibilityNodeInfo().getText());
            for (int i3 = 0; m3 != null && i3 < m3.length; i3++) {
                if (clickableSpan.equals(m3[i3])) {
                    return true;
                }
            }
        }
        return false;
    }

    private boolean k(int i3, View view) {
        WeakReference weakReference;
        SparseArray sparseArray = (SparseArray) view.getTag(o.b.I);
        if (sparseArray == null || (weakReference = (WeakReference) sparseArray.get(i3)) == null) {
            return false;
        }
        ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
        if (e(clickableSpan, view)) {
            clickableSpan.onClick(view);
            return true;
        }
        return false;
    }

    public boolean a(View view, AccessibilityEvent accessibilityEvent) {
        return this.f1608a.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public t.l b(View view) {
        AccessibilityNodeProvider accessibilityNodeProvider = this.f1608a.getAccessibilityNodeProvider(view);
        if (accessibilityNodeProvider != null) {
            return new t.l(accessibilityNodeProvider);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public View.AccessibilityDelegate d() {
        return this.f1609b;
    }

    public void f(View view, AccessibilityEvent accessibilityEvent) {
        this.f1608a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    public void g(View view, t.h hVar) {
        this.f1608a.onInitializeAccessibilityNodeInfo(view, hVar.b0());
    }

    public void h(View view, AccessibilityEvent accessibilityEvent) {
        this.f1608a.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public boolean i(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f1608a.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    public boolean j(View view, int i3, Bundle bundle) {
        List<h.a> c3 = c(view);
        boolean z2 = false;
        int i4 = 0;
        while (true) {
            if (i4 >= c3.size()) {
                break;
            }
            h.a aVar = c3.get(i4);
            if (aVar.a() == i3) {
                z2 = aVar.c(view, bundle);
                break;
            }
            i4++;
        }
        if (!z2) {
            z2 = this.f1608a.performAccessibilityAction(view, i3, bundle);
        }
        return (z2 || i3 != o.b.f4253a || bundle == null) ? z2 : k(bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1), view);
    }

    public void l(View view, int i3) {
        this.f1608a.sendAccessibilityEvent(view, i3);
    }

    public void m(View view, AccessibilityEvent accessibilityEvent) {
        this.f1608a.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }
}
