package androidx.core.view;

import android.graphics.Insets;
import android.graphics.Rect;
import android.os.Build;
import android.util.Log;
import android.view.DisplayCutout;
import android.view.View;
import android.view.WindowInsets;
import android.view.WindowInsets$Builder;
import android.view.WindowInsets$Type;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.Objects;
/* loaded from: classes.dex */
public class i2 {

    /* renamed from: b  reason: collision with root package name */
    public static final i2 f1652b;

    /* renamed from: a  reason: collision with root package name */
    private final l f1653a;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private static Field f1654a;

        /* renamed from: b  reason: collision with root package name */
        private static Field f1655b;

        /* renamed from: c  reason: collision with root package name */
        private static Field f1656c;

        /* renamed from: d  reason: collision with root package name */
        private static boolean f1657d;

        static {
            try {
                Field declaredField = View.class.getDeclaredField("mAttachInfo");
                f1654a = declaredField;
                declaredField.setAccessible(true);
                Class<?> cls = Class.forName("android.view.View$AttachInfo");
                Field declaredField2 = cls.getDeclaredField("mStableInsets");
                f1655b = declaredField2;
                declaredField2.setAccessible(true);
                Field declaredField3 = cls.getDeclaredField("mContentInsets");
                f1656c = declaredField3;
                declaredField3.setAccessible(true);
                f1657d = true;
            } catch (ReflectiveOperationException e3) {
                Log.w("WindowInsetsCompat", "Failed to get visible insets from AttachInfo " + e3.getMessage(), e3);
            }
        }

        public static i2 a(View view) {
            if (f1657d && view.isAttachedToWindow()) {
                try {
                    Object obj = f1654a.get(view.getRootView());
                    if (obj != null) {
                        Rect rect = (Rect) f1655b.get(obj);
                        Rect rect2 = (Rect) f1656c.get(obj);
                        if (rect != null && rect2 != null) {
                            i2 a3 = new b().b(androidx.core.graphics.b.c(rect)).c(androidx.core.graphics.b.c(rect2)).a();
                            a3.r(a3);
                            a3.d(view.getRootView());
                            return a3;
                        }
                    }
                } catch (IllegalAccessException e3) {
                    Log.w("WindowInsetsCompat", "Failed to get insets from AttachInfo. " + e3.getMessage(), e3);
                }
            }
            return null;
        }
    }

    /* loaded from: classes.dex */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final f f1658a;

        public b() {
            int i3 = Build.VERSION.SDK_INT;
            this.f1658a = i3 >= 30 ? new e() : i3 >= 29 ? new d() : new c();
        }

        public b(i2 i2Var) {
            int i3 = Build.VERSION.SDK_INT;
            this.f1658a = i3 >= 30 ? new e(i2Var) : i3 >= 29 ? new d(i2Var) : new c(i2Var);
        }

        public i2 a() {
            return this.f1658a.b();
        }

        @Deprecated
        public b b(androidx.core.graphics.b bVar) {
            this.f1658a.d(bVar);
            return this;
        }

        @Deprecated
        public b c(androidx.core.graphics.b bVar) {
            this.f1658a.f(bVar);
            return this;
        }
    }

    /* loaded from: classes.dex */
    private static class c extends f {

        /* renamed from: e  reason: collision with root package name */
        private static Field f1659e = null;

        /* renamed from: f  reason: collision with root package name */
        private static boolean f1660f = false;

        /* renamed from: g  reason: collision with root package name */
        private static Constructor<WindowInsets> f1661g = null;

        /* renamed from: h  reason: collision with root package name */
        private static boolean f1662h = false;

        /* renamed from: c  reason: collision with root package name */
        private WindowInsets f1663c;

        /* renamed from: d  reason: collision with root package name */
        private androidx.core.graphics.b f1664d;

        c() {
            this.f1663c = h();
        }

        c(i2 i2Var) {
            super(i2Var);
            this.f1663c = i2Var.t();
        }

        private static WindowInsets h() {
            if (!f1660f) {
                try {
                    f1659e = WindowInsets.class.getDeclaredField("CONSUMED");
                } catch (ReflectiveOperationException e3) {
                    Log.i("WindowInsetsCompat", "Could not retrieve WindowInsets.CONSUMED field", e3);
                }
                f1660f = true;
            }
            Field field = f1659e;
            if (field != null) {
                try {
                    WindowInsets windowInsets = (WindowInsets) field.get(null);
                    if (windowInsets != null) {
                        return new WindowInsets(windowInsets);
                    }
                } catch (ReflectiveOperationException e4) {
                    Log.i("WindowInsetsCompat", "Could not get value from WindowInsets.CONSUMED field", e4);
                }
            }
            if (!f1662h) {
                try {
                    f1661g = WindowInsets.class.getConstructor(Rect.class);
                } catch (ReflectiveOperationException e5) {
                    Log.i("WindowInsetsCompat", "Could not retrieve WindowInsets(Rect) constructor", e5);
                }
                f1662h = true;
            }
            Constructor<WindowInsets> constructor = f1661g;
            if (constructor != null) {
                try {
                    return constructor.newInstance(new Rect());
                } catch (ReflectiveOperationException e6) {
                    Log.i("WindowInsetsCompat", "Could not invoke WindowInsets(Rect) constructor", e6);
                }
            }
            return null;
        }

        @Override // androidx.core.view.i2.f
        i2 b() {
            a();
            i2 u3 = i2.u(this.f1663c);
            u3.p(this.f1667b);
            u3.s(this.f1664d);
            return u3;
        }

        @Override // androidx.core.view.i2.f
        void d(androidx.core.graphics.b bVar) {
            this.f1664d = bVar;
        }

        @Override // androidx.core.view.i2.f
        void f(androidx.core.graphics.b bVar) {
            WindowInsets windowInsets = this.f1663c;
            if (windowInsets != null) {
                this.f1663c = windowInsets.replaceSystemWindowInsets(bVar.f1509a, bVar.f1510b, bVar.f1511c, bVar.f1512d);
            }
        }
    }

    /* loaded from: classes.dex */
    private static class d extends f {

        /* renamed from: c  reason: collision with root package name */
        final WindowInsets$Builder f1665c;

        d() {
            this.f1665c = new WindowInsets$Builder();
        }

        d(i2 i2Var) {
            super(i2Var);
            WindowInsets t3 = i2Var.t();
            this.f1665c = t3 != null ? new WindowInsets$Builder(t3) : new WindowInsets$Builder();
        }

        @Override // androidx.core.view.i2.f
        i2 b() {
            a();
            i2 u3 = i2.u(this.f1665c.build());
            u3.p(this.f1667b);
            return u3;
        }

        @Override // androidx.core.view.i2.f
        void c(androidx.core.graphics.b bVar) {
            this.f1665c.setMandatorySystemGestureInsets(bVar.e());
        }

        @Override // androidx.core.view.i2.f
        void d(androidx.core.graphics.b bVar) {
            this.f1665c.setStableInsets(bVar.e());
        }

        @Override // androidx.core.view.i2.f
        void e(androidx.core.graphics.b bVar) {
            this.f1665c.setSystemGestureInsets(bVar.e());
        }

        @Override // androidx.core.view.i2.f
        void f(androidx.core.graphics.b bVar) {
            this.f1665c.setSystemWindowInsets(bVar.e());
        }

        @Override // androidx.core.view.i2.f
        void g(androidx.core.graphics.b bVar) {
            this.f1665c.setTappableElementInsets(bVar.e());
        }
    }

    /* loaded from: classes.dex */
    private static class e extends d {
        e() {
        }

        e(i2 i2Var) {
            super(i2Var);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        private final i2 f1666a;

        /* renamed from: b  reason: collision with root package name */
        androidx.core.graphics.b[] f1667b;

        f() {
            this(new i2((i2) null));
        }

        f(i2 i2Var) {
            this.f1666a = i2Var;
        }

        protected final void a() {
            androidx.core.graphics.b[] bVarArr = this.f1667b;
            if (bVarArr != null) {
                androidx.core.graphics.b bVar = bVarArr[m.d(1)];
                androidx.core.graphics.b bVar2 = this.f1667b[m.d(2)];
                if (bVar2 == null) {
                    bVar2 = this.f1666a.f(2);
                }
                if (bVar == null) {
                    bVar = this.f1666a.f(1);
                }
                f(androidx.core.graphics.b.a(bVar, bVar2));
                androidx.core.graphics.b bVar3 = this.f1667b[m.d(16)];
                if (bVar3 != null) {
                    e(bVar3);
                }
                androidx.core.graphics.b bVar4 = this.f1667b[m.d(32)];
                if (bVar4 != null) {
                    c(bVar4);
                }
                androidx.core.graphics.b bVar5 = this.f1667b[m.d(64)];
                if (bVar5 != null) {
                    g(bVar5);
                }
            }
        }

        i2 b() {
            throw null;
        }

        void c(androidx.core.graphics.b bVar) {
        }

        void d(androidx.core.graphics.b bVar) {
            throw null;
        }

        void e(androidx.core.graphics.b bVar) {
        }

        void f(androidx.core.graphics.b bVar) {
            throw null;
        }

        void g(androidx.core.graphics.b bVar) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class g extends l {

        /* renamed from: h  reason: collision with root package name */
        private static boolean f1668h = false;

        /* renamed from: i  reason: collision with root package name */
        private static Method f1669i;

        /* renamed from: j  reason: collision with root package name */
        private static Class<?> f1670j;

        /* renamed from: k  reason: collision with root package name */
        private static Field f1671k;

        /* renamed from: l  reason: collision with root package name */
        private static Field f1672l;

        /* renamed from: c  reason: collision with root package name */
        final WindowInsets f1673c;

        /* renamed from: d  reason: collision with root package name */
        private androidx.core.graphics.b[] f1674d;

        /* renamed from: e  reason: collision with root package name */
        private androidx.core.graphics.b f1675e;

        /* renamed from: f  reason: collision with root package name */
        private i2 f1676f;

        /* renamed from: g  reason: collision with root package name */
        androidx.core.graphics.b f1677g;

        g(i2 i2Var, WindowInsets windowInsets) {
            super(i2Var);
            this.f1675e = null;
            this.f1673c = windowInsets;
        }

        g(i2 i2Var, g gVar) {
            this(i2Var, new WindowInsets(gVar.f1673c));
        }

        private androidx.core.graphics.b t(int i3, boolean z2) {
            androidx.core.graphics.b bVar = androidx.core.graphics.b.f1508e;
            for (int i4 = 1; i4 <= 256; i4 <<= 1) {
                if ((i3 & i4) != 0) {
                    bVar = androidx.core.graphics.b.a(bVar, u(i4, z2));
                }
            }
            return bVar;
        }

        private androidx.core.graphics.b v() {
            i2 i2Var = this.f1676f;
            return i2Var != null ? i2Var.g() : androidx.core.graphics.b.f1508e;
        }

        private androidx.core.graphics.b w(View view) {
            if (Build.VERSION.SDK_INT < 30) {
                if (!f1668h) {
                    x();
                }
                Method method = f1669i;
                if (method != null && f1670j != null && f1671k != null) {
                    try {
                        Object invoke = method.invoke(view, new Object[0]);
                        if (invoke == null) {
                            Log.w("WindowInsetsCompat", "Failed to get visible insets. getViewRootImpl() returned null from the provided view. This means that the view is either not attached or the method has been overridden", new NullPointerException());
                            return null;
                        }
                        Rect rect = (Rect) f1671k.get(f1672l.get(invoke));
                        if (rect != null) {
                            return androidx.core.graphics.b.c(rect);
                        }
                        return null;
                    } catch (ReflectiveOperationException e3) {
                        Log.e("WindowInsetsCompat", "Failed to get visible insets. (Reflection error). " + e3.getMessage(), e3);
                    }
                }
                return null;
            }
            throw new UnsupportedOperationException("getVisibleInsets() should not be called on API >= 30. Use WindowInsets.isVisible() instead.");
        }

        private static void x() {
            try {
                f1669i = View.class.getDeclaredMethod("getViewRootImpl", new Class[0]);
                Class<?> cls = Class.forName("android.view.View$AttachInfo");
                f1670j = cls;
                f1671k = cls.getDeclaredField("mVisibleInsets");
                f1672l = Class.forName("android.view.ViewRootImpl").getDeclaredField("mAttachInfo");
                f1671k.setAccessible(true);
                f1672l.setAccessible(true);
            } catch (ReflectiveOperationException e3) {
                Log.e("WindowInsetsCompat", "Failed to get visible insets. (Reflection error). " + e3.getMessage(), e3);
            }
            f1668h = true;
        }

        @Override // androidx.core.view.i2.l
        void d(View view) {
            androidx.core.graphics.b w3 = w(view);
            if (w3 == null) {
                w3 = androidx.core.graphics.b.f1508e;
            }
            q(w3);
        }

        @Override // androidx.core.view.i2.l
        void e(i2 i2Var) {
            i2Var.r(this.f1676f);
            i2Var.q(this.f1677g);
        }

        @Override // androidx.core.view.i2.l
        public boolean equals(Object obj) {
            if (super.equals(obj)) {
                return Objects.equals(this.f1677g, ((g) obj).f1677g);
            }
            return false;
        }

        @Override // androidx.core.view.i2.l
        public androidx.core.graphics.b g(int i3) {
            return t(i3, false);
        }

        @Override // androidx.core.view.i2.l
        final androidx.core.graphics.b k() {
            if (this.f1675e == null) {
                this.f1675e = androidx.core.graphics.b.b(this.f1673c.getSystemWindowInsetLeft(), this.f1673c.getSystemWindowInsetTop(), this.f1673c.getSystemWindowInsetRight(), this.f1673c.getSystemWindowInsetBottom());
            }
            return this.f1675e;
        }

        @Override // androidx.core.view.i2.l
        i2 m(int i3, int i4, int i5, int i6) {
            b bVar = new b(i2.u(this.f1673c));
            bVar.c(i2.m(k(), i3, i4, i5, i6));
            bVar.b(i2.m(i(), i3, i4, i5, i6));
            return bVar.a();
        }

        @Override // androidx.core.view.i2.l
        boolean o() {
            return this.f1673c.isRound();
        }

        @Override // androidx.core.view.i2.l
        public void p(androidx.core.graphics.b[] bVarArr) {
            this.f1674d = bVarArr;
        }

        @Override // androidx.core.view.i2.l
        void q(androidx.core.graphics.b bVar) {
            this.f1677g = bVar;
        }

        @Override // androidx.core.view.i2.l
        void r(i2 i2Var) {
            this.f1676f = i2Var;
        }

        protected androidx.core.graphics.b u(int i3, boolean z2) {
            androidx.core.graphics.b g3;
            int i4;
            if (i3 == 1) {
                return z2 ? androidx.core.graphics.b.b(0, Math.max(v().f1510b, k().f1510b), 0, 0) : androidx.core.graphics.b.b(0, k().f1510b, 0, 0);
            }
            if (i3 == 2) {
                if (z2) {
                    androidx.core.graphics.b v3 = v();
                    androidx.core.graphics.b i5 = i();
                    return androidx.core.graphics.b.b(Math.max(v3.f1509a, i5.f1509a), 0, Math.max(v3.f1511c, i5.f1511c), Math.max(v3.f1512d, i5.f1512d));
                }
                androidx.core.graphics.b k3 = k();
                i2 i2Var = this.f1676f;
                g3 = i2Var != null ? i2Var.g() : null;
                int i6 = k3.f1512d;
                if (g3 != null) {
                    i6 = Math.min(i6, g3.f1512d);
                }
                return androidx.core.graphics.b.b(k3.f1509a, 0, k3.f1511c, i6);
            } else if (i3 != 8) {
                if (i3 != 16) {
                    if (i3 != 32) {
                        if (i3 != 64) {
                            if (i3 != 128) {
                                return androidx.core.graphics.b.f1508e;
                            }
                            i2 i2Var2 = this.f1676f;
                            androidx.core.view.h e3 = i2Var2 != null ? i2Var2.e() : f();
                            return e3 != null ? androidx.core.graphics.b.b(e3.b(), e3.d(), e3.c(), e3.a()) : androidx.core.graphics.b.f1508e;
                        }
                        return l();
                    }
                    return h();
                }
                return j();
            } else {
                androidx.core.graphics.b[] bVarArr = this.f1674d;
                g3 = bVarArr != null ? bVarArr[m.d(8)] : null;
                if (g3 != null) {
                    return g3;
                }
                androidx.core.graphics.b k4 = k();
                androidx.core.graphics.b v4 = v();
                int i7 = k4.f1512d;
                if (i7 > v4.f1512d) {
                    return androidx.core.graphics.b.b(0, 0, 0, i7);
                }
                androidx.core.graphics.b bVar = this.f1677g;
                return (bVar == null || bVar.equals(androidx.core.graphics.b.f1508e) || (i4 = this.f1677g.f1512d) <= v4.f1512d) ? androidx.core.graphics.b.f1508e : androidx.core.graphics.b.b(0, 0, 0, i4);
            }
        }
    }

    /* loaded from: classes.dex */
    private static class h extends g {

        /* renamed from: m  reason: collision with root package name */
        private androidx.core.graphics.b f1678m;

        h(i2 i2Var, WindowInsets windowInsets) {
            super(i2Var, windowInsets);
            this.f1678m = null;
        }

        h(i2 i2Var, h hVar) {
            super(i2Var, hVar);
            this.f1678m = null;
            this.f1678m = hVar.f1678m;
        }

        @Override // androidx.core.view.i2.l
        i2 b() {
            return i2.u(this.f1673c.consumeStableInsets());
        }

        @Override // androidx.core.view.i2.l
        i2 c() {
            return i2.u(this.f1673c.consumeSystemWindowInsets());
        }

        @Override // androidx.core.view.i2.l
        final androidx.core.graphics.b i() {
            if (this.f1678m == null) {
                this.f1678m = androidx.core.graphics.b.b(this.f1673c.getStableInsetLeft(), this.f1673c.getStableInsetTop(), this.f1673c.getStableInsetRight(), this.f1673c.getStableInsetBottom());
            }
            return this.f1678m;
        }

        @Override // androidx.core.view.i2.l
        boolean n() {
            return this.f1673c.isConsumed();
        }

        @Override // androidx.core.view.i2.l
        public void s(androidx.core.graphics.b bVar) {
            this.f1678m = bVar;
        }
    }

    /* loaded from: classes.dex */
    private static class i extends h {
        i(i2 i2Var, WindowInsets windowInsets) {
            super(i2Var, windowInsets);
        }

        i(i2 i2Var, i iVar) {
            super(i2Var, iVar);
        }

        @Override // androidx.core.view.i2.l
        i2 a() {
            WindowInsets consumeDisplayCutout;
            consumeDisplayCutout = this.f1673c.consumeDisplayCutout();
            return i2.u(consumeDisplayCutout);
        }

        @Override // androidx.core.view.i2.g, androidx.core.view.i2.l
        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj instanceof i) {
                i iVar = (i) obj;
                return Objects.equals(this.f1673c, iVar.f1673c) && Objects.equals(this.f1677g, iVar.f1677g);
            }
            return false;
        }

        @Override // androidx.core.view.i2.l
        androidx.core.view.h f() {
            DisplayCutout displayCutout;
            displayCutout = this.f1673c.getDisplayCutout();
            return androidx.core.view.h.e(displayCutout);
        }

        @Override // androidx.core.view.i2.l
        public int hashCode() {
            return this.f1673c.hashCode();
        }
    }

    /* loaded from: classes.dex */
    private static class j extends i {

        /* renamed from: n  reason: collision with root package name */
        private androidx.core.graphics.b f1679n;

        /* renamed from: o  reason: collision with root package name */
        private androidx.core.graphics.b f1680o;

        /* renamed from: p  reason: collision with root package name */
        private androidx.core.graphics.b f1681p;

        j(i2 i2Var, WindowInsets windowInsets) {
            super(i2Var, windowInsets);
            this.f1679n = null;
            this.f1680o = null;
            this.f1681p = null;
        }

        j(i2 i2Var, j jVar) {
            super(i2Var, jVar);
            this.f1679n = null;
            this.f1680o = null;
            this.f1681p = null;
        }

        @Override // androidx.core.view.i2.l
        androidx.core.graphics.b h() {
            Insets mandatorySystemGestureInsets;
            if (this.f1680o == null) {
                mandatorySystemGestureInsets = this.f1673c.getMandatorySystemGestureInsets();
                this.f1680o = androidx.core.graphics.b.d(mandatorySystemGestureInsets);
            }
            return this.f1680o;
        }

        @Override // androidx.core.view.i2.l
        androidx.core.graphics.b j() {
            Insets systemGestureInsets;
            if (this.f1679n == null) {
                systemGestureInsets = this.f1673c.getSystemGestureInsets();
                this.f1679n = androidx.core.graphics.b.d(systemGestureInsets);
            }
            return this.f1679n;
        }

        @Override // androidx.core.view.i2.l
        androidx.core.graphics.b l() {
            Insets tappableElementInsets;
            if (this.f1681p == null) {
                tappableElementInsets = this.f1673c.getTappableElementInsets();
                this.f1681p = androidx.core.graphics.b.d(tappableElementInsets);
            }
            return this.f1681p;
        }

        @Override // androidx.core.view.i2.g, androidx.core.view.i2.l
        i2 m(int i3, int i4, int i5, int i6) {
            WindowInsets inset;
            inset = this.f1673c.inset(i3, i4, i5, i6);
            return i2.u(inset);
        }

        @Override // androidx.core.view.i2.h, androidx.core.view.i2.l
        public void s(androidx.core.graphics.b bVar) {
        }
    }

    /* loaded from: classes.dex */
    private static class k extends j {

        /* renamed from: q  reason: collision with root package name */
        static final i2 f1682q = i2.u(WindowInsets.CONSUMED);

        k(i2 i2Var, WindowInsets windowInsets) {
            super(i2Var, windowInsets);
        }

        k(i2 i2Var, k kVar) {
            super(i2Var, kVar);
        }

        @Override // androidx.core.view.i2.g, androidx.core.view.i2.l
        final void d(View view) {
        }

        @Override // androidx.core.view.i2.g, androidx.core.view.i2.l
        public androidx.core.graphics.b g(int i3) {
            Insets insets;
            insets = this.f1673c.getInsets(n.a(i3));
            return androidx.core.graphics.b.d(insets);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class l {

        /* renamed from: b  reason: collision with root package name */
        static final i2 f1683b = new b().a().a().b().c();

        /* renamed from: a  reason: collision with root package name */
        final i2 f1684a;

        l(i2 i2Var) {
            this.f1684a = i2Var;
        }

        i2 a() {
            return this.f1684a;
        }

        i2 b() {
            return this.f1684a;
        }

        i2 c() {
            return this.f1684a;
        }

        void d(View view) {
        }

        void e(i2 i2Var) {
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj instanceof l) {
                l lVar = (l) obj;
                return o() == lVar.o() && n() == lVar.n() && s.c.a(k(), lVar.k()) && s.c.a(i(), lVar.i()) && s.c.a(f(), lVar.f());
            }
            return false;
        }

        androidx.core.view.h f() {
            return null;
        }

        androidx.core.graphics.b g(int i3) {
            return androidx.core.graphics.b.f1508e;
        }

        androidx.core.graphics.b h() {
            return k();
        }

        public int hashCode() {
            return s.c.b(Boolean.valueOf(o()), Boolean.valueOf(n()), k(), i(), f());
        }

        androidx.core.graphics.b i() {
            return androidx.core.graphics.b.f1508e;
        }

        androidx.core.graphics.b j() {
            return k();
        }

        androidx.core.graphics.b k() {
            return androidx.core.graphics.b.f1508e;
        }

        androidx.core.graphics.b l() {
            return k();
        }

        i2 m(int i3, int i4, int i5, int i6) {
            return f1683b;
        }

        boolean n() {
            return false;
        }

        boolean o() {
            return false;
        }

        public void p(androidx.core.graphics.b[] bVarArr) {
        }

        void q(androidx.core.graphics.b bVar) {
        }

        void r(i2 i2Var) {
        }

        public void s(androidx.core.graphics.b bVar) {
        }
    }

    /* loaded from: classes.dex */
    public static final class m {
        public static int a() {
            return 4;
        }

        public static int b() {
            return 128;
        }

        public static int c() {
            return 8;
        }

        static int d(int i3) {
            if (i3 != 1) {
                if (i3 != 2) {
                    if (i3 != 4) {
                        if (i3 != 8) {
                            if (i3 != 16) {
                                if (i3 != 32) {
                                    if (i3 != 64) {
                                        if (i3 != 128) {
                                            if (i3 == 256) {
                                                return 8;
                                            }
                                            throw new IllegalArgumentException("type needs to be >= FIRST and <= LAST, type=" + i3);
                                        }
                                        return 7;
                                    }
                                    return 6;
                                }
                                return 5;
                            }
                            return 4;
                        }
                        return 3;
                    }
                    return 2;
                }
                return 1;
            }
            return 0;
        }

        public static int e() {
            return 32;
        }

        public static int f() {
            return 2;
        }

        public static int g() {
            return 1;
        }

        public static int h() {
            return 16;
        }

        public static int i() {
            return 64;
        }
    }

    /* loaded from: classes.dex */
    private static final class n {
        static int a(int i3) {
            int statusBars;
            int i4 = 0;
            for (int i5 = 1; i5 <= 256; i5 <<= 1) {
                if ((i3 & i5) != 0) {
                    if (i5 == 1) {
                        statusBars = WindowInsets$Type.statusBars();
                    } else if (i5 == 2) {
                        statusBars = WindowInsets$Type.navigationBars();
                    } else if (i5 == 4) {
                        statusBars = WindowInsets$Type.captionBar();
                    } else if (i5 == 8) {
                        statusBars = WindowInsets$Type.ime();
                    } else if (i5 == 16) {
                        statusBars = WindowInsets$Type.systemGestures();
                    } else if (i5 == 32) {
                        statusBars = WindowInsets$Type.mandatorySystemGestures();
                    } else if (i5 == 64) {
                        statusBars = WindowInsets$Type.tappableElement();
                    } else if (i5 == 128) {
                        statusBars = WindowInsets$Type.displayCutout();
                    }
                    i4 |= statusBars;
                }
            }
            return i4;
        }
    }

    static {
        f1652b = Build.VERSION.SDK_INT >= 30 ? k.f1682q : l.f1683b;
    }

    private i2(WindowInsets windowInsets) {
        int i3 = Build.VERSION.SDK_INT;
        this.f1653a = i3 >= 30 ? new k(this, windowInsets) : i3 >= 29 ? new j(this, windowInsets) : i3 >= 28 ? new i(this, windowInsets) : new h(this, windowInsets);
    }

    public i2(i2 i2Var) {
        if (i2Var == null) {
            this.f1653a = new l(this);
            return;
        }
        l lVar = i2Var.f1653a;
        int i3 = Build.VERSION.SDK_INT;
        this.f1653a = (i3 < 30 || !(lVar instanceof k)) ? (i3 < 29 || !(lVar instanceof j)) ? (i3 < 28 || !(lVar instanceof i)) ? lVar instanceof h ? new h(this, (h) lVar) : lVar instanceof g ? new g(this, (g) lVar) : new l(this) : new i(this, (i) lVar) : new j(this, (j) lVar) : new k(this, (k) lVar);
        lVar.e(this);
    }

    static androidx.core.graphics.b m(androidx.core.graphics.b bVar, int i3, int i4, int i5, int i6) {
        int max = Math.max(0, bVar.f1509a - i3);
        int max2 = Math.max(0, bVar.f1510b - i4);
        int max3 = Math.max(0, bVar.f1511c - i5);
        int max4 = Math.max(0, bVar.f1512d - i6);
        return (max == i3 && max2 == i4 && max3 == i5 && max4 == i6) ? bVar : androidx.core.graphics.b.b(max, max2, max3, max4);
    }

    public static i2 u(WindowInsets windowInsets) {
        return v(windowInsets, null);
    }

    public static i2 v(WindowInsets windowInsets, View view) {
        i2 i2Var = new i2((WindowInsets) s.e.f(windowInsets));
        if (view != null && view.isAttachedToWindow()) {
            i2Var.r(s0.u(view));
            i2Var.d(view.getRootView());
        }
        return i2Var;
    }

    @Deprecated
    public i2 a() {
        return this.f1653a.a();
    }

    @Deprecated
    public i2 b() {
        return this.f1653a.b();
    }

    @Deprecated
    public i2 c() {
        return this.f1653a.c();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void d(View view) {
        this.f1653a.d(view);
    }

    public androidx.core.view.h e() {
        return this.f1653a.f();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof i2) {
            return s.c.a(this.f1653a, ((i2) obj).f1653a);
        }
        return false;
    }

    public androidx.core.graphics.b f(int i3) {
        return this.f1653a.g(i3);
    }

    @Deprecated
    public androidx.core.graphics.b g() {
        return this.f1653a.i();
    }

    @Deprecated
    public int h() {
        return this.f1653a.k().f1512d;
    }

    public int hashCode() {
        l lVar = this.f1653a;
        if (lVar == null) {
            return 0;
        }
        return lVar.hashCode();
    }

    @Deprecated
    public int i() {
        return this.f1653a.k().f1509a;
    }

    @Deprecated
    public int j() {
        return this.f1653a.k().f1511c;
    }

    @Deprecated
    public int k() {
        return this.f1653a.k().f1510b;
    }

    public i2 l(int i3, int i4, int i5, int i6) {
        return this.f1653a.m(i3, i4, i5, i6);
    }

    public boolean n() {
        return this.f1653a.n();
    }

    @Deprecated
    public i2 o(int i3, int i4, int i5, int i6) {
        return new b(this).c(androidx.core.graphics.b.b(i3, i4, i5, i6)).a();
    }

    void p(androidx.core.graphics.b[] bVarArr) {
        this.f1653a.p(bVarArr);
    }

    void q(androidx.core.graphics.b bVar) {
        this.f1653a.q(bVar);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void r(i2 i2Var) {
        this.f1653a.r(i2Var);
    }

    void s(androidx.core.graphics.b bVar) {
        this.f1653a.s(bVar);
    }

    public WindowInsets t() {
        l lVar = this.f1653a;
        if (lVar instanceof g) {
            return ((g) lVar).f1673c;
        }
        return null;
    }
}
