package androidx.core.view;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.ContentInfo;
import android.view.KeyEvent;
import android.view.OnReceiveContentListener;
import android.view.View;
import android.view.View$OnUnhandledKeyEventListener;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.contentcapture.ContentCaptureSession;
import androidx.core.view.a;
import androidx.core.view.i2;
import androidx.core.view.s0;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
public class s0 {

    /* renamed from: a  reason: collision with root package name */
    private static WeakHashMap<View, e2> f1721a = null;

    /* renamed from: b  reason: collision with root package name */
    private static Field f1722b = null;

    /* renamed from: c  reason: collision with root package name */
    private static boolean f1723c = false;

    /* renamed from: d  reason: collision with root package name */
    private static ThreadLocal<Rect> f1724d;

    /* renamed from: e  reason: collision with root package name */
    private static final int[] f1725e = {o.b.f4254b, o.b.f4255c, o.b.f4266n, o.b.f4277y, o.b.B, o.b.C, o.b.D, o.b.E, o.b.F, o.b.G, o.b.f4256d, o.b.f4257e, o.b.f4258f, o.b.f4259g, o.b.f4260h, o.b.f4261i, o.b.f4262j, o.b.f4263k, o.b.f4264l, o.b.f4265m, o.b.f4267o, o.b.f4268p, o.b.f4269q, o.b.f4270r, o.b.f4271s, o.b.f4272t, o.b.f4273u, o.b.f4274v, o.b.f4275w, o.b.f4276x, o.b.f4278z, o.b.A};

    /* renamed from: f  reason: collision with root package name */
    private static final m0 f1726f = new m0() { // from class: androidx.core.view.r0
        @Override // androidx.core.view.m0
        public final c a(c cVar) {
            c E;
            E = s0.E(cVar);
            return E;
        }
    };

    /* renamed from: g  reason: collision with root package name */
    private static final e f1727g = new e();

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a extends f<Boolean> {
        a(int i3, Class cls, int i4) {
            super(i3, cls, i4);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: h */
        public Boolean c(View view) {
            return Boolean.valueOf(j.d(view));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: i */
        public void d(View view, Boolean bool) {
            j.j(view, bool.booleanValue());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: j */
        public boolean g(Boolean bool, Boolean bool2) {
            return !a(bool, bool2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b extends f<CharSequence> {
        b(int i3, Class cls, int i4, int i5) {
            super(i3, cls, i4, i5);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: h */
        public CharSequence c(View view) {
            return j.b(view);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: i */
        public void d(View view, CharSequence charSequence) {
            j.h(view, charSequence);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: j */
        public boolean g(CharSequence charSequence, CharSequence charSequence2) {
            return !TextUtils.equals(charSequence, charSequence2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c extends f<CharSequence> {
        c(int i3, Class cls, int i4, int i5) {
            super(i3, cls, i4, i5);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: h */
        public CharSequence c(View view) {
            return l.b(view);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: i */
        public void d(View view, CharSequence charSequence) {
            l.e(view, charSequence);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: j */
        public boolean g(CharSequence charSequence, CharSequence charSequence2) {
            return !TextUtils.equals(charSequence, charSequence2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d extends f<Boolean> {
        d(int i3, Class cls, int i4) {
            super(i3, cls, i4);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: h */
        public Boolean c(View view) {
            return Boolean.valueOf(j.c(view));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: i */
        public void d(View view, Boolean bool) {
            j.g(view, bool.booleanValue());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // androidx.core.view.s0.f
        /* renamed from: j */
        public boolean g(Boolean bool, Boolean bool2) {
            return !a(bool, bool2);
        }
    }

    /* loaded from: classes.dex */
    static class e implements ViewTreeObserver.OnGlobalLayoutListener, View.OnAttachStateChangeListener {

        /* renamed from: e  reason: collision with root package name */
        private final WeakHashMap<View, Boolean> f1728e = new WeakHashMap<>();

        e() {
        }

        private void b(Map.Entry<View, Boolean> entry) {
            View key = entry.getKey();
            boolean booleanValue = entry.getValue().booleanValue();
            boolean z2 = key.isShown() && key.getWindowVisibility() == 0;
            if (booleanValue != z2) {
                s0.F(key, z2 ? 16 : 32);
                entry.setValue(Boolean.valueOf(z2));
            }
        }

        private void c(View view) {
            view.getViewTreeObserver().addOnGlobalLayoutListener(this);
        }

        private void e(View view) {
            view.getViewTreeObserver().removeOnGlobalLayoutListener(this);
        }

        void a(View view) {
            this.f1728e.put(view, Boolean.valueOf(view.isShown() && view.getWindowVisibility() == 0));
            view.addOnAttachStateChangeListener(this);
            if (view.isAttachedToWindow()) {
                c(view);
            }
        }

        void d(View view) {
            this.f1728e.remove(view);
            view.removeOnAttachStateChangeListener(this);
            e(view);
        }

        @Override // android.view.ViewTreeObserver.OnGlobalLayoutListener
        public void onGlobalLayout() {
            if (Build.VERSION.SDK_INT < 28) {
                for (Map.Entry<View, Boolean> entry : this.f1728e.entrySet()) {
                    b(entry);
                }
            }
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewAttachedToWindow(View view) {
            c(view);
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewDetachedFromWindow(View view) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static abstract class f<T> {

        /* renamed from: a  reason: collision with root package name */
        private final int f1729a;

        /* renamed from: b  reason: collision with root package name */
        private final Class<T> f1730b;

        /* renamed from: c  reason: collision with root package name */
        private final int f1731c;

        /* renamed from: d  reason: collision with root package name */
        private final int f1732d;

        f(int i3, Class<T> cls, int i4) {
            this(i3, cls, 0, i4);
        }

        f(int i3, Class<T> cls, int i4, int i5) {
            this.f1729a = i3;
            this.f1730b = cls;
            this.f1732d = i4;
            this.f1731c = i5;
        }

        private boolean b() {
            return Build.VERSION.SDK_INT >= this.f1731c;
        }

        boolean a(Boolean bool, Boolean bool2) {
            return (bool != null && bool.booleanValue()) == (bool2 != null && bool2.booleanValue());
        }

        abstract T c(View view);

        abstract void d(View view, T t3);

        T e(View view) {
            if (b()) {
                return c(view);
            }
            T t3 = (T) view.getTag(this.f1729a);
            if (this.f1730b.isInstance(t3)) {
                return t3;
            }
            return null;
        }

        void f(View view, T t3) {
            if (b()) {
                d(view, t3);
            } else if (g(e(view), t3)) {
                s0.i(view);
                view.setTag(this.f1729a, t3);
                s0.F(view, this.f1732d);
            }
        }

        abstract boolean g(T t3, T t4);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class g {
        static WindowInsets a(View view, WindowInsets windowInsets) {
            return view.dispatchApplyWindowInsets(windowInsets);
        }

        static WindowInsets b(View view, WindowInsets windowInsets) {
            return view.onApplyWindowInsets(windowInsets);
        }

        static void c(View view) {
            view.requestApplyInsets();
        }
    }

    /* loaded from: classes.dex */
    private static class h {

        /* JADX INFO: Access modifiers changed from: package-private */
        /* loaded from: classes.dex */
        public class a implements View.OnApplyWindowInsetsListener {

            /* renamed from: a  reason: collision with root package name */
            i2 f1733a = null;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ View f1734b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ k0 f1735c;

            a(View view, k0 k0Var) {
                this.f1734b = view;
                this.f1735c = k0Var;
            }

            @Override // android.view.View.OnApplyWindowInsetsListener
            public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
                i2 v3 = i2.v(windowInsets, view);
                int i3 = Build.VERSION.SDK_INT;
                if (i3 < 30) {
                    h.a(windowInsets, this.f1734b);
                    if (v3.equals(this.f1733a)) {
                        return this.f1735c.a(view, v3).t();
                    }
                }
                this.f1733a = v3;
                i2 a3 = this.f1735c.a(view, v3);
                if (i3 >= 30) {
                    return a3.t();
                }
                s0.M(view);
                return a3.t();
            }
        }

        static void a(WindowInsets windowInsets, View view) {
            View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = (View.OnApplyWindowInsetsListener) view.getTag(o.b.S);
            if (onApplyWindowInsetsListener != null) {
                onApplyWindowInsetsListener.onApplyWindowInsets(view, windowInsets);
            }
        }

        static i2 b(View view, i2 i2Var, Rect rect) {
            WindowInsets t3 = i2Var.t();
            if (t3 != null) {
                return i2.v(view.computeSystemWindowInsets(t3, rect), view);
            }
            rect.setEmpty();
            return i2Var;
        }

        static boolean c(View view, float f3, float f4, boolean z2) {
            return view.dispatchNestedFling(f3, f4, z2);
        }

        static boolean d(View view, float f3, float f4) {
            return view.dispatchNestedPreFling(f3, f4);
        }

        static boolean e(View view, int i3, int i4, int[] iArr, int[] iArr2) {
            return view.dispatchNestedPreScroll(i3, i4, iArr, iArr2);
        }

        static boolean f(View view, int i3, int i4, int i5, int i6, int[] iArr) {
            return view.dispatchNestedScroll(i3, i4, i5, i6, iArr);
        }

        static ColorStateList g(View view) {
            return view.getBackgroundTintList();
        }

        static PorterDuff.Mode h(View view) {
            return view.getBackgroundTintMode();
        }

        static float i(View view) {
            return view.getElevation();
        }

        public static i2 j(View view) {
            return i2.a.a(view);
        }

        static String k(View view) {
            return view.getTransitionName();
        }

        static float l(View view) {
            return view.getTranslationZ();
        }

        static float m(View view) {
            return view.getZ();
        }

        static boolean n(View view) {
            return view.hasNestedScrollingParent();
        }

        static boolean o(View view) {
            return view.isImportantForAccessibility();
        }

        static boolean p(View view) {
            return view.isNestedScrollingEnabled();
        }

        static void q(View view, ColorStateList colorStateList) {
            view.setBackgroundTintList(colorStateList);
        }

        static void r(View view, PorterDuff.Mode mode) {
            view.setBackgroundTintMode(mode);
        }

        static void s(View view, float f3) {
            view.setElevation(f3);
        }

        static void t(View view, boolean z2) {
            view.setNestedScrollingEnabled(z2);
        }

        static void u(View view, k0 k0Var) {
            if (Build.VERSION.SDK_INT < 30) {
                view.setTag(o.b.L, k0Var);
            }
            if (k0Var == null) {
                view.setOnApplyWindowInsetsListener((View.OnApplyWindowInsetsListener) view.getTag(o.b.S));
            } else {
                view.setOnApplyWindowInsetsListener(new a(view, k0Var));
            }
        }

        static void v(View view, String str) {
            view.setTransitionName(str);
        }

        static void w(View view, float f3) {
            view.setTranslationZ(f3);
        }

        static void x(View view, float f3) {
            view.setZ(f3);
        }

        static boolean y(View view, int i3) {
            return view.startNestedScroll(i3);
        }

        static void z(View view) {
            view.stopNestedScroll();
        }
    }

    /* loaded from: classes.dex */
    private static class i {
        public static i2 a(View view) {
            WindowInsets rootWindowInsets;
            rootWindowInsets = view.getRootWindowInsets();
            if (rootWindowInsets == null) {
                return null;
            }
            i2 u3 = i2.u(rootWindowInsets);
            u3.r(u3);
            u3.d(view.getRootView());
            return u3;
        }

        static int b(View view) {
            int scrollIndicators;
            scrollIndicators = view.getScrollIndicators();
            return scrollIndicators;
        }

        static void c(View view, int i3) {
            view.setScrollIndicators(i3);
        }

        static void d(View view, int i3, int i4) {
            view.setScrollIndicators(i3, i4);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class j {
        static void a(View view, final o oVar) {
            int i3 = o.b.R;
            n.g gVar = (n.g) view.getTag(i3);
            if (gVar == null) {
                gVar = new n.g();
                view.setTag(i3, gVar);
            }
            Objects.requireNonNull(oVar);
            View$OnUnhandledKeyEventListener view$OnUnhandledKeyEventListener = new View$OnUnhandledKeyEventListener() { // from class: androidx.core.view.h1
                public final boolean onUnhandledKeyEvent(View view2, KeyEvent keyEvent) {
                    return s0.o.this.onUnhandledKeyEvent(view2, keyEvent);
                }
            };
            gVar.put(oVar, view$OnUnhandledKeyEventListener);
            view.addOnUnhandledKeyEventListener(view$OnUnhandledKeyEventListener);
        }

        static CharSequence b(View view) {
            CharSequence accessibilityPaneTitle;
            accessibilityPaneTitle = view.getAccessibilityPaneTitle();
            return accessibilityPaneTitle;
        }

        static boolean c(View view) {
            boolean isAccessibilityHeading;
            isAccessibilityHeading = view.isAccessibilityHeading();
            return isAccessibilityHeading;
        }

        static boolean d(View view) {
            boolean isScreenReaderFocusable;
            isScreenReaderFocusable = view.isScreenReaderFocusable();
            return isScreenReaderFocusable;
        }

        static void e(View view, o oVar) {
            View$OnUnhandledKeyEventListener view$OnUnhandledKeyEventListener;
            n.g gVar = (n.g) view.getTag(o.b.R);
            if (gVar == null || (view$OnUnhandledKeyEventListener = (View$OnUnhandledKeyEventListener) gVar.get(oVar)) == null) {
                return;
            }
            view.removeOnUnhandledKeyEventListener(view$OnUnhandledKeyEventListener);
        }

        static <T> T f(View view, int i3) {
            View requireViewById;
            requireViewById = view.requireViewById(i3);
            return (T) requireViewById;
        }

        static void g(View view, boolean z2) {
            view.setAccessibilityHeading(z2);
        }

        static void h(View view, CharSequence charSequence) {
            view.setAccessibilityPaneTitle(charSequence);
        }

        public static void i(View view, u.a aVar) {
            view.setAutofillId(null);
        }

        static void j(View view, boolean z2) {
            view.setScreenReaderFocusable(z2);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class k {
        static View.AccessibilityDelegate a(View view) {
            View.AccessibilityDelegate accessibilityDelegate;
            accessibilityDelegate = view.getAccessibilityDelegate();
            return accessibilityDelegate;
        }

        static ContentCaptureSession b(View view) {
            ContentCaptureSession contentCaptureSession;
            contentCaptureSession = view.getContentCaptureSession();
            return contentCaptureSession;
        }

        static List<Rect> c(View view) {
            List<Rect> systemGestureExclusionRects;
            systemGestureExclusionRects = view.getSystemGestureExclusionRects();
            return systemGestureExclusionRects;
        }

        static void d(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i3, int i4) {
            view.saveAttributeDataForStyleable(context, iArr, attributeSet, typedArray, i3, i4);
        }

        static void e(View view, v.a aVar) {
            view.setContentCaptureSession(null);
        }

        static void f(View view, List<Rect> list) {
            view.setSystemGestureExclusionRects(list);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class l {
        static int a(View view) {
            int importantForContentCapture;
            importantForContentCapture = view.getImportantForContentCapture();
            return importantForContentCapture;
        }

        static CharSequence b(View view) {
            CharSequence stateDescription;
            stateDescription = view.getStateDescription();
            return stateDescription;
        }

        static boolean c(View view) {
            boolean isImportantForContentCapture;
            isImportantForContentCapture = view.isImportantForContentCapture();
            return isImportantForContentCapture;
        }

        static void d(View view, int i3) {
            view.setImportantForContentCapture(i3);
        }

        static void e(View view, CharSequence charSequence) {
            view.setStateDescription(charSequence);
        }
    }

    /* loaded from: classes.dex */
    private static final class m {
        public static String[] a(View view) {
            String[] receiveContentMimeTypes;
            receiveContentMimeTypes = view.getReceiveContentMimeTypes();
            return receiveContentMimeTypes;
        }

        public static androidx.core.view.c b(View view, androidx.core.view.c cVar) {
            ContentInfo performReceiveContent;
            ContentInfo f3 = cVar.f();
            performReceiveContent = view.performReceiveContent(f3);
            if (performReceiveContent == null) {
                return null;
            }
            return performReceiveContent == f3 ? cVar : androidx.core.view.c.g(performReceiveContent);
        }

        public static void c(View view, String[] strArr, l0 l0Var) {
            if (l0Var == null) {
                view.setOnReceiveContentListener(strArr, null);
            } else {
                view.setOnReceiveContentListener(strArr, new n(l0Var));
            }
        }
    }

    /* loaded from: classes.dex */
    private static final class n implements OnReceiveContentListener {

        /* renamed from: a  reason: collision with root package name */
        private final l0 f1736a;

        n(l0 l0Var) {
            this.f1736a = l0Var;
        }

        public ContentInfo onReceiveContent(View view, ContentInfo contentInfo) {
            androidx.core.view.c g3 = androidx.core.view.c.g(contentInfo);
            androidx.core.view.c a3 = this.f1736a.a(view, g3);
            if (a3 == null) {
                return null;
            }
            return a3 == g3 ? contentInfo : a3.f();
        }
    }

    /* loaded from: classes.dex */
    public interface o {
        boolean onUnhandledKeyEvent(View view, KeyEvent keyEvent);
    }

    /* loaded from: classes.dex */
    static class p {

        /* renamed from: d  reason: collision with root package name */
        private static final ArrayList<WeakReference<View>> f1737d = new ArrayList<>();

        /* renamed from: a  reason: collision with root package name */
        private WeakHashMap<View, Boolean> f1738a = null;

        /* renamed from: b  reason: collision with root package name */
        private SparseArray<WeakReference<View>> f1739b = null;

        /* renamed from: c  reason: collision with root package name */
        private WeakReference<KeyEvent> f1740c = null;

        p() {
        }

        static p a(View view) {
            int i3 = o.b.Q;
            p pVar = (p) view.getTag(i3);
            if (pVar == null) {
                p pVar2 = new p();
                view.setTag(i3, pVar2);
                return pVar2;
            }
            return pVar;
        }

        private View c(View view, KeyEvent keyEvent) {
            WeakHashMap<View, Boolean> weakHashMap = this.f1738a;
            if (weakHashMap != null && weakHashMap.containsKey(view)) {
                if (view instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) view;
                    for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                        View c3 = c(viewGroup.getChildAt(childCount), keyEvent);
                        if (c3 != null) {
                            return c3;
                        }
                    }
                }
                if (e(view, keyEvent)) {
                    return view;
                }
            }
            return null;
        }

        private SparseArray<WeakReference<View>> d() {
            if (this.f1739b == null) {
                this.f1739b = new SparseArray<>();
            }
            return this.f1739b;
        }

        private boolean e(View view, KeyEvent keyEvent) {
            ArrayList arrayList = (ArrayList) view.getTag(o.b.R);
            if (arrayList != null) {
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    if (((o) arrayList.get(size)).onUnhandledKeyEvent(view, keyEvent)) {
                        return true;
                    }
                }
                return false;
            }
            return false;
        }

        private void g() {
            WeakHashMap<View, Boolean> weakHashMap = this.f1738a;
            if (weakHashMap != null) {
                weakHashMap.clear();
            }
            ArrayList<WeakReference<View>> arrayList = f1737d;
            if (arrayList.isEmpty()) {
                return;
            }
            synchronized (arrayList) {
                if (this.f1738a == null) {
                    this.f1738a = new WeakHashMap<>();
                }
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    ArrayList<WeakReference<View>> arrayList2 = f1737d;
                    View view = arrayList2.get(size).get();
                    if (view == null) {
                        arrayList2.remove(size);
                    } else {
                        this.f1738a.put(view, Boolean.TRUE);
                        for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
                            this.f1738a.put((View) parent, Boolean.TRUE);
                        }
                    }
                }
            }
        }

        boolean b(View view, KeyEvent keyEvent) {
            if (keyEvent.getAction() == 0) {
                g();
            }
            View c3 = c(view, keyEvent);
            if (keyEvent.getAction() == 0) {
                int keyCode = keyEvent.getKeyCode();
                if (c3 != null && !KeyEvent.isModifierKey(keyCode)) {
                    d().put(keyCode, new WeakReference<>(c3));
                }
            }
            return c3 != null;
        }

        boolean f(KeyEvent keyEvent) {
            int indexOfKey;
            WeakReference<KeyEvent> weakReference = this.f1740c;
            if (weakReference == null || weakReference.get() != keyEvent) {
                this.f1740c = new WeakReference<>(keyEvent);
                WeakReference<View> weakReference2 = null;
                SparseArray<WeakReference<View>> d3 = d();
                if (keyEvent.getAction() == 1 && (indexOfKey = d3.indexOfKey(keyEvent.getKeyCode())) >= 0) {
                    weakReference2 = d3.valueAt(indexOfKey);
                    d3.removeAt(indexOfKey);
                }
                if (weakReference2 == null) {
                    weakReference2 = d3.get(keyEvent.getKeyCode());
                }
                if (weakReference2 != null) {
                    View view = weakReference2.get();
                    if (view != null && view.isAttachedToWindow()) {
                        e(view, keyEvent);
                    }
                    return true;
                }
                return false;
            }
            return false;
        }
    }

    @Deprecated
    public static boolean A(View view) {
        return view.isAttachedToWindow();
    }

    @Deprecated
    public static boolean B(View view) {
        return view.isLaidOut();
    }

    public static boolean C(View view) {
        return h.p(view);
    }

    public static boolean D(View view) {
        Boolean e3 = O().e(view);
        return e3 != null && e3.booleanValue();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static /* synthetic */ androidx.core.view.c E(androidx.core.view.c cVar) {
        return cVar;
    }

    static void F(View view, int i3) {
        AccessibilityManager accessibilityManager = (AccessibilityManager) view.getContext().getSystemService("accessibility");
        if (accessibilityManager.isEnabled()) {
            boolean z2 = m(view) != null && view.isShown() && view.getWindowVisibility() == 0;
            if (view.getAccessibilityLiveRegion() != 0 || z2) {
                AccessibilityEvent obtain = AccessibilityEvent.obtain();
                obtain.setEventType(z2 ? 32 : 2048);
                obtain.setContentChangeTypes(i3);
                if (z2) {
                    obtain.getText().add(m(view));
                    W(view);
                }
                view.sendAccessibilityEventUnchecked(obtain);
            } else if (i3 == 32) {
                AccessibilityEvent obtain2 = AccessibilityEvent.obtain();
                view.onInitializeAccessibilityEvent(obtain2);
                obtain2.setEventType(32);
                obtain2.setContentChangeTypes(i3);
                obtain2.setSource(view);
                view.onPopulateAccessibilityEvent(obtain2);
                obtain2.getText().add(m(view));
                accessibilityManager.sendAccessibilityEvent(obtain2);
            } else if (view.getParent() != null) {
                try {
                    view.getParent().notifySubtreeAccessibilityStateChanged(view, view, i3);
                } catch (AbstractMethodError e3) {
                    Log.e("ViewCompat", view.getParent().getClass().getSimpleName() + " does not fully implement ViewParent", e3);
                }
            }
        }
    }

    public static void G(View view, int i3) {
        if (Build.VERSION.SDK_INT >= 23) {
            view.offsetTopAndBottom(i3);
            return;
        }
        Rect p3 = p();
        boolean z2 = false;
        ViewParent parent = view.getParent();
        if (parent instanceof View) {
            View view2 = (View) parent;
            p3.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            z2 = !p3.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
        d(view, i3);
        if (z2 && p3.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
            ((View) parent).invalidate(p3);
        }
    }

    public static i2 H(View view, i2 i2Var) {
        WindowInsets t3 = i2Var.t();
        if (t3 != null) {
            WindowInsets b3 = g.b(view, t3);
            if (!b3.equals(t3)) {
                return i2.v(b3, view);
            }
        }
        return i2Var;
    }

    private static f<CharSequence> I() {
        return new b(o.b.K, CharSequence.class, 8, 28);
    }

    public static androidx.core.view.c J(View view, androidx.core.view.c cVar) {
        if (Log.isLoggable("ViewCompat", 3)) {
            Log.d("ViewCompat", "performReceiveContent: " + cVar + ", view=" + view.getClass().getSimpleName() + "[" + view.getId() + "]");
        }
        if (Build.VERSION.SDK_INT >= 31) {
            return m.b(view, cVar);
        }
        l0 l0Var = (l0) view.getTag(o.b.M);
        if (l0Var != null) {
            androidx.core.view.c a3 = l0Var.a(view, cVar);
            if (a3 == null) {
                return null;
            }
            return q(view).a(a3);
        }
        return q(view).a(cVar);
    }

    @Deprecated
    public static void K(View view, Runnable runnable) {
        view.postOnAnimation(runnable);
    }

    @Deprecated
    public static void L(View view, Runnable runnable, long j3) {
        view.postOnAnimationDelayed(runnable, j3);
    }

    public static void M(View view) {
        g.c(view);
    }

    public static void N(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i3, int i4) {
        if (Build.VERSION.SDK_INT >= 29) {
            k.d(view, context, iArr, attributeSet, typedArray, i3, i4);
        }
    }

    private static f<Boolean> O() {
        return new a(o.b.O, Boolean.class, 28);
    }

    public static void P(View view, androidx.core.view.a aVar) {
        if (aVar == null && (k(view) instanceof a.C0020a)) {
            aVar = new androidx.core.view.a();
        }
        W(view);
        view.setAccessibilityDelegate(aVar == null ? null : aVar.d());
    }

    public static void Q(View view, boolean z2) {
        b().f(view, Boolean.valueOf(z2));
    }

    public static void R(View view, CharSequence charSequence) {
        I().f(view, charSequence);
        if (charSequence != null) {
            f1727g.a(view);
        } else {
            f1727g.d(view);
        }
    }

    @Deprecated
    public static void S(View view, Drawable drawable) {
        view.setBackground(drawable);
    }

    public static void T(View view, ColorStateList colorStateList) {
        int i3 = Build.VERSION.SDK_INT;
        h.q(view, colorStateList);
        if (i3 == 21) {
            Drawable background = view.getBackground();
            boolean z2 = (h.g(view) == null && h.h(view) == null) ? false : true;
            if (background == null || !z2) {
                return;
            }
            if (background.isStateful()) {
                background.setState(view.getDrawableState());
            }
            view.setBackground(background);
        }
    }

    public static void U(View view, PorterDuff.Mode mode) {
        int i3 = Build.VERSION.SDK_INT;
        h.r(view, mode);
        if (i3 == 21) {
            Drawable background = view.getBackground();
            boolean z2 = (h.g(view) == null && h.h(view) == null) ? false : true;
            if (background == null || !z2) {
                return;
            }
            if (background.isStateful()) {
                background.setState(view.getDrawableState());
            }
            view.setBackground(background);
        }
    }

    public static void V(View view, float f3) {
        h.s(view, f3);
    }

    private static void W(View view) {
        if (view.getImportantForAccessibility() == 0) {
            view.setImportantForAccessibility(1);
        }
    }

    public static void X(View view, k0 k0Var) {
        h.u(view, k0Var);
    }

    public static void Y(View view, boolean z2) {
        O().f(view, Boolean.valueOf(z2));
    }

    public static void Z(View view, int i3, int i4) {
        if (Build.VERSION.SDK_INT >= 23) {
            i.d(view, i3, i4);
        }
    }

    public static void a0(View view, String str) {
        h.v(view, str);
    }

    private static f<Boolean> b() {
        return new d(o.b.J, Boolean.class, 28);
    }

    private static f<CharSequence> b0() {
        return new c(o.b.P, CharSequence.class, 64, 30);
    }

    @Deprecated
    public static e2 c(View view) {
        if (f1721a == null) {
            f1721a = new WeakHashMap<>();
        }
        e2 e2Var = f1721a.get(view);
        if (e2Var == null) {
            e2 e2Var2 = new e2(view);
            f1721a.put(view, e2Var2);
            return e2Var2;
        }
        return e2Var;
    }

    public static void c0(View view) {
        h.z(view);
    }

    private static void d(View view, int i3) {
        view.offsetTopAndBottom(i3);
        if (view.getVisibility() == 0) {
            d0(view);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                d0((View) parent);
            }
        }
    }

    private static void d0(View view) {
        float translationY = view.getTranslationY();
        view.setTranslationY(1.0f + translationY);
        view.setTranslationY(translationY);
    }

    public static i2 e(View view, i2 i2Var, Rect rect) {
        return h.b(view, i2Var, rect);
    }

    public static i2 f(View view, i2 i2Var) {
        WindowInsets t3 = i2Var.t();
        if (t3 != null) {
            WindowInsets a3 = g.a(view, t3);
            if (!a3.equals(t3)) {
                return i2.v(a3, view);
            }
        }
        return i2Var;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static boolean g(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        return p.a(view).b(view, keyEvent);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static boolean h(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        return p.a(view).f(keyEvent);
    }

    static void i(View view) {
        androidx.core.view.a j3 = j(view);
        if (j3 == null) {
            j3 = new androidx.core.view.a();
        }
        P(view, j3);
    }

    public static androidx.core.view.a j(View view) {
        View.AccessibilityDelegate k3 = k(view);
        if (k3 == null) {
            return null;
        }
        return k3 instanceof a.C0020a ? ((a.C0020a) k3).f1610a : new androidx.core.view.a(k3);
    }

    private static View.AccessibilityDelegate k(View view) {
        return Build.VERSION.SDK_INT >= 29 ? k.a(view) : l(view);
    }

    private static View.AccessibilityDelegate l(View view) {
        if (f1723c) {
            return null;
        }
        if (f1722b == null) {
            try {
                Field declaredField = View.class.getDeclaredField("mAccessibilityDelegate");
                f1722b = declaredField;
                declaredField.setAccessible(true);
            } catch (Throwable unused) {
                f1723c = true;
                return null;
            }
        }
        try {
            Object obj = f1722b.get(view);
            if (obj instanceof View.AccessibilityDelegate) {
                return (View.AccessibilityDelegate) obj;
            }
            return null;
        } catch (Throwable unused2) {
            f1723c = true;
            return null;
        }
    }

    public static CharSequence m(View view) {
        return I().e(view);
    }

    public static ColorStateList n(View view) {
        return h.g(view);
    }

    public static PorterDuff.Mode o(View view) {
        return h.h(view);
    }

    private static Rect p() {
        if (f1724d == null) {
            f1724d = new ThreadLocal<>();
        }
        Rect rect = f1724d.get();
        if (rect == null) {
            rect = new Rect();
            f1724d.set(rect);
        }
        rect.setEmpty();
        return rect;
    }

    private static m0 q(View view) {
        return view instanceof m0 ? (m0) view : f1726f;
    }

    @Deprecated
    public static int r(View view) {
        return view.getLayoutDirection();
    }

    @Deprecated
    public static int s(View view) {
        return view.getMinimumHeight();
    }

    public static String[] t(View view) {
        return Build.VERSION.SDK_INT >= 31 ? m.a(view) : (String[]) view.getTag(o.b.N);
    }

    public static i2 u(View view) {
        return Build.VERSION.SDK_INT >= 23 ? i.a(view) : h.j(view);
    }

    public static CharSequence v(View view) {
        return b0().e(view);
    }

    public static String w(View view) {
        return h.k(view);
    }

    @Deprecated
    public static int x(View view) {
        return view.getWindowSystemUiVisibility();
    }

    @Deprecated
    public static boolean y(View view) {
        return view.hasOnClickListeners();
    }

    public static boolean z(View view) {
        Boolean e3 = b().e(view);
        return e3 != null && e3.booleanValue();
    }
}
