package androidx.core.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.AnimationUtils;
import android.widget.EdgeEffect;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import android.widget.ScrollView;
import androidx.core.view.f0;
import androidx.core.view.g0;
import androidx.core.view.i0;
import androidx.core.view.j0;
import androidx.core.view.s0;
import java.util.ArrayList;
import t.h;
/* loaded from: classes.dex */
public class NestedScrollView extends FrameLayout implements i0 {
    private static final float H = (float) (Math.log(0.78d) / Math.log(0.9d));
    private static final a I = new a();
    private static final int[] J = {16843130};
    private e A;
    private final j0 B;
    private final g0 C;
    private float D;
    private d E;
    final c F;
    androidx.core.view.f G;

    /* renamed from: e  reason: collision with root package name */
    private final float f1743e;

    /* renamed from: f  reason: collision with root package name */
    private long f1744f;

    /* renamed from: g  reason: collision with root package name */
    private final Rect f1745g;

    /* renamed from: h  reason: collision with root package name */
    private OverScroller f1746h;

    /* renamed from: i  reason: collision with root package name */
    public EdgeEffect f1747i;

    /* renamed from: j  reason: collision with root package name */
    public EdgeEffect f1748j;

    /* renamed from: k  reason: collision with root package name */
    private int f1749k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f1750l;

    /* renamed from: m  reason: collision with root package name */
    private boolean f1751m;

    /* renamed from: n  reason: collision with root package name */
    private View f1752n;

    /* renamed from: o  reason: collision with root package name */
    private boolean f1753o;

    /* renamed from: p  reason: collision with root package name */
    private VelocityTracker f1754p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f1755q;

    /* renamed from: r  reason: collision with root package name */
    private boolean f1756r;

    /* renamed from: s  reason: collision with root package name */
    private int f1757s;

    /* renamed from: t  reason: collision with root package name */
    private int f1758t;

    /* renamed from: u  reason: collision with root package name */
    private int f1759u;

    /* renamed from: v  reason: collision with root package name */
    private int f1760v;

    /* renamed from: w  reason: collision with root package name */
    private final int[] f1761w;

    /* renamed from: x  reason: collision with root package name */
    private final int[] f1762x;

    /* renamed from: y  reason: collision with root package name */
    private int f1763y;

    /* renamed from: z  reason: collision with root package name */
    private int f1764z;

    /* loaded from: classes.dex */
    static class a extends androidx.core.view.a {
        a() {
        }

        @Override // androidx.core.view.a
        public void f(View view, AccessibilityEvent accessibilityEvent) {
            super.f(view, accessibilityEvent);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            accessibilityEvent.setClassName(ScrollView.class.getName());
            accessibilityEvent.setScrollable(nestedScrollView.getScrollRange() > 0);
            accessibilityEvent.setScrollX(nestedScrollView.getScrollX());
            accessibilityEvent.setScrollY(nestedScrollView.getScrollY());
            t.m.a(accessibilityEvent, nestedScrollView.getScrollX());
            t.m.b(accessibilityEvent, nestedScrollView.getScrollRange());
        }

        @Override // androidx.core.view.a
        public void g(View view, t.h hVar) {
            int scrollRange;
            super.g(view, hVar);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            hVar.V(ScrollView.class.getName());
            if (!nestedScrollView.isEnabled() || (scrollRange = nestedScrollView.getScrollRange()) <= 0) {
                return;
            }
            hVar.Z(true);
            if (nestedScrollView.getScrollY() > 0) {
                hVar.a(h.a.f4958r);
                hVar.a(h.a.C);
            }
            if (nestedScrollView.getScrollY() < scrollRange) {
                hVar.a(h.a.f4957q);
                hVar.a(h.a.E);
            }
        }

        @Override // androidx.core.view.a
        public boolean j(View view, int i3, Bundle bundle) {
            if (super.j(view, i3, bundle)) {
                return true;
            }
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            if (nestedScrollView.isEnabled()) {
                int height = nestedScrollView.getHeight();
                Rect rect = new Rect();
                if (nestedScrollView.getMatrix().isIdentity() && nestedScrollView.getGlobalVisibleRect(rect)) {
                    height = rect.height();
                }
                if (i3 != 4096) {
                    if (i3 == 8192 || i3 == 16908344) {
                        int max = Math.max(nestedScrollView.getScrollY() - ((height - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), 0);
                        if (max != nestedScrollView.getScrollY()) {
                            nestedScrollView.Q(0, max, true);
                            return true;
                        }
                        return false;
                    } else if (i3 != 16908346) {
                        return false;
                    }
                }
                int min = Math.min(nestedScrollView.getScrollY() + ((height - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), nestedScrollView.getScrollRange());
                if (min != nestedScrollView.getScrollY()) {
                    nestedScrollView.Q(0, min, true);
                    return true;
                }
                return false;
            }
            return false;
        }
    }

    /* loaded from: classes.dex */
    static class b {
        static boolean a(ViewGroup viewGroup) {
            return viewGroup.getClipToPadding();
        }
    }

    /* loaded from: classes.dex */
    class c implements androidx.core.view.g {
        c() {
        }

        @Override // androidx.core.view.g
        public boolean a(float f3) {
            if (f3 == 0.0f) {
                return false;
            }
            c();
            NestedScrollView.this.p((int) f3);
            return true;
        }

        @Override // androidx.core.view.g
        public float b() {
            return -NestedScrollView.this.getVerticalScrollFactorCompat();
        }

        @Override // androidx.core.view.g
        public void c() {
            NestedScrollView.this.f1746h.abortAnimation();
        }
    }

    /* loaded from: classes.dex */
    public interface d {
        void a(NestedScrollView nestedScrollView, int i3, int i4, int i5, int i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class e extends View.BaseSavedState {
        public static final Parcelable.Creator<e> CREATOR = new a();

        /* renamed from: e  reason: collision with root package name */
        public int f1766e;

        /* loaded from: classes.dex */
        class a implements Parcelable.Creator<e> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: a */
            public e createFromParcel(Parcel parcel) {
                return new e(parcel);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: b */
            public e[] newArray(int i3) {
                return new e[i3];
            }
        }

        e(Parcel parcel) {
            super(parcel);
            this.f1766e = parcel.readInt();
        }

        e(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "HorizontalScrollView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " scrollPosition=" + this.f1766e + "}";
        }

        @Override // android.view.View.BaseSavedState, android.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i3) {
            super.writeToParcel(parcel, i3);
            parcel.writeInt(this.f1766e);
        }
    }

    public NestedScrollView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, o.a.f4252c);
    }

    public NestedScrollView(Context context, AttributeSet attributeSet, int i3) {
        super(context, attributeSet, i3);
        this.f1745g = new Rect();
        this.f1750l = true;
        this.f1751m = false;
        this.f1752n = null;
        this.f1753o = false;
        this.f1756r = true;
        this.f1760v = -1;
        this.f1761w = new int[2];
        this.f1762x = new int[2];
        c cVar = new c();
        this.F = cVar;
        this.G = new androidx.core.view.f(getContext(), cVar);
        this.f1747i = androidx.core.widget.e.a(context, attributeSet);
        this.f1748j = androidx.core.widget.e.a(context, attributeSet);
        this.f1743e = context.getResources().getDisplayMetrics().density * 160.0f * 386.0878f * 0.84f;
        v();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, J, i3, 0);
        setFillViewport(obtainStyledAttributes.getBoolean(0, false));
        obtainStyledAttributes.recycle();
        this.B = new j0(this);
        this.C = new g0(this);
        setNestedScrollingEnabled(true);
        s0.P(this, I);
    }

    private boolean A(View view, int i3, int i4) {
        view.getDrawingRect(this.f1745g);
        offsetDescendantRectToMyCoords(view, this.f1745g);
        return this.f1745g.bottom + i3 >= getScrollY() && this.f1745g.top - i3 <= getScrollY() + i4;
    }

    private void B(int i3, int i4, int[] iArr) {
        int scrollY = getScrollY();
        scrollBy(0, i3);
        int scrollY2 = getScrollY() - scrollY;
        if (iArr != null) {
            iArr[1] = iArr[1] + scrollY2;
        }
        this.C.e(0, scrollY2, 0, i3 - scrollY2, null, i4, iArr);
    }

    private void C(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f1760v) {
            int i3 = actionIndex == 0 ? 1 : 0;
            this.f1749k = (int) motionEvent.getY(i3);
            this.f1760v = motionEvent.getPointerId(i3);
            VelocityTracker velocityTracker = this.f1754p;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    private void F() {
        VelocityTracker velocityTracker = this.f1754p;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f1754p = null;
        }
    }

    private int G(int i3, float f3) {
        float d3;
        EdgeEffect edgeEffect;
        float width = f3 / getWidth();
        float height = i3 / getHeight();
        float f4 = 0.0f;
        if (androidx.core.widget.e.b(this.f1747i) != 0.0f) {
            d3 = -androidx.core.widget.e.d(this.f1747i, -height, width);
            if (androidx.core.widget.e.b(this.f1747i) == 0.0f) {
                edgeEffect = this.f1747i;
                edgeEffect.onRelease();
            }
            f4 = d3;
        } else if (androidx.core.widget.e.b(this.f1748j) != 0.0f) {
            d3 = androidx.core.widget.e.d(this.f1748j, height, 1.0f - width);
            if (androidx.core.widget.e.b(this.f1748j) == 0.0f) {
                edgeEffect = this.f1748j;
                edgeEffect.onRelease();
            }
            f4 = d3;
        }
        int round = Math.round(f4 * getHeight());
        if (round != 0) {
            invalidate();
        }
        return round;
    }

    private void H(boolean z2) {
        if (z2) {
            R(2, 1);
        } else {
            T(1);
        }
        this.f1764z = getScrollY();
        postInvalidateOnAnimation();
    }

    private boolean I(int i3, int i4, int i5) {
        int height = getHeight();
        int scrollY = getScrollY();
        int i6 = height + scrollY;
        boolean z2 = false;
        boolean z3 = i3 == 33;
        View o3 = o(z3, i4, i5);
        if (o3 == null) {
            o3 = this;
        }
        if (i4 < scrollY || i5 > i6) {
            J(z3 ? i4 - scrollY : i5 - i6, 0, 1, true);
            z2 = true;
        }
        if (o3 != findFocus()) {
            o3.requestFocus(i3);
        }
        return z2;
    }

    private int J(int i3, int i4, int i5, boolean z2) {
        int i6;
        int i7;
        EdgeEffect edgeEffect;
        VelocityTracker velocityTracker;
        if (i5 == 1) {
            R(2, i5);
        }
        boolean z3 = false;
        if (i(0, i3, this.f1762x, this.f1761w, i5)) {
            i6 = i3 - this.f1762x[1];
            i7 = this.f1761w[1] + 0;
        } else {
            i6 = i3;
            i7 = 0;
        }
        int scrollY = getScrollY();
        int scrollRange = getScrollRange();
        boolean z4 = d() && !z2;
        boolean z5 = D(0, i6, 0, scrollY, 0, scrollRange, 0, 0, true) && !s(i5);
        int scrollY2 = getScrollY() - scrollY;
        int[] iArr = this.f1762x;
        iArr[1] = 0;
        j(0, scrollY2, 0, i6 - scrollY2, this.f1761w, i5, iArr);
        int i8 = i7 + this.f1761w[1];
        int i9 = i6 - this.f1762x[1];
        int i10 = scrollY + i9;
        if (i10 < 0) {
            if (z4) {
                androidx.core.widget.e.d(this.f1747i, (-i9) / getHeight(), i4 / getWidth());
                if (!this.f1748j.isFinished()) {
                    edgeEffect = this.f1748j;
                    edgeEffect.onRelease();
                }
            }
        } else if (i10 > scrollRange && z4) {
            androidx.core.widget.e.d(this.f1748j, i9 / getHeight(), 1.0f - (i4 / getWidth()));
            if (!this.f1747i.isFinished()) {
                edgeEffect = this.f1747i;
                edgeEffect.onRelease();
            }
        }
        if (this.f1747i.isFinished() && this.f1748j.isFinished()) {
            z3 = z5;
        } else {
            postInvalidateOnAnimation();
        }
        if (z3 && i5 == 0 && (velocityTracker = this.f1754p) != null) {
            velocityTracker.clear();
        }
        if (i5 == 1) {
            T(i5);
            this.f1747i.onRelease();
            this.f1748j.onRelease();
        }
        return i8;
    }

    private void K(View view) {
        view.getDrawingRect(this.f1745g);
        offsetDescendantRectToMyCoords(view, this.f1745g);
        int g3 = g(this.f1745g);
        if (g3 != 0) {
            scrollBy(0, g3);
        }
    }

    private boolean L(Rect rect, boolean z2) {
        int g3 = g(rect);
        boolean z3 = g3 != 0;
        if (z3) {
            if (z2) {
                scrollBy(0, g3);
            } else {
                N(0, g3);
            }
        }
        return z3;
    }

    private boolean M(EdgeEffect edgeEffect, int i3) {
        if (i3 > 0) {
            return true;
        }
        return r(-i3) < androidx.core.widget.e.b(edgeEffect) * ((float) getHeight());
    }

    private void O(int i3, int i4, int i5, boolean z2) {
        if (getChildCount() == 0) {
            return;
        }
        if (AnimationUtils.currentAnimationTimeMillis() - this.f1744f > 250) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int scrollY = getScrollY();
            OverScroller overScroller = this.f1746h;
            int scrollX = getScrollX();
            overScroller.startScroll(scrollX, scrollY, 0, Math.max(0, Math.min(i4 + scrollY, Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom())))) - scrollY, i5);
            H(z2);
        } else {
            if (!this.f1746h.isFinished()) {
                a();
            }
            scrollBy(i3, i4);
        }
        this.f1744f = AnimationUtils.currentAnimationTimeMillis();
    }

    private boolean S(MotionEvent motionEvent) {
        boolean z2;
        if (androidx.core.widget.e.b(this.f1747i) != 0.0f) {
            androidx.core.widget.e.d(this.f1747i, 0.0f, motionEvent.getX() / getWidth());
            z2 = true;
        } else {
            z2 = false;
        }
        if (androidx.core.widget.e.b(this.f1748j) != 0.0f) {
            androidx.core.widget.e.d(this.f1748j, 0.0f, 1.0f - (motionEvent.getX() / getWidth()));
            return true;
        }
        return z2;
    }

    private void a() {
        this.f1746h.abortAnimation();
        T(1);
    }

    private boolean d() {
        int overScrollMode = getOverScrollMode();
        if (overScrollMode != 0) {
            return overScrollMode == 1 && getScrollRange() > 0;
        }
        return true;
    }

    private boolean e() {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            return (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin > (getHeight() - getPaddingTop()) - getPaddingBottom();
        }
        return false;
    }

    private static int f(int i3, int i4, int i5) {
        if (i4 >= i5 || i3 < 0) {
            return 0;
        }
        return i4 + i3 > i5 ? i5 - i4 : i3;
    }

    private void k(int i3) {
        if (i3 != 0) {
            if (this.f1756r) {
                N(0, i3);
            } else {
                scrollBy(0, i3);
            }
        }
    }

    private boolean l(int i3) {
        EdgeEffect edgeEffect;
        if (androidx.core.widget.e.b(this.f1747i) != 0.0f) {
            if (M(this.f1747i, i3)) {
                edgeEffect = this.f1747i;
                edgeEffect.onAbsorb(i3);
            } else {
                i3 = -i3;
                p(i3);
            }
        } else if (androidx.core.widget.e.b(this.f1748j) == 0.0f) {
            return false;
        } else {
            i3 = -i3;
            if (M(this.f1748j, i3)) {
                edgeEffect = this.f1748j;
                edgeEffect.onAbsorb(i3);
            }
            p(i3);
        }
        return true;
    }

    private void m() {
        this.f1760v = -1;
        this.f1753o = false;
        F();
        T(0);
        this.f1747i.onRelease();
        this.f1748j.onRelease();
    }

    private View o(boolean z2, int i3, int i4) {
        ArrayList<View> focusables = getFocusables(2);
        int size = focusables.size();
        View view = null;
        boolean z3 = false;
        for (int i5 = 0; i5 < size; i5++) {
            View view2 = focusables.get(i5);
            int top = view2.getTop();
            int bottom = view2.getBottom();
            if (i3 < bottom && top < i4) {
                boolean z4 = i3 < top && bottom < i4;
                if (view == null) {
                    view = view2;
                    z3 = z4;
                } else {
                    boolean z5 = (z2 && top < view.getTop()) || (!z2 && bottom > view.getBottom());
                    if (z3) {
                        if (z4) {
                            if (!z5) {
                            }
                            view = view2;
                        }
                    } else if (z4) {
                        view = view2;
                        z3 = true;
                    } else {
                        if (!z5) {
                        }
                        view = view2;
                    }
                }
            }
        }
        return view;
    }

    private float r(int i3) {
        double log = Math.log((Math.abs(i3) * 0.35f) / (this.f1743e * 0.015f));
        float f3 = H;
        return (float) (this.f1743e * 0.015f * Math.exp((f3 / (f3 - 1.0d)) * log));
    }

    private boolean t(int i3, int i4) {
        if (getChildCount() > 0) {
            int scrollY = getScrollY();
            View childAt = getChildAt(0);
            return i4 >= childAt.getTop() - scrollY && i4 < childAt.getBottom() - scrollY && i3 >= childAt.getLeft() && i3 < childAt.getRight();
        }
        return false;
    }

    private void u() {
        VelocityTracker velocityTracker = this.f1754p;
        if (velocityTracker == null) {
            this.f1754p = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
    }

    private void v() {
        this.f1746h = new OverScroller(getContext());
        setFocusable(true);
        setDescendantFocusability(262144);
        setWillNotDraw(false);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.f1757s = viewConfiguration.getScaledTouchSlop();
        this.f1758t = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f1759u = viewConfiguration.getScaledMaximumFlingVelocity();
    }

    private void w() {
        if (this.f1754p == null) {
            this.f1754p = VelocityTracker.obtain();
        }
    }

    private void x(int i3, int i4) {
        this.f1749k = i3;
        this.f1760v = i4;
        R(2, 0);
    }

    private boolean y(View view) {
        return !A(view, 0, getHeight());
    }

    private static boolean z(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        return (parent instanceof ViewGroup) && z((View) parent, view2);
    }

    /* JADX WARN: Removed duplicated region for block: B:38:0x0057  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x005a  */
    /* JADX WARN: Removed duplicated region for block: B:44:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:49:0x0083 A[ADDED_TO_REGION] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    boolean D(int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, boolean z2) {
        boolean z3;
        boolean z4;
        int overScrollMode = getOverScrollMode();
        boolean z5 = computeHorizontalScrollRange() > computeHorizontalScrollExtent();
        boolean z6 = computeVerticalScrollRange() > computeVerticalScrollExtent();
        boolean z7 = overScrollMode == 0 || (overScrollMode == 1 && z5);
        boolean z8 = overScrollMode == 0 || (overScrollMode == 1 && z6);
        int i11 = i5 + i3;
        int i12 = !z7 ? 0 : i9;
        int i13 = i6 + i4;
        int i14 = !z8 ? 0 : i10;
        int i15 = -i12;
        int i16 = i12 + i7;
        int i17 = -i14;
        int i18 = i14 + i8;
        if (i11 > i16) {
            i11 = i16;
        } else if (i11 >= i15) {
            z3 = false;
            if (i13 <= i18) {
                i13 = i18;
            } else if (i13 >= i17) {
                z4 = false;
                if (z4 && !s(1)) {
                    this.f1746h.springBack(i11, i13, 0, 0, 0, getScrollRange());
                }
                onOverScrolled(i11, i13, z3, z4);
                return !z3 || z4;
            } else {
                i13 = i17;
            }
            z4 = true;
            if (z4) {
                this.f1746h.springBack(i11, i13, 0, 0, 0, getScrollRange());
            }
            onOverScrolled(i11, i13, z3, z4);
            if (z3) {
            }
        } else {
            i11 = i15;
        }
        z3 = true;
        if (i13 <= i18) {
        }
        z4 = true;
        if (z4) {
        }
        onOverScrolled(i11, i13, z3, z4);
        if (z3) {
        }
    }

    public boolean E(int i3) {
        boolean z2 = i3 == 130;
        int height = getHeight();
        if (z2) {
            this.f1745g.top = getScrollY() + height;
            int childCount = getChildCount();
            if (childCount > 0) {
                View childAt = getChildAt(childCount - 1);
                int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
                Rect rect = this.f1745g;
                if (rect.top + height > bottom) {
                    rect.top = bottom - height;
                }
            }
        } else {
            this.f1745g.top = getScrollY() - height;
            Rect rect2 = this.f1745g;
            if (rect2.top < 0) {
                rect2.top = 0;
            }
        }
        Rect rect3 = this.f1745g;
        int i4 = rect3.top;
        int i5 = height + i4;
        rect3.bottom = i5;
        return I(i3, i4, i5);
    }

    public final void N(int i3, int i4) {
        O(i3, i4, 250, false);
    }

    void P(int i3, int i4, int i5, boolean z2) {
        O(i3 - getScrollX(), i4 - getScrollY(), i5, z2);
    }

    void Q(int i3, int i4, boolean z2) {
        P(i3, i4, 250, z2);
    }

    public boolean R(int i3, int i4) {
        return this.C.q(i3, i4);
    }

    public void T(int i3) {
        this.C.s(i3);
    }

    @Override // android.view.ViewGroup
    public void addView(View view) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i3) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i3);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i3, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i3, layoutParams);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, layoutParams);
    }

    public boolean c(int i3) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i3);
        int maxScrollAmount = getMaxScrollAmount();
        if (findNextFocus == null || !A(findNextFocus, maxScrollAmount, getHeight())) {
            if (i3 == 33 && getScrollY() < maxScrollAmount) {
                maxScrollAmount = getScrollY();
            } else if (i3 == 130 && getChildCount() > 0) {
                View childAt = getChildAt(0);
                maxScrollAmount = Math.min((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - ((getScrollY() + getHeight()) - getPaddingBottom()), maxScrollAmount);
            }
            if (maxScrollAmount == 0) {
                return false;
            }
            if (i3 != 130) {
                maxScrollAmount = -maxScrollAmount;
            }
            J(maxScrollAmount, 0, 1, true);
        } else {
            findNextFocus.getDrawingRect(this.f1745g);
            offsetDescendantRectToMyCoords(findNextFocus, this.f1745g);
            J(g(this.f1745g), 0, 1, true);
            findNextFocus.requestFocus(i3);
        }
        if (findFocus != null && findFocus.isFocused() && y(findFocus)) {
            int descendantFocusability = getDescendantFocusability();
            setDescendantFocusability(131072);
            requestFocus();
            setDescendantFocusability(descendantFocusability);
        }
        return true;
    }

    @Override // android.view.View
    public int computeHorizontalScrollExtent() {
        return super.computeHorizontalScrollExtent();
    }

    @Override // android.view.View
    public int computeHorizontalScrollOffset() {
        return super.computeHorizontalScrollOffset();
    }

    @Override // android.view.View
    public int computeHorizontalScrollRange() {
        return super.computeHorizontalScrollRange();
    }

    @Override // android.view.View
    public void computeScroll() {
        EdgeEffect edgeEffect;
        if (this.f1746h.isFinished()) {
            return;
        }
        this.f1746h.computeScrollOffset();
        int currY = this.f1746h.getCurrY();
        int h3 = h(currY - this.f1764z);
        this.f1764z = currY;
        int[] iArr = this.f1762x;
        boolean z2 = false;
        iArr[1] = 0;
        i(0, h3, iArr, null, 1);
        int i3 = h3 - this.f1762x[1];
        int scrollRange = getScrollRange();
        if (i3 != 0) {
            int scrollY = getScrollY();
            D(0, i3, getScrollX(), scrollY, 0, scrollRange, 0, 0, false);
            int scrollY2 = getScrollY() - scrollY;
            int i4 = i3 - scrollY2;
            int[] iArr2 = this.f1762x;
            iArr2[1] = 0;
            j(0, scrollY2, 0, i4, this.f1761w, 1, iArr2);
            i3 = i4 - this.f1762x[1];
        }
        if (i3 != 0) {
            int overScrollMode = getOverScrollMode();
            if (overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0)) {
                z2 = true;
            }
            if (z2) {
                if (i3 < 0) {
                    if (this.f1747i.isFinished()) {
                        edgeEffect = this.f1747i;
                        edgeEffect.onAbsorb((int) this.f1746h.getCurrVelocity());
                    }
                } else if (this.f1748j.isFinished()) {
                    edgeEffect = this.f1748j;
                    edgeEffect.onAbsorb((int) this.f1746h.getCurrVelocity());
                }
            }
            a();
        }
        if (this.f1746h.isFinished()) {
            T(1);
        } else {
            postInvalidateOnAnimation();
        }
    }

    @Override // android.view.View
    public int computeVerticalScrollExtent() {
        return super.computeVerticalScrollExtent();
    }

    @Override // android.view.View
    public int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    @Override // android.view.View
    public int computeVerticalScrollRange() {
        int childCount = getChildCount();
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (childCount == 0) {
            return height;
        }
        View childAt = getChildAt(0);
        int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
        int scrollY = getScrollY();
        int max = Math.max(0, bottom - height);
        return scrollY < 0 ? bottom - scrollY : scrollY > max ? bottom + (scrollY - max) : bottom;
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || n(keyEvent);
    }

    @Override // android.view.View
    public boolean dispatchNestedFling(float f3, float f4, boolean z2) {
        return this.C.a(f3, f4, z2);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreFling(float f3, float f4) {
        return this.C.b(f3, f4);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreScroll(int i3, int i4, int[] iArr, int[] iArr2) {
        return i(i3, i4, iArr, iArr2, 0);
    }

    @Override // android.view.View
    public boolean dispatchNestedScroll(int i3, int i4, int i5, int i6, int[] iArr) {
        return this.C.f(i3, i4, i5, i6, iArr);
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        int i3;
        super.draw(canvas);
        int scrollY = getScrollY();
        int i4 = 0;
        if (!this.f1747i.isFinished()) {
            int save = canvas.save();
            int width = getWidth();
            int height = getHeight();
            int min = Math.min(0, scrollY);
            if (b.a(this)) {
                width -= getPaddingLeft() + getPaddingRight();
                i3 = getPaddingLeft() + 0;
            } else {
                i3 = 0;
            }
            if (b.a(this)) {
                height -= getPaddingTop() + getPaddingBottom();
                min += getPaddingTop();
            }
            canvas.translate(i3, min);
            this.f1747i.setSize(width, height);
            if (this.f1747i.draw(canvas)) {
                postInvalidateOnAnimation();
            }
            canvas.restoreToCount(save);
        }
        if (this.f1748j.isFinished()) {
            return;
        }
        int save2 = canvas.save();
        int width2 = getWidth();
        int height2 = getHeight();
        int max = Math.max(getScrollRange(), scrollY) + height2;
        if (b.a(this)) {
            width2 -= getPaddingLeft() + getPaddingRight();
            i4 = 0 + getPaddingLeft();
        }
        if (b.a(this)) {
            height2 -= getPaddingTop() + getPaddingBottom();
            max -= getPaddingBottom();
        }
        canvas.translate(i4 - width2, max);
        canvas.rotate(180.0f, width2, 0.0f);
        this.f1748j.setSize(width2, height2);
        if (this.f1748j.draw(canvas)) {
            postInvalidateOnAnimation();
        }
        canvas.restoreToCount(save2);
    }

    protected int g(Rect rect) {
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i3 = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        int i4 = rect.bottom < (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin ? i3 - verticalFadingEdgeLength : i3;
        int i5 = rect.bottom;
        if (i5 > i4 && rect.top > scrollY) {
            return Math.min((rect.height() > height ? rect.top - scrollY : rect.bottom - i4) + 0, (childAt.getBottom() + layoutParams.bottomMargin) - i3);
        } else if (rect.top >= scrollY || i5 >= i4) {
            return 0;
        } else {
            return Math.max(rect.height() > height ? 0 - (i4 - rect.bottom) : 0 - (scrollY - rect.top), -getScrollY());
        }
    }

    @Override // android.view.View
    protected float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        View childAt = getChildAt(0);
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = ((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - getScrollY()) - (getHeight() - getPaddingBottom());
        if (bottom < verticalFadingEdgeLength) {
            return bottom / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    public int getMaxScrollAmount() {
        return (int) (getHeight() * 0.5f);
    }

    @Override // android.view.ViewGroup
    public int getNestedScrollAxes() {
        return this.B.a();
    }

    int getScrollRange() {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            return Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom()));
        }
        return 0;
    }

    @Override // android.view.View
    protected float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        if (scrollY < verticalFadingEdgeLength) {
            return scrollY / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    float getVerticalScrollFactorCompat() {
        if (this.D == 0.0f) {
            TypedValue typedValue = new TypedValue();
            Context context = getContext();
            if (!context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
            }
            this.D = typedValue.getDimension(context.getResources().getDisplayMetrics());
        }
        return this.D;
    }

    int h(int i3) {
        int height = getHeight();
        if (i3 > 0 && androidx.core.widget.e.b(this.f1747i) != 0.0f) {
            int round = Math.round(((-height) / 4.0f) * androidx.core.widget.e.d(this.f1747i, ((-i3) * 4.0f) / height, 0.5f));
            if (round != i3) {
                this.f1747i.finish();
            }
            return i3 - round;
        } else if (i3 >= 0 || androidx.core.widget.e.b(this.f1748j) == 0.0f) {
            return i3;
        } else {
            float f3 = height;
            int round2 = Math.round((f3 / 4.0f) * androidx.core.widget.e.d(this.f1748j, (i3 * 4.0f) / f3, 0.5f));
            if (round2 != i3) {
                this.f1748j.finish();
            }
            return i3 - round2;
        }
    }

    @Override // android.view.View
    public boolean hasNestedScrollingParent() {
        return s(0);
    }

    public boolean i(int i3, int i4, int[] iArr, int[] iArr2, int i5) {
        return this.C.d(i3, i4, iArr, iArr2, i5);
    }

    @Override // android.view.View
    public boolean isNestedScrollingEnabled() {
        return this.C.m();
    }

    public void j(int i3, int i4, int i5, int i6, int[] iArr, int i7, int[] iArr2) {
        this.C.e(i3, i4, i5, i6, iArr, i7, iArr2);
    }

    @Override // android.view.ViewGroup
    protected void measureChild(View view, int i3, int i4) {
        view.measure(ViewGroup.getChildMeasureSpec(i3, getPaddingLeft() + getPaddingRight(), view.getLayoutParams().width), View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    @Override // android.view.ViewGroup
    protected void measureChildWithMargins(View view, int i3, int i4, int i5, int i6) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        view.measure(ViewGroup.getChildMeasureSpec(i3, getPaddingLeft() + getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i4, marginLayoutParams.width), View.MeasureSpec.makeMeasureSpec(marginLayoutParams.topMargin + marginLayoutParams.bottomMargin, 0));
    }

    public boolean n(KeyEvent keyEvent) {
        this.f1745g.setEmpty();
        int i3 = 130;
        if (!e()) {
            if (!isFocused() || keyEvent.getKeyCode() == 4) {
                return false;
            }
            View findFocus = findFocus();
            if (findFocus == this) {
                findFocus = null;
            }
            View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
            return (findNextFocus == null || findNextFocus == this || !findNextFocus.requestFocus(130)) ? false : true;
        } else if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 19) {
                if (keyCode != 20) {
                    if (keyCode != 62) {
                        if (keyCode != 92) {
                            if (keyCode != 93) {
                                if (keyCode == 122) {
                                    E(33);
                                    return false;
                                } else if (keyCode != 123) {
                                    return false;
                                }
                            }
                        }
                    } else if (keyEvent.isShiftPressed()) {
                        i3 = 33;
                    }
                    E(i3);
                    return false;
                } else if (!keyEvent.isAltPressed()) {
                    return c(130);
                }
                return q(130);
            } else if (!keyEvent.isAltPressed()) {
                return c(33);
            }
            return q(33);
        } else {
            return false;
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f1751m = false;
    }

    @Override // android.view.View
    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        float f3;
        int i3;
        if (motionEvent.getAction() == 8 && !this.f1753o) {
            int i4 = 26;
            if (f0.a(motionEvent, 2)) {
                f3 = motionEvent.getAxisValue(9);
                i3 = (int) motionEvent.getX();
                i4 = 9;
            } else if (f0.a(motionEvent, 4194304)) {
                float axisValue = motionEvent.getAxisValue(26);
                i3 = getWidth() / 2;
                f3 = axisValue;
            } else {
                f3 = 0.0f;
                i3 = 0;
                i4 = 0;
            }
            if (f3 != 0.0f) {
                J(-((int) (f3 * getVerticalScrollFactorCompat())), i3, 1, f0.a(motionEvent, 8194));
                if (i4 != 0) {
                    this.G.g(motionEvent, i4);
                }
                return true;
            }
        }
        return false;
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        boolean z2 = true;
        if (action == 2 && this.f1753o) {
            return true;
        }
        int i3 = action & 255;
        if (i3 != 0) {
            if (i3 != 1) {
                if (i3 == 2) {
                    int i4 = this.f1760v;
                    if (i4 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i4);
                        if (findPointerIndex == -1) {
                            Log.e("NestedScrollView", "Invalid pointerId=" + i4 + " in onInterceptTouchEvent");
                        } else {
                            int y2 = (int) motionEvent.getY(findPointerIndex);
                            if (Math.abs(y2 - this.f1749k) > this.f1757s && (2 & getNestedScrollAxes()) == 0) {
                                this.f1753o = true;
                                this.f1749k = y2;
                                w();
                                this.f1754p.addMovement(motionEvent);
                                this.f1763y = 0;
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                } else if (i3 != 3) {
                    if (i3 == 6) {
                        C(motionEvent);
                    }
                }
            }
            this.f1753o = false;
            this.f1760v = -1;
            F();
            if (this.f1746h.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                postInvalidateOnAnimation();
            }
            T(0);
        } else {
            int y3 = (int) motionEvent.getY();
            if (t((int) motionEvent.getX(), y3)) {
                this.f1749k = y3;
                this.f1760v = motionEvent.getPointerId(0);
                u();
                this.f1754p.addMovement(motionEvent);
                this.f1746h.computeScrollOffset();
                if (!S(motionEvent) && this.f1746h.isFinished()) {
                    z2 = false;
                }
                this.f1753o = z2;
                R(2, 0);
            } else {
                if (!S(motionEvent) && this.f1746h.isFinished()) {
                    z2 = false;
                }
                this.f1753o = z2;
                F();
            }
        }
        return this.f1753o;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z2, int i3, int i4, int i5, int i6) {
        super.onLayout(z2, i3, i4, i5, i6);
        int i7 = 0;
        this.f1750l = false;
        View view = this.f1752n;
        if (view != null && z(view, this)) {
            K(this.f1752n);
        }
        this.f1752n = null;
        if (!this.f1751m) {
            if (this.A != null) {
                scrollTo(getScrollX(), this.A.f1766e);
                this.A = null;
            }
            if (getChildCount() > 0) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                i7 = childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            }
            int paddingTop = ((i6 - i4) - getPaddingTop()) - getPaddingBottom();
            int scrollY = getScrollY();
            int f3 = f(scrollY, paddingTop, i7);
            if (f3 != scrollY) {
                scrollTo(getScrollX(), f3);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.f1751m = true;
    }

    @Override // android.widget.FrameLayout, android.view.View
    protected void onMeasure(int i3, int i4) {
        super.onMeasure(i3, i4);
        if (this.f1755q && View.MeasureSpec.getMode(i4) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int measuredHeight2 = (((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom()) - layoutParams.topMargin) - layoutParams.bottomMargin;
            if (measuredHeight < measuredHeight2) {
                childAt.measure(ViewGroup.getChildMeasureSpec(i3, getPaddingLeft() + getPaddingRight() + layoutParams.leftMargin + layoutParams.rightMargin, layoutParams.width), View.MeasureSpec.makeMeasureSpec(measuredHeight2, 1073741824));
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean onNestedFling(View view, float f3, float f4, boolean z2) {
        if (z2) {
            return false;
        }
        dispatchNestedFling(0.0f, f4, true);
        p((int) f4);
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean onNestedPreFling(View view, float f3, float f4) {
        return dispatchNestedPreFling(f3, f4);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void onNestedPreScroll(View view, int i3, int i4, int[] iArr) {
        onNestedPreScroll(view, i3, i4, iArr, 0);
    }

    @Override // androidx.core.view.h0
    public void onNestedPreScroll(View view, int i3, int i4, int[] iArr, int i5) {
        i(i3, i4, iArr, null, i5);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void onNestedScroll(View view, int i3, int i4, int i5, int i6) {
        B(i6, 0, null);
    }

    @Override // androidx.core.view.h0
    public void onNestedScroll(View view, int i3, int i4, int i5, int i6, int i7) {
        B(i6, i7, null);
    }

    @Override // androidx.core.view.i0
    public void onNestedScroll(View view, int i3, int i4, int i5, int i6, int i7, int[] iArr) {
        B(i6, i7, iArr);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void onNestedScrollAccepted(View view, View view2, int i3) {
        onNestedScrollAccepted(view, view2, i3, 0);
    }

    @Override // androidx.core.view.h0
    public void onNestedScrollAccepted(View view, View view2, int i3, int i4) {
        this.B.c(view, view2, i3, i4);
        R(2, i4);
    }

    @Override // android.view.View
    protected void onOverScrolled(int i3, int i4, boolean z2, boolean z3) {
        super.scrollTo(i3, i4);
    }

    @Override // android.view.ViewGroup
    protected boolean onRequestFocusInDescendants(int i3, Rect rect) {
        if (i3 == 2) {
            i3 = 130;
        } else if (i3 == 1) {
            i3 = 33;
        }
        FocusFinder focusFinder = FocusFinder.getInstance();
        View findNextFocus = rect == null ? focusFinder.findNextFocus(this, null, i3) : focusFinder.findNextFocusFromRect(this, rect, i3);
        if (findNextFocus == null || y(findNextFocus)) {
            return false;
        }
        return findNextFocus.requestFocus(i3, rect);
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof e)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        e eVar = (e) parcelable;
        super.onRestoreInstanceState(eVar.getSuperState());
        this.A = eVar;
        requestLayout();
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        e eVar = new e(super.onSaveInstanceState());
        eVar.f1766e = getScrollY();
        return eVar;
    }

    @Override // android.view.View
    protected void onScrollChanged(int i3, int i4, int i5, int i6) {
        super.onScrollChanged(i3, i4, i5, i6);
        d dVar = this.E;
        if (dVar != null) {
            dVar.a(this, i3, i4, i5, i6);
        }
    }

    @Override // android.view.View
    protected void onSizeChanged(int i3, int i4, int i5, int i6) {
        super.onSizeChanged(i3, i4, i5, i6);
        View findFocus = findFocus();
        if (findFocus == null || this == findFocus || !A(findFocus, 0, i6)) {
            return;
        }
        findFocus.getDrawingRect(this.f1745g);
        offsetDescendantRectToMyCoords(findFocus, this.f1745g);
        k(g(this.f1745g));
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean onStartNestedScroll(View view, View view2, int i3) {
        return onStartNestedScroll(view, view2, i3, 0);
    }

    @Override // androidx.core.view.h0
    public boolean onStartNestedScroll(View view, View view2, int i3, int i4) {
        return (i3 & 2) != 0;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void onStopNestedScroll(View view) {
        onStopNestedScroll(view, 0);
    }

    @Override // androidx.core.view.h0
    public void onStopNestedScroll(View view, int i3) {
        this.B.e(view, i3);
        T(i3);
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x006e, code lost:
        if (r12.f1746h.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange()) != false) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0070, code lost:
        postInvalidateOnAnimation();
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x012a, code lost:
        if (r12.f1746h.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange()) != false) goto L29;
     */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        w();
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.f1763y = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.offsetLocation(0.0f, this.f1763y);
        if (actionMasked != 0) {
            if (actionMasked == 1) {
                VelocityTracker velocityTracker = this.f1754p;
                velocityTracker.computeCurrentVelocity(1000, this.f1759u);
                int yVelocity = (int) velocityTracker.getYVelocity(this.f1760v);
                if (Math.abs(yVelocity) >= this.f1758t) {
                    if (!l(yVelocity)) {
                        int i3 = -yVelocity;
                        float f3 = i3;
                        if (!dispatchNestedPreFling(0.0f, f3)) {
                            dispatchNestedFling(0.0f, f3, true);
                            p(i3);
                        }
                    }
                }
                m();
            } else if (actionMasked == 2) {
                int findPointerIndex = motionEvent.findPointerIndex(this.f1760v);
                if (findPointerIndex == -1) {
                    Log.e("NestedScrollView", "Invalid pointerId=" + this.f1760v + " in onTouchEvent");
                } else {
                    int y2 = (int) motionEvent.getY(findPointerIndex);
                    int i4 = this.f1749k - y2;
                    int G = i4 - G(i4, motionEvent.getX(findPointerIndex));
                    if (!this.f1753o && Math.abs(G) > this.f1757s) {
                        ViewParent parent2 = getParent();
                        if (parent2 != null) {
                            parent2.requestDisallowInterceptTouchEvent(true);
                        }
                        this.f1753o = true;
                        int i5 = this.f1757s;
                        G = G > 0 ? G - i5 : G + i5;
                    }
                    if (this.f1753o) {
                        int J2 = J(G, (int) motionEvent.getX(findPointerIndex), 0, false);
                        this.f1749k = y2 - J2;
                        this.f1763y += J2;
                    }
                }
            } else if (actionMasked == 3) {
                if (this.f1753o) {
                    if (getChildCount() > 0) {
                    }
                }
                m();
            } else if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                this.f1749k = (int) motionEvent.getY(actionIndex);
                this.f1760v = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                C(motionEvent);
                this.f1749k = (int) motionEvent.getY(motionEvent.findPointerIndex(this.f1760v));
            }
        } else if (getChildCount() == 0) {
            return false;
        } else {
            if (this.f1753o && (parent = getParent()) != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            if (!this.f1746h.isFinished()) {
                a();
            }
            x((int) motionEvent.getY(), motionEvent.getPointerId(0));
        }
        VelocityTracker velocityTracker2 = this.f1754p;
        if (velocityTracker2 != null) {
            velocityTracker2.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    public void p(int i3) {
        if (getChildCount() > 0) {
            this.f1746h.fling(getScrollX(), getScrollY(), 0, i3, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE, 0, 0);
            H(true);
        }
    }

    public boolean q(int i3) {
        int childCount;
        boolean z2 = i3 == 130;
        int height = getHeight();
        Rect rect = this.f1745g;
        rect.top = 0;
        rect.bottom = height;
        if (z2 && (childCount = getChildCount()) > 0) {
            View childAt = getChildAt(childCount - 1);
            this.f1745g.bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
            Rect rect2 = this.f1745g;
            rect2.top = rect2.bottom - height;
        }
        Rect rect3 = this.f1745g;
        return I(i3, rect3.top, rect3.bottom);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestChildFocus(View view, View view2) {
        if (this.f1750l) {
            this.f1752n = view2;
        } else {
            K(view2);
        }
        super.requestChildFocus(view, view2);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z2) {
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        return L(rect, z2);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestDisallowInterceptTouchEvent(boolean z2) {
        if (z2) {
            F();
        }
        super.requestDisallowInterceptTouchEvent(z2);
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        this.f1750l = true;
        super.requestLayout();
    }

    public boolean s(int i3) {
        return this.C.l(i3);
    }

    @Override // android.view.View
    public void scrollTo(int i3, int i4) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int f3 = f(i3, (getWidth() - getPaddingLeft()) - getPaddingRight(), childAt.getWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
            int f4 = f(i4, (getHeight() - getPaddingTop()) - getPaddingBottom(), childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin);
            if (f3 == getScrollX() && f4 == getScrollY()) {
                return;
            }
            super.scrollTo(f3, f4);
        }
    }

    public void setFillViewport(boolean z2) {
        if (z2 != this.f1755q) {
            this.f1755q = z2;
            requestLayout();
        }
    }

    @Override // android.view.View
    public void setNestedScrollingEnabled(boolean z2) {
        this.C.n(z2);
    }

    public void setOnScrollChangeListener(d dVar) {
        this.E = dVar;
    }

    public void setSmoothScrollingEnabled(boolean z2) {
        this.f1756r = z2;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup
    public boolean shouldDelayChildPressedState() {
        return true;
    }

    @Override // android.view.View
    public boolean startNestedScroll(int i3) {
        return R(i3, 0);
    }

    @Override // android.view.View
    public void stopNestedScroll() {
        T(0);
    }
}
