package androidx.core.widget;

import android.content.res.Resources;
import android.os.SystemClock;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import androidx.core.view.s0;
/* loaded from: classes.dex */
public abstract class a implements View.OnTouchListener {

    /* renamed from: v  reason: collision with root package name */
    private static final int f1767v = ViewConfiguration.getTapTimeout();

    /* renamed from: g  reason: collision with root package name */
    final View f1770g;

    /* renamed from: h  reason: collision with root package name */
    private Runnable f1771h;

    /* renamed from: k  reason: collision with root package name */
    private int f1774k;

    /* renamed from: l  reason: collision with root package name */
    private int f1775l;

    /* renamed from: p  reason: collision with root package name */
    private boolean f1779p;

    /* renamed from: q  reason: collision with root package name */
    boolean f1780q;

    /* renamed from: r  reason: collision with root package name */
    boolean f1781r;

    /* renamed from: s  reason: collision with root package name */
    boolean f1782s;

    /* renamed from: t  reason: collision with root package name */
    private boolean f1783t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f1784u;

    /* renamed from: e  reason: collision with root package name */
    final C0023a f1768e = new C0023a();

    /* renamed from: f  reason: collision with root package name */
    private final Interpolator f1769f = new AccelerateInterpolator();

    /* renamed from: i  reason: collision with root package name */
    private float[] f1772i = {0.0f, 0.0f};

    /* renamed from: j  reason: collision with root package name */
    private float[] f1773j = {Float.MAX_VALUE, Float.MAX_VALUE};

    /* renamed from: m  reason: collision with root package name */
    private float[] f1776m = {0.0f, 0.0f};

    /* renamed from: n  reason: collision with root package name */
    private float[] f1777n = {0.0f, 0.0f};

    /* renamed from: o  reason: collision with root package name */
    private float[] f1778o = {Float.MAX_VALUE, Float.MAX_VALUE};

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: androidx.core.widget.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static class C0023a {

        /* renamed from: a  reason: collision with root package name */
        private int f1785a;

        /* renamed from: b  reason: collision with root package name */
        private int f1786b;

        /* renamed from: c  reason: collision with root package name */
        private float f1787c;

        /* renamed from: d  reason: collision with root package name */
        private float f1788d;

        /* renamed from: j  reason: collision with root package name */
        private float f1794j;

        /* renamed from: k  reason: collision with root package name */
        private int f1795k;

        /* renamed from: e  reason: collision with root package name */
        private long f1789e = Long.MIN_VALUE;

        /* renamed from: i  reason: collision with root package name */
        private long f1793i = -1;

        /* renamed from: f  reason: collision with root package name */
        private long f1790f = 0;

        /* renamed from: g  reason: collision with root package name */
        private int f1791g = 0;

        /* renamed from: h  reason: collision with root package name */
        private int f1792h = 0;

        C0023a() {
        }

        private float e(long j3) {
            long j4 = this.f1789e;
            if (j3 < j4) {
                return 0.0f;
            }
            long j5 = this.f1793i;
            if (j5 < 0 || j3 < j5) {
                return a.e(((float) (j3 - j4)) / this.f1785a, 0.0f, 1.0f) * 0.5f;
            }
            float f3 = this.f1794j;
            return (1.0f - f3) + (f3 * a.e(((float) (j3 - j5)) / this.f1795k, 0.0f, 1.0f));
        }

        private float g(float f3) {
            return ((-4.0f) * f3 * f3) + (f3 * 4.0f);
        }

        public void a() {
            if (this.f1790f == 0) {
                throw new RuntimeException("Cannot compute scroll delta before calling start()");
            }
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            float g3 = g(e(currentAnimationTimeMillis));
            this.f1790f = currentAnimationTimeMillis;
            float f3 = ((float) (currentAnimationTimeMillis - this.f1790f)) * g3;
            this.f1791g = (int) (this.f1787c * f3);
            this.f1792h = (int) (f3 * this.f1788d);
        }

        public int b() {
            return this.f1791g;
        }

        public int c() {
            return this.f1792h;
        }

        public int d() {
            float f3 = this.f1787c;
            return (int) (f3 / Math.abs(f3));
        }

        public int f() {
            float f3 = this.f1788d;
            return (int) (f3 / Math.abs(f3));
        }

        public boolean h() {
            return this.f1793i > 0 && AnimationUtils.currentAnimationTimeMillis() > this.f1793i + ((long) this.f1795k);
        }

        public void i() {
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            this.f1795k = a.f((int) (currentAnimationTimeMillis - this.f1789e), 0, this.f1786b);
            this.f1794j = e(currentAnimationTimeMillis);
            this.f1793i = currentAnimationTimeMillis;
        }

        public void j(int i3) {
            this.f1786b = i3;
        }

        public void k(int i3) {
            this.f1785a = i3;
        }

        public void l(float f3, float f4) {
            this.f1787c = f3;
            this.f1788d = f4;
        }

        public void m() {
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            this.f1789e = currentAnimationTimeMillis;
            this.f1793i = -1L;
            this.f1790f = currentAnimationTimeMillis;
            this.f1794j = 0.5f;
            this.f1791g = 0;
            this.f1792h = 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class b implements Runnable {
        b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            a aVar = a.this;
            if (aVar.f1782s) {
                if (aVar.f1780q) {
                    aVar.f1780q = false;
                    aVar.f1768e.m();
                }
                C0023a c0023a = a.this.f1768e;
                if (c0023a.h() || !a.this.u()) {
                    a.this.f1782s = false;
                    return;
                }
                a aVar2 = a.this;
                if (aVar2.f1781r) {
                    aVar2.f1781r = false;
                    aVar2.c();
                }
                c0023a.a();
                a.this.j(c0023a.b(), c0023a.c());
                s0.K(a.this.f1770g, this);
            }
        }
    }

    public a(View view) {
        this.f1770g = view;
        float f3 = Resources.getSystem().getDisplayMetrics().density;
        float f4 = (int) ((1575.0f * f3) + 0.5f);
        o(f4, f4);
        float f5 = (int) ((f3 * 315.0f) + 0.5f);
        p(f5, f5);
        l(1);
        n(Float.MAX_VALUE, Float.MAX_VALUE);
        s(0.2f, 0.2f);
        t(1.0f, 1.0f);
        k(f1767v);
        r(500);
        q(500);
    }

    private float d(int i3, float f3, float f4, float f5) {
        float h3 = h(this.f1772i[i3], f4, this.f1773j[i3], f3);
        int i4 = (h3 > 0.0f ? 1 : (h3 == 0.0f ? 0 : -1));
        if (i4 == 0) {
            return 0.0f;
        }
        float f6 = this.f1776m[i3];
        float f7 = this.f1777n[i3];
        float f8 = this.f1778o[i3];
        float f9 = f6 * f5;
        return i4 > 0 ? e(h3 * f9, f7, f8) : -e((-h3) * f9, f7, f8);
    }

    static float e(float f3, float f4, float f5) {
        return f3 > f5 ? f5 : f3 < f4 ? f4 : f3;
    }

    static int f(int i3, int i4, int i5) {
        return i3 > i5 ? i5 : i3 < i4 ? i4 : i3;
    }

    private float g(float f3, float f4) {
        if (f4 == 0.0f) {
            return 0.0f;
        }
        int i3 = this.f1774k;
        if (i3 == 0 || i3 == 1) {
            if (f3 < f4) {
                if (f3 >= 0.0f) {
                    return 1.0f - (f3 / f4);
                }
                if (this.f1782s && i3 == 1) {
                    return 1.0f;
                }
            }
        } else if (i3 == 2 && f3 < 0.0f) {
            return f3 / (-f4);
        }
        return 0.0f;
    }

    private float h(float f3, float f4, float f5, float f6) {
        float interpolation;
        float e3 = e(f3 * f4, 0.0f, f5);
        float g3 = g(f4 - f6, e3) - g(f6, e3);
        if (g3 < 0.0f) {
            interpolation = -this.f1769f.getInterpolation(-g3);
        } else if (g3 <= 0.0f) {
            return 0.0f;
        } else {
            interpolation = this.f1769f.getInterpolation(g3);
        }
        return e(interpolation, -1.0f, 1.0f);
    }

    private void i() {
        if (this.f1780q) {
            this.f1782s = false;
        } else {
            this.f1768e.i();
        }
    }

    private void v() {
        int i3;
        if (this.f1771h == null) {
            this.f1771h = new b();
        }
        this.f1782s = true;
        this.f1780q = true;
        if (this.f1779p || (i3 = this.f1775l) <= 0) {
            this.f1771h.run();
        } else {
            s0.L(this.f1770g, this.f1771h, i3);
        }
        this.f1779p = true;
    }

    public abstract boolean a(int i3);

    public abstract boolean b(int i3);

    void c() {
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
        this.f1770g.onTouchEvent(obtain);
        obtain.recycle();
    }

    public abstract void j(int i3, int i4);

    public a k(int i3) {
        this.f1775l = i3;
        return this;
    }

    public a l(int i3) {
        this.f1774k = i3;
        return this;
    }

    public a m(boolean z2) {
        if (this.f1783t && !z2) {
            i();
        }
        this.f1783t = z2;
        return this;
    }

    public a n(float f3, float f4) {
        float[] fArr = this.f1773j;
        fArr[0] = f3;
        fArr[1] = f4;
        return this;
    }

    public a o(float f3, float f4) {
        float[] fArr = this.f1778o;
        fArr[0] = f3 / 1000.0f;
        fArr[1] = f4 / 1000.0f;
        return this;
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0013, code lost:
        if (r0 != 3) goto L12;
     */
    @Override // android.view.View.OnTouchListener
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouch(View view, MotionEvent motionEvent) {
        if (!this.f1783t) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked != 2) {
                }
            }
            i();
            return this.f1784u && this.f1782s;
        }
        this.f1781r = true;
        this.f1779p = false;
        this.f1768e.l(d(0, motionEvent.getX(), view.getWidth(), this.f1770g.getWidth()), d(1, motionEvent.getY(), view.getHeight(), this.f1770g.getHeight()));
        if (!this.f1782s && u()) {
            v();
        }
        if (this.f1784u) {
            return false;
        }
    }

    public a p(float f3, float f4) {
        float[] fArr = this.f1777n;
        fArr[0] = f3 / 1000.0f;
        fArr[1] = f4 / 1000.0f;
        return this;
    }

    public a q(int i3) {
        this.f1768e.j(i3);
        return this;
    }

    public a r(int i3) {
        this.f1768e.k(i3);
        return this;
    }

    public a s(float f3, float f4) {
        float[] fArr = this.f1772i;
        fArr[0] = f3;
        fArr[1] = f4;
        return this;
    }

    public a t(float f3, float f4) {
        float[] fArr = this.f1776m;
        fArr[0] = f3 / 1000.0f;
        fArr[1] = f4 / 1000.0f;
        return this;
    }

    boolean u() {
        C0023a c0023a = this.f1768e;
        int f3 = c0023a.f();
        int d3 = c0023a.d();
        return (f3 != 0 && b(f3)) || (d3 != 0 && a(d3));
    }
}
