package androidx.fragment.app;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationSet;
import android.view.animation.AnimationUtils;
import android.view.animation.Transformation;
/* loaded from: classes.dex */
class x {

    /* loaded from: classes.dex */
    static class a {

        /* renamed from: a  reason: collision with root package name */
        public final Animation f2236a;

        /* renamed from: b  reason: collision with root package name */
        public final AnimatorSet f2237b;

        a(Animator animator) {
            this.f2236a = null;
            AnimatorSet animatorSet = new AnimatorSet();
            this.f2237b = animatorSet;
            animatorSet.play(animator);
            if (animator == null) {
                throw new IllegalStateException("Animator cannot be null");
            }
        }

        a(Animation animation) {
            this.f2236a = animation;
            this.f2237b = null;
            if (animation == null) {
                throw new IllegalStateException("Animation cannot be null");
            }
        }
    }

    /* loaded from: classes.dex */
    static class b extends AnimationSet implements Runnable {

        /* renamed from: e  reason: collision with root package name */
        private final ViewGroup f2238e;

        /* renamed from: f  reason: collision with root package name */
        private final View f2239f;

        /* renamed from: g  reason: collision with root package name */
        private boolean f2240g;

        /* renamed from: h  reason: collision with root package name */
        private boolean f2241h;

        /* renamed from: i  reason: collision with root package name */
        private boolean f2242i;

        /* JADX INFO: Access modifiers changed from: package-private */
        public b(Animation animation, ViewGroup viewGroup, View view) {
            super(false);
            this.f2242i = true;
            this.f2238e = viewGroup;
            this.f2239f = view;
            addAnimation(animation);
            viewGroup.post(this);
        }

        @Override // android.view.animation.AnimationSet, android.view.animation.Animation
        public boolean getTransformation(long j3, Transformation transformation) {
            this.f2242i = true;
            if (this.f2240g) {
                return !this.f2241h;
            }
            if (!super.getTransformation(j3, transformation)) {
                this.f2240g = true;
                androidx.core.view.n0.a(this.f2238e, this);
            }
            return true;
        }

        @Override // android.view.animation.Animation
        public boolean getTransformation(long j3, Transformation transformation, float f3) {
            this.f2242i = true;
            if (this.f2240g) {
                return !this.f2241h;
            }
            if (!super.getTransformation(j3, transformation, f3)) {
                this.f2240g = true;
                androidx.core.view.n0.a(this.f2238e, this);
            }
            return true;
        }

        @Override // java.lang.Runnable
        public void run() {
            if (this.f2240g || !this.f2242i) {
                this.f2238e.endViewTransition(this.f2239f);
                this.f2241h = true;
                return;
            }
            this.f2242i = false;
            this.f2238e.post(this);
        }
    }

    private static int a(r rVar, boolean z2, boolean z3) {
        return z3 ? z2 ? rVar.B() : rVar.C() : z2 ? rVar.n() : rVar.q();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static a b(Context context, r rVar, boolean z2, boolean z3) {
        int x3 = rVar.x();
        int a3 = a(rVar, z2, z3);
        boolean z4 = false;
        rVar.k1(0, 0, 0, 0);
        ViewGroup viewGroup = rVar.M;
        if (viewGroup != null) {
            int i3 = c0.b.f2781c;
            if (viewGroup.getTag(i3) != null) {
                rVar.M.setTag(i3, null);
            }
        }
        ViewGroup viewGroup2 = rVar.M;
        if (viewGroup2 == null || viewGroup2.getLayoutTransition() == null) {
            Animation f02 = rVar.f0(x3, z2, a3);
            if (f02 != null) {
                return new a(f02);
            }
            Animator g02 = rVar.g0(x3, z2, a3);
            if (g02 != null) {
                return new a(g02);
            }
            if (a3 == 0 && x3 != 0) {
                a3 = d(context, x3, z2);
            }
            if (a3 != 0) {
                boolean equals = "anim".equals(context.getResources().getResourceTypeName(a3));
                if (equals) {
                    try {
                        Animation loadAnimation = AnimationUtils.loadAnimation(context, a3);
                        if (loadAnimation != null) {
                            return new a(loadAnimation);
                        }
                        z4 = true;
                    } catch (Resources.NotFoundException e3) {
                        throw e3;
                    } catch (RuntimeException unused) {
                    }
                }
                if (!z4) {
                    try {
                        Animator loadAnimator = AnimatorInflater.loadAnimator(context, a3);
                        if (loadAnimator != null) {
                            return new a(loadAnimator);
                        }
                    } catch (RuntimeException e4) {
                        if (equals) {
                            throw e4;
                        }
                        Animation loadAnimation2 = AnimationUtils.loadAnimation(context, a3);
                        if (loadAnimation2 != null) {
                            return new a(loadAnimation2);
                        }
                    }
                }
            }
            return null;
        }
        return null;
    }

    private static int c(Context context, int i3) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(16973825, new int[]{i3});
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId;
    }

    private static int d(Context context, int i3, boolean z2) {
        int i4;
        if (i3 == 4097) {
            return z2 ? c0.a.f2777e : c0.a.f2778f;
        } else if (i3 == 8194) {
            return z2 ? c0.a.f2773a : c0.a.f2774b;
        } else {
            if (i3 == 8197) {
                i4 = z2 ? 16842938 : 16842939;
            } else if (i3 == 4099) {
                return z2 ? c0.a.f2775c : c0.a.f2776d;
            } else if (i3 != 4100) {
                return -1;
            } else {
                i4 = z2 ? 16842936 : 16842937;
            }
            return c(context, i4);
        }
    }
}
