package androidx.fragment.app;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import androidx.core.view.i2;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public final class z extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private final List<View> f2247e;

    /* renamed from: f  reason: collision with root package name */
    private final List<View> f2248f;

    /* renamed from: g  reason: collision with root package name */
    private View.OnApplyWindowInsetsListener f2249g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f2250h;

    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public static final a f2251a = new a();

        private a() {
        }

        public final WindowInsets a(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener, View view, WindowInsets windowInsets) {
            g2.k.e(onApplyWindowInsetsListener, "onApplyWindowInsetsListener");
            g2.k.e(view, "v");
            g2.k.e(windowInsets, "insets");
            WindowInsets onApplyWindowInsets = onApplyWindowInsetsListener.onApplyWindowInsets(view, windowInsets);
            g2.k.d(onApplyWindowInsets, "onApplyWindowInsetsListe…lyWindowInsets(v, insets)");
            return onApplyWindowInsets;
        }
    }

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public z(Context context, AttributeSet attributeSet, k0 k0Var) {
        super(context, attributeSet);
        String str;
        g2.k.e(context, "context");
        g2.k.e(attributeSet, "attrs");
        g2.k.e(k0Var, "fm");
        this.f2247e = new ArrayList();
        this.f2248f = new ArrayList();
        this.f2250h = true;
        String classAttribute = attributeSet.getClassAttribute();
        int[] iArr = c0.c.f2786e;
        g2.k.d(iArr, "FragmentContainerView");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, 0, 0);
        classAttribute = classAttribute == null ? obtainStyledAttributes.getString(c0.c.f2787f) : classAttribute;
        String string = obtainStyledAttributes.getString(c0.c.f2788g);
        obtainStyledAttributes.recycle();
        int id = getId();
        r h02 = k0Var.h0(id);
        if (classAttribute != null && h02 == null) {
            if (id == -1) {
                if (string != null) {
                    str = " with tag " + string;
                } else {
                    str = "";
                }
                throw new IllegalStateException("FragmentContainerView must have an android:id to add Fragment " + classAttribute + str);
            }
            r a3 = k0Var.t0().a(context.getClassLoader(), classAttribute);
            g2.k.d(a3, "fm.fragmentFactory.insta…ontext.classLoader, name)");
            a3.C = id;
            a3.D = id;
            a3.E = string;
            a3.f2138y = k0Var;
            a3.f2139z = k0Var.v0();
            a3.q0(context, attributeSet, null);
            k0Var.n().h(true).c(this, a3, string).e();
        }
        k0Var.Z0(this);
    }

    private final void a(View view) {
        if (this.f2248f.contains(view)) {
            this.f2247e.add(view);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i3, ViewGroup.LayoutParams layoutParams) {
        g2.k.e(view, "child");
        if (k0.C0(view) != null) {
            super.addView(view, i3, layoutParams);
            return;
        }
        throw new IllegalStateException(("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.").toString());
    }

    @Override // android.view.ViewGroup, android.view.View
    public WindowInsets dispatchApplyWindowInsets(WindowInsets windowInsets) {
        i2 H;
        g2.k.e(windowInsets, "insets");
        i2 u3 = i2.u(windowInsets);
        g2.k.d(u3, "toWindowInsetsCompat(insets)");
        View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = this.f2249g;
        if (onApplyWindowInsetsListener != null) {
            a aVar = a.f2251a;
            g2.k.b(onApplyWindowInsetsListener);
            H = i2.u(aVar.a(onApplyWindowInsetsListener, this, windowInsets));
        } else {
            H = androidx.core.view.s0.H(this, u3);
        }
        g2.k.d(H, "if (applyWindowInsetsLis…, insetsCompat)\n        }");
        if (!H.n()) {
            int childCount = getChildCount();
            for (int i3 = 0; i3 < childCount; i3++) {
                androidx.core.view.s0.f(getChildAt(i3), H);
            }
        }
        return windowInsets;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void dispatchDraw(Canvas canvas) {
        g2.k.e(canvas, "canvas");
        if (this.f2250h) {
            for (View view : this.f2247e) {
                super.drawChild(canvas, view, getDrawingTime());
            }
        }
        super.dispatchDraw(canvas);
    }

    @Override // android.view.ViewGroup
    protected boolean drawChild(Canvas canvas, View view, long j3) {
        g2.k.e(canvas, "canvas");
        g2.k.e(view, "child");
        if (this.f2250h && (!this.f2247e.isEmpty()) && this.f2247e.contains(view)) {
            return false;
        }
        return super.drawChild(canvas, view, j3);
    }

    @Override // android.view.ViewGroup
    public void endViewTransition(View view) {
        g2.k.e(view, "view");
        this.f2248f.remove(view);
        if (this.f2247e.remove(view)) {
            this.f2250h = true;
        }
        super.endViewTransition(view);
    }

    public final <F extends r> F getFragment() {
        return (F) k0.k0(this).h0(getId());
    }

    @Override // android.view.View
    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        g2.k.e(windowInsets, "insets");
        return windowInsets;
    }

    @Override // android.view.ViewGroup
    public void removeAllViewsInLayout() {
        int childCount = getChildCount();
        while (true) {
            childCount--;
            if (-1 >= childCount) {
                super.removeAllViewsInLayout();
                return;
            }
            View childAt = getChildAt(childCount);
            g2.k.d(childAt, "view");
            a(childAt);
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        g2.k.e(view, "view");
        a(view);
        super.removeView(view);
    }

    @Override // android.view.ViewGroup
    public void removeViewAt(int i3) {
        View childAt = getChildAt(i3);
        g2.k.d(childAt, "view");
        a(childAt);
        super.removeViewAt(i3);
    }

    @Override // android.view.ViewGroup
    public void removeViewInLayout(View view) {
        g2.k.e(view, "view");
        a(view);
        super.removeViewInLayout(view);
    }

    @Override // android.view.ViewGroup
    public void removeViews(int i3, int i4) {
        int i5 = i3 + i4;
        for (int i6 = i3; i6 < i5; i6++) {
            View childAt = getChildAt(i6);
            g2.k.d(childAt, "view");
            a(childAt);
        }
        super.removeViews(i3, i4);
    }

    @Override // android.view.ViewGroup
    public void removeViewsInLayout(int i3, int i4) {
        int i5 = i3 + i4;
        for (int i6 = i3; i6 < i5; i6++) {
            View childAt = getChildAt(i6);
            g2.k.d(childAt, "view");
            a(childAt);
        }
        super.removeViewsInLayout(i3, i4);
    }

    public final void setDrawDisappearingViewsLast(boolean z2) {
        this.f2250h = z2;
    }

    @Override // android.view.ViewGroup
    public void setLayoutTransition(LayoutTransition layoutTransition) {
        throw new UnsupportedOperationException("FragmentContainerView does not support Layout Transitions or animateLayoutChanges=\"true\".");
    }

    @Override // android.view.View
    public void setOnApplyWindowInsetsListener(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        g2.k.e(onApplyWindowInsetsListener, "listener");
        this.f2249g = onApplyWindowInsetsListener;
    }

    @Override // android.view.ViewGroup
    public void startViewTransition(View view) {
        g2.k.e(view, "view");
        if (view.getParent() == this) {
            this.f2248f.add(view);
        }
        super.startViewTransition(view);
    }
}
