package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.Keyframe;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TypeEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.os.Build;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.InflateException;
import androidx.core.content.res.n;
import androidx.core.graphics.e;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public class d {

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class a implements TypeEvaluator<e.b[]> {

        /* renamed from: a  reason: collision with root package name */
        private e.b[] f2526a;

        a() {
        }

        @Override // android.animation.TypeEvaluator
        /* renamed from: a */
        public e.b[] evaluate(float f3, e.b[] bVarArr, e.b[] bVarArr2) {
            if (androidx.core.graphics.e.b(bVarArr, bVarArr2)) {
                if (!androidx.core.graphics.e.b(this.f2526a, bVarArr)) {
                    this.f2526a = androidx.core.graphics.e.f(bVarArr);
                }
                for (int i3 = 0; i3 < bVarArr.length; i3++) {
                    this.f2526a[i3].h(bVarArr[i3], bVarArr2[i3], f3);
                }
                return this.f2526a;
            }
            throw new IllegalArgumentException("Can't interpolate between two incompatible pathData");
        }
    }

    private static Animator a(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, float f3) {
        return b(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser), null, 0, f3);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:33:0x00b8  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static Animator b(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet, AnimatorSet animatorSet, int i3, float f3) {
        int i4;
        int depth = xmlPullParser.getDepth();
        ValueAnimator valueAnimator = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            i4 = 0;
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("objectAnimator")) {
                        valueAnimator = n(context, resources, theme, attributeSet, f3, xmlPullParser);
                    } else if (name.equals("animator")) {
                        valueAnimator = l(context, resources, theme, attributeSet, null, f3, xmlPullParser);
                    } else {
                        if (name.equals("set")) {
                            AnimatorSet animatorSet2 = new AnimatorSet();
                            TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2508h);
                            b(context, resources, theme, xmlPullParser, attributeSet, animatorSet2, n.g(k3, xmlPullParser, "ordering", 0, 0), f3);
                            k3.recycle();
                            valueAnimator = animatorSet2;
                        } else if (!name.equals("propertyValuesHolder")) {
                            throw new RuntimeException("Unknown animator name: " + xmlPullParser.getName());
                        } else {
                            PropertyValuesHolder[] p3 = p(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser));
                            if (p3 != null && (valueAnimator instanceof ValueAnimator)) {
                                valueAnimator.setValues(p3);
                            }
                            i4 = 1;
                        }
                        if (animatorSet != null && i4 == 0) {
                            if (arrayList == null) {
                                arrayList = new ArrayList();
                            }
                            arrayList.add(valueAnimator);
                        }
                    }
                    if (animatorSet != null) {
                        if (arrayList == null) {
                        }
                        arrayList.add(valueAnimator);
                    }
                }
            }
        }
        if (animatorSet != null && arrayList != null) {
            Animator[] animatorArr = new Animator[arrayList.size()];
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                animatorArr[i4] = (Animator) it.next();
                i4++;
            }
            if (i3 == 0) {
                animatorSet.playTogether(animatorArr);
            } else {
                animatorSet.playSequentially(animatorArr);
            }
        }
        return valueAnimator;
    }

    private static Keyframe c(Keyframe keyframe, float f3) {
        return keyframe.getType() == Float.TYPE ? Keyframe.ofFloat(f3) : keyframe.getType() == Integer.TYPE ? Keyframe.ofInt(f3) : Keyframe.ofObject(f3);
    }

    private static void d(Keyframe[] keyframeArr, float f3, int i3, int i4) {
        float f4 = f3 / ((i4 - i3) + 2);
        while (i3 <= i4) {
            keyframeArr[i3].setFraction(keyframeArr[i3 - 1].getFraction() + f4);
            i3++;
        }
    }

    private static PropertyValuesHolder e(TypedArray typedArray, int i3, int i4, int i5, String str) {
        PropertyValuesHolder ofFloat;
        PropertyValuesHolder ofObject;
        TypedValue peekValue = typedArray.peekValue(i4);
        boolean z2 = peekValue != null;
        int i6 = z2 ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i5);
        boolean z3 = peekValue2 != null;
        int i7 = z3 ? peekValue2.type : 0;
        if (i3 == 4) {
            i3 = ((z2 && h(i6)) || (z3 && h(i7))) ? 3 : 0;
        }
        boolean z4 = i3 == 0;
        PropertyValuesHolder propertyValuesHolder = null;
        if (i3 != 2) {
            e a3 = i3 == 3 ? e.a() : null;
            if (z4) {
                if (z2) {
                    float dimension = i6 == 5 ? typedArray.getDimension(i4, 0.0f) : typedArray.getFloat(i4, 0.0f);
                    if (z3) {
                        ofFloat = PropertyValuesHolder.ofFloat(str, dimension, i7 == 5 ? typedArray.getDimension(i5, 0.0f) : typedArray.getFloat(i5, 0.0f));
                    } else {
                        ofFloat = PropertyValuesHolder.ofFloat(str, dimension);
                    }
                } else {
                    ofFloat = PropertyValuesHolder.ofFloat(str, i7 == 5 ? typedArray.getDimension(i5, 0.0f) : typedArray.getFloat(i5, 0.0f));
                }
                propertyValuesHolder = ofFloat;
            } else if (z2) {
                int dimension2 = i6 == 5 ? (int) typedArray.getDimension(i4, 0.0f) : h(i6) ? typedArray.getColor(i4, 0) : typedArray.getInt(i4, 0);
                if (z3) {
                    propertyValuesHolder = PropertyValuesHolder.ofInt(str, dimension2, i7 == 5 ? (int) typedArray.getDimension(i5, 0.0f) : h(i7) ? typedArray.getColor(i5, 0) : typedArray.getInt(i5, 0));
                } else {
                    propertyValuesHolder = PropertyValuesHolder.ofInt(str, dimension2);
                }
            } else if (z3) {
                propertyValuesHolder = PropertyValuesHolder.ofInt(str, i7 == 5 ? (int) typedArray.getDimension(i5, 0.0f) : h(i7) ? typedArray.getColor(i5, 0) : typedArray.getInt(i5, 0));
            }
            if (propertyValuesHolder == null || a3 == null) {
                return propertyValuesHolder;
            }
            propertyValuesHolder.setEvaluator(a3);
            return propertyValuesHolder;
        }
        String string = typedArray.getString(i4);
        String string2 = typedArray.getString(i5);
        e.b[] d3 = androidx.core.graphics.e.d(string);
        e.b[] d4 = androidx.core.graphics.e.d(string2);
        if (d3 == null && d4 == null) {
            return null;
        }
        if (d3 == null) {
            if (d4 != null) {
                return PropertyValuesHolder.ofObject(str, new a(), d4);
            }
            return null;
        }
        a aVar = new a();
        if (d4 == null) {
            ofObject = PropertyValuesHolder.ofObject(str, aVar, d3);
        } else if (!androidx.core.graphics.e.b(d3, d4)) {
            throw new InflateException(" Can't morph from " + string + " to " + string2);
        } else {
            ofObject = PropertyValuesHolder.ofObject(str, aVar, d3, d4);
        }
        return ofObject;
    }

    private static int f(TypedArray typedArray, int i3, int i4) {
        TypedValue peekValue = typedArray.peekValue(i3);
        boolean z2 = peekValue != null;
        int i5 = z2 ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i4);
        boolean z3 = peekValue2 != null;
        return ((z2 && h(i5)) || (z3 && h(z3 ? peekValue2.type : 0))) ? 3 : 0;
    }

    private static int g(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2510j);
        int i3 = 0;
        TypedValue l3 = n.l(k3, xmlPullParser, "value", 0);
        if ((l3 != null) && h(l3.type)) {
            i3 = 3;
        }
        k3.recycle();
        return i3;
    }

    private static boolean h(int i3) {
        return i3 >= 28 && i3 <= 31;
    }

    public static Animator i(Context context, int i3) {
        return Build.VERSION.SDK_INT >= 24 ? AnimatorInflater.loadAnimator(context, i3) : j(context, context.getResources(), context.getTheme(), i3);
    }

    public static Animator j(Context context, Resources resources, Resources.Theme theme, int i3) {
        return k(context, resources, theme, i3, 1.0f);
    }

    public static Animator k(Context context, Resources resources, Resources.Theme theme, int i3, float f3) {
        XmlResourceParser xmlResourceParser = null;
        try {
            try {
                try {
                    xmlResourceParser = resources.getAnimation(i3);
                    return a(context, resources, theme, xmlResourceParser, f3);
                } catch (XmlPullParserException e3) {
                    Resources.NotFoundException notFoundException = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i3));
                    notFoundException.initCause(e3);
                    throw notFoundException;
                }
            } catch (IOException e4) {
                Resources.NotFoundException notFoundException2 = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i3));
                notFoundException2.initCause(e4);
                throw notFoundException2;
            }
        } finally {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
        }
    }

    private static ValueAnimator l(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, ValueAnimator valueAnimator, float f3, XmlPullParser xmlPullParser) {
        TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2507g);
        TypedArray k4 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2511k);
        if (valueAnimator == null) {
            valueAnimator = new ValueAnimator();
        }
        q(valueAnimator, k3, k4, f3, xmlPullParser);
        int h3 = n.h(k3, xmlPullParser, "interpolator", 0, 0);
        if (h3 > 0) {
            valueAnimator.setInterpolator(c.a(context, h3));
        }
        k3.recycle();
        if (k4 != null) {
            k4.recycle();
        }
        return valueAnimator;
    }

    private static Keyframe m(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, int i3, XmlPullParser xmlPullParser) {
        TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2510j);
        float f3 = n.f(k3, xmlPullParser, "fraction", 3, -1.0f);
        TypedValue l3 = n.l(k3, xmlPullParser, "value", 0);
        boolean z2 = l3 != null;
        if (i3 == 4) {
            i3 = (z2 && h(l3.type)) ? 3 : 0;
        }
        Keyframe ofInt = z2 ? i3 != 0 ? (i3 == 1 || i3 == 3) ? Keyframe.ofInt(f3, n.g(k3, xmlPullParser, "value", 0, 0)) : null : Keyframe.ofFloat(f3, n.f(k3, xmlPullParser, "value", 0, 0.0f)) : i3 == 0 ? Keyframe.ofFloat(f3) : Keyframe.ofInt(f3);
        int h3 = n.h(k3, xmlPullParser, "interpolator", 1, 0);
        if (h3 > 0) {
            ofInt.setInterpolator(c.a(context, h3));
        }
        k3.recycle();
        return ofInt;
    }

    private static ObjectAnimator n(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, float f3, XmlPullParser xmlPullParser) {
        ObjectAnimator objectAnimator = new ObjectAnimator();
        l(context, resources, theme, attributeSet, objectAnimator, f3, xmlPullParser);
        return objectAnimator;
    }

    private static PropertyValuesHolder o(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, String str, int i3) {
        int size;
        PropertyValuesHolder propertyValuesHolder = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            if (next == 3 || next == 1) {
                break;
            } else if (xmlPullParser.getName().equals("keyframe")) {
                if (i3 == 4) {
                    i3 = g(resources, theme, Xml.asAttributeSet(xmlPullParser), xmlPullParser);
                }
                Keyframe m3 = m(context, resources, theme, Xml.asAttributeSet(xmlPullParser), i3, xmlPullParser);
                if (m3 != null) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(m3);
                }
                xmlPullParser.next();
            }
        }
        if (arrayList != null && (size = arrayList.size()) > 0) {
            Keyframe keyframe = (Keyframe) arrayList.get(0);
            Keyframe keyframe2 = (Keyframe) arrayList.get(size - 1);
            float fraction = keyframe2.getFraction();
            if (fraction < 1.0f) {
                if (fraction < 0.0f) {
                    keyframe2.setFraction(1.0f);
                } else {
                    arrayList.add(arrayList.size(), c(keyframe2, 1.0f));
                    size++;
                }
            }
            float fraction2 = keyframe.getFraction();
            if (fraction2 != 0.0f) {
                if (fraction2 < 0.0f) {
                    keyframe.setFraction(0.0f);
                } else {
                    arrayList.add(0, c(keyframe, 0.0f));
                    size++;
                }
            }
            Keyframe[] keyframeArr = new Keyframe[size];
            arrayList.toArray(keyframeArr);
            for (int i4 = 0; i4 < size; i4++) {
                Keyframe keyframe3 = keyframeArr[i4];
                if (keyframe3.getFraction() < 0.0f) {
                    if (i4 == 0) {
                        keyframe3.setFraction(0.0f);
                    } else {
                        int i5 = size - 1;
                        if (i4 == i5) {
                            keyframe3.setFraction(1.0f);
                        } else {
                            int i6 = i4;
                            for (int i7 = i4 + 1; i7 < i5 && keyframeArr[i7].getFraction() < 0.0f; i7++) {
                                i6 = i7;
                            }
                            d(keyframeArr, keyframeArr[i6 + 1].getFraction() - keyframeArr[i4 - 1].getFraction(), i4, i6);
                        }
                    }
                }
            }
            propertyValuesHolder = PropertyValuesHolder.ofKeyframe(str, keyframeArr);
            if (i3 == 3) {
                propertyValuesHolder.setEvaluator(e.a());
            }
        }
        return propertyValuesHolder;
    }

    private static PropertyValuesHolder[] p(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        int i3;
        PropertyValuesHolder[] propertyValuesHolderArr = null;
        ArrayList arrayList = null;
        while (true) {
            int eventType = xmlPullParser.getEventType();
            if (eventType == 3 || eventType == 1) {
                break;
            }
            if (eventType == 2 && xmlPullParser.getName().equals("propertyValuesHolder")) {
                TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2509i);
                String i4 = n.i(k3, xmlPullParser, "propertyName", 3);
                int g3 = n.g(k3, xmlPullParser, "valueType", 2, 4);
                PropertyValuesHolder o3 = o(context, resources, theme, xmlPullParser, i4, g3);
                if (o3 == null) {
                    o3 = e(k3, g3, 0, 1, i4);
                }
                if (o3 != null) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(o3);
                }
                k3.recycle();
            }
            xmlPullParser.next();
        }
        if (arrayList != null) {
            int size = arrayList.size();
            propertyValuesHolderArr = new PropertyValuesHolder[size];
            for (i3 = 0; i3 < size; i3++) {
                propertyValuesHolderArr[i3] = (PropertyValuesHolder) arrayList.get(i3);
            }
        }
        return propertyValuesHolderArr;
    }

    private static void q(ValueAnimator valueAnimator, TypedArray typedArray, TypedArray typedArray2, float f3, XmlPullParser xmlPullParser) {
        long g3 = n.g(typedArray, xmlPullParser, "duration", 1, 300);
        long g4 = n.g(typedArray, xmlPullParser, "startOffset", 2, 0);
        int g5 = n.g(typedArray, xmlPullParser, "valueType", 7, 4);
        if (n.j(xmlPullParser, "valueFrom") && n.j(xmlPullParser, "valueTo")) {
            if (g5 == 4) {
                g5 = f(typedArray, 5, 6);
            }
            PropertyValuesHolder e3 = e(typedArray, g5, 5, 6, "");
            if (e3 != null) {
                valueAnimator.setValues(e3);
            }
        }
        valueAnimator.setDuration(g3);
        valueAnimator.setStartDelay(g4);
        valueAnimator.setRepeatCount(n.g(typedArray, xmlPullParser, "repeatCount", 3, 0));
        valueAnimator.setRepeatMode(n.g(typedArray, xmlPullParser, "repeatMode", 4, 1));
        if (typedArray2 != null) {
            r(valueAnimator, typedArray2, g5, f3, xmlPullParser);
        }
    }

    private static void r(ValueAnimator valueAnimator, TypedArray typedArray, int i3, float f3, XmlPullParser xmlPullParser) {
        ObjectAnimator objectAnimator = (ObjectAnimator) valueAnimator;
        String i4 = n.i(typedArray, xmlPullParser, "pathData", 1);
        if (i4 == null) {
            objectAnimator.setPropertyName(n.i(typedArray, xmlPullParser, "propertyName", 0));
            return;
        }
        String i5 = n.i(typedArray, xmlPullParser, "propertyXName", 2);
        String i6 = n.i(typedArray, xmlPullParser, "propertyYName", 3);
        if (i3 != 2) {
        }
        if (i5 != null || i6 != null) {
            s(androidx.core.graphics.e.e(i4), objectAnimator, f3 * 0.5f, i5, i6);
            return;
        }
        throw new InflateException(typedArray.getPositionDescription() + " propertyXName or propertyYName is needed for PathData");
    }

    private static void s(Path path, ObjectAnimator objectAnimator, float f3, String str, String str2) {
        PathMeasure pathMeasure = new PathMeasure(path, false);
        ArrayList arrayList = new ArrayList();
        float f4 = 0.0f;
        arrayList.add(Float.valueOf(0.0f));
        float f5 = 0.0f;
        do {
            f5 += pathMeasure.getLength();
            arrayList.add(Float.valueOf(f5));
        } while (pathMeasure.nextContour());
        PathMeasure pathMeasure2 = new PathMeasure(path, false);
        int min = Math.min(100, ((int) (f5 / f3)) + 1);
        float[] fArr = new float[min];
        float[] fArr2 = new float[min];
        float[] fArr3 = new float[2];
        float f6 = f5 / (min - 1);
        int i3 = 0;
        int i4 = 0;
        while (true) {
            if (i3 >= min) {
                break;
            }
            pathMeasure2.getPosTan(f4 - ((Float) arrayList.get(i4)).floatValue(), fArr3, null);
            fArr[i3] = fArr3[0];
            fArr2[i3] = fArr3[1];
            f4 += f6;
            int i5 = i4 + 1;
            if (i5 < arrayList.size() && f4 > ((Float) arrayList.get(i5)).floatValue()) {
                pathMeasure2.nextContour();
                i4 = i5;
            }
            i3++;
        }
        PropertyValuesHolder ofFloat = str != null ? PropertyValuesHolder.ofFloat(str, fArr) : null;
        PropertyValuesHolder ofFloat2 = str2 != null ? PropertyValuesHolder.ofFloat(str2, fArr2) : null;
        if (ofFloat == null) {
            objectAnimator.setValues(ofFloat2);
        } else if (ofFloat2 == null) {
            objectAnimator.setValues(ofFloat);
        } else {
            objectAnimator.setValues(ofFloat, ofFloat2);
        }
    }
}
