package androidx.vectordrawable.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.VectorDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.core.content.res.n;
import androidx.core.graphics.e;
import java.io.IOException;
import java.util.ArrayDeque;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public class g extends androidx.vectordrawable.graphics.drawable.f {

    /* renamed from: o  reason: collision with root package name */
    static final PorterDuff.Mode f2529o = PorterDuff.Mode.SRC_IN;

    /* renamed from: f  reason: collision with root package name */
    private h f2530f;

    /* renamed from: g  reason: collision with root package name */
    private PorterDuffColorFilter f2531g;

    /* renamed from: h  reason: collision with root package name */
    private ColorFilter f2532h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f2533i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f2534j;

    /* renamed from: k  reason: collision with root package name */
    private Drawable.ConstantState f2535k;

    /* renamed from: l  reason: collision with root package name */
    private final float[] f2536l;

    /* renamed from: m  reason: collision with root package name */
    private final Matrix f2537m;

    /* renamed from: n  reason: collision with root package name */
    private final Rect f2538n;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class b extends f {
        b() {
        }

        b(b bVar) {
            super(bVar);
        }

        private void f(TypedArray typedArray, XmlPullParser xmlPullParser) {
            String string = typedArray.getString(0);
            if (string != null) {
                this.f2565b = string;
            }
            String string2 = typedArray.getString(1);
            if (string2 != null) {
                this.f2564a = androidx.core.graphics.e.d(string2);
            }
            this.f2566c = n.g(typedArray, xmlPullParser, "fillType", 2, 0);
        }

        @Override // androidx.vectordrawable.graphics.drawable.g.f
        public boolean c() {
            return true;
        }

        public void e(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            if (n.j(xmlPullParser, "pathData")) {
                TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2504d);
                f(k3, xmlPullParser);
                k3.recycle();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class c extends f {

        /* renamed from: e  reason: collision with root package name */
        private int[] f2539e;

        /* renamed from: f  reason: collision with root package name */
        androidx.core.content.res.d f2540f;

        /* renamed from: g  reason: collision with root package name */
        float f2541g;

        /* renamed from: h  reason: collision with root package name */
        androidx.core.content.res.d f2542h;

        /* renamed from: i  reason: collision with root package name */
        float f2543i;

        /* renamed from: j  reason: collision with root package name */
        float f2544j;

        /* renamed from: k  reason: collision with root package name */
        float f2545k;

        /* renamed from: l  reason: collision with root package name */
        float f2546l;

        /* renamed from: m  reason: collision with root package name */
        float f2547m;

        /* renamed from: n  reason: collision with root package name */
        Paint.Cap f2548n;

        /* renamed from: o  reason: collision with root package name */
        Paint.Join f2549o;

        /* renamed from: p  reason: collision with root package name */
        float f2550p;

        c() {
            this.f2541g = 0.0f;
            this.f2543i = 1.0f;
            this.f2544j = 1.0f;
            this.f2545k = 0.0f;
            this.f2546l = 1.0f;
            this.f2547m = 0.0f;
            this.f2548n = Paint.Cap.BUTT;
            this.f2549o = Paint.Join.MITER;
            this.f2550p = 4.0f;
        }

        c(c cVar) {
            super(cVar);
            this.f2541g = 0.0f;
            this.f2543i = 1.0f;
            this.f2544j = 1.0f;
            this.f2545k = 0.0f;
            this.f2546l = 1.0f;
            this.f2547m = 0.0f;
            this.f2548n = Paint.Cap.BUTT;
            this.f2549o = Paint.Join.MITER;
            this.f2550p = 4.0f;
            this.f2539e = cVar.f2539e;
            this.f2540f = cVar.f2540f;
            this.f2541g = cVar.f2541g;
            this.f2543i = cVar.f2543i;
            this.f2542h = cVar.f2542h;
            this.f2566c = cVar.f2566c;
            this.f2544j = cVar.f2544j;
            this.f2545k = cVar.f2545k;
            this.f2546l = cVar.f2546l;
            this.f2547m = cVar.f2547m;
            this.f2548n = cVar.f2548n;
            this.f2549o = cVar.f2549o;
            this.f2550p = cVar.f2550p;
        }

        private Paint.Cap e(int i3, Paint.Cap cap) {
            return i3 != 0 ? i3 != 1 ? i3 != 2 ? cap : Paint.Cap.SQUARE : Paint.Cap.ROUND : Paint.Cap.BUTT;
        }

        private Paint.Join f(int i3, Paint.Join join) {
            return i3 != 0 ? i3 != 1 ? i3 != 2 ? join : Paint.Join.BEVEL : Paint.Join.ROUND : Paint.Join.MITER;
        }

        private void h(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme) {
            this.f2539e = null;
            if (n.j(xmlPullParser, "pathData")) {
                String string = typedArray.getString(0);
                if (string != null) {
                    this.f2565b = string;
                }
                String string2 = typedArray.getString(2);
                if (string2 != null) {
                    this.f2564a = androidx.core.graphics.e.d(string2);
                }
                this.f2542h = n.e(typedArray, xmlPullParser, theme, "fillColor", 1, 0);
                this.f2544j = n.f(typedArray, xmlPullParser, "fillAlpha", 12, this.f2544j);
                this.f2548n = e(n.g(typedArray, xmlPullParser, "strokeLineCap", 8, -1), this.f2548n);
                this.f2549o = f(n.g(typedArray, xmlPullParser, "strokeLineJoin", 9, -1), this.f2549o);
                this.f2550p = n.f(typedArray, xmlPullParser, "strokeMiterLimit", 10, this.f2550p);
                this.f2540f = n.e(typedArray, xmlPullParser, theme, "strokeColor", 3, 0);
                this.f2543i = n.f(typedArray, xmlPullParser, "strokeAlpha", 11, this.f2543i);
                this.f2541g = n.f(typedArray, xmlPullParser, "strokeWidth", 4, this.f2541g);
                this.f2546l = n.f(typedArray, xmlPullParser, "trimPathEnd", 6, this.f2546l);
                this.f2547m = n.f(typedArray, xmlPullParser, "trimPathOffset", 7, this.f2547m);
                this.f2545k = n.f(typedArray, xmlPullParser, "trimPathStart", 5, this.f2545k);
                this.f2566c = n.g(typedArray, xmlPullParser, "fillType", 13, this.f2566c);
            }
        }

        @Override // androidx.vectordrawable.graphics.drawable.g.e
        public boolean a() {
            return this.f2542h.i() || this.f2540f.i();
        }

        @Override // androidx.vectordrawable.graphics.drawable.g.e
        public boolean b(int[] iArr) {
            return this.f2540f.j(iArr) | this.f2542h.j(iArr);
        }

        public void g(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2503c);
            h(k3, xmlPullParser, theme);
            k3.recycle();
        }

        float getFillAlpha() {
            return this.f2544j;
        }

        int getFillColor() {
            return this.f2542h.e();
        }

        float getStrokeAlpha() {
            return this.f2543i;
        }

        int getStrokeColor() {
            return this.f2540f.e();
        }

        float getStrokeWidth() {
            return this.f2541g;
        }

        float getTrimPathEnd() {
            return this.f2546l;
        }

        float getTrimPathOffset() {
            return this.f2547m;
        }

        float getTrimPathStart() {
            return this.f2545k;
        }

        void setFillAlpha(float f3) {
            this.f2544j = f3;
        }

        void setFillColor(int i3) {
            this.f2542h.k(i3);
        }

        void setStrokeAlpha(float f3) {
            this.f2543i = f3;
        }

        void setStrokeColor(int i3) {
            this.f2540f.k(i3);
        }

        void setStrokeWidth(float f3) {
            this.f2541g = f3;
        }

        void setTrimPathEnd(float f3) {
            this.f2546l = f3;
        }

        void setTrimPathOffset(float f3) {
            this.f2547m = f3;
        }

        void setTrimPathStart(float f3) {
            this.f2545k = f3;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class d extends e {

        /* renamed from: a  reason: collision with root package name */
        final Matrix f2551a;

        /* renamed from: b  reason: collision with root package name */
        final ArrayList<e> f2552b;

        /* renamed from: c  reason: collision with root package name */
        float f2553c;

        /* renamed from: d  reason: collision with root package name */
        private float f2554d;

        /* renamed from: e  reason: collision with root package name */
        private float f2555e;

        /* renamed from: f  reason: collision with root package name */
        private float f2556f;

        /* renamed from: g  reason: collision with root package name */
        private float f2557g;

        /* renamed from: h  reason: collision with root package name */
        private float f2558h;

        /* renamed from: i  reason: collision with root package name */
        private float f2559i;

        /* renamed from: j  reason: collision with root package name */
        final Matrix f2560j;

        /* renamed from: k  reason: collision with root package name */
        int f2561k;

        /* renamed from: l  reason: collision with root package name */
        private int[] f2562l;

        /* renamed from: m  reason: collision with root package name */
        private String f2563m;

        public d() {
            super();
            this.f2551a = new Matrix();
            this.f2552b = new ArrayList<>();
            this.f2553c = 0.0f;
            this.f2554d = 0.0f;
            this.f2555e = 0.0f;
            this.f2556f = 1.0f;
            this.f2557g = 1.0f;
            this.f2558h = 0.0f;
            this.f2559i = 0.0f;
            this.f2560j = new Matrix();
            this.f2563m = null;
        }

        public d(d dVar, n.a<String, Object> aVar) {
            super();
            f bVar;
            this.f2551a = new Matrix();
            this.f2552b = new ArrayList<>();
            this.f2553c = 0.0f;
            this.f2554d = 0.0f;
            this.f2555e = 0.0f;
            this.f2556f = 1.0f;
            this.f2557g = 1.0f;
            this.f2558h = 0.0f;
            this.f2559i = 0.0f;
            Matrix matrix = new Matrix();
            this.f2560j = matrix;
            this.f2563m = null;
            this.f2553c = dVar.f2553c;
            this.f2554d = dVar.f2554d;
            this.f2555e = dVar.f2555e;
            this.f2556f = dVar.f2556f;
            this.f2557g = dVar.f2557g;
            this.f2558h = dVar.f2558h;
            this.f2559i = dVar.f2559i;
            this.f2562l = dVar.f2562l;
            String str = dVar.f2563m;
            this.f2563m = str;
            this.f2561k = dVar.f2561k;
            if (str != null) {
                aVar.put(str, this);
            }
            matrix.set(dVar.f2560j);
            ArrayList<e> arrayList = dVar.f2552b;
            for (int i3 = 0; i3 < arrayList.size(); i3++) {
                e eVar = arrayList.get(i3);
                if (eVar instanceof d) {
                    this.f2552b.add(new d((d) eVar, aVar));
                } else {
                    if (eVar instanceof c) {
                        bVar = new c((c) eVar);
                    } else if (!(eVar instanceof b)) {
                        throw new IllegalStateException("Unknown object in the tree!");
                    } else {
                        bVar = new b((b) eVar);
                    }
                    this.f2552b.add(bVar);
                    String str2 = bVar.f2565b;
                    if (str2 != null) {
                        aVar.put(str2, bVar);
                    }
                }
            }
        }

        private void d() {
            this.f2560j.reset();
            this.f2560j.postTranslate(-this.f2554d, -this.f2555e);
            this.f2560j.postScale(this.f2556f, this.f2557g);
            this.f2560j.postRotate(this.f2553c, 0.0f, 0.0f);
            this.f2560j.postTranslate(this.f2558h + this.f2554d, this.f2559i + this.f2555e);
        }

        private void e(TypedArray typedArray, XmlPullParser xmlPullParser) {
            this.f2562l = null;
            this.f2553c = n.f(typedArray, xmlPullParser, "rotation", 5, this.f2553c);
            this.f2554d = typedArray.getFloat(1, this.f2554d);
            this.f2555e = typedArray.getFloat(2, this.f2555e);
            this.f2556f = n.f(typedArray, xmlPullParser, "scaleX", 3, this.f2556f);
            this.f2557g = n.f(typedArray, xmlPullParser, "scaleY", 4, this.f2557g);
            this.f2558h = n.f(typedArray, xmlPullParser, "translateX", 6, this.f2558h);
            this.f2559i = n.f(typedArray, xmlPullParser, "translateY", 7, this.f2559i);
            String string = typedArray.getString(0);
            if (string != null) {
                this.f2563m = string;
            }
            d();
        }

        @Override // androidx.vectordrawable.graphics.drawable.g.e
        public boolean a() {
            for (int i3 = 0; i3 < this.f2552b.size(); i3++) {
                if (this.f2552b.get(i3).a()) {
                    return true;
                }
            }
            return false;
        }

        @Override // androidx.vectordrawable.graphics.drawable.g.e
        public boolean b(int[] iArr) {
            boolean z2 = false;
            for (int i3 = 0; i3 < this.f2552b.size(); i3++) {
                z2 |= this.f2552b.get(i3).b(iArr);
            }
            return z2;
        }

        public void c(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2502b);
            e(k3, xmlPullParser);
            k3.recycle();
        }

        public String getGroupName() {
            return this.f2563m;
        }

        public Matrix getLocalMatrix() {
            return this.f2560j;
        }

        public float getPivotX() {
            return this.f2554d;
        }

        public float getPivotY() {
            return this.f2555e;
        }

        public float getRotation() {
            return this.f2553c;
        }

        public float getScaleX() {
            return this.f2556f;
        }

        public float getScaleY() {
            return this.f2557g;
        }

        public float getTranslateX() {
            return this.f2558h;
        }

        public float getTranslateY() {
            return this.f2559i;
        }

        public void setPivotX(float f3) {
            if (f3 != this.f2554d) {
                this.f2554d = f3;
                d();
            }
        }

        public void setPivotY(float f3) {
            if (f3 != this.f2555e) {
                this.f2555e = f3;
                d();
            }
        }

        public void setRotation(float f3) {
            if (f3 != this.f2553c) {
                this.f2553c = f3;
                d();
            }
        }

        public void setScaleX(float f3) {
            if (f3 != this.f2556f) {
                this.f2556f = f3;
                d();
            }
        }

        public void setScaleY(float f3) {
            if (f3 != this.f2557g) {
                this.f2557g = f3;
                d();
            }
        }

        public void setTranslateX(float f3) {
            if (f3 != this.f2558h) {
                this.f2558h = f3;
                d();
            }
        }

        public void setTranslateY(float f3) {
            if (f3 != this.f2559i) {
                this.f2559i = f3;
                d();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static abstract class e {
        private e() {
        }

        public boolean a() {
            return false;
        }

        public boolean b(int[] iArr) {
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static abstract class f extends e {

        /* renamed from: a  reason: collision with root package name */
        protected e.b[] f2564a;

        /* renamed from: b  reason: collision with root package name */
        String f2565b;

        /* renamed from: c  reason: collision with root package name */
        int f2566c;

        /* renamed from: d  reason: collision with root package name */
        int f2567d;

        public f() {
            super();
            this.f2564a = null;
            this.f2566c = 0;
        }

        public f(f fVar) {
            super();
            this.f2564a = null;
            this.f2566c = 0;
            this.f2565b = fVar.f2565b;
            this.f2567d = fVar.f2567d;
            this.f2564a = androidx.core.graphics.e.f(fVar.f2564a);
        }

        public boolean c() {
            return false;
        }

        public void d(Path path) {
            path.reset();
            e.b[] bVarArr = this.f2564a;
            if (bVarArr != null) {
                e.b.i(bVarArr, path);
            }
        }

        public e.b[] getPathData() {
            return this.f2564a;
        }

        public String getPathName() {
            return this.f2565b;
        }

        public void setPathData(e.b[] bVarArr) {
            if (androidx.core.graphics.e.b(this.f2564a, bVarArr)) {
                androidx.core.graphics.e.k(this.f2564a, bVarArr);
            } else {
                this.f2564a = androidx.core.graphics.e.f(bVarArr);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: androidx.vectordrawable.graphics.drawable.g$g  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public static class C0042g {

        /* renamed from: q  reason: collision with root package name */
        private static final Matrix f2568q = new Matrix();

        /* renamed from: a  reason: collision with root package name */
        private final Path f2569a;

        /* renamed from: b  reason: collision with root package name */
        private final Path f2570b;

        /* renamed from: c  reason: collision with root package name */
        private final Matrix f2571c;

        /* renamed from: d  reason: collision with root package name */
        Paint f2572d;

        /* renamed from: e  reason: collision with root package name */
        Paint f2573e;

        /* renamed from: f  reason: collision with root package name */
        private PathMeasure f2574f;

        /* renamed from: g  reason: collision with root package name */
        private int f2575g;

        /* renamed from: h  reason: collision with root package name */
        final d f2576h;

        /* renamed from: i  reason: collision with root package name */
        float f2577i;

        /* renamed from: j  reason: collision with root package name */
        float f2578j;

        /* renamed from: k  reason: collision with root package name */
        float f2579k;

        /* renamed from: l  reason: collision with root package name */
        float f2580l;

        /* renamed from: m  reason: collision with root package name */
        int f2581m;

        /* renamed from: n  reason: collision with root package name */
        String f2582n;

        /* renamed from: o  reason: collision with root package name */
        Boolean f2583o;

        /* renamed from: p  reason: collision with root package name */
        final n.a<String, Object> f2584p;

        public C0042g() {
            this.f2571c = new Matrix();
            this.f2577i = 0.0f;
            this.f2578j = 0.0f;
            this.f2579k = 0.0f;
            this.f2580l = 0.0f;
            this.f2581m = 255;
            this.f2582n = null;
            this.f2583o = null;
            this.f2584p = new n.a<>();
            this.f2576h = new d();
            this.f2569a = new Path();
            this.f2570b = new Path();
        }

        public C0042g(C0042g c0042g) {
            this.f2571c = new Matrix();
            this.f2577i = 0.0f;
            this.f2578j = 0.0f;
            this.f2579k = 0.0f;
            this.f2580l = 0.0f;
            this.f2581m = 255;
            this.f2582n = null;
            this.f2583o = null;
            n.a<String, Object> aVar = new n.a<>();
            this.f2584p = aVar;
            this.f2576h = new d(c0042g.f2576h, aVar);
            this.f2569a = new Path(c0042g.f2569a);
            this.f2570b = new Path(c0042g.f2570b);
            this.f2577i = c0042g.f2577i;
            this.f2578j = c0042g.f2578j;
            this.f2579k = c0042g.f2579k;
            this.f2580l = c0042g.f2580l;
            this.f2575g = c0042g.f2575g;
            this.f2581m = c0042g.f2581m;
            this.f2582n = c0042g.f2582n;
            String str = c0042g.f2582n;
            if (str != null) {
                aVar.put(str, this);
            }
            this.f2583o = c0042g.f2583o;
        }

        private static float a(float f3, float f4, float f5, float f6) {
            return (f3 * f6) - (f4 * f5);
        }

        private void c(d dVar, Matrix matrix, Canvas canvas, int i3, int i4, ColorFilter colorFilter) {
            dVar.f2551a.set(matrix);
            dVar.f2551a.preConcat(dVar.f2560j);
            canvas.save();
            for (int i5 = 0; i5 < dVar.f2552b.size(); i5++) {
                e eVar = dVar.f2552b.get(i5);
                if (eVar instanceof d) {
                    c((d) eVar, dVar.f2551a, canvas, i3, i4, colorFilter);
                } else if (eVar instanceof f) {
                    d(dVar, (f) eVar, canvas, i3, i4, colorFilter);
                }
            }
            canvas.restore();
        }

        private void d(d dVar, f fVar, Canvas canvas, int i3, int i4, ColorFilter colorFilter) {
            float f3 = i3 / this.f2579k;
            float f4 = i4 / this.f2580l;
            float min = Math.min(f3, f4);
            Matrix matrix = dVar.f2551a;
            this.f2571c.set(matrix);
            this.f2571c.postScale(f3, f4);
            float e3 = e(matrix);
            if (e3 == 0.0f) {
                return;
            }
            fVar.d(this.f2569a);
            Path path = this.f2569a;
            this.f2570b.reset();
            if (fVar.c()) {
                this.f2570b.setFillType(fVar.f2566c == 0 ? Path.FillType.WINDING : Path.FillType.EVEN_ODD);
                this.f2570b.addPath(path, this.f2571c);
                canvas.clipPath(this.f2570b);
                return;
            }
            c cVar = (c) fVar;
            float f5 = cVar.f2545k;
            if (f5 != 0.0f || cVar.f2546l != 1.0f) {
                float f6 = cVar.f2547m;
                float f7 = (f5 + f6) % 1.0f;
                float f8 = (cVar.f2546l + f6) % 1.0f;
                if (this.f2574f == null) {
                    this.f2574f = new PathMeasure();
                }
                this.f2574f.setPath(this.f2569a, false);
                float length = this.f2574f.getLength();
                float f9 = f7 * length;
                float f10 = f8 * length;
                path.reset();
                if (f9 > f10) {
                    this.f2574f.getSegment(f9, length, path, true);
                    this.f2574f.getSegment(0.0f, f10, path, true);
                } else {
                    this.f2574f.getSegment(f9, f10, path, true);
                }
                path.rLineTo(0.0f, 0.0f);
            }
            this.f2570b.addPath(path, this.f2571c);
            if (cVar.f2542h.l()) {
                androidx.core.content.res.d dVar2 = cVar.f2542h;
                if (this.f2573e == null) {
                    Paint paint = new Paint(1);
                    this.f2573e = paint;
                    paint.setStyle(Paint.Style.FILL);
                }
                Paint paint2 = this.f2573e;
                if (dVar2.h()) {
                    Shader f11 = dVar2.f();
                    f11.setLocalMatrix(this.f2571c);
                    paint2.setShader(f11);
                    paint2.setAlpha(Math.round(cVar.f2544j * 255.0f));
                } else {
                    paint2.setShader(null);
                    paint2.setAlpha(255);
                    paint2.setColor(g.a(dVar2.e(), cVar.f2544j));
                }
                paint2.setColorFilter(colorFilter);
                this.f2570b.setFillType(cVar.f2566c == 0 ? Path.FillType.WINDING : Path.FillType.EVEN_ODD);
                canvas.drawPath(this.f2570b, paint2);
            }
            if (cVar.f2540f.l()) {
                androidx.core.content.res.d dVar3 = cVar.f2540f;
                if (this.f2572d == null) {
                    Paint paint3 = new Paint(1);
                    this.f2572d = paint3;
                    paint3.setStyle(Paint.Style.STROKE);
                }
                Paint paint4 = this.f2572d;
                Paint.Join join = cVar.f2549o;
                if (join != null) {
                    paint4.setStrokeJoin(join);
                }
                Paint.Cap cap = cVar.f2548n;
                if (cap != null) {
                    paint4.setStrokeCap(cap);
                }
                paint4.setStrokeMiter(cVar.f2550p);
                if (dVar3.h()) {
                    Shader f12 = dVar3.f();
                    f12.setLocalMatrix(this.f2571c);
                    paint4.setShader(f12);
                    paint4.setAlpha(Math.round(cVar.f2543i * 255.0f));
                } else {
                    paint4.setShader(null);
                    paint4.setAlpha(255);
                    paint4.setColor(g.a(dVar3.e(), cVar.f2543i));
                }
                paint4.setColorFilter(colorFilter);
                paint4.setStrokeWidth(cVar.f2541g * min * e3);
                canvas.drawPath(this.f2570b, paint4);
            }
        }

        private float e(Matrix matrix) {
            float[] fArr = {0.0f, 1.0f, 1.0f, 0.0f};
            matrix.mapVectors(fArr);
            float a3 = a(fArr[0], fArr[1], fArr[2], fArr[3]);
            float max = Math.max((float) Math.hypot(fArr[0], fArr[1]), (float) Math.hypot(fArr[2], fArr[3]));
            if (max > 0.0f) {
                return Math.abs(a3) / max;
            }
            return 0.0f;
        }

        public void b(Canvas canvas, int i3, int i4, ColorFilter colorFilter) {
            c(this.f2576h, f2568q, canvas, i3, i4, colorFilter);
        }

        public boolean f() {
            if (this.f2583o == null) {
                this.f2583o = Boolean.valueOf(this.f2576h.a());
            }
            return this.f2583o.booleanValue();
        }

        public boolean g(int[] iArr) {
            return this.f2576h.b(iArr);
        }

        public float getAlpha() {
            return getRootAlpha() / 255.0f;
        }

        public int getRootAlpha() {
            return this.f2581m;
        }

        public void setAlpha(float f3) {
            setRootAlpha((int) (f3 * 255.0f));
        }

        public void setRootAlpha(int i3) {
            this.f2581m = i3;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class h extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        int f2585a;

        /* renamed from: b  reason: collision with root package name */
        C0042g f2586b;

        /* renamed from: c  reason: collision with root package name */
        ColorStateList f2587c;

        /* renamed from: d  reason: collision with root package name */
        PorterDuff.Mode f2588d;

        /* renamed from: e  reason: collision with root package name */
        boolean f2589e;

        /* renamed from: f  reason: collision with root package name */
        Bitmap f2590f;

        /* renamed from: g  reason: collision with root package name */
        ColorStateList f2591g;

        /* renamed from: h  reason: collision with root package name */
        PorterDuff.Mode f2592h;

        /* renamed from: i  reason: collision with root package name */
        int f2593i;

        /* renamed from: j  reason: collision with root package name */
        boolean f2594j;

        /* renamed from: k  reason: collision with root package name */
        boolean f2595k;

        /* renamed from: l  reason: collision with root package name */
        Paint f2596l;

        public h() {
            this.f2587c = null;
            this.f2588d = g.f2529o;
            this.f2586b = new C0042g();
        }

        public h(h hVar) {
            this.f2587c = null;
            this.f2588d = g.f2529o;
            if (hVar != null) {
                this.f2585a = hVar.f2585a;
                C0042g c0042g = new C0042g(hVar.f2586b);
                this.f2586b = c0042g;
                if (hVar.f2586b.f2573e != null) {
                    c0042g.f2573e = new Paint(hVar.f2586b.f2573e);
                }
                if (hVar.f2586b.f2572d != null) {
                    this.f2586b.f2572d = new Paint(hVar.f2586b.f2572d);
                }
                this.f2587c = hVar.f2587c;
                this.f2588d = hVar.f2588d;
                this.f2589e = hVar.f2589e;
            }
        }

        public boolean a(int i3, int i4) {
            return i3 == this.f2590f.getWidth() && i4 == this.f2590f.getHeight();
        }

        public boolean b() {
            return !this.f2595k && this.f2591g == this.f2587c && this.f2592h == this.f2588d && this.f2594j == this.f2589e && this.f2593i == this.f2586b.getRootAlpha();
        }

        public void c(int i3, int i4) {
            if (this.f2590f == null || !a(i3, i4)) {
                this.f2590f = Bitmap.createBitmap(i3, i4, Bitmap.Config.ARGB_8888);
                this.f2595k = true;
            }
        }

        public void d(Canvas canvas, ColorFilter colorFilter, Rect rect) {
            canvas.drawBitmap(this.f2590f, (Rect) null, rect, e(colorFilter));
        }

        public Paint e(ColorFilter colorFilter) {
            if (f() || colorFilter != null) {
                if (this.f2596l == null) {
                    Paint paint = new Paint();
                    this.f2596l = paint;
                    paint.setFilterBitmap(true);
                }
                this.f2596l.setAlpha(this.f2586b.getRootAlpha());
                this.f2596l.setColorFilter(colorFilter);
                return this.f2596l;
            }
            return null;
        }

        public boolean f() {
            return this.f2586b.getRootAlpha() < 255;
        }

        public boolean g() {
            return this.f2586b.f();
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public int getChangingConfigurations() {
            return this.f2585a;
        }

        public boolean h(int[] iArr) {
            boolean g3 = this.f2586b.g(iArr);
            this.f2595k |= g3;
            return g3;
        }

        public void i() {
            this.f2591g = this.f2587c;
            this.f2592h = this.f2588d;
            this.f2593i = this.f2586b.getRootAlpha();
            this.f2594j = this.f2589e;
            this.f2595k = false;
        }

        public void j(int i3, int i4) {
            this.f2590f.eraseColor(0);
            this.f2586b.b(new Canvas(this.f2590f), i3, i4, null);
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable() {
            return new g(this);
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources) {
            return new g(this);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class i extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        private final Drawable.ConstantState f2597a;

        public i(Drawable.ConstantState constantState) {
            this.f2597a = constantState;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public boolean canApplyTheme() {
            return this.f2597a.canApplyTheme();
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public int getChangingConfigurations() {
            return this.f2597a.getChangingConfigurations();
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable() {
            g gVar = new g();
            gVar.f2528e = (VectorDrawable) this.f2597a.newDrawable();
            return gVar;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources) {
            g gVar = new g();
            gVar.f2528e = (VectorDrawable) this.f2597a.newDrawable(resources);
            return gVar;
        }

        @Override // android.graphics.drawable.Drawable.ConstantState
        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            g gVar = new g();
            gVar.f2528e = (VectorDrawable) this.f2597a.newDrawable(resources, theme);
            return gVar;
        }
    }

    g() {
        this.f2534j = true;
        this.f2536l = new float[9];
        this.f2537m = new Matrix();
        this.f2538n = new Rect();
        this.f2530f = new h();
    }

    g(h hVar) {
        this.f2534j = true;
        this.f2536l = new float[9];
        this.f2537m = new Matrix();
        this.f2538n = new Rect();
        this.f2530f = hVar;
        this.f2531g = j(this.f2531g, hVar.f2587c, hVar.f2588d);
    }

    static int a(int i3, float f3) {
        return (i3 & 16777215) | (((int) (Color.alpha(i3) * f3)) << 24);
    }

    public static g b(Resources resources, int i3, Resources.Theme theme) {
        int next;
        if (Build.VERSION.SDK_INT >= 24) {
            g gVar = new g();
            gVar.f2528e = androidx.core.content.res.h.d(resources, i3, theme);
            gVar.f2535k = new i(gVar.f2528e.getConstantState());
            return gVar;
        }
        try {
            XmlResourceParser xml = resources.getXml(i3);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    break;
                }
            }
            if (next == 2) {
                return c(resources, xml, asAttributeSet, theme);
            }
            throw new XmlPullParserException("No start tag found");
        } catch (IOException | XmlPullParserException e3) {
            Log.e("VectorDrawableCompat", "parser error", e3);
            return null;
        }
    }

    public static g c(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        g gVar = new g();
        gVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return gVar;
    }

    /* JADX WARN: Multi-variable type inference failed */
    private void e(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        int i3;
        int i4;
        b bVar;
        h hVar = this.f2530f;
        C0042g c0042g = hVar.f2586b;
        ArrayDeque arrayDeque = new ArrayDeque();
        arrayDeque.push(c0042g.f2576h);
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        boolean z2 = true;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                d dVar = (d) arrayDeque.peek();
                if ("path".equals(name)) {
                    c cVar = new c();
                    cVar.g(resources, attributeSet, theme, xmlPullParser);
                    dVar.f2552b.add(cVar);
                    if (cVar.getPathName() != null) {
                        c0042g.f2584p.put(cVar.getPathName(), cVar);
                    }
                    z2 = false;
                    bVar = cVar;
                } else if ("clip-path".equals(name)) {
                    b bVar2 = new b();
                    bVar2.e(resources, attributeSet, theme, xmlPullParser);
                    dVar.f2552b.add(bVar2);
                    String pathName = bVar2.getPathName();
                    bVar = bVar2;
                    if (pathName != null) {
                        c0042g.f2584p.put(bVar2.getPathName(), bVar2);
                        bVar = bVar2;
                    }
                } else if ("group".equals(name)) {
                    d dVar2 = new d();
                    dVar2.c(resources, attributeSet, theme, xmlPullParser);
                    dVar.f2552b.add(dVar2);
                    arrayDeque.push(dVar2);
                    if (dVar2.getGroupName() != null) {
                        c0042g.f2584p.put(dVar2.getGroupName(), dVar2);
                    }
                    i3 = hVar.f2585a;
                    i4 = dVar2.f2561k;
                    hVar.f2585a = i4 | i3;
                }
                i3 = hVar.f2585a;
                i4 = bVar.f2567d;
                hVar.f2585a = i4 | i3;
            } else if (eventType == 3 && "group".equals(xmlPullParser.getName())) {
                arrayDeque.pop();
            }
            eventType = xmlPullParser.next();
        }
        if (z2) {
            throw new XmlPullParserException("no path defined");
        }
    }

    private boolean f() {
        return isAutoMirrored() && androidx.core.graphics.drawable.a.e(this) == 1;
    }

    private static PorterDuff.Mode g(int i3, PorterDuff.Mode mode) {
        if (i3 != 3) {
            if (i3 != 5) {
                if (i3 != 9) {
                    switch (i3) {
                        case 14:
                            return PorterDuff.Mode.MULTIPLY;
                        case 15:
                            return PorterDuff.Mode.SCREEN;
                        case 16:
                            return PorterDuff.Mode.ADD;
                        default:
                            return mode;
                    }
                }
                return PorterDuff.Mode.SRC_ATOP;
            }
            return PorterDuff.Mode.SRC_IN;
        }
        return PorterDuff.Mode.SRC_OVER;
    }

    private void i(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme) {
        h hVar = this.f2530f;
        C0042g c0042g = hVar.f2586b;
        hVar.f2588d = g(n.g(typedArray, xmlPullParser, "tintMode", 6, -1), PorterDuff.Mode.SRC_IN);
        ColorStateList c3 = n.c(typedArray, xmlPullParser, theme, "tint", 1);
        if (c3 != null) {
            hVar.f2587c = c3;
        }
        hVar.f2589e = n.a(typedArray, xmlPullParser, "autoMirrored", 5, hVar.f2589e);
        c0042g.f2579k = n.f(typedArray, xmlPullParser, "viewportWidth", 7, c0042g.f2579k);
        float f3 = n.f(typedArray, xmlPullParser, "viewportHeight", 8, c0042g.f2580l);
        c0042g.f2580l = f3;
        if (c0042g.f2579k <= 0.0f) {
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportWidth > 0");
        } else if (f3 <= 0.0f) {
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportHeight > 0");
        } else {
            c0042g.f2577i = typedArray.getDimension(3, c0042g.f2577i);
            float dimension = typedArray.getDimension(2, c0042g.f2578j);
            c0042g.f2578j = dimension;
            if (c0042g.f2577i <= 0.0f) {
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires width > 0");
            } else if (dimension <= 0.0f) {
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires height > 0");
            } else {
                c0042g.setAlpha(n.f(typedArray, xmlPullParser, "alpha", 4, c0042g.getAlpha()));
                String string = typedArray.getString(0);
                if (string != null) {
                    c0042g.f2582n = string;
                    c0042g.f2584p.put(string, c0042g);
                }
            }
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void applyTheme(Resources.Theme theme) {
        super.applyTheme(theme);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean canApplyTheme() {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.b(drawable);
            return false;
        }
        return false;
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Object d(String str) {
        return this.f2530f.f2586b.f2584p.get(str);
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        copyBounds(this.f2538n);
        if (this.f2538n.width() <= 0 || this.f2538n.height() <= 0) {
            return;
        }
        ColorFilter colorFilter = this.f2532h;
        if (colorFilter == null) {
            colorFilter = this.f2531g;
        }
        canvas.getMatrix(this.f2537m);
        this.f2537m.getValues(this.f2536l);
        float abs = Math.abs(this.f2536l[0]);
        float abs2 = Math.abs(this.f2536l[4]);
        float abs3 = Math.abs(this.f2536l[1]);
        float abs4 = Math.abs(this.f2536l[3]);
        if (abs3 != 0.0f || abs4 != 0.0f) {
            abs = 1.0f;
            abs2 = 1.0f;
        }
        int min = Math.min(2048, (int) (this.f2538n.width() * abs));
        int min2 = Math.min(2048, (int) (this.f2538n.height() * abs2));
        if (min <= 0 || min2 <= 0) {
            return;
        }
        int save = canvas.save();
        Rect rect = this.f2538n;
        canvas.translate(rect.left, rect.top);
        if (f()) {
            canvas.translate(this.f2538n.width(), 0.0f);
            canvas.scale(-1.0f, 1.0f);
        }
        this.f2538n.offsetTo(0, 0);
        this.f2530f.c(min, min2);
        if (!this.f2534j) {
            this.f2530f.j(min, min2);
        } else if (!this.f2530f.b()) {
            this.f2530f.j(min, min2);
            this.f2530f.i();
        }
        this.f2530f.d(canvas, colorFilter, this.f2538n);
        canvas.restoreToCount(save);
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        Drawable drawable = this.f2528e;
        return drawable != null ? androidx.core.graphics.drawable.a.c(drawable) : this.f2530f.f2586b.getRootAlpha();
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        Drawable drawable = this.f2528e;
        return drawable != null ? drawable.getChangingConfigurations() : super.getChangingConfigurations() | this.f2530f.getChangingConfigurations();
    }

    @Override // android.graphics.drawable.Drawable
    public ColorFilter getColorFilter() {
        Drawable drawable = this.f2528e;
        return drawable != null ? androidx.core.graphics.drawable.a.d(drawable) : this.f2532h;
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        if (this.f2528e == null || Build.VERSION.SDK_INT < 24) {
            this.f2530f.f2585a = getChangingConfigurations();
            return this.f2530f;
        }
        return new i(this.f2528e.getConstantState());
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        Drawable drawable = this.f2528e;
        return drawable != null ? drawable.getIntrinsicHeight() : (int) this.f2530f.f2586b.f2578j;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        Drawable drawable = this.f2528e;
        return drawable != null ? drawable.getIntrinsicWidth() : (int) this.f2530f.f2586b.f2577i;
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return -3;
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void h(boolean z2) {
        this.f2534j = z2;
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        } else {
            inflate(resources, xmlPullParser, attributeSet, null);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.f(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        h hVar = this.f2530f;
        hVar.f2586b = new C0042g();
        TypedArray k3 = n.k(resources, theme, attributeSet, androidx.vectordrawable.graphics.drawable.a.f2501a);
        i(k3, xmlPullParser, theme);
        k3.recycle();
        hVar.f2585a = getChangingConfigurations();
        hVar.f2595k = true;
        e(resources, xmlPullParser, attributeSet, theme);
        this.f2531g = j(this.f2531g, hVar.f2587c, hVar.f2588d);
    }

    @Override // android.graphics.drawable.Drawable
    public void invalidateSelf() {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.invalidateSelf();
        } else {
            super.invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        Drawable drawable = this.f2528e;
        return drawable != null ? androidx.core.graphics.drawable.a.g(drawable) : this.f2530f.f2589e;
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        h hVar;
        ColorStateList colorStateList;
        Drawable drawable = this.f2528e;
        return drawable != null ? drawable.isStateful() : super.isStateful() || ((hVar = this.f2530f) != null && (hVar.g() || ((colorStateList = this.f2530f.f2587c) != null && colorStateList.isStateful())));
    }

    PorterDuffColorFilter j(PorterDuffColorFilter porterDuffColorFilter, ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.mutate();
            return this;
        }
        if (!this.f2533i && super.mutate() == this) {
            this.f2530f = new h(this.f2530f);
            this.f2533i = true;
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onStateChange(int[] iArr) {
        PorterDuff.Mode mode;
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        boolean z2 = false;
        h hVar = this.f2530f;
        ColorStateList colorStateList = hVar.f2587c;
        if (colorStateList != null && (mode = hVar.f2588d) != null) {
            this.f2531g = j(this.f2531g, colorStateList, mode);
            invalidateSelf();
            z2 = true;
        }
        if (hVar.g() && hVar.h(iArr)) {
            invalidateSelf();
            return true;
        }
        return z2;
    }

    @Override // android.graphics.drawable.Drawable
    public void scheduleSelf(Runnable runnable, long j3) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.scheduleSelf(runnable, j3);
        } else {
            super.scheduleSelf(runnable, j3);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i3) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.setAlpha(i3);
        } else if (this.f2530f.f2586b.getRootAlpha() != i3) {
            this.f2530f.f2586b.setRootAlpha(i3);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z2) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.i(drawable, z2);
        } else {
            this.f2530f.f2589e = z2;
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i3) {
        super.setChangingConfigurations(i3);
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setColorFilter(int i3, PorterDuff.Mode mode) {
        super.setColorFilter(i3, mode);
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
            return;
        }
        this.f2532h = colorFilter;
        invalidateSelf();
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z2) {
        super.setFilterBitmap(z2);
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setHotspot(float f3, float f4) {
        super.setHotspot(f3, f4);
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i3, int i4, int i5, int i6) {
        super.setHotspotBounds(i3, i4, i5, i6);
    }

    @Override // androidx.vectordrawable.graphics.drawable.f, android.graphics.drawable.Drawable
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    @Override // android.graphics.drawable.Drawable
    public void setTint(int i3) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.m(drawable, i3);
        } else {
            setTintList(ColorStateList.valueOf(i3));
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.n(drawable, colorStateList);
            return;
        }
        h hVar = this.f2530f;
        if (hVar.f2587c != colorStateList) {
            hVar.f2587c = colorStateList;
            this.f2531g = j(this.f2531g, colorStateList, hVar.f2588d);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            androidx.core.graphics.drawable.a.o(drawable, mode);
            return;
        }
        h hVar = this.f2530f;
        if (hVar.f2588d != mode) {
            hVar.f2588d = mode;
            this.f2531g = j(this.f2531g, hVar.f2587c, mode);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z2, boolean z3) {
        Drawable drawable = this.f2528e;
        return drawable != null ? drawable.setVisible(z2, z3) : super.setVisible(z2, z3);
    }

    @Override // android.graphics.drawable.Drawable
    public void unscheduleSelf(Runnable runnable) {
        Drawable drawable = this.f2528e;
        if (drawable != null) {
            drawable.unscheduleSelf(runnable);
        } else {
            super.unscheduleSelf(runnable);
        }
    }
}
