package androidx.window.layout.adapter.sidecar;

import android.app.Activity;
import android.content.Context;
import android.content.res.Configuration;
import android.graphics.Rect;
import android.os.IBinder;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import androidx.core.content.f;
import androidx.window.layout.adapter.sidecar.SidecarCompat;
import androidx.window.layout.adapter.sidecar.a;
import androidx.window.sidecar.SidecarDeviceState;
import androidx.window.sidecar.SidecarDisplayFeature;
import androidx.window.sidecar.SidecarInterface;
import androidx.window.sidecar.SidecarProvider;
import androidx.window.sidecar.SidecarWindowLayoutInfo;
import g2.g;
import g2.k;
import java.lang.ref.WeakReference;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collection;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.WeakHashMap;
import java.util.concurrent.locks.ReentrantLock;
import s0.j;
import v1.q;
import w1.n;
/* loaded from: classes.dex */
public final class SidecarCompat implements androidx.window.layout.adapter.sidecar.a {

    /* renamed from: f  reason: collision with root package name */
    public static final a f2711f = new a(null);

    /* renamed from: a  reason: collision with root package name */
    private final SidecarInterface f2712a;

    /* renamed from: b  reason: collision with root package name */
    private final v0.a f2713b;

    /* renamed from: c  reason: collision with root package name */
    private final Map<IBinder, Activity> f2714c;

    /* renamed from: d  reason: collision with root package name */
    private final Map<Activity, s.a<Configuration>> f2715d;

    /* renamed from: e  reason: collision with root package name */
    private b f2716e;

    /* loaded from: classes.dex */
    public final class TranslatingCallback implements SidecarInterface.SidecarCallback {
        public TranslatingCallback() {
        }

        public void onDeviceStateChanged(SidecarDeviceState sidecarDeviceState) {
            SidecarInterface h3;
            k.e(sidecarDeviceState, "newDeviceState");
            Collection<Activity> values = SidecarCompat.this.f2714c.values();
            SidecarCompat sidecarCompat = SidecarCompat.this;
            for (Activity activity : values) {
                IBinder a3 = SidecarCompat.f2711f.a(activity);
                SidecarWindowLayoutInfo sidecarWindowLayoutInfo = null;
                if (a3 != null && (h3 = sidecarCompat.h()) != null) {
                    sidecarWindowLayoutInfo = h3.getWindowLayoutInfo(a3);
                }
                b bVar = sidecarCompat.f2716e;
                if (bVar != null) {
                    bVar.a(activity, sidecarCompat.f2713b.f(sidecarWindowLayoutInfo, sidecarDeviceState));
                }
            }
        }

        public void onWindowLayoutChanged(IBinder iBinder, SidecarWindowLayoutInfo sidecarWindowLayoutInfo) {
            SidecarDeviceState sidecarDeviceState;
            k.e(iBinder, "windowToken");
            k.e(sidecarWindowLayoutInfo, "newLayout");
            Activity activity = (Activity) SidecarCompat.this.f2714c.get(iBinder);
            if (activity == null) {
                Log.w("SidecarCompat", "Unable to resolve activity from window token. Missing a call to #onWindowLayoutChangeListenerAdded()?");
                return;
            }
            v0.a aVar = SidecarCompat.this.f2713b;
            SidecarInterface h3 = SidecarCompat.this.h();
            if (h3 == null || (sidecarDeviceState = h3.getDeviceState()) == null) {
                sidecarDeviceState = new SidecarDeviceState();
            }
            j f3 = aVar.f(sidecarWindowLayoutInfo, sidecarDeviceState);
            b bVar = SidecarCompat.this.f2716e;
            if (bVar != null) {
                bVar.a(activity, f3);
            }
        }
    }

    /* loaded from: classes.dex */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(g gVar) {
            this();
        }

        public final IBinder a(Activity activity) {
            Window window;
            WindowManager.LayoutParams attributes;
            if (activity == null || (window = activity.getWindow()) == null || (attributes = window.getAttributes()) == null) {
                return null;
            }
            return attributes.token;
        }

        public final SidecarInterface b(Context context) {
            k.e(context, "context");
            return SidecarProvider.getSidecarImpl(context.getApplicationContext());
        }

        public final p0.k c() {
            try {
                String apiVersion = SidecarProvider.getApiVersion();
                if (TextUtils.isEmpty(apiVersion)) {
                    return null;
                }
                return p0.k.f4344j.b(apiVersion);
            } catch (NoClassDefFoundError | UnsupportedOperationException unused) {
                return null;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static final class b implements a.InterfaceC0044a {

        /* renamed from: a  reason: collision with root package name */
        private final a.InterfaceC0044a f2718a;

        /* renamed from: b  reason: collision with root package name */
        private final ReentrantLock f2719b;

        /* renamed from: c  reason: collision with root package name */
        private final WeakHashMap<Activity, j> f2720c;

        public b(a.InterfaceC0044a interfaceC0044a) {
            k.e(interfaceC0044a, "callbackInterface");
            this.f2718a = interfaceC0044a;
            this.f2719b = new ReentrantLock();
            this.f2720c = new WeakHashMap<>();
        }

        @Override // androidx.window.layout.adapter.sidecar.a.InterfaceC0044a
        public void a(Activity activity, j jVar) {
            k.e(activity, "activity");
            k.e(jVar, "newLayout");
            ReentrantLock reentrantLock = this.f2719b;
            reentrantLock.lock();
            try {
                if (k.a(jVar, this.f2720c.get(activity))) {
                    return;
                }
                this.f2720c.put(activity, jVar);
                reentrantLock.unlock();
                this.f2718a.a(activity, jVar);
            } finally {
                reentrantLock.unlock();
            }
        }

        public final void b(Activity activity) {
            k.e(activity, "activity");
            ReentrantLock reentrantLock = this.f2719b;
            reentrantLock.lock();
            try {
                this.f2720c.put(activity, null);
                q qVar = q.f5071a;
            } finally {
                reentrantLock.unlock();
            }
        }
    }

    /* loaded from: classes.dex */
    private static final class c implements View.OnAttachStateChangeListener {

        /* renamed from: e  reason: collision with root package name */
        private final SidecarCompat f2721e;

        /* renamed from: f  reason: collision with root package name */
        private final WeakReference<Activity> f2722f;

        public c(SidecarCompat sidecarCompat, Activity activity) {
            k.e(sidecarCompat, "sidecarCompat");
            k.e(activity, "activity");
            this.f2721e = sidecarCompat;
            this.f2722f = new WeakReference<>(activity);
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewAttachedToWindow(View view) {
            k.e(view, "view");
            view.removeOnAttachStateChangeListener(this);
            Activity activity = this.f2722f.get();
            IBinder a3 = SidecarCompat.f2711f.a(activity);
            if (activity == null || a3 == null) {
                return;
            }
            this.f2721e.j(a3, activity);
        }

        @Override // android.view.View.OnAttachStateChangeListener
        public void onViewDetachedFromWindow(View view) {
            k.e(view, "view");
        }
    }

    /* JADX WARN: 'this' call moved to the top of the method (can break code semantics) */
    public SidecarCompat(Context context) {
        this(f2711f.b(context), new v0.a(null, 1, null));
        k.e(context, "context");
    }

    public SidecarCompat(SidecarInterface sidecarInterface, v0.a aVar) {
        k.e(aVar, "sidecarAdapter");
        this.f2712a = sidecarInterface;
        this.f2713b = aVar;
        this.f2714c = new LinkedHashMap();
        this.f2715d = new LinkedHashMap();
    }

    private final void k(final Activity activity) {
        if (this.f2715d.get(activity) == null && (activity instanceof f)) {
            s.a<Configuration> aVar = new s.a() { // from class: v0.b
                @Override // s.a
                public final void accept(Object obj) {
                    SidecarCompat.l(SidecarCompat.this, activity, (Configuration) obj);
                }
            };
            this.f2715d.put(activity, aVar);
            ((f) activity).addOnConfigurationChangedListener(aVar);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void l(SidecarCompat sidecarCompat, Activity activity, Configuration configuration) {
        k.e(sidecarCompat, "this$0");
        k.e(activity, "$activity");
        b bVar = sidecarCompat.f2716e;
        if (bVar != null) {
            bVar.a(activity, sidecarCompat.i(activity));
        }
    }

    private final void m(Activity activity) {
        s.a<Configuration> aVar = this.f2715d.get(activity);
        if (aVar == null) {
            return;
        }
        if (activity instanceof f) {
            ((f) activity).removeOnConfigurationChangedListener(aVar);
        }
        this.f2715d.remove(activity);
    }

    @Override // androidx.window.layout.adapter.sidecar.a
    public void a(a.InterfaceC0044a interfaceC0044a) {
        k.e(interfaceC0044a, "extensionCallback");
        this.f2716e = new b(interfaceC0044a);
        SidecarInterface sidecarInterface = this.f2712a;
        if (sidecarInterface != null) {
            sidecarInterface.setSidecarCallback(new DistinctElementSidecarCallback(this.f2713b, new TranslatingCallback()));
        }
    }

    @Override // androidx.window.layout.adapter.sidecar.a
    public void b(Activity activity) {
        k.e(activity, "activity");
        IBinder a3 = f2711f.a(activity);
        if (a3 != null) {
            j(a3, activity);
            return;
        }
        activity.getWindow().getDecorView().addOnAttachStateChangeListener(new c(this, activity));
    }

    @Override // androidx.window.layout.adapter.sidecar.a
    public void c(Activity activity) {
        SidecarInterface sidecarInterface;
        k.e(activity, "activity");
        IBinder a3 = f2711f.a(activity);
        if (a3 == null) {
            return;
        }
        SidecarInterface sidecarInterface2 = this.f2712a;
        if (sidecarInterface2 != null) {
            sidecarInterface2.onWindowLayoutChangeListenerRemoved(a3);
        }
        m(activity);
        b bVar = this.f2716e;
        if (bVar != null) {
            bVar.b(activity);
        }
        boolean z2 = this.f2714c.size() == 1;
        this.f2714c.remove(a3);
        if (!z2 || (sidecarInterface = this.f2712a) == null) {
            return;
        }
        sidecarInterface.onDeviceStateListenersChanged(true);
    }

    public final SidecarInterface h() {
        return this.f2712a;
    }

    public final j i(Activity activity) {
        SidecarDeviceState sidecarDeviceState;
        List e3;
        k.e(activity, "activity");
        IBinder a3 = f2711f.a(activity);
        if (a3 == null) {
            e3 = n.e();
            return new j(e3);
        }
        SidecarInterface sidecarInterface = this.f2712a;
        SidecarWindowLayoutInfo windowLayoutInfo = sidecarInterface != null ? sidecarInterface.getWindowLayoutInfo(a3) : null;
        v0.a aVar = this.f2713b;
        SidecarInterface sidecarInterface2 = this.f2712a;
        if (sidecarInterface2 == null || (sidecarDeviceState = sidecarInterface2.getDeviceState()) == null) {
            sidecarDeviceState = new SidecarDeviceState();
        }
        return aVar.f(windowLayoutInfo, sidecarDeviceState);
    }

    public final void j(IBinder iBinder, Activity activity) {
        SidecarInterface sidecarInterface;
        k.e(iBinder, "windowToken");
        k.e(activity, "activity");
        this.f2714c.put(iBinder, activity);
        SidecarInterface sidecarInterface2 = this.f2712a;
        if (sidecarInterface2 != null) {
            sidecarInterface2.onWindowLayoutChangeListenerAdded(iBinder);
        }
        if (this.f2714c.size() == 1 && (sidecarInterface = this.f2712a) != null) {
            sidecarInterface.onDeviceStateListenersChanged(false);
        }
        b bVar = this.f2716e;
        if (bVar != null) {
            bVar.a(activity, i(activity));
        }
        k(activity);
    }

    public boolean n() {
        Class<?> cls;
        Class<?> cls2;
        Class<?> cls3;
        Class<?> cls4;
        try {
            SidecarInterface sidecarInterface = this.f2712a;
            Method method = (sidecarInterface == null || (cls4 = sidecarInterface.getClass()) == null) ? null : cls4.getMethod("setSidecarCallback", SidecarInterface.SidecarCallback.class);
            Class<?> returnType = method != null ? method.getReturnType() : null;
            if (!k.a(returnType, Void.TYPE)) {
                throw new NoSuchMethodException("Illegal return type for 'setSidecarCallback': " + returnType);
            }
            SidecarInterface sidecarInterface2 = this.f2712a;
            if (sidecarInterface2 != null) {
                sidecarInterface2.getDeviceState();
            }
            SidecarInterface sidecarInterface3 = this.f2712a;
            if (sidecarInterface3 != null) {
                sidecarInterface3.onDeviceStateListenersChanged(true);
            }
            SidecarInterface sidecarInterface4 = this.f2712a;
            Method method2 = (sidecarInterface4 == null || (cls3 = sidecarInterface4.getClass()) == null) ? null : cls3.getMethod("getWindowLayoutInfo", IBinder.class);
            Class<?> returnType2 = method2 != null ? method2.getReturnType() : null;
            if (!k.a(returnType2, SidecarWindowLayoutInfo.class)) {
                throw new NoSuchMethodException("Illegal return type for 'getWindowLayoutInfo': " + returnType2);
            }
            SidecarInterface sidecarInterface5 = this.f2712a;
            Method method3 = (sidecarInterface5 == null || (cls2 = sidecarInterface5.getClass()) == null) ? null : cls2.getMethod("onWindowLayoutChangeListenerAdded", IBinder.class);
            Class<?> returnType3 = method3 != null ? method3.getReturnType() : null;
            if (!k.a(returnType3, Void.TYPE)) {
                throw new NoSuchMethodException("Illegal return type for 'onWindowLayoutChangeListenerAdded': " + returnType3);
            }
            SidecarInterface sidecarInterface6 = this.f2712a;
            Method method4 = (sidecarInterface6 == null || (cls = sidecarInterface6.getClass()) == null) ? null : cls.getMethod("onWindowLayoutChangeListenerRemoved", IBinder.class);
            Class<?> returnType4 = method4 != null ? method4.getReturnType() : null;
            if (!k.a(returnType4, Void.TYPE)) {
                throw new NoSuchMethodException("Illegal return type for 'onWindowLayoutChangeListenerRemoved': " + returnType4);
            }
            SidecarDeviceState sidecarDeviceState = new SidecarDeviceState();
            try {
                sidecarDeviceState.posture = 3;
            } catch (NoSuchFieldError unused) {
                SidecarDeviceState.class.getMethod("setPosture", Integer.TYPE).invoke(sidecarDeviceState, 3);
                Object invoke = SidecarDeviceState.class.getMethod("getPosture", new Class[0]).invoke(sidecarDeviceState, new Object[0]);
                k.c(invoke, "null cannot be cast to non-null type kotlin.Int");
                if (((Integer) invoke).intValue() != 3) {
                    throw new Exception("Invalid device posture getter/setter");
                }
            }
            SidecarDisplayFeature sidecarDisplayFeature = new SidecarDisplayFeature();
            Rect rect = sidecarDisplayFeature.getRect();
            k.d(rect, "displayFeature.rect");
            sidecarDisplayFeature.setRect(rect);
            sidecarDisplayFeature.getType();
            sidecarDisplayFeature.setType(1);
            SidecarWindowLayoutInfo sidecarWindowLayoutInfo = new SidecarWindowLayoutInfo();
            try {
                List list = sidecarWindowLayoutInfo.displayFeatures;
                return true;
            } catch (NoSuchFieldError unused2) {
                ArrayList arrayList = new ArrayList();
                arrayList.add(sidecarDisplayFeature);
                SidecarWindowLayoutInfo.class.getMethod("setDisplayFeatures", List.class).invoke(sidecarWindowLayoutInfo, arrayList);
                Object invoke2 = SidecarWindowLayoutInfo.class.getMethod("getDisplayFeatures", new Class[0]).invoke(sidecarWindowLayoutInfo, new Object[0]);
                k.c(invoke2, "null cannot be cast to non-null type kotlin.collections.List<androidx.window.sidecar.SidecarDisplayFeature>");
                if (k.a(arrayList, (List) invoke2)) {
                    return true;
                }
                throw new Exception("Invalid display feature getter/setter");
            }
        } catch (Throwable unused3) {
            return false;
        }
    }
}
