package com.pichillilorenzo.flutter_inappwebview_android.service_worker;

import com.pichillilorenzo.flutter_inappwebview_android.Util;
import com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.SyncBaseCallbackResultImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceRequestExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceResponseExt;
import java.util.Map;
import n0.t;
import q1.i;
import q1.j;
/* loaded from: classes.dex */
public class ServiceWorkerChannelDelegate extends ChannelDelegateImpl {
    private ServiceWorkerManager serviceWorkerManager;

    /* loaded from: classes.dex */
    public static class ShouldInterceptRequestCallback extends BaseCallbackResultImpl<WebResourceResponseExt> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public WebResourceResponseExt decodeResult(Object obj) {
            return WebResourceResponseExt.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class SyncShouldInterceptRequestCallback extends SyncBaseCallbackResultImpl<WebResourceResponseExt> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public WebResourceResponseExt decodeResult(Object obj) {
            return new ShouldInterceptRequestCallback().decodeResult(obj);
        }
    }

    public ServiceWorkerChannelDelegate(ServiceWorkerManager serviceWorkerManager, j jVar) {
        super(jVar);
        this.serviceWorkerManager = serviceWorkerManager;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        this.serviceWorkerManager = null;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, q1.j.c
    public void onMethodCall(i iVar, j.d dVar) {
        boolean a3;
        Object valueOf;
        ServiceWorkerManager.init();
        n0.i iVar2 = ServiceWorkerManager.serviceWorkerController;
        n0.j b3 = iVar2 != null ? iVar2.b() : null;
        String str = iVar.f4657a;
        str.hashCode();
        char c3 = 65535;
        switch (str.hashCode()) {
            case -1332730774:
                if (str.equals("getAllowContentAccess")) {
                    c3 = 0;
                    break;
                }
                break;
            case -1165005700:
                if (str.equals("setServiceWorkerClient")) {
                    c3 = 1;
                    break;
                }
                break;
            case -563397233:
                if (str.equals("getCacheMode")) {
                    c3 = 2;
                    break;
                }
                break;
            case 674894835:
                if (str.equals("getAllowFileAccess")) {
                    c3 = 3;
                    break;
                }
                break;
            case 985595395:
                if (str.equals("setCacheMode")) {
                    c3 = 4;
                    break;
                }
                break;
            case 1083898794:
                if (str.equals("setBlockNetworkLoads")) {
                    c3 = 5;
                    break;
                }
                break;
            case 1203480182:
                if (str.equals("setAllowContentAccess")) {
                    c3 = 6;
                    break;
                }
                break;
            case 1594928487:
                if (str.equals("setAllowFileAccess")) {
                    c3 = 7;
                    break;
                }
                break;
            case 1694822198:
                if (str.equals("getBlockNetworkLoads")) {
                    c3 = '\b';
                    break;
                }
                break;
        }
        switch (c3) {
            case 0:
                if (b3 != null && t.a("SERVICE_WORKER_CONTENT_ACCESS")) {
                    a3 = b3.a();
                    valueOf = Boolean.valueOf(a3);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 1:
                if (this.serviceWorkerManager != null) {
                    this.serviceWorkerManager.setServiceWorkerClient((Boolean) iVar.a("isNull"));
                    valueOf = Boolean.TRUE;
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 2:
                if (b3 != null && t.a("SERVICE_WORKER_CACHE_MODE")) {
                    valueOf = Integer.valueOf(b3.d());
                    break;
                } else {
                    dVar.success(null);
                    return;
                }
            case 3:
                if (b3 != null && t.a("SERVICE_WORKER_FILE_ACCESS")) {
                    a3 = b3.b();
                    valueOf = Boolean.valueOf(a3);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 4:
                if (b3 != null && t.a("SERVICE_WORKER_CACHE_MODE")) {
                    b3.h(((Integer) iVar.a("mode")).intValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case 5:
                if (b3 != null && t.a("SERVICE_WORKER_BLOCK_NETWORK_LOADS")) {
                    b3.g(((Boolean) iVar.a("flag")).booleanValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case 6:
                if (b3 != null && t.a("SERVICE_WORKER_CONTENT_ACCESS")) {
                    b3.e(((Boolean) iVar.a("allow")).booleanValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case 7:
                if (b3 != null && t.a("SERVICE_WORKER_FILE_ACCESS")) {
                    b3.f(((Boolean) iVar.a("allow")).booleanValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case '\b':
                if (b3 != null && t.a("SERVICE_WORKER_BLOCK_NETWORK_LOADS")) {
                    a3 = b3.c();
                    valueOf = Boolean.valueOf(a3);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            default:
                dVar.notImplemented();
                return;
        }
        dVar.success(valueOf);
    }

    public WebResourceResponseExt shouldInterceptRequest(WebResourceRequestExt webResourceRequestExt) {
        j channel = getChannel();
        if (channel == null) {
            return null;
        }
        return (WebResourceResponseExt) Util.invokeMethodAndWaitResult(channel, "shouldInterceptRequest", webResourceRequestExt.toMap(), new SyncShouldInterceptRequestCallback());
    }

    public void shouldInterceptRequest(WebResourceRequestExt webResourceRequestExt, ShouldInterceptRequestCallback shouldInterceptRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.d("shouldInterceptRequest", webResourceRequestExt.toMap(), shouldInterceptRequestCallback);
    }
}
