package com.pichillilorenzo.flutter_inappwebview_android.webview;

import android.net.Uri;
import android.webkit.ValueCallback;
import com.pichillilorenzo.flutter_inappwebview_android.R;
import com.pichillilorenzo.flutter_inappwebview_android.Util;
import com.pichillilorenzo.flutter_inappwebview_android.credential_database.URLProtectionSpaceContract;
import com.pichillilorenzo.flutter_inappwebview_android.in_app_browser.InAppBrowserActivity;
import com.pichillilorenzo.flutter_inappwebview_android.in_app_browser.InAppBrowserSettings;
import com.pichillilorenzo.flutter_inappwebview_android.print_job.PrintJobSettings;
import com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.ClientCertChallenge;
import com.pichillilorenzo.flutter_inappwebview_android.types.ClientCertResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.ContentWorld;
import com.pichillilorenzo.flutter_inappwebview_android.types.CreateWindowAction;
import com.pichillilorenzo.flutter_inappwebview_android.types.CustomSchemeResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.DownloadStartRequest;
import com.pichillilorenzo.flutter_inappwebview_android.types.GeolocationPermissionShowPromptResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.HitTestResult;
import com.pichillilorenzo.flutter_inappwebview_android.types.HttpAuthResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.HttpAuthenticationChallenge;
import com.pichillilorenzo.flutter_inappwebview_android.types.JsAlertResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.JsBeforeUnloadResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.JsConfirmResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.JsPromptResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.NavigationAction;
import com.pichillilorenzo.flutter_inappwebview_android.types.NavigationActionPolicy;
import com.pichillilorenzo.flutter_inappwebview_android.types.PermissionResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.SafeBrowsingResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.ServerTrustAuthResponse;
import com.pichillilorenzo.flutter_inappwebview_android.types.ServerTrustChallenge;
import com.pichillilorenzo.flutter_inappwebview_android.types.SslCertificateExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.SyncBaseCallbackResultImpl;
import com.pichillilorenzo.flutter_inappwebview_android.types.URLRequest;
import com.pichillilorenzo.flutter_inappwebview_android.types.UserScript;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebMessageCompatExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebMessagePortCompatExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceErrorExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceRequestExt;
import com.pichillilorenzo.flutter_inappwebview_android.types.WebResourceResponseExt;
import com.pichillilorenzo.flutter_inappwebview_android.webview.in_app_webview.InAppWebView;
import com.pichillilorenzo.flutter_inappwebview_android.webview.in_app_webview.InAppWebViewSettings;
import com.pichillilorenzo.flutter_inappwebview_android.webview.web_message.WebMessageChannel;
import com.pichillilorenzo.flutter_inappwebview_android.webview.web_message.WebMessageListener;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import n0.m;
import n0.n;
import n0.s;
import n0.t;
import q1.i;
import q1.j;
/* loaded from: classes.dex */
public class WebViewChannelDelegate extends ChannelDelegateImpl {
    static final String LOG_TAG = "WebViewChannelDelegate";
    private InAppWebView webView;

    /* renamed from: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate$8  reason: invalid class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class AnonymousClass8 {
        static final /* synthetic */ int[] $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods;

        static {
            int[] iArr = new int[WebViewChannelDelegateMethods.values().length];
            $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods = iArr;
            try {
                iArr[WebViewChannelDelegateMethods.getUrl.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getTitle.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getProgress.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.loadUrl.ordinal()] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.postUrl.ordinal()] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.loadData.ordinal()] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.loadFile.ordinal()] = 7;
            } catch (NoSuchFieldError unused7) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.evaluateJavascript.ordinal()] = 8;
            } catch (NoSuchFieldError unused8) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.injectJavascriptFileFromUrl.ordinal()] = 9;
            } catch (NoSuchFieldError unused9) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.injectCSSCode.ordinal()] = 10;
            } catch (NoSuchFieldError unused10) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.injectCSSFileFromUrl.ordinal()] = 11;
            } catch (NoSuchFieldError unused11) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.reload.ordinal()] = 12;
            } catch (NoSuchFieldError unused12) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.goBack.ordinal()] = 13;
            } catch (NoSuchFieldError unused13) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.canGoBack.ordinal()] = 14;
            } catch (NoSuchFieldError unused14) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.goForward.ordinal()] = 15;
            } catch (NoSuchFieldError unused15) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.canGoForward.ordinal()] = 16;
            } catch (NoSuchFieldError unused16) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.goBackOrForward.ordinal()] = 17;
            } catch (NoSuchFieldError unused17) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.canGoBackOrForward.ordinal()] = 18;
            } catch (NoSuchFieldError unused18) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.stopLoading.ordinal()] = 19;
            } catch (NoSuchFieldError unused19) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.isLoading.ordinal()] = 20;
            } catch (NoSuchFieldError unused20) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.takeScreenshot.ordinal()] = 21;
            } catch (NoSuchFieldError unused21) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.setSettings.ordinal()] = 22;
            } catch (NoSuchFieldError unused22) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getSettings.ordinal()] = 23;
            } catch (NoSuchFieldError unused23) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.close.ordinal()] = 24;
            } catch (NoSuchFieldError unused24) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.show.ordinal()] = 25;
            } catch (NoSuchFieldError unused25) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.hide.ordinal()] = 26;
            } catch (NoSuchFieldError unused26) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.isHidden.ordinal()] = 27;
            } catch (NoSuchFieldError unused27) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getCopyBackForwardList.ordinal()] = 28;
            } catch (NoSuchFieldError unused28) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.startSafeBrowsing.ordinal()] = 29;
            } catch (NoSuchFieldError unused29) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.clearCache.ordinal()] = 30;
            } catch (NoSuchFieldError unused30) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.clearSslPreferences.ordinal()] = 31;
            } catch (NoSuchFieldError unused31) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.findAll.ordinal()] = 32;
            } catch (NoSuchFieldError unused32) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.findNext.ordinal()] = 33;
            } catch (NoSuchFieldError unused33) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.clearMatches.ordinal()] = 34;
            } catch (NoSuchFieldError unused34) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.scrollTo.ordinal()] = 35;
            } catch (NoSuchFieldError unused35) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.scrollBy.ordinal()] = 36;
            } catch (NoSuchFieldError unused36) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.pause.ordinal()] = 37;
            } catch (NoSuchFieldError unused37) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.resume.ordinal()] = 38;
            } catch (NoSuchFieldError unused38) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.pauseTimers.ordinal()] = 39;
            } catch (NoSuchFieldError unused39) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.resumeTimers.ordinal()] = 40;
            } catch (NoSuchFieldError unused40) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.printCurrentPage.ordinal()] = 41;
            } catch (NoSuchFieldError unused41) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getContentHeight.ordinal()] = 42;
            } catch (NoSuchFieldError unused42) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getContentWidth.ordinal()] = 43;
            } catch (NoSuchFieldError unused43) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.zoomBy.ordinal()] = 44;
            } catch (NoSuchFieldError unused44) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getOriginalUrl.ordinal()] = 45;
            } catch (NoSuchFieldError unused45) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getZoomScale.ordinal()] = 46;
            } catch (NoSuchFieldError unused46) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getSelectedText.ordinal()] = 47;
            } catch (NoSuchFieldError unused47) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getHitTestResult.ordinal()] = 48;
            } catch (NoSuchFieldError unused48) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.pageDown.ordinal()] = 49;
            } catch (NoSuchFieldError unused49) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.pageUp.ordinal()] = 50;
            } catch (NoSuchFieldError unused50) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.saveWebArchive.ordinal()] = 51;
            } catch (NoSuchFieldError unused51) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.zoomIn.ordinal()] = 52;
            } catch (NoSuchFieldError unused52) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.zoomOut.ordinal()] = 53;
            } catch (NoSuchFieldError unused53) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.clearFocus.ordinal()] = 54;
            } catch (NoSuchFieldError unused54) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.setContextMenu.ordinal()] = 55;
            } catch (NoSuchFieldError unused55) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.requestFocusNodeHref.ordinal()] = 56;
            } catch (NoSuchFieldError unused56) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.requestImageRef.ordinal()] = 57;
            } catch (NoSuchFieldError unused57) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getScrollX.ordinal()] = 58;
            } catch (NoSuchFieldError unused58) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getScrollY.ordinal()] = 59;
            } catch (NoSuchFieldError unused59) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.getCertificate.ordinal()] = 60;
            } catch (NoSuchFieldError unused60) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.clearHistory.ordinal()] = 61;
            } catch (NoSuchFieldError unused61) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.addUserScript.ordinal()] = 62;
            } catch (NoSuchFieldError unused62) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.removeUserScript.ordinal()] = 63;
            } catch (NoSuchFieldError unused63) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.removeUserScriptsByGroupName.ordinal()] = 64;
            } catch (NoSuchFieldError unused64) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.removeAllUserScripts.ordinal()] = 65;
            } catch (NoSuchFieldError unused65) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.callAsyncJavaScript.ordinal()] = 66;
            } catch (NoSuchFieldError unused66) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.isSecureContext.ordinal()] = 67;
            } catch (NoSuchFieldError unused67) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.createWebMessageChannel.ordinal()] = 68;
            } catch (NoSuchFieldError unused68) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.postWebMessage.ordinal()] = 69;
            } catch (NoSuchFieldError unused69) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.addWebMessageListener.ordinal()] = 70;
            } catch (NoSuchFieldError unused70) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.canScrollVertically.ordinal()] = 71;
            } catch (NoSuchFieldError unused71) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.canScrollHorizontally.ordinal()] = 72;
            } catch (NoSuchFieldError unused72) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.isInFullscreen.ordinal()] = 73;
            } catch (NoSuchFieldError unused73) {
            }
            try {
                $SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.clearFormData.ordinal()] = 74;
            } catch (NoSuchFieldError unused74) {
            }
        }
    }

    /* loaded from: classes.dex */
    public static class CallJsHandlerCallback extends BaseCallbackResultImpl<Object> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public Object decodeResult(Object obj) {
            return obj;
        }
    }

    /* loaded from: classes.dex */
    public static class CreateWindowCallback extends BaseCallbackResultImpl<Boolean> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public Boolean decodeResult(Object obj) {
            return Boolean.valueOf((obj instanceof Boolean) && ((Boolean) obj).booleanValue());
        }
    }

    /* loaded from: classes.dex */
    public static class FormResubmissionCallback extends BaseCallbackResultImpl<Integer> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public Integer decodeResult(Object obj) {
            if (obj instanceof Integer) {
                return (Integer) obj;
            }
            return null;
        }
    }

    /* loaded from: classes.dex */
    public static class GeolocationPermissionsShowPromptCallback extends BaseCallbackResultImpl<GeolocationPermissionShowPromptResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public GeolocationPermissionShowPromptResponse decodeResult(Object obj) {
            return GeolocationPermissionShowPromptResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class JsAlertCallback extends BaseCallbackResultImpl<JsAlertResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public JsAlertResponse decodeResult(Object obj) {
            return JsAlertResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class JsBeforeUnloadCallback extends BaseCallbackResultImpl<JsBeforeUnloadResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public JsBeforeUnloadResponse decodeResult(Object obj) {
            return JsBeforeUnloadResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class JsConfirmCallback extends BaseCallbackResultImpl<JsConfirmResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public JsConfirmResponse decodeResult(Object obj) {
            return JsConfirmResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class JsPromptCallback extends BaseCallbackResultImpl<JsPromptResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public JsPromptResponse decodeResult(Object obj) {
            return JsPromptResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class LoadResourceWithCustomSchemeCallback extends BaseCallbackResultImpl<CustomSchemeResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public CustomSchemeResponse decodeResult(Object obj) {
            return CustomSchemeResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class PermissionRequestCallback extends BaseCallbackResultImpl<PermissionResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public PermissionResponse decodeResult(Object obj) {
            return PermissionResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class PrintRequestCallback extends BaseCallbackResultImpl<Boolean> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public Boolean decodeResult(Object obj) {
            return Boolean.valueOf((obj instanceof Boolean) && ((Boolean) obj).booleanValue());
        }
    }

    /* loaded from: classes.dex */
    public static class ReceivedClientCertRequestCallback extends BaseCallbackResultImpl<ClientCertResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public ClientCertResponse decodeResult(Object obj) {
            return ClientCertResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class ReceivedHttpAuthRequestCallback extends BaseCallbackResultImpl<HttpAuthResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public HttpAuthResponse decodeResult(Object obj) {
            return HttpAuthResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class ReceivedServerTrustAuthRequestCallback extends BaseCallbackResultImpl<ServerTrustAuthResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public ServerTrustAuthResponse decodeResult(Object obj) {
            return ServerTrustAuthResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class RenderProcessResponsiveCallback extends BaseCallbackResultImpl<Integer> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public Integer decodeResult(Object obj) {
            if (obj instanceof Integer) {
                return (Integer) obj;
            }
            return null;
        }
    }

    /* loaded from: classes.dex */
    public static class RenderProcessUnresponsiveCallback extends BaseCallbackResultImpl<Integer> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public Integer decodeResult(Object obj) {
            if (obj instanceof Integer) {
                return (Integer) obj;
            }
            return null;
        }
    }

    /* loaded from: classes.dex */
    public static class SafeBrowsingHitCallback extends BaseCallbackResultImpl<SafeBrowsingResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public SafeBrowsingResponse decodeResult(Object obj) {
            return SafeBrowsingResponse.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class ShouldInterceptRequestCallback extends BaseCallbackResultImpl<WebResourceResponseExt> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public WebResourceResponseExt decodeResult(Object obj) {
            return WebResourceResponseExt.fromMap((Map) obj);
        }
    }

    /* loaded from: classes.dex */
    public static class ShouldOverrideUrlLoadingCallback extends BaseCallbackResultImpl<NavigationActionPolicy> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public NavigationActionPolicy decodeResult(Object obj) {
            return NavigationActionPolicy.fromValue(Integer.valueOf(obj instanceof Integer ? ((Integer) obj).intValue() : NavigationActionPolicy.CANCEL.rawValue()).intValue());
        }
    }

    /* loaded from: classes.dex */
    public static class SyncLoadResourceWithCustomSchemeCallback extends SyncBaseCallbackResultImpl<CustomSchemeResponse> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public CustomSchemeResponse decodeResult(Object obj) {
            return new LoadResourceWithCustomSchemeCallback().decodeResult(obj);
        }
    }

    /* loaded from: classes.dex */
    public static class SyncShouldInterceptRequestCallback extends SyncBaseCallbackResultImpl<WebResourceResponseExt> {
        @Override // com.pichillilorenzo.flutter_inappwebview_android.types.BaseCallbackResultImpl, com.pichillilorenzo.flutter_inappwebview_android.types.ICallbackResult
        public WebResourceResponseExt decodeResult(Object obj) {
            return new ShouldInterceptRequestCallback().decodeResult(obj);
        }
    }

    public WebViewChannelDelegate(InAppWebView inAppWebView, j jVar) {
        super(jVar);
        this.webView = inAppWebView;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.Disposable
    public void dispose() {
        super.dispose();
        this.webView = null;
    }

    public void onCallJsHandler(String str, String str2, CallJsHandlerCallback callJsHandlerCallback) {
        j channel = getChannel();
        if (channel == null) {
            callJsHandlerCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("handlerName", str);
        hashMap.put("args", str2);
        channel.d("onCallJsHandler", hashMap, callJsHandlerCallback);
    }

    public void onCloseWindow() {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onCloseWindow", new HashMap());
    }

    public void onConsoleMessage(String str, int i3) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("message", str);
        hashMap.put("messageLevel", Integer.valueOf(i3));
        channel.c("onConsoleMessage", hashMap);
    }

    public void onContextMenuActionItemClicked(int i3, String str) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("id", Integer.valueOf(i3));
        hashMap.put("androidId", Integer.valueOf(i3));
        hashMap.put("iosId", null);
        hashMap.put("title", str);
        channel.c("onContextMenuActionItemClicked", hashMap);
    }

    public void onCreateContextMenu(HitTestResult hitTestResult) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onCreateContextMenu", hitTestResult.toMap());
    }

    public void onCreateWindow(CreateWindowAction createWindowAction, CreateWindowCallback createWindowCallback) {
        j channel = getChannel();
        if (channel == null) {
            createWindowCallback.defaultBehaviour(null);
        } else {
            channel.d("onCreateWindow", createWindowAction.toMap(), createWindowCallback);
        }
    }

    public void onDownloadStartRequest(DownloadStartRequest downloadStartRequest) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onDownloadStartRequest", downloadStartRequest.toMap());
    }

    public void onEnterFullscreen() {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onEnterFullscreen", new HashMap());
    }

    public void onExitFullscreen() {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onExitFullscreen", new HashMap());
    }

    @Deprecated
    public void onFindResultReceived(int i3, int i4, boolean z2) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("activeMatchOrdinal", Integer.valueOf(i3));
        hashMap.put("numberOfMatches", Integer.valueOf(i4));
        hashMap.put("isDoneCounting", Boolean.valueOf(z2));
        channel.c("onFindResultReceived", hashMap);
    }

    public void onFormResubmission(String str, FormResubmissionCallback formResubmissionCallback) {
        j channel = getChannel();
        if (channel == null) {
            formResubmissionCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        channel.d("onFormResubmission", hashMap, formResubmissionCallback);
    }

    public void onGeolocationPermissionsHidePrompt() {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onGeolocationPermissionsHidePrompt", new HashMap());
    }

    public void onGeolocationPermissionsShowPrompt(String str, GeolocationPermissionsShowPromptCallback geolocationPermissionsShowPromptCallback) {
        j channel = getChannel();
        if (channel == null) {
            geolocationPermissionsShowPromptCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("origin", str);
        channel.d("onGeolocationPermissionsShowPrompt", hashMap, geolocationPermissionsShowPromptCallback);
    }

    public void onHideContextMenu() {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onHideContextMenu", new HashMap());
    }

    public void onJsAlert(String str, String str2, Boolean bool, JsAlertCallback jsAlertCallback) {
        j channel = getChannel();
        if (channel == null) {
            jsAlertCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("message", str2);
        hashMap.put("isMainFrame", bool);
        channel.d("onJsAlert", hashMap, jsAlertCallback);
    }

    public void onJsBeforeUnload(String str, String str2, JsBeforeUnloadCallback jsBeforeUnloadCallback) {
        j channel = getChannel();
        if (channel == null) {
            jsBeforeUnloadCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("message", str2);
        channel.d("onJsBeforeUnload", hashMap, jsBeforeUnloadCallback);
    }

    public void onJsConfirm(String str, String str2, Boolean bool, JsConfirmCallback jsConfirmCallback) {
        j channel = getChannel();
        if (channel == null) {
            jsConfirmCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("message", str2);
        hashMap.put("isMainFrame", bool);
        channel.d("onJsConfirm", hashMap, jsConfirmCallback);
    }

    public void onJsPrompt(String str, String str2, String str3, Boolean bool, JsPromptCallback jsPromptCallback) {
        j channel = getChannel();
        if (channel == null) {
            jsPromptCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("message", str2);
        hashMap.put("defaultValue", str3);
        hashMap.put("isMainFrame", bool);
        channel.d("onJsPrompt", hashMap, jsPromptCallback);
    }

    public CustomSchemeResponse onLoadResourceWithCustomScheme(WebResourceRequestExt webResourceRequestExt) {
        j channel = getChannel();
        if (channel == null) {
            return null;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("request", webResourceRequestExt.toMap());
        return (CustomSchemeResponse) Util.invokeMethodAndWaitResult(channel, "onLoadResourceWithCustomScheme", hashMap, new SyncLoadResourceWithCustomSchemeCallback());
    }

    public void onLoadResourceWithCustomScheme(WebResourceRequestExt webResourceRequestExt, LoadResourceWithCustomSchemeCallback loadResourceWithCustomSchemeCallback) {
        j channel = getChannel();
        if (channel == null) {
            loadResourceWithCustomSchemeCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("request", webResourceRequestExt.toMap());
        channel.d("onLoadResourceWithCustomScheme", hashMap, loadResourceWithCustomSchemeCallback);
    }

    public void onLoadStart(String str) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        channel.c("onLoadStart", hashMap);
    }

    public void onLoadStop(String str) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        channel.c("onLoadStop", hashMap);
    }

    public void onLongPressHitTestResult(HitTestResult hitTestResult) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onLongPressHitTestResult", hitTestResult.toMap());
    }

    /* JADX WARN: Code restructure failed: missing block: B:245:0x052e, code lost:
        if (r0.isLoading() != false) goto L267;
     */
    /* JADX WARN: Code restructure failed: missing block: B:253:0x054d, code lost:
        if (r3.canGoBackOrForward(((java.lang.Integer) r17.a("steps")).intValue()) != false) goto L267;
     */
    /* JADX WARN: Code restructure failed: missing block: B:261:0x056c, code lost:
        if (r0.canGoForward() != false) goto L267;
     */
    /* JADX WARN: Code restructure failed: missing block: B:269:0x0581, code lost:
        if (r0.canGoBack() != false) goto L267;
     */
    @Override // com.pichillilorenzo.flutter_inappwebview_android.types.ChannelDelegateImpl, com.pichillilorenzo.flutter_inappwebview_android.types.IChannelDelegate, q1.j.c
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMethodCall(i iVar, final j.d dVar) {
        Object valueOf;
        boolean z2;
        int contentHeight;
        InAppWebView inAppWebView;
        m mVar;
        Uri parse;
        try {
            boolean z3 = true;
            Object obj = null;
            try {
                switch (AnonymousClass8.$SwitchMap$com$pichillilorenzo$flutter_inappwebview_android$webview$WebViewChannelDelegateMethods[WebViewChannelDelegateMethods.valueOf(iVar.f4657a).ordinal()]) {
                    case 1:
                        InAppWebView inAppWebView2 = this.webView;
                        if (inAppWebView2 != null) {
                            obj = inAppWebView2.getUrl();
                        }
                        dVar.success(obj);
                        return;
                    case 2:
                        InAppWebView inAppWebView3 = this.webView;
                        if (inAppWebView3 != null) {
                            obj = inAppWebView3.getTitle();
                        }
                        dVar.success(obj);
                        return;
                    case 3:
                        InAppWebView inAppWebView4 = this.webView;
                        if (inAppWebView4 != null) {
                            obj = Integer.valueOf(inAppWebView4.getProgress());
                        }
                        dVar.success(obj);
                        return;
                    case 4:
                        if (this.webView != null) {
                            this.webView.loadUrl(URLRequest.fromMap((Map) iVar.a("urlRequest")));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 5:
                        if (this.webView != null) {
                            this.webView.postUrl((String) iVar.a("url"), (byte[]) iVar.a("postData"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 6:
                        if (this.webView != null) {
                            this.webView.loadDataWithBaseURL((String) iVar.a("baseUrl"), (String) iVar.a("data"), (String) iVar.a("mimeType"), (String) iVar.a("encoding"), (String) iVar.a("historyUrl"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 7:
                        if (this.webView != null) {
                            try {
                                this.webView.loadFile((String) iVar.a("assetFilePath"));
                            } catch (IOException e3) {
                                e3.printStackTrace();
                                dVar.error(LOG_TAG, e3.getMessage(), null);
                                return;
                            }
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 8:
                        if (this.webView != null) {
                            this.webView.evaluateJavascript((String) iVar.a("source"), ContentWorld.fromMap((Map) iVar.a("contentWorld")), new ValueCallback<String>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.1
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(String str) {
                                    dVar.success(str);
                                }
                            });
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case 9:
                        if (this.webView != null) {
                            this.webView.injectJavascriptFileFromUrl((String) iVar.a("urlFile"), (Map) iVar.a("scriptHtmlTagAttributes"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 10:
                        if (this.webView != null) {
                            this.webView.injectCSSCode((String) iVar.a("source"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 11:
                        if (this.webView != null) {
                            this.webView.injectCSSFileFromUrl((String) iVar.a("urlFile"), (Map) iVar.a("cssLinkHtmlTagAttributes"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 12:
                        InAppWebView inAppWebView5 = this.webView;
                        if (inAppWebView5 != null) {
                            inAppWebView5.reload();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 13:
                        InAppWebView inAppWebView6 = this.webView;
                        if (inAppWebView6 != null) {
                            inAppWebView6.goBack();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 14:
                        InAppWebView inAppWebView7 = this.webView;
                        if (inAppWebView7 != null) {
                            break;
                        }
                        z3 = false;
                        valueOf = Boolean.valueOf(z3);
                        dVar.success(valueOf);
                        return;
                    case 15:
                        InAppWebView inAppWebView8 = this.webView;
                        if (inAppWebView8 != null) {
                            inAppWebView8.goForward();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 16:
                        InAppWebView inAppWebView9 = this.webView;
                        if (inAppWebView9 != null) {
                            break;
                        }
                        z3 = false;
                        valueOf = Boolean.valueOf(z3);
                        dVar.success(valueOf);
                        return;
                    case 17:
                        InAppWebView inAppWebView10 = this.webView;
                        if (inAppWebView10 != null) {
                            inAppWebView10.goBackOrForward(((Integer) iVar.a("steps")).intValue());
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 18:
                        InAppWebView inAppWebView11 = this.webView;
                        if (inAppWebView11 != null) {
                            break;
                        }
                        z3 = false;
                        valueOf = Boolean.valueOf(z3);
                        dVar.success(valueOf);
                        return;
                    case 19:
                        InAppWebView inAppWebView12 = this.webView;
                        if (inAppWebView12 != null) {
                            inAppWebView12.stopLoading();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 20:
                        InAppWebView inAppWebView13 = this.webView;
                        if (inAppWebView13 != null) {
                            break;
                        }
                        z3 = false;
                        valueOf = Boolean.valueOf(z3);
                        dVar.success(valueOf);
                        return;
                    case 21:
                        if (this.webView != null) {
                            this.webView.takeScreenshot((Map) iVar.a("screenshotConfiguration"), dVar);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case 22:
                        InAppWebView inAppWebView14 = this.webView;
                        if (inAppWebView14 != null && (inAppWebView14.getInAppBrowserDelegate() instanceof InAppBrowserActivity)) {
                            InAppBrowserSettings inAppBrowserSettings = new InAppBrowserSettings();
                            HashMap<String, Object> hashMap = (HashMap) iVar.a("settings");
                            inAppBrowserSettings.parse2((Map<String, Object>) hashMap);
                            ((InAppBrowserActivity) this.webView.getInAppBrowserDelegate()).setSettings(inAppBrowserSettings, hashMap);
                        } else if (this.webView != null) {
                            InAppWebViewSettings inAppWebViewSettings = new InAppWebViewSettings();
                            HashMap<String, Object> hashMap2 = (HashMap) iVar.a("settings");
                            inAppWebViewSettings.parse2((Map<String, Object>) hashMap2);
                            this.webView.setSettings(inAppWebViewSettings, hashMap2);
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case 23:
                        InAppWebView inAppWebView15 = this.webView;
                        if (inAppWebView15 != null && (inAppWebView15.getInAppBrowserDelegate() instanceof InAppBrowserActivity)) {
                            valueOf = ((InAppBrowserActivity) this.webView.getInAppBrowserDelegate()).getCustomSettings();
                            dVar.success(valueOf);
                            return;
                        }
                        InAppWebView inAppWebView16 = this.webView;
                        if (inAppWebView16 != null) {
                            obj = inAppWebView16.getCustomSettings();
                        }
                        dVar.success(obj);
                        return;
                    case 24:
                        InAppWebView inAppWebView17 = this.webView;
                        if (inAppWebView17 != null && (inAppWebView17.getInAppBrowserDelegate() instanceof InAppBrowserActivity)) {
                            ((InAppBrowserActivity) this.webView.getInAppBrowserDelegate()).close(dVar);
                            return;
                        }
                        dVar.notImplemented();
                        return;
                    case 25:
                        InAppWebView inAppWebView18 = this.webView;
                        if (inAppWebView18 != null && (inAppWebView18.getInAppBrowserDelegate() instanceof InAppBrowserActivity)) {
                            ((InAppBrowserActivity) this.webView.getInAppBrowserDelegate()).show();
                            valueOf = Boolean.TRUE;
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.notImplemented();
                        return;
                    case 26:
                        InAppWebView inAppWebView19 = this.webView;
                        if (inAppWebView19 != null && (inAppWebView19.getInAppBrowserDelegate() instanceof InAppBrowserActivity)) {
                            ((InAppBrowserActivity) this.webView.getInAppBrowserDelegate()).hide();
                            valueOf = Boolean.TRUE;
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.notImplemented();
                        return;
                    case 27:
                        InAppWebView inAppWebView20 = this.webView;
                        if (inAppWebView20 != null && (inAppWebView20.getInAppBrowserDelegate() instanceof InAppBrowserActivity)) {
                            z2 = ((InAppBrowserActivity) this.webView.getInAppBrowserDelegate()).isHidden;
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.notImplemented();
                        return;
                    case 28:
                        InAppWebView inAppWebView21 = this.webView;
                        if (inAppWebView21 != null) {
                            obj = inAppWebView21.getCopyBackForwardList();
                        }
                        dVar.success(obj);
                        return;
                    case 29:
                        if (this.webView != null && t.a("START_SAFE_BROWSING")) {
                            s.r(this.webView.getContext(), new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.2
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(Boolean bool) {
                                    dVar.success(bool);
                                }
                            });
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_actionModeTheme /* 30 */:
                        InAppWebView inAppWebView22 = this.webView;
                        if (inAppWebView22 != null) {
                            inAppWebView22.clearAllCache();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_actionModeWebSearchDrawable /* 31 */:
                        InAppWebView inAppWebView23 = this.webView;
                        if (inAppWebView23 != null) {
                            inAppWebView23.clearSslPreferences();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_actionOverflowButtonStyle /* 32 */:
                        if (this.webView != null) {
                            this.webView.findAllAsync((String) iVar.a("find"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_actionOverflowMenuStyle /* 33 */:
                        if (this.webView != null) {
                            this.webView.findNext(((Boolean) iVar.a("forward")).booleanValue());
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_activityChooserViewStyle /* 34 */:
                        InAppWebView inAppWebView24 = this.webView;
                        if (inAppWebView24 != null) {
                            inAppWebView24.clearMatches();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_alertDialogButtonGroupStyle /* 35 */:
                        if (this.webView != null) {
                            this.webView.scrollTo((Integer) iVar.a("x"), (Integer) iVar.a("y"), (Boolean) iVar.a("animated"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_alertDialogCenterButtons /* 36 */:
                        if (this.webView != null) {
                            this.webView.scrollBy((Integer) iVar.a("x"), (Integer) iVar.a("y"), (Boolean) iVar.a("animated"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_alertDialogStyle /* 37 */:
                        InAppWebView inAppWebView25 = this.webView;
                        if (inAppWebView25 != null) {
                            inAppWebView25.onPause();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_alertDialogTheme /* 38 */:
                        InAppWebView inAppWebView26 = this.webView;
                        if (inAppWebView26 != null) {
                            inAppWebView26.onResume();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_autoCompleteTextViewStyle /* 39 */:
                        InAppWebView inAppWebView27 = this.webView;
                        if (inAppWebView27 != null) {
                            inAppWebView27.pauseTimers();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_borderlessButtonStyle /* 40 */:
                        InAppWebView inAppWebView28 = this.webView;
                        if (inAppWebView28 != null) {
                            inAppWebView28.resumeTimers();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_buttonBarButtonStyle /* 41 */:
                        if (this.webView != null) {
                            PrintJobSettings printJobSettings = new PrintJobSettings();
                            Map<String, Object> map = (Map) iVar.a("settings");
                            if (map != null) {
                                printJobSettings.parse2(map);
                            }
                            valueOf = this.webView.printCurrentPage(printJobSettings);
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_buttonBarNegativeButtonStyle /* 42 */:
                        InAppWebView inAppWebView29 = this.webView;
                        if (inAppWebView29 instanceof InAppWebView) {
                            contentHeight = inAppWebView29.getContentHeight();
                            valueOf = Integer.valueOf(contentHeight);
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_buttonBarNeutralButtonStyle /* 43 */:
                        InAppWebView inAppWebView30 = this.webView;
                        if (inAppWebView30 instanceof InAppWebView) {
                            inAppWebView30.getContentWidth(new ValueCallback<Integer>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.3
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(Integer num) {
                                    dVar.success(num);
                                }
                            });
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_buttonBarPositiveButtonStyle /* 44 */:
                        if (this.webView != null) {
                            this.webView.zoomBy((float) ((Double) iVar.a("zoomFactor")).doubleValue());
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_buttonBarStyle /* 45 */:
                        InAppWebView inAppWebView31 = this.webView;
                        if (inAppWebView31 != null) {
                            obj = inAppWebView31.getOriginalUrl();
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_buttonStyle /* 46 */:
                        InAppWebView inAppWebView32 = this.webView;
                        if (inAppWebView32 instanceof InAppWebView) {
                            valueOf = Float.valueOf(inAppWebView32.getZoomScale());
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_buttonStyleSmall /* 47 */:
                        InAppWebView inAppWebView33 = this.webView;
                        if (inAppWebView33 instanceof InAppWebView) {
                            inAppWebView33.getSelectedText(new ValueCallback<String>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.4
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(String str) {
                                    dVar.success(str);
                                }
                            });
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_checkboxStyle /* 48 */:
                        InAppWebView inAppWebView34 = this.webView;
                        if (inAppWebView34 instanceof InAppWebView) {
                            valueOf = HitTestResult.fromWebViewHitTestResult(inAppWebView34.getHitTestResult()).toMap();
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_checkedTextViewStyle /* 49 */:
                        if (this.webView != null) {
                            z2 = this.webView.pageDown(((Boolean) iVar.a("bottom")).booleanValue());
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_colorAccent /* 50 */:
                        if (this.webView != null) {
                            z2 = this.webView.pageUp(((Boolean) iVar.a("top")).booleanValue());
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_colorBackgroundFloating /* 51 */:
                        if (this.webView != null) {
                            this.webView.saveWebArchive((String) iVar.a("filePath"), ((Boolean) iVar.a("autoname")).booleanValue(), new ValueCallback<String>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.5
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(String str) {
                                    dVar.success(str);
                                }
                            });
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_colorButtonNormal /* 52 */:
                        InAppWebView inAppWebView35 = this.webView;
                        if (inAppWebView35 != null) {
                            z2 = inAppWebView35.zoomIn();
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_colorControlActivated /* 53 */:
                        InAppWebView inAppWebView36 = this.webView;
                        if (inAppWebView36 != null) {
                            z2 = inAppWebView36.zoomOut();
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_colorControlHighlight /* 54 */:
                        InAppWebView inAppWebView37 = this.webView;
                        if (inAppWebView37 != null) {
                            inAppWebView37.clearFocus();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_colorControlNormal /* 55 */:
                        if (this.webView != null) {
                            this.webView.setContextMenu((Map) iVar.a("contextMenu"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_colorError /* 56 */:
                        InAppWebView inAppWebView38 = this.webView;
                        if (inAppWebView38 != null) {
                            valueOf = inAppWebView38.requestFocusNodeHref();
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_colorPrimary /* 57 */:
                        InAppWebView inAppWebView39 = this.webView;
                        if (inAppWebView39 != null) {
                            valueOf = inAppWebView39.requestImageRef();
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_colorPrimaryDark /* 58 */:
                        InAppWebView inAppWebView40 = this.webView;
                        if (inAppWebView40 != null) {
                            contentHeight = inAppWebView40.getScrollX();
                            valueOf = Integer.valueOf(contentHeight);
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_colorSwitchThumbNormal /* 59 */:
                        InAppWebView inAppWebView41 = this.webView;
                        if (inAppWebView41 != null) {
                            contentHeight = inAppWebView41.getScrollY();
                            valueOf = Integer.valueOf(contentHeight);
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_controlBackground /* 60 */:
                        InAppWebView inAppWebView42 = this.webView;
                        if (inAppWebView42 != null) {
                            valueOf = SslCertificateExt.toMap(inAppWebView42.getCertificate());
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_dialogCornerRadius /* 61 */:
                        InAppWebView inAppWebView43 = this.webView;
                        if (inAppWebView43 != null) {
                            inAppWebView43.clearHistory();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_dialogPreferredPadding /* 62 */:
                        InAppWebView inAppWebView44 = this.webView;
                        if (inAppWebView44 != null && inAppWebView44.getUserContentController() != null) {
                            z2 = this.webView.getUserContentController().addUserOnlyScript(UserScript.fromMap((Map) iVar.a("userScript")));
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_dialogTheme /* 63 */:
                        InAppWebView inAppWebView45 = this.webView;
                        if (inAppWebView45 != null && inAppWebView45.getUserContentController() != null) {
                            z2 = this.webView.getUserContentController().removeUserOnlyScriptAt(((Integer) iVar.a("index")).intValue(), UserScript.fromMap((Map) iVar.a("userScript")).getInjectionTime());
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_dividerHorizontal /* 64 */:
                        InAppWebView inAppWebView46 = this.webView;
                        if (inAppWebView46 != null && inAppWebView46.getUserContentController() != null) {
                            this.webView.getUserContentController().removeUserOnlyScriptsByGroupName((String) iVar.a("groupName"));
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_dividerVertical /* 65 */:
                        InAppWebView inAppWebView47 = this.webView;
                        if (inAppWebView47 != null && inAppWebView47.getUserContentController() != null) {
                            this.webView.getUserContentController().removeAllUserOnlyScripts();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_dropDownListViewStyle /* 66 */:
                        if (this.webView != null) {
                            this.webView.callAsyncJavaScript((String) iVar.a("functionBody"), (Map) iVar.a("arguments"), ContentWorld.fromMap((Map) iVar.a("contentWorld")), new ValueCallback<String>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.6
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(String str) {
                                    dVar.success(str);
                                }
                            });
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_dropdownListPreferredItemHeight /* 67 */:
                        InAppWebView inAppWebView48 = this.webView;
                        if (inAppWebView48 != null) {
                            inAppWebView48.isSecureContext(new ValueCallback<Boolean>() { // from class: com.pichillilorenzo.flutter_inappwebview_android.webview.WebViewChannelDelegate.7
                                @Override // android.webkit.ValueCallback
                                public void onReceiveValue(Boolean bool) {
                                    dVar.success(bool);
                                }
                            });
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_editTextBackground /* 68 */:
                        InAppWebView inAppWebView49 = this.webView;
                        if (inAppWebView49 != null && (inAppWebView49 instanceof InAppWebView) && t.a("CREATE_WEB_MESSAGE_CHANNEL")) {
                            valueOf = this.webView.createCompatWebMessageChannel().toMap();
                            dVar.success(valueOf);
                            return;
                        }
                        dVar.success(obj);
                        return;
                    case R.styleable.AppCompatTheme_editTextColor /* 69 */:
                        if (this.webView != null && t.a("POST_WEB_MESSAGE")) {
                            WebMessageCompatExt fromMap = WebMessageCompatExt.fromMap((Map) iVar.a("message"));
                            String str = (String) iVar.a("targetOrigin");
                            ArrayList arrayList = new ArrayList();
                            List<WebMessagePortCompatExt> ports = fromMap.getPorts();
                            if (ports != null) {
                                for (WebMessagePortCompatExt webMessagePortCompatExt : ports) {
                                    WebMessageChannel webMessageChannel = this.webView.getWebMessageChannels().get(webMessagePortCompatExt.getWebMessageChannelId());
                                    if (webMessageChannel != null && (this.webView instanceof InAppWebView)) {
                                        arrayList.add(webMessageChannel.compatPorts.get(webMessagePortCompatExt.getIndex()));
                                    }
                                }
                            }
                            Object data = fromMap.getData();
                            if (this.webView instanceof InAppWebView) {
                                if (t.a("WEB_MESSAGE_ARRAY_BUFFER") && data != null && fromMap.getType() == 1) {
                                    inAppWebView = this.webView;
                                    mVar = new m((byte[]) data, (n[]) arrayList.toArray(new n[0]));
                                    parse = Uri.parse(str);
                                } else {
                                    inAppWebView = this.webView;
                                    mVar = new m(data != null ? data.toString() : null, (n[]) arrayList.toArray(new n[0]));
                                    parse = Uri.parse(str);
                                }
                                s.n(inAppWebView, mVar, parse);
                                dVar.success(Boolean.TRUE);
                                return;
                            }
                            return;
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_editTextStyle /* 70 */:
                        if (this.webView != null) {
                            InAppWebView inAppWebView50 = this.webView;
                            WebMessageListener fromMap2 = WebMessageListener.fromMap(inAppWebView50, inAppWebView50.getPlugin().messenger, (Map) iVar.a("webMessageListener"));
                            if ((this.webView instanceof InAppWebView) && t.a("WEB_MESSAGE_LISTENER")) {
                                this.webView.addWebMessageListener(fromMap2);
                                dVar.success(Boolean.TRUE);
                                return;
                            }
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_homeAsUpIndicator /* 71 */:
                        InAppWebView inAppWebView51 = this.webView;
                        if (inAppWebView51 != null) {
                            z2 = inAppWebView51.canScrollVertically();
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_imageButtonStyle /* 72 */:
                        InAppWebView inAppWebView52 = this.webView;
                        if (inAppWebView52 != null) {
                            z2 = inAppWebView52.canScrollHorizontally();
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_listChoiceBackgroundIndicator /* 73 */:
                        InAppWebView inAppWebView53 = this.webView;
                        if (inAppWebView53 != null) {
                            z2 = inAppWebView53.isInFullscreen();
                            valueOf = Boolean.valueOf(z2);
                            dVar.success(valueOf);
                            return;
                        }
                        valueOf = Boolean.FALSE;
                        dVar.success(valueOf);
                        return;
                    case R.styleable.AppCompatTheme_listChoiceIndicatorMultipleAnimated /* 74 */:
                        InAppWebView inAppWebView54 = this.webView;
                        if (inAppWebView54 != null) {
                            inAppWebView54.clearFormData();
                        }
                        valueOf = Boolean.TRUE;
                        dVar.success(valueOf);
                        return;
                    default:
                        return;
                }
            } catch (Exception e4) {
                dVar.error(LOG_TAG, e4.getMessage(), null);
            }
        } catch (IllegalArgumentException unused) {
            dVar.notImplemented();
        }
    }

    public void onOverScrolled(int i3, int i4, boolean z2, boolean z3) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("x", Integer.valueOf(i3));
        hashMap.put("y", Integer.valueOf(i4));
        hashMap.put("clampedX", Boolean.valueOf(z2));
        hashMap.put("clampedY", Boolean.valueOf(z3));
        channel.c("onOverScrolled", hashMap);
    }

    public void onPageCommitVisible(String str) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        channel.c("onPageCommitVisible", hashMap);
    }

    public void onPermissionRequest(String str, List<String> list, Object obj, PermissionRequestCallback permissionRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            permissionRequestCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("origin", str);
        hashMap.put("resources", list);
        hashMap.put("frame", obj);
        channel.d("onPermissionRequest", hashMap, permissionRequestCallback);
    }

    public void onPermissionRequestCanceled(String str, List<String> list) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("origin", str);
        hashMap.put("resources", list);
        channel.c("onPermissionRequestCanceled", hashMap);
    }

    public void onPrintRequest(String str, String str2, PrintRequestCallback printRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            printRequestCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("printJobId", str2);
        channel.d("onPrintRequest", hashMap, printRequestCallback);
    }

    public void onProgressChanged(int i3) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("progress", Integer.valueOf(i3));
        channel.c("onProgressChanged", hashMap);
    }

    public void onReceivedClientCertRequest(ClientCertChallenge clientCertChallenge, ReceivedClientCertRequestCallback receivedClientCertRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            receivedClientCertRequestCallback.defaultBehaviour(null);
        } else {
            channel.d("onReceivedClientCertRequest", clientCertChallenge.toMap(), receivedClientCertRequestCallback);
        }
    }

    public void onReceivedError(WebResourceRequestExt webResourceRequestExt, WebResourceErrorExt webResourceErrorExt) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("request", webResourceRequestExt.toMap());
        hashMap.put("error", webResourceErrorExt.toMap());
        channel.c("onReceivedError", hashMap);
    }

    public void onReceivedHttpAuthRequest(HttpAuthenticationChallenge httpAuthenticationChallenge, ReceivedHttpAuthRequestCallback receivedHttpAuthRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            receivedHttpAuthRequestCallback.defaultBehaviour(null);
        } else {
            channel.d("onReceivedHttpAuthRequest", httpAuthenticationChallenge.toMap(), receivedHttpAuthRequestCallback);
        }
    }

    public void onReceivedHttpError(WebResourceRequestExt webResourceRequestExt, WebResourceResponseExt webResourceResponseExt) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("request", webResourceRequestExt.toMap());
        hashMap.put("errorResponse", webResourceResponseExt.toMap());
        channel.c("onReceivedHttpError", hashMap);
    }

    public void onReceivedIcon(byte[] bArr) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("icon", bArr);
        channel.c("onReceivedIcon", hashMap);
    }

    public void onReceivedLoginRequest(String str, String str2, String str3) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_REALM, str);
        hashMap.put("account", str2);
        hashMap.put("args", str3);
        channel.c("onReceivedLoginRequest", hashMap);
    }

    public void onReceivedServerTrustAuthRequest(ServerTrustChallenge serverTrustChallenge, ReceivedServerTrustAuthRequestCallback receivedServerTrustAuthRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            receivedServerTrustAuthRequestCallback.defaultBehaviour(null);
        } else {
            channel.d("onReceivedServerTrustAuthRequest", serverTrustChallenge.toMap(), receivedServerTrustAuthRequestCallback);
        }
    }

    public void onReceivedTouchIconUrl(String str, boolean z2) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("precomposed", Boolean.valueOf(z2));
        channel.c("onReceivedTouchIconUrl", hashMap);
    }

    public void onRenderProcessGone(boolean z2, int i3) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("didCrash", Boolean.valueOf(z2));
        hashMap.put("rendererPriorityAtExit", Integer.valueOf(i3));
        channel.c("onRenderProcessGone", hashMap);
    }

    public void onRenderProcessResponsive(String str, RenderProcessResponsiveCallback renderProcessResponsiveCallback) {
        j channel = getChannel();
        if (channel == null) {
            renderProcessResponsiveCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        channel.d("onRenderProcessResponsive", hashMap, renderProcessResponsiveCallback);
    }

    public void onRenderProcessUnresponsive(String str, RenderProcessUnresponsiveCallback renderProcessUnresponsiveCallback) {
        j channel = getChannel();
        if (channel == null) {
            renderProcessUnresponsiveCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        channel.d("onRenderProcessUnresponsive", hashMap, renderProcessUnresponsiveCallback);
    }

    public void onRequestFocus() {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        channel.c("onRequestFocus", new HashMap());
    }

    public void onSafeBrowsingHit(String str, int i3, SafeBrowsingHitCallback safeBrowsingHitCallback) {
        j channel = getChannel();
        if (channel == null) {
            safeBrowsingHitCallback.defaultBehaviour(null);
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("threatType", Integer.valueOf(i3));
        channel.d("onSafeBrowsingHit", hashMap, safeBrowsingHitCallback);
    }

    public void onScrollChanged(int i3, int i4) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("x", Integer.valueOf(i3));
        hashMap.put("y", Integer.valueOf(i4));
        channel.c("onScrollChanged", hashMap);
    }

    public void onTitleChanged(String str) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("title", str);
        channel.c("onTitleChanged", hashMap);
    }

    public void onUpdateVisitedHistory(String str, boolean z2) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("url", str);
        hashMap.put("isReload", Boolean.valueOf(z2));
        channel.c("onUpdateVisitedHistory", hashMap);
    }

    public void onZoomScaleChanged(float f3, float f4) {
        j channel = getChannel();
        if (channel == null) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("oldScale", Float.valueOf(f3));
        hashMap.put("newScale", Float.valueOf(f4));
        channel.c("onZoomScaleChanged", hashMap);
    }

    public WebResourceResponseExt shouldInterceptRequest(WebResourceRequestExt webResourceRequestExt) {
        j channel = getChannel();
        if (channel == null) {
            return null;
        }
        return (WebResourceResponseExt) Util.invokeMethodAndWaitResult(channel, "shouldInterceptRequest", webResourceRequestExt.toMap(), new SyncShouldInterceptRequestCallback());
    }

    public void shouldInterceptRequest(WebResourceRequestExt webResourceRequestExt, ShouldInterceptRequestCallback shouldInterceptRequestCallback) {
        j channel = getChannel();
        if (channel == null) {
            shouldInterceptRequestCallback.defaultBehaviour(null);
        } else {
            channel.d("shouldInterceptRequest", webResourceRequestExt.toMap(), shouldInterceptRequestCallback);
        }
    }

    public void shouldOverrideUrlLoading(NavigationAction navigationAction, ShouldOverrideUrlLoadingCallback shouldOverrideUrlLoadingCallback) {
        j channel = getChannel();
        if (channel == null) {
            shouldOverrideUrlLoadingCallback.defaultBehaviour(null);
        } else {
            channel.d("shouldOverrideUrlLoading", navigationAction.toMap(), shouldOverrideUrlLoadingCallback);
        }
    }
}
