package io.flutter.embedding.android;

import android.content.Context;
import android.graphics.Matrix;
import android.os.Build;
import android.util.TypedValue;
import android.view.InputDevice;
import android.view.MotionEvent;
import android.view.ViewConfiguration;
import io.flutter.embedding.engine.renderer.FlutterRenderer;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class c {

    /* renamed from: f  reason: collision with root package name */
    private static final Matrix f3344f = new Matrix();

    /* renamed from: a  reason: collision with root package name */
    private final FlutterRenderer f3345a;

    /* renamed from: c  reason: collision with root package name */
    private final boolean f3347c;

    /* renamed from: e  reason: collision with root package name */
    private int f3349e;

    /* renamed from: d  reason: collision with root package name */
    private final Map<Integer, float[]> f3348d = new HashMap();

    /* renamed from: b  reason: collision with root package name */
    private final d0 f3346b = d0.a();

    public c(FlutterRenderer flutterRenderer, boolean z2) {
        this.f3345a = flutterRenderer;
        this.f3347c = z2;
    }

    private void a(MotionEvent motionEvent, int i3, int i4, int i5, Matrix matrix, ByteBuffer byteBuffer) {
        b(motionEvent, i3, i4, i5, matrix, byteBuffer, null);
    }

    private void b(MotionEvent motionEvent, int i3, int i4, int i5, Matrix matrix, ByteBuffer byteBuffer, Context context) {
        long j3;
        long j4;
        double d3;
        double d4;
        double d5;
        double d6;
        double d7;
        double d8;
        InputDevice.MotionRange motionRange;
        int i6 = -1;
        if (i4 == -1) {
            return;
        }
        int pointerId = motionEvent.getPointerId(i3);
        int f3 = f(motionEvent.getToolType(i3));
        float[] fArr = {motionEvent.getX(i3), motionEvent.getY(i3)};
        matrix.mapPoints(fArr);
        if (f3 == 1) {
            j3 = motionEvent.getButtonState() & 31;
            if (j3 == 0 && motionEvent.getSource() == 8194 && i4 == 4) {
                this.f3348d.put(Integer.valueOf(pointerId), fArr);
            }
        } else {
            j3 = f3 == 2 ? (motionEvent.getButtonState() >> 4) & 15 : 0L;
        }
        boolean containsKey = this.f3348d.containsKey(Integer.valueOf(pointerId));
        if (containsKey) {
            int e3 = e(i4);
            if (e3 == -1) {
                return;
            }
            i6 = e3;
        }
        long d9 = this.f3347c ? this.f3346b.c(motionEvent).d() : 0L;
        int i7 = motionEvent.getActionMasked() == 8 ? 1 : 0;
        int i8 = i6;
        byteBuffer.putLong(d9);
        byteBuffer.putLong(motionEvent.getEventTime() * 1000);
        if (containsKey) {
            byteBuffer.putLong(i8);
            j4 = 4;
        } else {
            byteBuffer.putLong(i4);
            j4 = f3;
        }
        byteBuffer.putLong(j4);
        byteBuffer.putLong(i7);
        byteBuffer.putLong(pointerId);
        byteBuffer.putLong(0L);
        if (containsKey) {
            float[] fArr2 = this.f3348d.get(Integer.valueOf(pointerId));
            byteBuffer.putDouble(fArr2[0]);
            d3 = fArr2[1];
        } else {
            byteBuffer.putDouble(fArr[0]);
            d3 = fArr[1];
        }
        byteBuffer.putDouble(d3);
        byteBuffer.putDouble(0.0d);
        byteBuffer.putDouble(0.0d);
        byteBuffer.putLong(j3);
        byteBuffer.putLong(0L);
        byteBuffer.putLong(0L);
        byteBuffer.putDouble(motionEvent.getPressure(i3));
        if (motionEvent.getDevice() == null || (motionRange = motionEvent.getDevice().getMotionRange(2)) == null) {
            d4 = 1.0d;
            d5 = 0.0d;
        } else {
            d5 = motionRange.getMin();
            d4 = motionRange.getMax();
        }
        byteBuffer.putDouble(d5);
        byteBuffer.putDouble(d4);
        if (f3 == 2) {
            byteBuffer.putDouble(motionEvent.getAxisValue(24, i3));
            d6 = 0.0d;
        } else {
            d6 = 0.0d;
            byteBuffer.putDouble(0.0d);
        }
        byteBuffer.putDouble(d6);
        byteBuffer.putDouble(motionEvent.getSize(i3));
        byteBuffer.putDouble(motionEvent.getToolMajor(i3));
        byteBuffer.putDouble(motionEvent.getToolMinor(i3));
        byteBuffer.putDouble(d6);
        byteBuffer.putDouble(d6);
        byteBuffer.putDouble(motionEvent.getAxisValue(8, i3));
        if (f3 == 2) {
            byteBuffer.putDouble(motionEvent.getAxisValue(25, i3));
        } else {
            byteBuffer.putDouble(d6);
        }
        byteBuffer.putLong(i5);
        if (i7 == 1) {
            double d10 = 48.0d;
            if (context != null) {
                d10 = c(context);
                d8 = g(context);
            } else {
                d8 = 48.0d;
            }
            byteBuffer.putDouble(d10 * (-motionEvent.getAxisValue(10, i3)));
            byteBuffer.putDouble(d8 * (-motionEvent.getAxisValue(9, i3)));
        } else {
            byteBuffer.putDouble(0.0d);
            byteBuffer.putDouble(0.0d);
        }
        if (containsKey) {
            float[] fArr3 = this.f3348d.get(Integer.valueOf(pointerId));
            byteBuffer.putDouble(fArr[0] - fArr3[0]);
            byteBuffer.putDouble(fArr[1] - fArr3[1]);
            d7 = 0.0d;
        } else {
            d7 = 0.0d;
            byteBuffer.putDouble(0.0d);
            byteBuffer.putDouble(0.0d);
        }
        byteBuffer.putDouble(d7);
        byteBuffer.putDouble(d7);
        byteBuffer.putDouble(1.0d);
        byteBuffer.putDouble(d7);
        byteBuffer.putLong(0L);
        if (containsKey && i8 == 9) {
            this.f3348d.remove(Integer.valueOf(pointerId));
        }
    }

    private float c(Context context) {
        float scaledHorizontalScrollFactor;
        if (Build.VERSION.SDK_INT >= 26) {
            scaledHorizontalScrollFactor = ViewConfiguration.get(context).getScaledHorizontalScrollFactor();
            return scaledHorizontalScrollFactor;
        }
        return i(context);
    }

    private int d(int i3) {
        if (i3 == 0) {
            return 4;
        }
        if (i3 == 1) {
            return 6;
        }
        if (i3 == 5) {
            return 4;
        }
        if (i3 == 6) {
            return 6;
        }
        if (i3 == 2) {
            return 5;
        }
        if (i3 == 7) {
            return 3;
        }
        if (i3 == 3) {
            return 0;
        }
        return i3 == 8 ? 3 : -1;
    }

    private int e(int i3) {
        if (i3 == 4) {
            return 7;
        }
        if (i3 == 5) {
            return 8;
        }
        return (i3 == 6 || i3 == 0) ? 9 : -1;
    }

    private int f(int i3) {
        if (i3 != 1) {
            if (i3 != 2) {
                if (i3 != 3) {
                    return i3 != 4 ? 5 : 3;
                }
                return 1;
            }
            return 2;
        }
        return 0;
    }

    private float g(Context context) {
        return Build.VERSION.SDK_INT >= 26 ? h(context) : i(context);
    }

    private float h(Context context) {
        float scaledVerticalScrollFactor;
        scaledVerticalScrollFactor = ViewConfiguration.get(context).getScaledVerticalScrollFactor();
        return scaledVerticalScrollFactor;
    }

    private int i(Context context) {
        if (this.f3349e == 0) {
            TypedValue typedValue = new TypedValue();
            if (!context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                return 48;
            }
            this.f3349e = (int) typedValue.getDimension(context.getResources().getDisplayMetrics());
        }
        return this.f3349e;
    }

    public boolean j(MotionEvent motionEvent, Context context) {
        boolean isFromSource = motionEvent.isFromSource(2);
        boolean z2 = motionEvent.getActionMasked() == 7 || motionEvent.getActionMasked() == 8;
        if (isFromSource && z2) {
            int d3 = d(motionEvent.getActionMasked());
            ByteBuffer allocateDirect = ByteBuffer.allocateDirect(motionEvent.getPointerCount() * 36 * 8);
            allocateDirect.order(ByteOrder.LITTLE_ENDIAN);
            b(motionEvent, motionEvent.getActionIndex(), d3, 0, f3344f, allocateDirect, context);
            if (allocateDirect.position() % 288 == 0) {
                this.f3345a.m(allocateDirect, allocateDirect.position());
                return true;
            }
            throw new AssertionError("Packet position is not on field boundary.");
        }
        return false;
    }

    public boolean k(MotionEvent motionEvent) {
        return l(motionEvent, f3344f);
    }

    /* JADX WARN: Removed duplicated region for block: B:30:0x0077  */
    /* JADX WARN: Removed duplicated region for block: B:32:0x0081  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean l(MotionEvent motionEvent, Matrix matrix) {
        int pointerCount = motionEvent.getPointerCount();
        ByteBuffer allocateDirect = ByteBuffer.allocateDirect(pointerCount * 36 * 8);
        allocateDirect.order(ByteOrder.LITTLE_ENDIAN);
        int actionMasked = motionEvent.getActionMasked();
        int d3 = d(motionEvent.getActionMasked());
        boolean z2 = actionMasked == 0 || actionMasked == 5;
        boolean z3 = !z2 && (actionMasked == 1 || actionMasked == 6);
        if (!z2) {
            int i3 = 0;
            if (!z3) {
                while (i3 < pointerCount) {
                    a(motionEvent, i3, d3, 0, matrix, allocateDirect);
                    i3++;
                }
                if (allocateDirect.position() % 288 != 0) {
                    this.f3345a.m(allocateDirect, allocateDirect.position());
                    return true;
                }
                throw new AssertionError("Packet position is not on field boundary");
            }
            while (i3 < pointerCount) {
                if (i3 != motionEvent.getActionIndex() && motionEvent.getToolType(i3) == 1) {
                    a(motionEvent, i3, 5, 1, matrix, allocateDirect);
                }
                i3++;
            }
        }
        a(motionEvent, motionEvent.getActionIndex(), d3, 0, matrix, allocateDirect);
        if (allocateDirect.position() % 288 != 0) {
        }
    }
}
