package io.flutter.embedding.android;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.graphics.drawable.ColorDrawable;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.window.BackEvent;
import android.window.OnBackAnimationCallback;
import android.window.OnBackInvokedCallback;
import androidx.lifecycle.k;
import io.flutter.embedding.android.g;
import java.util.List;
/* loaded from: classes.dex */
public class f extends Activity implements g.c, androidx.lifecycle.o {

    /* renamed from: i  reason: collision with root package name */
    public static final int f3371i = View.generateViewId();

    /* renamed from: e  reason: collision with root package name */
    private boolean f3372e = false;

    /* renamed from: f  reason: collision with root package name */
    protected g f3373f;

    /* renamed from: g  reason: collision with root package name */
    private androidx.lifecycle.p f3374g;

    /* renamed from: h  reason: collision with root package name */
    private final OnBackInvokedCallback f3375h;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements OnBackAnimationCallback {
        a() {
        }

        public void onBackCancelled() {
            f.this.B();
        }

        public void onBackInvoked() {
            f.this.C();
        }

        public void onBackProgressed(BackEvent backEvent) {
            f.this.R(backEvent);
        }

        public void onBackStarted(BackEvent backEvent) {
            f.this.N(backEvent);
        }
    }

    public f() {
        this.f3375h = Build.VERSION.SDK_INT < 33 ? null : G();
        this.f3374g = new androidx.lifecycle.p(this);
    }

    private void D() {
        Window window = getWindow();
        window.addFlags(Integer.MIN_VALUE);
        window.setStatusBarColor(1073741824);
        window.getDecorView().setSystemUiVisibility(1280);
    }

    private void E() {
        if (H() == h.transparent) {
            getWindow().setBackgroundDrawable(new ColorDrawable(0));
        }
    }

    private View F() {
        return this.f3373f.u(null, null, null, f3371i, v() == e0.surface);
    }

    private OnBackInvokedCallback G() {
        return Build.VERSION.SDK_INT >= 34 ? new a() : new OnBackInvokedCallback() { // from class: io.flutter.embedding.android.e
            public final void onBackInvoked() {
                f.this.onBackPressed();
            }
        };
    }

    private boolean K() {
        return (getApplicationInfo().flags & 2) != 0;
    }

    private boolean O(String str) {
        StringBuilder sb;
        String str2;
        g gVar = this.f3373f;
        if (gVar == null) {
            sb = new StringBuilder();
            sb.append("FlutterActivity ");
            sb.append(hashCode());
            sb.append(" ");
            sb.append(str);
            str2 = " called after release.";
        } else if (gVar.o()) {
            return true;
        } else {
            sb = new StringBuilder();
            sb.append("FlutterActivity ");
            sb.append(hashCode());
            sb.append(" ");
            sb.append(str);
            str2 = " called after detach.";
        }
        sb.append(str2);
        d1.b.g("FlutterActivity", sb.toString());
        return false;
    }

    private void P() {
        try {
            Bundle J = J();
            if (J != null) {
                int i3 = J.getInt("io.flutter.embedding.android.NormalTheme", -1);
                if (i3 != -1) {
                    setTheme(i3);
                }
            } else {
                d1.b.f("FlutterActivity", "Using the launch theme as normal theme.");
            }
        } catch (PackageManager.NameNotFoundException unused) {
            d1.b.b("FlutterActivity", "Could not read meta-data for FlutterActivity. Using the launch theme as normal theme.");
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public void A(io.flutter.embedding.engine.a aVar) {
        if (this.f3373f.p()) {
            return;
        }
        o1.a.a(aVar);
    }

    public void B() {
        if (O("cancelBackGesture")) {
            this.f3373f.h();
        }
    }

    public void C() {
        if (O("commitBackGesture")) {
            this.f3373f.i();
        }
    }

    protected h H() {
        return getIntent().hasExtra("background_mode") ? h.valueOf(getIntent().getStringExtra("background_mode")) : h.opaque;
    }

    protected io.flutter.embedding.engine.a I() {
        return this.f3373f.n();
    }

    protected Bundle J() {
        return getPackageManager().getActivityInfo(getComponentName(), 128).metaData;
    }

    public void L() {
        if (Build.VERSION.SDK_INT >= 33) {
            getOnBackInvokedDispatcher().registerOnBackInvokedCallback(0, this.f3375h);
            this.f3372e = true;
        }
    }

    public void M() {
        Q();
        g gVar = this.f3373f;
        if (gVar != null) {
            gVar.J();
            this.f3373f = null;
        }
    }

    public void N(BackEvent backEvent) {
        if (O("startBackGesture")) {
            this.f3373f.L(backEvent);
        }
    }

    public void Q() {
        if (Build.VERSION.SDK_INT >= 33) {
            getOnBackInvokedDispatcher().unregisterOnBackInvokedCallback(this.f3375h);
            this.f3372e = false;
        }
    }

    public void R(BackEvent backEvent) {
        if (O("updateBackGestureProgress")) {
            this.f3373f.M(backEvent);
        }
    }

    @Override // io.flutter.plugin.platform.g.d
    public boolean a() {
        return false;
    }

    @Override // io.flutter.embedding.android.g.c
    public void b() {
    }

    @Override // io.flutter.embedding.android.g.c
    public void c() {
        d1.b.g("FlutterActivity", "FlutterActivity " + this + " connection to the engine " + I() + " evicted by another attaching activity");
        g gVar = this.f3373f;
        if (gVar != null) {
            gVar.v();
            this.f3373f.w();
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public void d() {
        if (Build.VERSION.SDK_INT >= 29) {
            reportFullyDrawn();
        }
    }

    @Override // io.flutter.plugin.platform.g.d
    public void e(boolean z2) {
        if (z2 && !this.f3372e) {
            L();
        } else if (z2 || !this.f3372e) {
        } else {
            Q();
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public String f() {
        return getIntent().getStringExtra("cached_engine_group_id");
    }

    @Override // io.flutter.embedding.android.g.c
    public String g() {
        if (getIntent().hasExtra("route")) {
            return getIntent().getStringExtra("route");
        }
        try {
            Bundle J = J();
            if (J != null) {
                return J.getString("io.flutter.InitialRoute");
            }
            return null;
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public Activity getActivity() {
        return this;
    }

    @Override // io.flutter.embedding.android.g.c
    public Context getContext() {
        return this;
    }

    @Override // io.flutter.embedding.android.g.c, androidx.lifecycle.o
    public androidx.lifecycle.k getLifecycle() {
        return this.f3374g;
    }

    @Override // io.flutter.embedding.android.g.c
    public List<String> h() {
        return (List) getIntent().getSerializableExtra("dart_entrypoint_args");
    }

    @Override // io.flutter.embedding.android.g.c
    public boolean i() {
        return true;
    }

    @Override // io.flutter.embedding.android.g.c
    public boolean j() {
        boolean booleanExtra = getIntent().getBooleanExtra("destroy_engine_with_activity", false);
        return (l() != null || this.f3373f.p()) ? booleanExtra : getIntent().getBooleanExtra("destroy_engine_with_activity", true);
    }

    @Override // io.flutter.embedding.android.g.c
    public boolean k() {
        return true;
    }

    @Override // io.flutter.embedding.android.g.c
    public String l() {
        return getIntent().getStringExtra("cached_engine_id");
    }

    @Override // io.flutter.embedding.android.g.c
    public boolean m() {
        return getIntent().hasExtra("enable_state_restoration") ? getIntent().getBooleanExtra("enable_state_restoration", false) : l() == null;
    }

    @Override // io.flutter.embedding.android.g.c
    public String n() {
        if (getIntent().hasExtra("dart_entrypoint")) {
            return getIntent().getStringExtra("dart_entrypoint");
        }
        try {
            Bundle J = J();
            String string = J != null ? J.getString("io.flutter.Entrypoint") : null;
            return string != null ? string : "main";
        } catch (PackageManager.NameNotFoundException unused) {
            return "main";
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public void o(io.flutter.embedding.engine.a aVar) {
    }

    @Override // android.app.Activity
    protected void onActivityResult(int i3, int i4, Intent intent) {
        if (O("onActivityResult")) {
            this.f3373f.r(i3, i4, intent);
        }
    }

    @Override // android.app.Activity
    public void onBackPressed() {
        if (O("onBackPressed")) {
            this.f3373f.t();
        }
    }

    @Override // android.app.Activity
    protected void onCreate(Bundle bundle) {
        P();
        super.onCreate(bundle);
        g gVar = new g(this);
        this.f3373f = gVar;
        gVar.s(this);
        this.f3373f.B(bundle);
        this.f3374g.h(k.a.ON_CREATE);
        E();
        setContentView(F());
        D();
    }

    @Override // android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        if (O("onDestroy")) {
            this.f3373f.v();
            this.f3373f.w();
        }
        M();
        this.f3374g.h(k.a.ON_DESTROY);
    }

    @Override // android.app.Activity
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        if (O("onNewIntent")) {
            this.f3373f.x(intent);
        }
    }

    @Override // android.app.Activity
    protected void onPause() {
        super.onPause();
        if (O("onPause")) {
            this.f3373f.y();
        }
        this.f3374g.h(k.a.ON_PAUSE);
    }

    @Override // android.app.Activity
    public void onPostResume() {
        super.onPostResume();
        if (O("onPostResume")) {
            this.f3373f.z();
        }
    }

    @Override // android.app.Activity
    public void onRequestPermissionsResult(int i3, String[] strArr, int[] iArr) {
        if (O("onRequestPermissionsResult")) {
            this.f3373f.A(i3, strArr, iArr);
        }
    }

    @Override // android.app.Activity
    protected void onResume() {
        super.onResume();
        this.f3374g.h(k.a.ON_RESUME);
        if (O("onResume")) {
            this.f3373f.C();
        }
    }

    @Override // android.app.Activity
    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        if (O("onSaveInstanceState")) {
            this.f3373f.D(bundle);
        }
    }

    @Override // android.app.Activity
    protected void onStart() {
        super.onStart();
        this.f3374g.h(k.a.ON_START);
        if (O("onStart")) {
            this.f3373f.E();
        }
    }

    @Override // android.app.Activity
    protected void onStop() {
        super.onStop();
        if (O("onStop")) {
            this.f3373f.F();
        }
        this.f3374g.h(k.a.ON_STOP);
    }

    @Override // android.app.Activity, android.content.ComponentCallbacks2
    public void onTrimMemory(int i3) {
        super.onTrimMemory(i3);
        if (O("onTrimMemory")) {
            this.f3373f.G(i3);
        }
    }

    @Override // android.app.Activity
    public void onUserLeaveHint() {
        if (O("onUserLeaveHint")) {
            this.f3373f.H();
        }
    }

    @Override // android.app.Activity, android.view.Window.Callback
    public void onWindowFocusChanged(boolean z2) {
        super.onWindowFocusChanged(z2);
        if (O("onWindowFocusChanged")) {
            this.f3373f.I(z2);
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public String p() {
        try {
            Bundle J = J();
            if (J != null) {
                return J.getString("io.flutter.EntrypointUri");
            }
            return null;
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public io.flutter.plugin.platform.g q(Activity activity, io.flutter.embedding.engine.a aVar) {
        return new io.flutter.plugin.platform.g(getActivity(), aVar.p(), this);
    }

    @Override // io.flutter.embedding.android.g.c
    public void r(m mVar) {
    }

    @Override // io.flutter.embedding.android.g.c
    public String s() {
        String dataString;
        if (K() && "android.intent.action.RUN".equals(getIntent().getAction()) && (dataString = getIntent().getDataString()) != null) {
            return dataString;
        }
        return null;
    }

    @Override // io.flutter.embedding.android.g.c
    public boolean t() {
        try {
            Bundle J = J();
            if (J != null) {
                return J.getBoolean("flutter_deeplinking_enabled");
            }
            return false;
        } catch (PackageManager.NameNotFoundException unused) {
            return false;
        }
    }

    @Override // io.flutter.embedding.android.g.c
    public io.flutter.embedding.engine.g u() {
        return io.flutter.embedding.engine.g.a(getIntent());
    }

    @Override // io.flutter.embedding.android.g.c
    public e0 v() {
        return H() == h.opaque ? e0.surface : e0.texture;
    }

    @Override // io.flutter.embedding.android.g.c
    public boolean w() {
        return true;
    }

    @Override // io.flutter.embedding.android.g.c
    public io.flutter.embedding.engine.a x(Context context) {
        return null;
    }

    @Override // io.flutter.embedding.android.g.c
    public f0 y() {
        return H() == h.opaque ? f0.opaque : f0.transparent;
    }

    @Override // io.flutter.embedding.android.g.c
    public void z(n nVar) {
    }
}
