package io.flutter.embedding.android;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorSpace;
import android.graphics.Paint;
import android.hardware.HardwareBuffer;
import android.media.Image;
import android.media.ImageReader;
import android.os.Build;
import android.view.Surface;
import android.view.View;
import io.flutter.embedding.engine.renderer.FlutterRenderer;
import java.nio.ByteBuffer;
import java.util.Locale;
/* loaded from: classes.dex */
public class l extends View implements io.flutter.embedding.engine.renderer.e {

    /* renamed from: e  reason: collision with root package name */
    private ImageReader f3399e;

    /* renamed from: f  reason: collision with root package name */
    private Image f3400f;

    /* renamed from: g  reason: collision with root package name */
    private Bitmap f3401g;

    /* renamed from: h  reason: collision with root package name */
    private FlutterRenderer f3402h;

    /* renamed from: i  reason: collision with root package name */
    private b f3403i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f3404j;

    /* loaded from: classes.dex */
    static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f3405a;

        static {
            int[] iArr = new int[b.values().length];
            f3405a = iArr;
            try {
                iArr[b.background.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f3405a[b.overlay.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }

    /* loaded from: classes.dex */
    public enum b {
        background,
        overlay
    }

    public l(Context context, int i3, int i4, b bVar) {
        this(context, h(i3, i4), bVar);
    }

    l(Context context, ImageReader imageReader, b bVar) {
        super(context, null);
        this.f3404j = false;
        this.f3399e = imageReader;
        this.f3403i = bVar;
        i();
    }

    private void f() {
        Image image = this.f3400f;
        if (image != null) {
            image.close();
            this.f3400f = null;
        }
    }

    private static ImageReader h(int i3, int i4) {
        int i5;
        int i6;
        ImageReader newInstance;
        if (i3 <= 0) {
            j("ImageReader width must be greater than 0, but given width=%d, set width=1", Integer.valueOf(i3));
            i5 = 1;
        } else {
            i5 = i3;
        }
        if (i4 <= 0) {
            j("ImageReader height must be greater than 0, but given height=%d, set height=1", Integer.valueOf(i4));
            i6 = 1;
        } else {
            i6 = i4;
        }
        if (Build.VERSION.SDK_INT >= 29) {
            newInstance = ImageReader.newInstance(i5, i6, 1, 3, 768L);
            return newInstance;
        }
        return ImageReader.newInstance(i5, i6, 1, 3);
    }

    private void i() {
        setAlpha(0.0f);
    }

    private static void j(String str, Object... objArr) {
        d1.b.g("FlutterImageView", String.format(Locale.US, str, objArr));
    }

    private void l() {
        HardwareBuffer hardwareBuffer;
        Bitmap wrapHardwareBuffer;
        if (Build.VERSION.SDK_INT >= 29) {
            hardwareBuffer = this.f3400f.getHardwareBuffer();
            wrapHardwareBuffer = Bitmap.wrapHardwareBuffer(hardwareBuffer, ColorSpace.get(ColorSpace.Named.SRGB));
            this.f3401g = wrapHardwareBuffer;
            hardwareBuffer.close();
            return;
        }
        Image.Plane[] planes = this.f3400f.getPlanes();
        if (planes.length != 1) {
            return;
        }
        Image.Plane plane = planes[0];
        int rowStride = plane.getRowStride() / plane.getPixelStride();
        int height = this.f3400f.getHeight();
        Bitmap bitmap = this.f3401g;
        if (bitmap == null || bitmap.getWidth() != rowStride || this.f3401g.getHeight() != height) {
            this.f3401g = Bitmap.createBitmap(rowStride, height, Bitmap.Config.ARGB_8888);
        }
        ByteBuffer buffer = plane.getBuffer();
        buffer.rewind();
        this.f3401g.copyPixelsFromBuffer(buffer);
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void a() {
        if (this.f3404j) {
            setAlpha(0.0f);
            e();
            this.f3401g = null;
            f();
            invalidate();
            this.f3404j = false;
        }
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void b() {
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void c(FlutterRenderer flutterRenderer) {
        if (a.f3405a[this.f3403i.ordinal()] == 1) {
            flutterRenderer.C(this.f3399e.getSurface());
        }
        setAlpha(1.0f);
        this.f3402h = flutterRenderer;
        this.f3404j = true;
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void d() {
    }

    public boolean e() {
        if (this.f3404j) {
            Image acquireLatestImage = this.f3399e.acquireLatestImage();
            if (acquireLatestImage != null) {
                f();
                this.f3400f = acquireLatestImage;
                invalidate();
            }
            return acquireLatestImage != null;
        }
        return false;
    }

    public void g() {
        this.f3399e.close();
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public FlutterRenderer getAttachedRenderer() {
        return this.f3402h;
    }

    public ImageReader getImageReader() {
        return this.f3399e;
    }

    public Surface getSurface() {
        return this.f3399e.getSurface();
    }

    public void k(int i3, int i4) {
        if (this.f3402h == null) {
            return;
        }
        if (i3 == this.f3399e.getWidth() && i4 == this.f3399e.getHeight()) {
            return;
        }
        f();
        g();
        this.f3399e = h(i3, i4);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.f3400f != null) {
            l();
        }
        Bitmap bitmap = this.f3401g;
        if (bitmap != null) {
            canvas.drawBitmap(bitmap, 0.0f, 0.0f, (Paint) null);
        }
    }

    @Override // android.view.View
    protected void onSizeChanged(int i3, int i4, int i5, int i6) {
        if (!(i3 == this.f3399e.getWidth() && i4 == this.f3399e.getHeight()) && this.f3403i == b.background && this.f3404j) {
            k(i3, i4);
            this.f3402h.C(this.f3399e.getSurface());
        }
    }
}
