package io.flutter.embedding.android;

import android.content.Context;
import android.graphics.SurfaceTexture;
import android.util.AttributeSet;
import android.view.Surface;
import android.view.TextureView;
import io.flutter.embedding.engine.renderer.FlutterRenderer;
/* loaded from: classes.dex */
public class n extends TextureView implements io.flutter.embedding.engine.renderer.e {

    /* renamed from: e  reason: collision with root package name */
    private boolean f3417e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f3418f;

    /* renamed from: g  reason: collision with root package name */
    private FlutterRenderer f3419g;

    /* renamed from: h  reason: collision with root package name */
    private Surface f3420h;

    /* renamed from: i  reason: collision with root package name */
    private final TextureView.SurfaceTextureListener f3421i;

    /* loaded from: classes.dex */
    class a implements TextureView.SurfaceTextureListener {
        a() {
        }

        @Override // android.view.TextureView.SurfaceTextureListener
        public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i3, int i4) {
            d1.b.f("FlutterTextureView", "SurfaceTextureListener.onSurfaceTextureAvailable()");
            n.this.f3417e = true;
            if (n.this.q()) {
                n.this.m();
            }
        }

        @Override // android.view.TextureView.SurfaceTextureListener
        public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
            d1.b.f("FlutterTextureView", "SurfaceTextureListener.onSurfaceTextureDestroyed()");
            n.this.f3417e = false;
            if (n.this.q()) {
                n.this.n();
            }
            if (n.this.f3420h != null) {
                n.this.f3420h.release();
                n.this.f3420h = null;
                return true;
            }
            return true;
        }

        @Override // android.view.TextureView.SurfaceTextureListener
        public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i3, int i4) {
            d1.b.f("FlutterTextureView", "SurfaceTextureListener.onSurfaceTextureSizeChanged()");
            if (n.this.q()) {
                n.this.l(i3, i4);
            }
        }

        @Override // android.view.TextureView.SurfaceTextureListener
        public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
        }
    }

    public n(Context context) {
        this(context, null);
    }

    public n(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f3417e = false;
        this.f3418f = false;
        this.f3421i = new a();
        o();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void l(int i3, int i4) {
        if (this.f3419g == null) {
            throw new IllegalStateException("changeSurfaceSize() should only be called when flutterRenderer is non-null.");
        }
        d1.b.f("FlutterTextureView", "Notifying FlutterRenderer that Android surface size has changed to " + i3 + " x " + i4);
        this.f3419g.B(i3, i4);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void m() {
        if (this.f3419g == null || getSurfaceTexture() == null) {
            throw new IllegalStateException("connectSurfaceToRenderer() should only be called when flutterRenderer and getSurfaceTexture() are non-null.");
        }
        Surface surface = this.f3420h;
        if (surface != null) {
            surface.release();
            this.f3420h = null;
        }
        Surface surface2 = new Surface(getSurfaceTexture());
        this.f3420h = surface2;
        this.f3419g.z(surface2, this.f3418f);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void n() {
        FlutterRenderer flutterRenderer = this.f3419g;
        if (flutterRenderer == null) {
            throw new IllegalStateException("disconnectSurfaceFromRenderer() should only be called when flutterRenderer is non-null.");
        }
        flutterRenderer.A();
        Surface surface = this.f3420h;
        if (surface != null) {
            surface.release();
            this.f3420h = null;
        }
    }

    private void o() {
        setSurfaceTextureListener(this.f3421i);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean q() {
        return (this.f3419g == null || this.f3418f) ? false : true;
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void a() {
        if (this.f3419g == null) {
            d1.b.g("FlutterTextureView", "detachFromRenderer() invoked when no FlutterRenderer was attached.");
            return;
        }
        if (getWindowToken() != null) {
            d1.b.f("FlutterTextureView", "Disconnecting FlutterRenderer from Android surface.");
            n();
        }
        this.f3419g = null;
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void b() {
        if (this.f3419g == null) {
            d1.b.g("FlutterTextureView", "resume() invoked when no FlutterRenderer was attached.");
            return;
        }
        if (p()) {
            d1.b.f("FlutterTextureView", "Surface is available for rendering. Connecting FlutterRenderer to Android surface.");
            m();
        }
        this.f3418f = false;
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void c(FlutterRenderer flutterRenderer) {
        d1.b.f("FlutterTextureView", "Attaching to FlutterRenderer.");
        if (this.f3419g != null) {
            d1.b.f("FlutterTextureView", "Already connected to a FlutterRenderer. Detaching from old one and attaching to new one.");
            this.f3419g.A();
        }
        this.f3419g = flutterRenderer;
        b();
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public void d() {
        if (this.f3419g == null) {
            d1.b.g("FlutterTextureView", "pause() invoked when no FlutterRenderer was attached.");
        } else {
            this.f3418f = true;
        }
    }

    @Override // io.flutter.embedding.engine.renderer.e
    public FlutterRenderer getAttachedRenderer() {
        return this.f3419g;
    }

    boolean p() {
        return this.f3417e;
    }

    public void setRenderSurface(Surface surface) {
        this.f3420h = surface;
    }
}
