package io.flutter.plugin.platform;

import android.media.Image;
import android.media.ImageReader;
import android.os.Build;
import android.os.Handler;
import android.view.Surface;
import io.flutter.view.TextureRegistry;
/* loaded from: classes.dex */
public class b implements o {

    /* renamed from: a  reason: collision with root package name */
    private TextureRegistry.ImageTextureEntry f3707a;

    /* renamed from: b  reason: collision with root package name */
    private ImageReader f3708b;

    /* renamed from: c  reason: collision with root package name */
    private int f3709c = 0;

    /* renamed from: d  reason: collision with root package name */
    private int f3710d = 0;

    /* renamed from: e  reason: collision with root package name */
    private final Handler f3711e = new Handler();

    /* renamed from: f  reason: collision with root package name */
    private final ImageReader.OnImageAvailableListener f3712f = new a();

    /* loaded from: classes.dex */
    class a implements ImageReader.OnImageAvailableListener {
        a() {
        }

        @Override // android.media.ImageReader.OnImageAvailableListener
        public void onImageAvailable(ImageReader imageReader) {
            Image image;
            try {
                image = imageReader.acquireLatestImage();
            } catch (IllegalStateException e3) {
                d1.b.b("ImageReaderPlatformViewRenderTarget", "onImageAvailable acquireLatestImage failed: " + e3.toString());
                image = null;
            }
            if (image == null) {
                return;
            }
            b.this.f3707a.pushImage(image);
        }
    }

    public b(TextureRegistry.ImageTextureEntry imageTextureEntry) {
        if (Build.VERSION.SDK_INT < 29) {
            throw new UnsupportedOperationException("ImageReaderPlatformViewRenderTarget requires API version 29+");
        }
        this.f3707a = imageTextureEntry;
    }

    private void c() {
        if (this.f3708b != null) {
            this.f3707a.pushImage(null);
            this.f3708b.close();
            this.f3708b = null;
        }
    }

    @Override // io.flutter.plugin.platform.o
    public void a(int i3, int i4) {
        if (this.f3708b != null && this.f3709c == i3 && this.f3710d == i4) {
            return;
        }
        c();
        this.f3709c = i3;
        this.f3710d = i4;
        this.f3708b = d();
    }

    protected ImageReader d() {
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 33) {
            return f();
        }
        if (i3 >= 29) {
            return e();
        }
        throw new UnsupportedOperationException("ImageReaderPlatformViewRenderTarget requires API version 29+");
    }

    protected ImageReader e() {
        ImageReader newInstance;
        newInstance = ImageReader.newInstance(this.f3709c, this.f3710d, 34, 4, 256L);
        newInstance.setOnImageAvailableListener(this.f3712f, this.f3711e);
        return newInstance;
    }

    protected ImageReader f() {
        ImageReader.Builder builder = new ImageReader.Builder(this.f3709c, this.f3710d);
        builder.setMaxImages(4);
        builder.setImageFormat(34);
        builder.setUsage(256L);
        ImageReader build = builder.build();
        build.setOnImageAvailableListener(this.f3712f, this.f3711e);
        return build;
    }

    @Override // io.flutter.plugin.platform.o
    public int getHeight() {
        return this.f3710d;
    }

    @Override // io.flutter.plugin.platform.o
    public long getId() {
        return this.f3707a.id();
    }

    @Override // io.flutter.plugin.platform.o
    public Surface getSurface() {
        return this.f3708b.getSurface();
    }

    @Override // io.flutter.plugin.platform.o
    public int getWidth() {
        return this.f3709c;
    }

    @Override // io.flutter.plugin.platform.o
    public void release() {
        c();
        this.f3707a = null;
    }

    @Override // io.flutter.plugin.platform.o
    public /* synthetic */ void scheduleFrame() {
        n.a(this);
    }
}
