package io.flutter.view;

import android.app.Activity;
import android.content.ContentResolver;
import android.database.ContentObserver;
import android.graphics.Rect;
import android.net.Uri;
import android.opengl.Matrix;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.provider.Settings;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.LocaleSpan;
import android.text.style.TtsSpan;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import com.pichillilorenzo.flutter_inappwebview_android.R;
import io.flutter.view.g;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import p1.a;
/* loaded from: classes.dex */
public class g extends AccessibilityNodeProvider {

    /* renamed from: a  reason: collision with root package name */
    private final View f3815a;

    /* renamed from: b  reason: collision with root package name */
    private final p1.a f3816b;

    /* renamed from: c  reason: collision with root package name */
    private final AccessibilityManager f3817c;

    /* renamed from: d  reason: collision with root package name */
    private final AccessibilityViewEmbedder f3818d;

    /* renamed from: e  reason: collision with root package name */
    private final io.flutter.plugin.platform.r f3819e;

    /* renamed from: f  reason: collision with root package name */
    private final ContentResolver f3820f;

    /* renamed from: g  reason: collision with root package name */
    private final Map<Integer, l> f3821g;

    /* renamed from: h  reason: collision with root package name */
    private final Map<Integer, h> f3822h;

    /* renamed from: i  reason: collision with root package name */
    private l f3823i;

    /* renamed from: j  reason: collision with root package name */
    private Integer f3824j;

    /* renamed from: k  reason: collision with root package name */
    private Integer f3825k;

    /* renamed from: l  reason: collision with root package name */
    private int f3826l;

    /* renamed from: m  reason: collision with root package name */
    private l f3827m;

    /* renamed from: n  reason: collision with root package name */
    private l f3828n;

    /* renamed from: o  reason: collision with root package name */
    private l f3829o;

    /* renamed from: p  reason: collision with root package name */
    private final List<Integer> f3830p;

    /* renamed from: q  reason: collision with root package name */
    private int f3831q;

    /* renamed from: r  reason: collision with root package name */
    private Integer f3832r;

    /* renamed from: s  reason: collision with root package name */
    private k f3833s;

    /* renamed from: t  reason: collision with root package name */
    private boolean f3834t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f3835u;

    /* renamed from: v  reason: collision with root package name */
    private final a.b f3836v;

    /* renamed from: w  reason: collision with root package name */
    private final AccessibilityManager.AccessibilityStateChangeListener f3837w;

    /* renamed from: x  reason: collision with root package name */
    private final AccessibilityManager.TouchExplorationStateChangeListener f3838x;

    /* renamed from: y  reason: collision with root package name */
    private final ContentObserver f3839y;

    /* renamed from: z  reason: collision with root package name */
    private static final int f3814z = ((EnumC0067g.SCROLL_RIGHT.f3876e | EnumC0067g.SCROLL_LEFT.f3876e) | EnumC0067g.SCROLL_UP.f3876e) | EnumC0067g.SCROLL_DOWN.f3876e;
    private static final int A = ((((((((((i.HAS_CHECKED_STATE.f3903e | i.IS_CHECKED.f3903e) | i.IS_SELECTED.f3903e) | i.IS_TEXT_FIELD.f3903e) | i.IS_FOCUSED.f3903e) | i.HAS_ENABLED_STATE.f3903e) | i.IS_ENABLED.f3903e) | i.IS_IN_MUTUALLY_EXCLUSIVE_GROUP.f3903e) | i.HAS_TOGGLED_STATE.f3903e) | i.IS_TOGGLED.f3903e) | i.IS_FOCUSABLE.f3903e) | i.IS_SLIDER.f3903e;
    private static int B = 267386881;
    static int C = (EnumC0067g.DID_GAIN_ACCESSIBILITY_FOCUS.f3876e & EnumC0067g.DID_LOSE_ACCESSIBILITY_FOCUS.f3876e) & EnumC0067g.SHOW_ON_SCREEN.f3876e;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements a.b {
        a() {
        }

        @Override // p1.a.b
        public void a(String str) {
            g.this.f3815a.announceForAccessibility(str);
        }

        @Override // io.flutter.embedding.engine.FlutterJNI.a
        public void b(ByteBuffer byteBuffer, String[] strArr, ByteBuffer[] byteBufferArr) {
            byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
            for (ByteBuffer byteBuffer2 : byteBufferArr) {
                byteBuffer2.order(ByteOrder.LITTLE_ENDIAN);
            }
            g.this.d0(byteBuffer, strArr, byteBufferArr);
        }

        @Override // io.flutter.embedding.engine.FlutterJNI.a
        public void c(ByteBuffer byteBuffer, String[] strArr) {
            byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
            g.this.c0(byteBuffer, strArr);
        }

        @Override // p1.a.b
        public void d(String str) {
            if (Build.VERSION.SDK_INT >= 28) {
                return;
            }
            AccessibilityEvent I = g.this.I(0, 32);
            I.getText().add(str);
            g.this.U(I);
        }

        @Override // p1.a.b
        public void e(int i3) {
            g.this.T(i3, 8);
        }

        @Override // p1.a.b
        public void f(int i3) {
            g.this.T(i3, 2);
        }

        @Override // p1.a.b
        public void g(int i3) {
            g.this.T(i3, 1);
        }
    }

    /* loaded from: classes.dex */
    class b implements AccessibilityManager.AccessibilityStateChangeListener {
        b() {
        }

        @Override // android.view.accessibility.AccessibilityManager.AccessibilityStateChangeListener
        public void onAccessibilityStateChanged(boolean z2) {
            if (g.this.f3835u) {
                return;
            }
            g gVar = g.this;
            if (z2) {
                gVar.f3816b.g(g.this.f3836v);
                g.this.f3816b.e();
            } else {
                gVar.Y(false);
                g.this.f3816b.g(null);
                g.this.f3816b.d();
            }
            if (g.this.f3833s != null) {
                g.this.f3833s.a(z2, g.this.f3817c.isTouchExplorationEnabled());
            }
        }
    }

    /* loaded from: classes.dex */
    class c extends ContentObserver {
        c(Handler handler) {
            super(handler);
        }

        @Override // android.database.ContentObserver
        public void onChange(boolean z2) {
            onChange(z2, null);
        }

        @Override // android.database.ContentObserver
        public void onChange(boolean z2, Uri uri) {
            if (g.this.f3835u) {
                return;
            }
            if (Settings.Global.getFloat(g.this.f3820f, "transition_animation_scale", 1.0f) == 0.0f) {
                g.f(g.this, f.DISABLE_ANIMATIONS.f3854e);
            } else {
                g.e(g.this, ~f.DISABLE_ANIMATIONS.f3854e);
            }
            g.this.V();
        }
    }

    /* loaded from: classes.dex */
    class d implements AccessibilityManager.TouchExplorationStateChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AccessibilityManager f3843a;

        d(AccessibilityManager accessibilityManager) {
            this.f3843a = accessibilityManager;
        }

        @Override // android.view.accessibility.AccessibilityManager.TouchExplorationStateChangeListener
        public void onTouchExplorationStateChanged(boolean z2) {
            if (g.this.f3835u) {
                return;
            }
            if (!z2) {
                g.this.Y(false);
                g.this.N();
            }
            if (g.this.f3833s != null) {
                g.this.f3833s.a(this.f3843a.isEnabled(), z2);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static /* synthetic */ class e {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f3845a;

        static {
            int[] iArr = new int[o.values().length];
            f3845a = iArr;
            try {
                iArr[o.SPELLOUT.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f3845a[o.LOCALE.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public enum f {
        ACCESSIBLE_NAVIGATION(1),
        INVERT_COLORS(2),
        DISABLE_ANIMATIONS(4),
        BOLD_TEXT(8),
        REDUCE_MOTION(16),
        HIGH_CONTRAST(32),
        ON_OFF_SWITCH_LABELS(64);
        

        /* renamed from: e  reason: collision with root package name */
        final int f3854e;

        f(int i3) {
            this.f3854e = i3;
        }
    }

    /* renamed from: io.flutter.view.g$g  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public enum EnumC0067g {
        TAP(1),
        LONG_PRESS(2),
        SCROLL_LEFT(4),
        SCROLL_RIGHT(8),
        SCROLL_UP(16),
        SCROLL_DOWN(32),
        INCREASE(64),
        DECREASE(128),
        SHOW_ON_SCREEN(256),
        MOVE_CURSOR_FORWARD_BY_CHARACTER(512),
        MOVE_CURSOR_BACKWARD_BY_CHARACTER(1024),
        SET_SELECTION(2048),
        COPY(4096),
        CUT(8192),
        PASTE(16384),
        DID_GAIN_ACCESSIBILITY_FOCUS(32768),
        DID_LOSE_ACCESSIBILITY_FOCUS(65536),
        CUSTOM_ACTION(131072),
        DISMISS(262144),
        MOVE_CURSOR_FORWARD_BY_WORD(524288),
        MOVE_CURSOR_BACKWARD_BY_WORD(1048576),
        SET_TEXT(2097152),
        FOCUS(4194304);
        

        /* renamed from: e  reason: collision with root package name */
        public final int f3876e;

        EnumC0067g(int i3) {
            this.f3876e = i3;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class h {

        /* renamed from: a  reason: collision with root package name */
        private int f3877a = -1;

        /* renamed from: b  reason: collision with root package name */
        private int f3878b = -1;

        /* renamed from: c  reason: collision with root package name */
        private int f3879c = -1;

        /* renamed from: d  reason: collision with root package name */
        private String f3880d;

        /* renamed from: e  reason: collision with root package name */
        private String f3881e;

        h() {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public enum i {
        HAS_CHECKED_STATE(1),
        IS_CHECKED(2),
        IS_SELECTED(4),
        IS_BUTTON(8),
        IS_TEXT_FIELD(16),
        IS_FOCUSED(32),
        HAS_ENABLED_STATE(64),
        IS_ENABLED(128),
        IS_IN_MUTUALLY_EXCLUSIVE_GROUP(256),
        IS_HEADER(512),
        IS_OBSCURED(1024),
        SCOPES_ROUTE(2048),
        NAMES_ROUTE(4096),
        IS_HIDDEN(8192),
        IS_IMAGE(16384),
        IS_LIVE_REGION(32768),
        HAS_TOGGLED_STATE(65536),
        IS_TOGGLED(131072),
        HAS_IMPLICIT_SCROLLING(262144),
        IS_MULTILINE(524288),
        IS_READ_ONLY(1048576),
        IS_FOCUSABLE(2097152),
        IS_LINK(4194304),
        IS_SLIDER(8388608),
        IS_KEYBOARD_KEY(16777216),
        IS_CHECK_STATE_MIXED(33554432),
        HAS_EXPANDED_STATE(67108864),
        IS_EXPANDED(134217728);
        

        /* renamed from: e  reason: collision with root package name */
        final int f3903e;

        i(int i3) {
            this.f3903e = i3;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class j extends n {

        /* renamed from: d  reason: collision with root package name */
        String f3904d;

        private j() {
            super(null);
        }

        /* synthetic */ j(a aVar) {
            this();
        }
    }

    /* loaded from: classes.dex */
    public interface k {
        void a(boolean z2, boolean z3);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class l {
        private p B;
        private int D;
        private int E;
        private int F;
        private int G;
        private float H;
        private float I;
        private float J;
        private String K;
        private String L;
        private float M;
        private float N;
        private float O;
        private float P;
        private float[] Q;
        private l R;
        private List<h> U;
        private h V;
        private h W;
        private float[] Y;

        /* renamed from: a  reason: collision with root package name */
        final g f3905a;

        /* renamed from: a0  reason: collision with root package name */
        private float[] f3906a0;

        /* renamed from: b0  reason: collision with root package name */
        private Rect f3908b0;

        /* renamed from: c  reason: collision with root package name */
        private int f3909c;

        /* renamed from: d  reason: collision with root package name */
        private int f3910d;

        /* renamed from: e  reason: collision with root package name */
        private int f3911e;

        /* renamed from: f  reason: collision with root package name */
        private int f3912f;

        /* renamed from: g  reason: collision with root package name */
        private int f3913g;

        /* renamed from: h  reason: collision with root package name */
        private int f3914h;

        /* renamed from: i  reason: collision with root package name */
        private int f3915i;

        /* renamed from: j  reason: collision with root package name */
        private int f3916j;

        /* renamed from: k  reason: collision with root package name */
        private int f3917k;

        /* renamed from: l  reason: collision with root package name */
        private float f3918l;

        /* renamed from: m  reason: collision with root package name */
        private float f3919m;

        /* renamed from: n  reason: collision with root package name */
        private float f3920n;

        /* renamed from: o  reason: collision with root package name */
        private String f3921o;

        /* renamed from: p  reason: collision with root package name */
        private String f3922p;

        /* renamed from: q  reason: collision with root package name */
        private List<n> f3923q;

        /* renamed from: r  reason: collision with root package name */
        private String f3924r;

        /* renamed from: s  reason: collision with root package name */
        private List<n> f3925s;

        /* renamed from: t  reason: collision with root package name */
        private String f3926t;

        /* renamed from: u  reason: collision with root package name */
        private List<n> f3927u;

        /* renamed from: v  reason: collision with root package name */
        private String f3928v;

        /* renamed from: w  reason: collision with root package name */
        private List<n> f3929w;

        /* renamed from: x  reason: collision with root package name */
        private String f3930x;

        /* renamed from: y  reason: collision with root package name */
        private List<n> f3931y;

        /* renamed from: z  reason: collision with root package name */
        private String f3932z;

        /* renamed from: b  reason: collision with root package name */
        private int f3907b = -1;
        private int A = -1;
        private boolean C = false;
        private List<l> S = new ArrayList();
        private List<l> T = new ArrayList();
        private boolean X = true;
        private boolean Z = true;

        l(g gVar) {
            this.f3905a = gVar;
        }

        private float A0(float f3, float f4, float f5, float f6) {
            return Math.max(f3, Math.max(f4, Math.max(f5, f6)));
        }

        private float B0(float f3, float f4, float f5, float f6) {
            return Math.min(f3, Math.min(f4, Math.min(f5, f6)));
        }

        /* JADX INFO: Access modifiers changed from: private */
        public static boolean C0(l lVar, u1.d<l> dVar) {
            return (lVar == null || lVar.l0(dVar) == null) ? false : true;
        }

        private void D0(float[] fArr, float[] fArr2, float[] fArr3) {
            Matrix.multiplyMV(fArr, 0, fArr2, 0, fArr3, 0);
            float f3 = fArr[3];
            fArr[0] = fArr[0] / f3;
            fArr[1] = fArr[1] / f3;
            fArr[2] = fArr[2] / f3;
            fArr[3] = 0.0f;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void E0(float[] fArr, Set<l> set, boolean z2) {
            set.add(this);
            if (this.Z) {
                z2 = true;
            }
            if (z2) {
                if (this.f3906a0 == null) {
                    this.f3906a0 = new float[16];
                }
                if (this.Q == null) {
                    this.Q = new float[16];
                }
                Matrix.multiplyMM(this.f3906a0, 0, fArr, 0, this.Q, 0);
                float[] fArr2 = {this.M, this.N, 0.0f, 1.0f};
                float[] fArr3 = new float[4];
                float[] fArr4 = new float[4];
                float[] fArr5 = new float[4];
                float[] fArr6 = new float[4];
                D0(fArr3, this.f3906a0, fArr2);
                fArr2[0] = this.O;
                fArr2[1] = this.N;
                D0(fArr4, this.f3906a0, fArr2);
                fArr2[0] = this.O;
                fArr2[1] = this.P;
                D0(fArr5, this.f3906a0, fArr2);
                fArr2[0] = this.M;
                fArr2[1] = this.P;
                D0(fArr6, this.f3906a0, fArr2);
                if (this.f3908b0 == null) {
                    this.f3908b0 = new Rect();
                }
                this.f3908b0.set(Math.round(B0(fArr3[0], fArr4[0], fArr5[0], fArr6[0])), Math.round(B0(fArr3[1], fArr4[1], fArr5[1], fArr6[1])), Math.round(A0(fArr3[0], fArr4[0], fArr5[0], fArr6[0])), Math.round(A0(fArr3[1], fArr4[1], fArr5[1], fArr6[1])));
                this.Z = false;
            }
            int i3 = -1;
            for (l lVar : this.S) {
                lVar.A = i3;
                i3 = lVar.f3907b;
                lVar.E0(this.f3906a0, set, z2);
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void F0(ByteBuffer byteBuffer, String[] strArr, ByteBuffer[] byteBufferArr) {
            this.C = true;
            this.K = this.f3924r;
            this.L = this.f3922p;
            this.D = this.f3909c;
            this.E = this.f3910d;
            this.F = this.f3913g;
            this.G = this.f3914h;
            this.H = this.f3918l;
            this.I = this.f3919m;
            this.J = this.f3920n;
            this.f3909c = byteBuffer.getInt();
            this.f3910d = byteBuffer.getInt();
            this.f3911e = byteBuffer.getInt();
            this.f3912f = byteBuffer.getInt();
            this.f3913g = byteBuffer.getInt();
            this.f3914h = byteBuffer.getInt();
            this.f3915i = byteBuffer.getInt();
            this.f3916j = byteBuffer.getInt();
            this.f3917k = byteBuffer.getInt();
            this.f3918l = byteBuffer.getFloat();
            this.f3919m = byteBuffer.getFloat();
            this.f3920n = byteBuffer.getFloat();
            int i3 = byteBuffer.getInt();
            this.f3921o = i3 == -1 ? null : strArr[i3];
            int i4 = byteBuffer.getInt();
            this.f3922p = i4 == -1 ? null : strArr[i4];
            this.f3923q = q0(byteBuffer, byteBufferArr);
            int i5 = byteBuffer.getInt();
            this.f3924r = i5 == -1 ? null : strArr[i5];
            this.f3925s = q0(byteBuffer, byteBufferArr);
            int i6 = byteBuffer.getInt();
            this.f3926t = i6 == -1 ? null : strArr[i6];
            this.f3927u = q0(byteBuffer, byteBufferArr);
            int i7 = byteBuffer.getInt();
            this.f3928v = i7 == -1 ? null : strArr[i7];
            this.f3929w = q0(byteBuffer, byteBufferArr);
            int i8 = byteBuffer.getInt();
            this.f3930x = i8 == -1 ? null : strArr[i8];
            this.f3931y = q0(byteBuffer, byteBufferArr);
            int i9 = byteBuffer.getInt();
            this.f3932z = i9 == -1 ? null : strArr[i9];
            this.B = p.b(byteBuffer.getInt());
            this.M = byteBuffer.getFloat();
            this.N = byteBuffer.getFloat();
            this.O = byteBuffer.getFloat();
            this.P = byteBuffer.getFloat();
            if (this.Q == null) {
                this.Q = new float[16];
            }
            for (int i10 = 0; i10 < 16; i10++) {
                this.Q[i10] = byteBuffer.getFloat();
            }
            this.X = true;
            this.Z = true;
            int i11 = byteBuffer.getInt();
            this.S.clear();
            this.T.clear();
            for (int i12 = 0; i12 < i11; i12++) {
                l z2 = this.f3905a.z(byteBuffer.getInt());
                z2.R = this;
                this.S.add(z2);
            }
            for (int i13 = 0; i13 < i11; i13++) {
                l z3 = this.f3905a.z(byteBuffer.getInt());
                z3.R = this;
                this.T.add(z3);
            }
            int i14 = byteBuffer.getInt();
            if (i14 == 0) {
                this.U = null;
                return;
            }
            List<h> list = this.U;
            if (list == null) {
                this.U = new ArrayList(i14);
            } else {
                list.clear();
            }
            for (int i15 = 0; i15 < i14; i15++) {
                h y2 = this.f3905a.y(byteBuffer.getInt());
                if (y2.f3879c == EnumC0067g.TAP.f3876e) {
                    this.V = y2;
                } else if (y2.f3879c == EnumC0067g.LONG_PRESS.f3876e) {
                    this.W = y2;
                } else {
                    this.U.add(y2);
                }
                this.U.add(y2);
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void g0(List<l> list) {
            if (x0(i.SCOPES_ROUTE)) {
                list.add(this);
            }
            for (l lVar : this.S) {
                lVar.g0(list);
            }
        }

        private SpannableString h0(String str, List<n> list) {
            if (str == null) {
                return null;
            }
            SpannableString spannableString = new SpannableString(str);
            if (list != null) {
                for (n nVar : list) {
                    int i3 = e.f3845a[nVar.f3935c.ordinal()];
                    if (i3 == 1) {
                        spannableString.setSpan(new TtsSpan.Builder("android.type.verbatim").build(), nVar.f3933a, nVar.f3934b, 0);
                    } else if (i3 == 2) {
                        spannableString.setSpan(new LocaleSpan(Locale.forLanguageTag(((j) nVar).f3904d)), nVar.f3933a, nVar.f3934b, 0);
                    }
                }
            }
            return spannableString;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean i0() {
            String str;
            String str2 = this.f3922p;
            if (str2 == null && this.L == null) {
                return false;
            }
            return str2 == null || (str = this.L) == null || !str2.equals(str);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean j0() {
            return (Float.isNaN(this.f3918l) || Float.isNaN(this.H) || this.H == this.f3918l) ? false : true;
        }

        private void k0() {
            if (this.X) {
                this.X = false;
                if (this.Y == null) {
                    this.Y = new float[16];
                }
                if (Matrix.invertM(this.Y, 0, this.Q, 0)) {
                    return;
                }
                Arrays.fill(this.Y, 0.0f);
            }
        }

        private l l0(u1.d<l> dVar) {
            for (l lVar = this.R; lVar != null; lVar = lVar.R) {
                if (dVar.test(lVar)) {
                    return lVar;
                }
            }
            return null;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public Rect m0() {
            return this.f3908b0;
        }

        static /* synthetic */ int n(l lVar, int i3) {
            int i4 = lVar.f3914h + i3;
            lVar.f3914h = i4;
            return i4;
        }

        private CharSequence n0() {
            return h0(this.f3930x, this.f3931y);
        }

        static /* synthetic */ int o(l lVar, int i3) {
            int i4 = lVar.f3914h - i3;
            lVar.f3914h = i4;
            return i4;
        }

        private CharSequence o0() {
            return h0(this.f3922p, this.f3923q);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public String p0() {
            String str;
            if (!x0(i.NAMES_ROUTE) || (str = this.f3922p) == null || str.isEmpty()) {
                for (l lVar : this.S) {
                    String p02 = lVar.p0();
                    if (p02 != null && !p02.isEmpty()) {
                        return p02;
                    }
                }
                return null;
            }
            return this.f3922p;
        }

        private List<n> q0(ByteBuffer byteBuffer, ByteBuffer[] byteBufferArr) {
            int i3 = byteBuffer.getInt();
            if (i3 == -1) {
                return null;
            }
            ArrayList arrayList = new ArrayList(i3);
            for (int i4 = 0; i4 < i3; i4++) {
                int i5 = byteBuffer.getInt();
                int i6 = byteBuffer.getInt();
                o oVar = o.values()[byteBuffer.getInt()];
                int i7 = e.f3845a[oVar.ordinal()];
                if (i7 == 1) {
                    byteBuffer.getInt();
                    m mVar = new m(null);
                    mVar.f3933a = i5;
                    mVar.f3934b = i6;
                    mVar.f3935c = oVar;
                    arrayList.add(mVar);
                } else if (i7 == 2) {
                    ByteBuffer byteBuffer2 = byteBufferArr[byteBuffer.getInt()];
                    j jVar = new j(null);
                    jVar.f3933a = i5;
                    jVar.f3934b = i6;
                    jVar.f3935c = oVar;
                    jVar.f3904d = Charset.forName("UTF-8").decode(byteBuffer2).toString();
                    arrayList.add(jVar);
                }
            }
            return arrayList;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public CharSequence r0() {
            CharSequence[] charSequenceArr = {o0(), n0()};
            CharSequence charSequence = null;
            for (int i3 = 0; i3 < 2; i3++) {
                CharSequence charSequence2 = charSequenceArr[i3];
                if (charSequence2 != null && charSequence2.length() > 0) {
                    charSequence = (charSequence == null || charSequence.length() == 0) ? charSequence2 : TextUtils.concat(charSequence, ", ", charSequence2);
                }
            }
            return charSequence;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public CharSequence s0() {
            return h0(this.f3924r, this.f3925s);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public CharSequence t0() {
            CharSequence[] charSequenceArr = {s0(), o0(), n0()};
            CharSequence charSequence = null;
            for (int i3 = 0; i3 < 3; i3++) {
                CharSequence charSequence2 = charSequenceArr[i3];
                if (charSequence2 != null && charSequence2.length() > 0) {
                    charSequence = (charSequence == null || charSequence.length() == 0) ? charSequence2 : TextUtils.concat(charSequence, ", ", charSequence2);
                }
            }
            return charSequence;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean u0(EnumC0067g enumC0067g) {
            return (enumC0067g.f3876e & this.E) != 0;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean v0(i iVar) {
            return (iVar.f3903e & this.D) != 0;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean w0(EnumC0067g enumC0067g) {
            return (enumC0067g.f3876e & this.f3910d) != 0;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean x0(i iVar) {
            return (iVar.f3903e & this.f3909c) != 0;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public l y0(float[] fArr, boolean z2) {
            float f3 = fArr[3];
            boolean z3 = false;
            float f4 = fArr[0] / f3;
            float f5 = fArr[1] / f3;
            if (f4 < this.M || f4 >= this.O || f5 < this.N || f5 >= this.P) {
                return null;
            }
            float[] fArr2 = new float[4];
            for (l lVar : this.T) {
                if (!lVar.x0(i.IS_HIDDEN)) {
                    lVar.k0();
                    Matrix.multiplyMV(fArr2, 0, lVar.Y, 0, fArr, 0);
                    l y02 = lVar.y0(fArr2, z2);
                    if (y02 != null) {
                        return y02;
                    }
                }
            }
            if (z2 && this.f3915i != -1) {
                z3 = true;
            }
            if (z0() || z3) {
                return this;
            }
            return null;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public boolean z0() {
            String str;
            String str2;
            String str3;
            if (x0(i.SCOPES_ROUTE)) {
                return false;
            }
            return (!x0(i.IS_FOCUSABLE) && (this.f3910d & (~g.f3814z)) == 0 && (this.f3909c & g.A) == 0 && ((str = this.f3922p) == null || str.isEmpty()) && (((str2 = this.f3924r) == null || str2.isEmpty()) && ((str3 = this.f3930x) == null || str3.isEmpty()))) ? false : true;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class m extends n {
        private m() {
            super(null);
        }

        /* synthetic */ m(a aVar) {
            this();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class n {

        /* renamed from: a  reason: collision with root package name */
        int f3933a;

        /* renamed from: b  reason: collision with root package name */
        int f3934b;

        /* renamed from: c  reason: collision with root package name */
        o f3935c;

        private n() {
        }

        /* synthetic */ n(a aVar) {
            this();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public enum o {
        SPELLOUT,
        LOCALE
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public enum p {
        UNKNOWN,
        LTR,
        RTL;

        public static p b(int i3) {
            return i3 != 1 ? i3 != 2 ? UNKNOWN : LTR : RTL;
        }
    }

    public g(View view, p1.a aVar, AccessibilityManager accessibilityManager, ContentResolver contentResolver, io.flutter.plugin.platform.r rVar) {
        this(view, aVar, accessibilityManager, contentResolver, new AccessibilityViewEmbedder(view, 65536), rVar);
    }

    public g(View view, p1.a aVar, AccessibilityManager accessibilityManager, ContentResolver contentResolver, AccessibilityViewEmbedder accessibilityViewEmbedder, io.flutter.plugin.platform.r rVar) {
        this.f3821g = new HashMap();
        this.f3822h = new HashMap();
        this.f3826l = 0;
        this.f3830p = new ArrayList();
        this.f3831q = 0;
        this.f3832r = 0;
        this.f3834t = false;
        this.f3835u = false;
        this.f3836v = new a();
        b bVar = new b();
        this.f3837w = bVar;
        c cVar = new c(new Handler());
        this.f3839y = cVar;
        this.f3815a = view;
        this.f3816b = aVar;
        this.f3817c = accessibilityManager;
        this.f3820f = contentResolver;
        this.f3818d = accessibilityViewEmbedder;
        this.f3819e = rVar;
        bVar.onAccessibilityStateChanged(accessibilityManager.isEnabled());
        accessibilityManager.addAccessibilityStateChangeListener(bVar);
        d dVar = new d(accessibilityManager);
        this.f3838x = dVar;
        dVar.onTouchExplorationStateChanged(accessibilityManager.isTouchExplorationEnabled());
        accessibilityManager.addTouchExplorationStateChangeListener(dVar);
        cVar.onChange(false);
        contentResolver.registerContentObserver(Settings.Global.getUriFor("transition_animation_scale"), false, cVar);
        if (Build.VERSION.SDK_INT >= 31) {
            Z();
        }
        rVar.a(this);
    }

    private l A() {
        return this.f3821g.get(0);
    }

    private void B(float f3, float f4, boolean z2) {
        l y02;
        if (this.f3821g.isEmpty() || (y02 = A().y0(new float[]{f3, f4, 0.0f, 1.0f}, z2)) == this.f3829o) {
            return;
        }
        if (y02 != null) {
            T(y02.f3907b, 128);
        }
        l lVar = this.f3829o;
        if (lVar != null) {
            T(lVar.f3907b, 256);
        }
        this.f3829o = y02;
    }

    private boolean D(l lVar) {
        if (lVar.x0(i.SCOPES_ROUTE)) {
            return false;
        }
        return (lVar.t0() == null && (lVar.f3910d & (~C)) == 0) ? false : true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static /* synthetic */ boolean F(l lVar, l lVar2) {
        return lVar2 == lVar;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static /* synthetic */ boolean G(l lVar) {
        return lVar.x0(i.HAS_IMPLICIT_SCROLLING);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public AccessibilityEvent I(int i3, int i4) {
        AccessibilityEvent H = H(i4);
        H.setPackageName(this.f3815a.getContext().getPackageName());
        H.setSource(this.f3815a, i3);
        return H;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void N() {
        l lVar = this.f3829o;
        if (lVar != null) {
            T(lVar.f3907b, 256);
            this.f3829o = null;
        }
    }

    private void O(l lVar) {
        String p02 = lVar.p0();
        if (p02 == null) {
            p02 = " ";
        }
        if (Build.VERSION.SDK_INT >= 28) {
            X(p02);
            return;
        }
        AccessibilityEvent I = I(lVar.f3907b, 32);
        I.getText().add(p02);
        U(I);
    }

    private boolean P(l lVar, int i3, Bundle bundle, boolean z2) {
        int i4 = bundle.getInt("ACTION_ARGUMENT_MOVEMENT_GRANULARITY_INT");
        boolean z3 = bundle.getBoolean("ACTION_ARGUMENT_EXTEND_SELECTION_BOOLEAN");
        int i5 = lVar.f3913g;
        int i6 = lVar.f3914h;
        R(lVar, i4, z2, z3);
        if (i5 != lVar.f3913g || i6 != lVar.f3914h) {
            String str = lVar.f3924r != null ? lVar.f3924r : "";
            AccessibilityEvent I = I(lVar.f3907b, 8192);
            I.getText().add(str);
            I.setFromIndex(lVar.f3913g);
            I.setToIndex(lVar.f3914h);
            I.setItemCount(str.length());
            U(I);
        }
        if (i4 == 1) {
            if (z2) {
                EnumC0067g enumC0067g = EnumC0067g.MOVE_CURSOR_FORWARD_BY_CHARACTER;
                if (lVar.w0(enumC0067g)) {
                    this.f3816b.c(i3, enumC0067g, Boolean.valueOf(z3));
                    return true;
                }
            }
            if (z2) {
                return false;
            }
            EnumC0067g enumC0067g2 = EnumC0067g.MOVE_CURSOR_BACKWARD_BY_CHARACTER;
            if (lVar.w0(enumC0067g2)) {
                this.f3816b.c(i3, enumC0067g2, Boolean.valueOf(z3));
                return true;
            }
            return false;
        } else if (i4 != 2) {
            return i4 == 4 || i4 == 8 || i4 == 16;
        } else {
            if (z2) {
                EnumC0067g enumC0067g3 = EnumC0067g.MOVE_CURSOR_FORWARD_BY_WORD;
                if (lVar.w0(enumC0067g3)) {
                    this.f3816b.c(i3, enumC0067g3, Boolean.valueOf(z3));
                    return true;
                }
            }
            if (z2) {
                return false;
            }
            EnumC0067g enumC0067g4 = EnumC0067g.MOVE_CURSOR_BACKWARD_BY_WORD;
            if (lVar.w0(enumC0067g4)) {
                this.f3816b.c(i3, enumC0067g4, Boolean.valueOf(z3));
                return true;
            }
            return false;
        }
    }

    private boolean Q(l lVar, int i3, Bundle bundle) {
        String string = (bundle == null || !bundle.containsKey("ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE")) ? "" : bundle.getString("ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE");
        this.f3816b.c(i3, EnumC0067g.SET_TEXT, string);
        lVar.f3924r = string;
        lVar.f3925s = null;
        return true;
    }

    /* JADX WARN: Code restructure failed: missing block: B:18:0x0022, code lost:
        if (r6 != false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0024, code lost:
        r5 = r4.f3924r.length();
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x002c, code lost:
        r4.f3914h = r5;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0031, code lost:
        r4.f3914h = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0060, code lost:
        if (r5.find() != false) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0062, code lost:
        io.flutter.view.g.l.n(r4, r5.start(1));
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x008d, code lost:
        if (r5.find() != false) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x008f, code lost:
        r5 = r5.start(1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x00c1, code lost:
        if (r5.find() != false) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x00e6, code lost:
        if (r5.find() != false) goto L35;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void R(l lVar, int i3, boolean z2, boolean z3) {
        Matcher matcher;
        Matcher matcher2;
        if (lVar.f3914h < 0 || lVar.f3913g < 0) {
            return;
        }
        if (i3 != 1) {
            if (i3 != 2) {
                if (i3 != 4) {
                    if (i3 == 8 || i3 == 16) {
                    }
                } else if (z2 && lVar.f3914h < lVar.f3924r.length()) {
                    matcher2 = Pattern.compile("(?!^)(\\n)").matcher(lVar.f3924r.substring(lVar.f3914h));
                } else if (!z2 && lVar.f3914h > 0) {
                    matcher = Pattern.compile("(?s:.*)(\\n)").matcher(lVar.f3924r.substring(0, lVar.f3914h));
                }
            } else if (z2 && lVar.f3914h < lVar.f3924r.length()) {
                matcher2 = Pattern.compile("\\p{L}(\\b)").matcher(lVar.f3924r.substring(lVar.f3914h));
                matcher2.find();
            } else if (!z2 && lVar.f3914h > 0) {
                matcher = Pattern.compile("(?s:.*)(\\b)\\p{L}").matcher(lVar.f3924r.substring(0, lVar.f3914h));
            }
        } else if (z2 && lVar.f3914h < lVar.f3924r.length()) {
            l.n(lVar, 1);
        } else if (!z2 && lVar.f3914h > 0) {
            l.o(lVar, 1);
        }
        if (z3) {
            return;
        }
        lVar.f3913g = lVar.f3914h;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void U(AccessibilityEvent accessibilityEvent) {
        if (this.f3817c.isEnabled()) {
            this.f3815a.getParent().requestSendAccessibilityEvent(this.f3815a, accessibilityEvent);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void V() {
        this.f3816b.f(this.f3826l);
    }

    private void W(int i3) {
        AccessibilityEvent I = I(i3, 2048);
        I.setContentChangeTypes(1);
        U(I);
    }

    private void X(String str) {
        this.f3815a.setAccessibilityPaneTitle(str);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void Y(boolean z2) {
        if (this.f3834t == z2) {
            return;
        }
        this.f3834t = z2;
        this.f3826l = z2 ? this.f3826l | f.ACCESSIBLE_NAVIGATION.f3854e : this.f3826l & (~f.ACCESSIBLE_NAVIGATION.f3854e);
        V();
    }

    private void Z() {
        View view = this.f3815a;
        if (view == null || view.getResources() == null) {
            return;
        }
        int i3 = this.f3815a.getResources().getConfiguration().fontWeightAdjustment;
        this.f3826l = i3 != Integer.MAX_VALUE && i3 >= 300 ? this.f3826l | f.BOLD_TEXT.f3854e : this.f3826l & (~f.BOLD_TEXT.f3854e);
        V();
    }

    private boolean b0(final l lVar) {
        return lVar.f3916j > 0 && (l.C0(this.f3823i, new u1.d() { // from class: io.flutter.view.e
            @Override // u1.d
            public final boolean test(Object obj) {
                boolean F;
                F = g.F(g.l.this, (g.l) obj);
                return F;
            }
        }) || !l.C0(this.f3823i, new u1.d() { // from class: io.flutter.view.f
            @Override // u1.d
            public final boolean test(Object obj) {
                boolean G;
                G = g.G((g.l) obj);
                return G;
            }
        }));
    }

    static /* synthetic */ int e(g gVar, int i3) {
        int i4 = i3 & gVar.f3826l;
        gVar.f3826l = i4;
        return i4;
    }

    private void e0(l lVar) {
        View c3;
        Integer num;
        lVar.R = null;
        if (lVar.f3915i != -1 && (num = this.f3824j) != null && this.f3818d.platformViewOfNode(num.intValue()) == this.f3819e.c(lVar.f3915i)) {
            T(this.f3824j.intValue(), 65536);
            this.f3824j = null;
        }
        if (lVar.f3915i != -1 && (c3 = this.f3819e.c(lVar.f3915i)) != null) {
            c3.setImportantForAccessibility(4);
        }
        l lVar2 = this.f3823i;
        if (lVar2 == lVar) {
            T(lVar2.f3907b, 65536);
            this.f3823i = null;
        }
        if (this.f3827m == lVar) {
            this.f3827m = null;
        }
        if (this.f3829o == lVar) {
            this.f3829o = null;
        }
    }

    static /* synthetic */ int f(g gVar, int i3) {
        int i4 = i3 | gVar.f3826l;
        gVar.f3826l = i4;
        return i4;
    }

    private AccessibilityEvent u(int i3, String str, String str2) {
        AccessibilityEvent I = I(i3, 16);
        I.setBeforeText(str);
        I.getText().add(str2);
        int i4 = 0;
        while (i4 < str.length() && i4 < str2.length() && str.charAt(i4) == str2.charAt(i4)) {
            i4++;
        }
        if (i4 < str.length() || i4 < str2.length()) {
            I.setFromIndex(i4);
            int length = str.length() - 1;
            int length2 = str2.length() - 1;
            while (length >= i4 && length2 >= i4 && str.charAt(length) == str2.charAt(length2)) {
                length--;
                length2--;
            }
            I.setRemovedCount((length - i4) + 1);
            I.setAddedCount((length2 - i4) + 1);
            return I;
        }
        return null;
    }

    private boolean v() {
        Activity e3 = u1.h.e(this.f3815a.getContext());
        if (e3 == null || e3.getWindow() == null) {
            return false;
        }
        int i3 = e3.getWindow().getAttributes().layoutInDisplayCutoutMode;
        return i3 == 2 || i3 == 0;
    }

    private Rect x(Rect rect) {
        Rect rect2 = new Rect(rect);
        int[] iArr = new int[2];
        this.f3815a.getLocationOnScreen(iArr);
        rect2.offset(iArr[0], iArr[1]);
        return rect2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public h y(int i3) {
        h hVar = this.f3822h.get(Integer.valueOf(i3));
        if (hVar == null) {
            h hVar2 = new h();
            hVar2.f3878b = i3;
            hVar2.f3877a = B + i3;
            this.f3822h.put(Integer.valueOf(i3), hVar2);
            return hVar2;
        }
        return hVar;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public l z(int i3) {
        l lVar = this.f3821g.get(Integer.valueOf(i3));
        if (lVar == null) {
            l lVar2 = new l(this);
            lVar2.f3907b = i3;
            this.f3821g.put(Integer.valueOf(i3), lVar2);
            return lVar2;
        }
        return lVar;
    }

    public boolean C() {
        return this.f3817c.isEnabled();
    }

    public boolean E() {
        return this.f3817c.isTouchExplorationEnabled();
    }

    public AccessibilityEvent H(int i3) {
        return AccessibilityEvent.obtain(i3);
    }

    public AccessibilityNodeInfo J(View view) {
        return AccessibilityNodeInfo.obtain(view);
    }

    public AccessibilityNodeInfo K(View view, int i3) {
        return AccessibilityNodeInfo.obtain(view, i3);
    }

    public boolean L(MotionEvent motionEvent) {
        return M(motionEvent, false);
    }

    public boolean M(MotionEvent motionEvent, boolean z2) {
        if (this.f3817c.isTouchExplorationEnabled() && !this.f3821g.isEmpty()) {
            l y02 = A().y0(new float[]{motionEvent.getX(), motionEvent.getY(), 0.0f, 1.0f}, z2);
            if (y02 != null && y02.f3915i != -1) {
                if (z2) {
                    return false;
                }
                return this.f3818d.onAccessibilityHoverEvent(y02.f3907b, motionEvent);
            }
            if (motionEvent.getAction() == 9 || motionEvent.getAction() == 7) {
                B(motionEvent.getX(), motionEvent.getY(), z2);
            } else if (motionEvent.getAction() != 10) {
                d1.b.a("flutter", "unexpected accessibility hover event: " + motionEvent);
                return false;
            } else {
                N();
            }
            return true;
        }
        return false;
    }

    public void S() {
        this.f3835u = true;
        this.f3819e.d();
        a0(null);
        this.f3817c.removeAccessibilityStateChangeListener(this.f3837w);
        this.f3817c.removeTouchExplorationStateChangeListener(this.f3838x);
        this.f3820f.unregisterContentObserver(this.f3839y);
        this.f3816b.g(null);
    }

    public void T(int i3, int i4) {
        if (this.f3817c.isEnabled()) {
            U(I(i3, i4));
        }
    }

    public void a0(k kVar) {
        this.f3833s = kVar;
    }

    void c0(ByteBuffer byteBuffer, String[] strArr) {
        while (byteBuffer.hasRemaining()) {
            h y2 = y(byteBuffer.getInt());
            y2.f3879c = byteBuffer.getInt();
            int i3 = byteBuffer.getInt();
            String str = null;
            y2.f3880d = i3 == -1 ? null : strArr[i3];
            int i4 = byteBuffer.getInt();
            if (i4 != -1) {
                str = strArr[i4];
            }
            y2.f3881e = str;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:226:0x041f  */
    /* JADX WARN: Removed duplicated region for block: B:235:0x0440  */
    /* JADX WARN: Removed duplicated region for block: B:242:0x0473  */
    @Override // android.view.accessibility.AccessibilityNodeProvider
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public AccessibilityNodeInfo createAccessibilityNodeInfo(int i3) {
        String str;
        AccessibilityNodeInfo.CollectionInfo obtain;
        String str2;
        i iVar;
        int i4;
        boolean z2 = true;
        Y(true);
        if (i3 >= 65536) {
            return this.f3818d.createAccessibilityNodeInfo(i3);
        }
        if (i3 == -1) {
            AccessibilityNodeInfo J = J(this.f3815a);
            this.f3815a.onInitializeAccessibilityNodeInfo(J);
            if (this.f3821g.containsKey(0)) {
                J.addChild(this.f3815a, 0);
            }
            if (Build.VERSION.SDK_INT >= 24) {
                J.setImportantForAccessibility(false);
            }
            return J;
        }
        l lVar = this.f3821g.get(Integer.valueOf(i3));
        if (lVar == null) {
            return null;
        }
        if (lVar.f3915i != -1 && this.f3819e.b(lVar.f3915i)) {
            View c3 = this.f3819e.c(lVar.f3915i);
            if (c3 == null) {
                return null;
            }
            return this.f3818d.getRootNode(c3, lVar.f3907b, lVar.m0());
        }
        AccessibilityNodeInfo K = K(this.f3815a, i3);
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 24) {
            K.setImportantForAccessibility(D(lVar));
        }
        K.setViewIdResourceName("");
        if (lVar.f3921o != null) {
            K.setViewIdResourceName(lVar.f3921o);
        }
        K.setPackageName(this.f3815a.getContext().getPackageName());
        K.setClassName("android.view.View");
        K.setSource(this.f3815a, i3);
        K.setFocusable(lVar.z0());
        l lVar2 = this.f3827m;
        if (lVar2 != null) {
            K.setFocused(lVar2.f3907b == i3);
        }
        l lVar3 = this.f3823i;
        if (lVar3 != null) {
            K.setAccessibilityFocused(lVar3.f3907b == i3);
        }
        i iVar2 = i.IS_TEXT_FIELD;
        if (lVar.x0(iVar2)) {
            K.setPassword(lVar.x0(i.IS_OBSCURED));
            if (!lVar.x0(i.IS_READ_ONLY)) {
                K.setClassName("android.widget.EditText");
            }
            K.setEditable(!lVar.x0(iVar));
            if (lVar.f3913g != -1 && lVar.f3914h != -1) {
                K.setTextSelection(lVar.f3913g, lVar.f3914h);
            }
            l lVar4 = this.f3823i;
            if (lVar4 != null && lVar4.f3907b == i3) {
                K.setLiveRegion(1);
            }
            if (lVar.w0(EnumC0067g.MOVE_CURSOR_FORWARD_BY_CHARACTER)) {
                K.addAction(256);
                i4 = 1;
            } else {
                i4 = 0;
            }
            if (lVar.w0(EnumC0067g.MOVE_CURSOR_BACKWARD_BY_CHARACTER)) {
                K.addAction(512);
                i4 |= 1;
            }
            if (lVar.w0(EnumC0067g.MOVE_CURSOR_FORWARD_BY_WORD)) {
                K.addAction(256);
                i4 |= 2;
            }
            if (lVar.w0(EnumC0067g.MOVE_CURSOR_BACKWARD_BY_WORD)) {
                K.addAction(512);
                i4 |= 2;
            }
            K.setMovementGranularities(i4);
            if (lVar.f3911e >= 0) {
                int length = lVar.f3924r == null ? 0 : lVar.f3924r.length();
                int unused = lVar.f3912f;
                int unused2 = lVar.f3911e;
                K.setMaxTextLength((length - lVar.f3912f) + lVar.f3911e);
            }
        }
        if (lVar.w0(EnumC0067g.SET_SELECTION)) {
            K.addAction(131072);
        }
        if (lVar.w0(EnumC0067g.COPY)) {
            K.addAction(16384);
        }
        if (lVar.w0(EnumC0067g.CUT)) {
            K.addAction(65536);
        }
        if (lVar.w0(EnumC0067g.PASTE)) {
            K.addAction(32768);
        }
        if (lVar.w0(EnumC0067g.SET_TEXT)) {
            K.addAction(2097152);
        }
        if (lVar.x0(i.IS_BUTTON) || lVar.x0(i.IS_LINK)) {
            K.setClassName("android.widget.Button");
        }
        if (lVar.x0(i.IS_IMAGE)) {
            K.setClassName("android.widget.ImageView");
        }
        if (lVar.w0(EnumC0067g.DISMISS)) {
            K.setDismissable(true);
            K.addAction(1048576);
        }
        if (lVar.R != null) {
            K.setParent(this.f3815a, lVar.R.f3907b);
        } else {
            K.setParent(this.f3815a);
        }
        if (lVar.A != -1 && i5 >= 22) {
            K.setTraversalAfter(this.f3815a, lVar.A);
        }
        Rect m02 = lVar.m0();
        if (lVar.R != null) {
            Rect m03 = lVar.R.m0();
            Rect rect = new Rect(m02);
            rect.offset(-m03.left, -m03.top);
            K.setBoundsInParent(rect);
        } else {
            K.setBoundsInParent(m02);
        }
        K.setBoundsInScreen(x(m02));
        K.setVisibleToUser(true);
        K.setEnabled(!lVar.x0(i.HAS_ENABLED_STATE) || lVar.x0(i.IS_ENABLED));
        if (lVar.w0(EnumC0067g.TAP)) {
            if (lVar.V != null) {
                K.addAction(new AccessibilityNodeInfo.AccessibilityAction(16, lVar.V.f3881e));
            } else {
                K.addAction(16);
            }
            K.setClickable(true);
        }
        if (lVar.w0(EnumC0067g.LONG_PRESS)) {
            if (lVar.W != null) {
                K.addAction(new AccessibilityNodeInfo.AccessibilityAction(32, lVar.W.f3881e));
            } else {
                K.addAction(32);
            }
            K.setLongClickable(true);
        }
        EnumC0067g enumC0067g = EnumC0067g.SCROLL_LEFT;
        if (lVar.w0(enumC0067g) || lVar.w0(EnumC0067g.SCROLL_UP) || lVar.w0(EnumC0067g.SCROLL_RIGHT) || lVar.w0(EnumC0067g.SCROLL_DOWN)) {
            K.setScrollable(true);
            if (lVar.x0(i.HAS_IMPLICIT_SCROLLING)) {
                if (lVar.w0(enumC0067g) || lVar.w0(EnumC0067g.SCROLL_RIGHT)) {
                    if (b0(lVar)) {
                        obtain = AccessibilityNodeInfo.CollectionInfo.obtain(0, lVar.f3916j, false);
                        K.setCollectionInfo(obtain);
                    } else {
                        str = "android.widget.HorizontalScrollView";
                        K.setClassName(str);
                    }
                } else if (b0(lVar)) {
                    obtain = AccessibilityNodeInfo.CollectionInfo.obtain(lVar.f3916j, 0, false);
                    K.setCollectionInfo(obtain);
                } else {
                    str = "android.widget.ScrollView";
                    K.setClassName(str);
                }
            }
            if (lVar.w0(enumC0067g) || lVar.w0(EnumC0067g.SCROLL_UP)) {
                K.addAction(4096);
            }
            if (lVar.w0(EnumC0067g.SCROLL_RIGHT) || lVar.w0(EnumC0067g.SCROLL_DOWN)) {
                K.addAction(8192);
            }
        }
        EnumC0067g enumC0067g2 = EnumC0067g.INCREASE;
        if (lVar.w0(enumC0067g2) || lVar.w0(EnumC0067g.DECREASE)) {
            K.setClassName("android.widget.SeekBar");
            if (lVar.w0(enumC0067g2)) {
                K.addAction(4096);
            }
            if (lVar.w0(EnumC0067g.DECREASE)) {
                K.addAction(8192);
            }
        }
        if (lVar.x0(i.IS_LIVE_REGION)) {
            K.setLiveRegion(1);
        }
        if (lVar.x0(iVar2)) {
            K.setText(lVar.s0());
            if (i5 >= 28) {
                K.setHintText(lVar.r0());
            }
        } else if (!lVar.x0(i.SCOPES_ROUTE)) {
            CharSequence t02 = lVar.t0();
            if (i5 < 28 && lVar.f3932z != null) {
                String str3 = t02 != null ? t02 : "";
                t02 = ((Object) str3) + "\n" + lVar.f3932z;
            }
            if (t02 != null) {
                K.setContentDescription(t02);
            }
        }
        if (i5 >= 28 && lVar.f3932z != null) {
            K.setTooltipText(lVar.f3932z);
        }
        boolean x02 = lVar.x0(i.HAS_CHECKED_STATE);
        boolean x03 = lVar.x0(i.HAS_TOGGLED_STATE);
        if (!x02 && !x03) {
            z2 = false;
        }
        K.setCheckable(z2);
        if (!x02) {
            if (x03) {
                K.setChecked(lVar.x0(i.IS_TOGGLED));
                str2 = "android.widget.Switch";
            }
            K.setSelected(lVar.x0(i.IS_SELECTED));
            if (i5 >= 28) {
                K.setHeading(lVar.x0(i.IS_HEADER));
            }
            l lVar5 = this.f3823i;
            K.addAction((lVar5 == null && lVar5.f3907b == i3) ? 128 : 64);
            if (lVar.U != null) {
                for (h hVar : lVar.U) {
                    K.addAction(new AccessibilityNodeInfo.AccessibilityAction(hVar.f3877a, hVar.f3880d));
                }
            }
            for (l lVar6 : lVar.S) {
                if (!lVar6.x0(i.IS_HIDDEN)) {
                    if (lVar6.f3915i != -1) {
                        View c4 = this.f3819e.c(lVar6.f3915i);
                        if (!this.f3819e.b(lVar6.f3915i)) {
                            K.addChild(c4);
                        }
                    }
                    K.addChild(this.f3815a, lVar6.f3907b);
                }
            }
            return K;
        }
        K.setChecked(lVar.x0(i.IS_CHECKED));
        str2 = lVar.x0(i.IS_IN_MUTUALLY_EXCLUSIVE_GROUP) ? "android.widget.RadioButton" : "android.widget.CheckBox";
        K.setClassName(str2);
        K.setSelected(lVar.x0(i.IS_SELECTED));
        if (i5 >= 28) {
        }
        l lVar52 = this.f3823i;
        K.addAction((lVar52 == null && lVar52.f3907b == i3) ? 128 : 64);
        if (lVar.U != null) {
        }
        while (r14.hasNext()) {
        }
        return K;
    }

    /* JADX WARN: Code restructure failed: missing block: B:30:0x0080, code lost:
        r4 = r8.f3815a.getRootWindowInsets();
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    void d0(ByteBuffer byteBuffer, String[] strArr, ByteBuffer[] byteBufferArr) {
        l lVar;
        l lVar2;
        float f3;
        float f4;
        WindowInsets rootWindowInsets;
        Integer valueOf;
        View c3;
        ArrayList arrayList = new ArrayList();
        while (byteBuffer.hasRemaining()) {
            l z2 = z(byteBuffer.getInt());
            z2.F0(byteBuffer, strArr, byteBufferArr);
            if (!z2.x0(i.IS_HIDDEN)) {
                if (z2.x0(i.IS_FOCUSED)) {
                    this.f3827m = z2;
                }
                if (z2.C) {
                    arrayList.add(z2);
                }
                if (z2.f3915i != -1 && !this.f3819e.b(z2.f3915i) && (c3 = this.f3819e.c(z2.f3915i)) != null) {
                    c3.setImportantForAccessibility(0);
                }
            }
        }
        HashSet hashSet = new HashSet();
        l A2 = A();
        ArrayList<l> arrayList2 = new ArrayList();
        if (A2 != null) {
            float[] fArr = new float[16];
            Matrix.setIdentityM(fArr, 0);
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 23) {
                if ((i3 >= 28 ? v() : true) && rootWindowInsets != null) {
                    if (!this.f3832r.equals(Integer.valueOf(rootWindowInsets.getSystemWindowInsetLeft()))) {
                        A2.Z = true;
                        A2.X = true;
                    }
                    this.f3832r = Integer.valueOf(rootWindowInsets.getSystemWindowInsetLeft());
                    Matrix.translateM(fArr, 0, valueOf.intValue(), 0.0f, 0.0f);
                }
            }
            A2.E0(fArr, hashSet, false);
            A2.g0(arrayList2);
        }
        l lVar3 = null;
        for (l lVar4 : arrayList2) {
            if (!this.f3830p.contains(Integer.valueOf(lVar4.f3907b))) {
                lVar3 = lVar4;
            }
        }
        if (lVar3 == null && arrayList2.size() > 0) {
            lVar3 = (l) arrayList2.get(arrayList2.size() - 1);
        }
        if (lVar3 != null && (lVar3.f3907b != this.f3831q || arrayList2.size() != this.f3830p.size())) {
            this.f3831q = lVar3.f3907b;
            O(lVar3);
        }
        this.f3830p.clear();
        for (l lVar5 : arrayList2) {
            this.f3830p.add(Integer.valueOf(lVar5.f3907b));
        }
        Iterator<Map.Entry<Integer, l>> it = this.f3821g.entrySet().iterator();
        while (it.hasNext()) {
            l value = it.next().getValue();
            if (!hashSet.contains(value)) {
                e0(value);
                it.remove();
            }
        }
        W(0);
        Iterator it2 = arrayList.iterator();
        while (it2.hasNext()) {
            l lVar6 = (l) it2.next();
            if (lVar6.j0()) {
                AccessibilityEvent I = I(lVar6.f3907b, 4096);
                float f5 = lVar6.f3918l;
                float f6 = lVar6.f3919m;
                if (Float.isInfinite(lVar6.f3919m)) {
                    if (f5 > 70000.0f) {
                        f5 = 70000.0f;
                    }
                    f6 = 100000.0f;
                }
                if (Float.isInfinite(lVar6.f3920n)) {
                    f3 = f6 + 100000.0f;
                    if (f5 < -70000.0f) {
                        f5 = -70000.0f;
                    }
                    f4 = f5 + 100000.0f;
                } else {
                    f3 = f6 - lVar6.f3920n;
                    f4 = f5 - lVar6.f3920n;
                }
                if (lVar6.u0(EnumC0067g.SCROLL_UP) || lVar6.u0(EnumC0067g.SCROLL_DOWN)) {
                    I.setScrollY((int) f4);
                    I.setMaxScrollY((int) f3);
                } else if (lVar6.u0(EnumC0067g.SCROLL_LEFT) || lVar6.u0(EnumC0067g.SCROLL_RIGHT)) {
                    I.setScrollX((int) f4);
                    I.setMaxScrollX((int) f3);
                }
                if (lVar6.f3916j > 0) {
                    I.setItemCount(lVar6.f3916j);
                    I.setFromIndex(lVar6.f3917k);
                    int i4 = 0;
                    for (l lVar7 : lVar6.T) {
                        if (!lVar7.x0(i.IS_HIDDEN)) {
                            i4++;
                        }
                    }
                    I.setToIndex((lVar6.f3917k + i4) - 1);
                }
                U(I);
            }
            if (lVar6.x0(i.IS_LIVE_REGION) && lVar6.i0()) {
                W(lVar6.f3907b);
            }
            l lVar8 = this.f3823i;
            if (lVar8 != null && lVar8.f3907b == lVar6.f3907b) {
                i iVar = i.IS_SELECTED;
                if (!lVar6.v0(iVar) && lVar6.x0(iVar)) {
                    AccessibilityEvent I2 = I(lVar6.f3907b, 4);
                    I2.getText().add(lVar6.f3922p);
                    U(I2);
                }
            }
            l lVar9 = this.f3827m;
            if (lVar9 != null && lVar9.f3907b == lVar6.f3907b && ((lVar2 = this.f3828n) == null || lVar2.f3907b != this.f3827m.f3907b)) {
                this.f3828n = this.f3827m;
                U(I(lVar6.f3907b, 8));
            } else if (this.f3827m == null) {
                this.f3828n = null;
            }
            l lVar10 = this.f3827m;
            if (lVar10 != null && lVar10.f3907b == lVar6.f3907b) {
                i iVar2 = i.IS_TEXT_FIELD;
                if (lVar6.v0(iVar2) && lVar6.x0(iVar2) && ((lVar = this.f3823i) == null || lVar.f3907b == this.f3827m.f3907b)) {
                    String str = lVar6.K != null ? lVar6.K : "";
                    String str2 = lVar6.f3924r != null ? lVar6.f3924r : "";
                    AccessibilityEvent u3 = u(lVar6.f3907b, str, str2);
                    if (u3 != null) {
                        U(u3);
                    }
                    if (lVar6.F != lVar6.f3913g || lVar6.G != lVar6.f3914h) {
                        AccessibilityEvent I3 = I(lVar6.f3907b, 8192);
                        I3.getText().add(str2);
                        I3.setFromIndex(lVar6.f3913g);
                        I3.setToIndex(lVar6.f3914h);
                        I3.setItemCount(str2.length());
                        U(I3);
                    }
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:13:0x0016, code lost:
        if (r2 != null) goto L11;
     */
    @Override // android.view.accessibility.AccessibilityNodeProvider
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public AccessibilityNodeInfo findFocus(int i3) {
        l lVar;
        Integer num;
        int i4;
        if (i3 == 1) {
            lVar = this.f3827m;
            if (lVar == null) {
                num = this.f3825k;
            }
            i4 = lVar.f3907b;
            return createAccessibilityNodeInfo(i4);
        } else if (i3 != 2) {
            return null;
        }
        lVar = this.f3823i;
        if (lVar == null) {
            num = this.f3824j;
            if (num == null) {
                return null;
            }
            i4 = num.intValue();
            return createAccessibilityNodeInfo(i4);
        }
        i4 = lVar.f3907b;
        return createAccessibilityNodeInfo(i4);
    }

    @Override // android.view.accessibility.AccessibilityNodeProvider
    public boolean performAction(int i3, int i4, Bundle bundle) {
        int i5;
        if (i3 >= 65536) {
            boolean performAction = this.f3818d.performAction(i3, i4, bundle);
            if (performAction && i4 == 128) {
                this.f3824j = null;
            }
            return performAction;
        }
        l lVar = this.f3821g.get(Integer.valueOf(i3));
        boolean z2 = false;
        if (lVar == null) {
            return false;
        }
        switch (i4) {
            case 16:
                this.f3816b.b(i3, EnumC0067g.TAP);
                return true;
            case R.styleable.AppCompatTheme_actionOverflowButtonStyle /* 32 */:
                this.f3816b.b(i3, EnumC0067g.LONG_PRESS);
                return true;
            case R.styleable.AppCompatTheme_dividerHorizontal /* 64 */:
                if (this.f3823i == null) {
                    this.f3815a.invalidate();
                }
                this.f3823i = lVar;
                this.f3816b.b(i3, EnumC0067g.DID_GAIN_ACCESSIBILITY_FOCUS);
                HashMap hashMap = new HashMap();
                hashMap.put("type", "didGainFocus");
                hashMap.put("nodeId", Integer.valueOf(lVar.f3907b));
                this.f3816b.f4355a.c(hashMap);
                T(i3, 32768);
                if (lVar.w0(EnumC0067g.INCREASE) || lVar.w0(EnumC0067g.DECREASE)) {
                    T(i3, 4);
                }
                return true;
            case 128:
                l lVar2 = this.f3823i;
                if (lVar2 != null && lVar2.f3907b == i3) {
                    this.f3823i = null;
                }
                Integer num = this.f3824j;
                if (num != null && num.intValue() == i3) {
                    this.f3824j = null;
                }
                this.f3816b.b(i3, EnumC0067g.DID_LOSE_ACCESSIBILITY_FOCUS);
                T(i3, 65536);
                return true;
            case 256:
                return P(lVar, i3, bundle, true);
            case 512:
                return P(lVar, i3, bundle, false);
            case 4096:
                EnumC0067g enumC0067g = EnumC0067g.SCROLL_UP;
                if (!lVar.w0(enumC0067g)) {
                    enumC0067g = EnumC0067g.SCROLL_LEFT;
                    if (!lVar.w0(enumC0067g)) {
                        enumC0067g = EnumC0067g.INCREASE;
                        if (!lVar.w0(enumC0067g)) {
                            return false;
                        }
                        lVar.f3924r = lVar.f3926t;
                        lVar.f3925s = lVar.f3927u;
                        T(i3, 4);
                    }
                }
                this.f3816b.b(i3, enumC0067g);
                return true;
            case 8192:
                EnumC0067g enumC0067g2 = EnumC0067g.SCROLL_DOWN;
                if (!lVar.w0(enumC0067g2)) {
                    enumC0067g2 = EnumC0067g.SCROLL_RIGHT;
                    if (!lVar.w0(enumC0067g2)) {
                        enumC0067g2 = EnumC0067g.DECREASE;
                        if (!lVar.w0(enumC0067g2)) {
                            return false;
                        }
                        lVar.f3924r = lVar.f3928v;
                        lVar.f3925s = lVar.f3929w;
                        T(i3, 4);
                    }
                }
                this.f3816b.b(i3, enumC0067g2);
                return true;
            case 16384:
                this.f3816b.b(i3, EnumC0067g.COPY);
                return true;
            case 32768:
                this.f3816b.b(i3, EnumC0067g.PASTE);
                return true;
            case 65536:
                this.f3816b.b(i3, EnumC0067g.CUT);
                return true;
            case 131072:
                HashMap hashMap2 = new HashMap();
                if (bundle != null && bundle.containsKey("ACTION_ARGUMENT_SELECTION_START_INT") && bundle.containsKey("ACTION_ARGUMENT_SELECTION_END_INT")) {
                    z2 = true;
                }
                if (z2) {
                    hashMap2.put("base", Integer.valueOf(bundle.getInt("ACTION_ARGUMENT_SELECTION_START_INT")));
                    i5 = bundle.getInt("ACTION_ARGUMENT_SELECTION_END_INT");
                } else {
                    hashMap2.put("base", Integer.valueOf(lVar.f3914h));
                    i5 = lVar.f3914h;
                }
                hashMap2.put("extent", Integer.valueOf(i5));
                this.f3816b.c(i3, EnumC0067g.SET_SELECTION, hashMap2);
                l lVar3 = this.f3821g.get(Integer.valueOf(i3));
                lVar3.f3913g = ((Integer) hashMap2.get("base")).intValue();
                lVar3.f3914h = ((Integer) hashMap2.get("extent")).intValue();
                return true;
            case 1048576:
                this.f3816b.b(i3, EnumC0067g.DISMISS);
                return true;
            case 2097152:
                return Q(lVar, i3, bundle);
            case 16908342:
                this.f3816b.b(i3, EnumC0067g.SHOW_ON_SCREEN);
                return true;
            default:
                h hVar = this.f3822h.get(Integer.valueOf(i4 - B));
                if (hVar != null) {
                    this.f3816b.c(i3, EnumC0067g.CUSTOM_ACTION, Integer.valueOf(hVar.f3878b));
                    return true;
                }
                return false;
        }
    }

    public boolean w(View view, View view2, AccessibilityEvent accessibilityEvent) {
        Integer recordFlutterId;
        if (this.f3818d.requestSendAccessibilityEvent(view, view2, accessibilityEvent) && (recordFlutterId = this.f3818d.getRecordFlutterId(view, accessibilityEvent)) != null) {
            int eventType = accessibilityEvent.getEventType();
            if (eventType == 8) {
                this.f3825k = recordFlutterId;
                this.f3827m = null;
                return true;
            } else if (eventType == 128) {
                this.f3829o = null;
                return true;
            } else if (eventType == 32768) {
                this.f3824j = recordFlutterId;
                this.f3823i = null;
                return true;
            } else if (eventType != 65536) {
                return true;
            } else {
                this.f3825k = null;
                this.f3824j = null;
                return true;
            }
        }
        return false;
    }
}
