package r;

import android.content.ContentProviderClient;
import android.content.ContentUris;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.content.pm.Signature;
import android.content.res.Resources;
import android.database.Cursor;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.RemoteException;
import android.util.Log;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import r.i;
/* loaded from: classes.dex */
class e {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<byte[]> f4718a = new Comparator() { // from class: r.c
        @Override // java.util.Comparator
        public final int compare(Object obj, Object obj2) {
            int g3;
            g3 = e.g((byte[]) obj, (byte[]) obj2);
            return g3;
        }
    };

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public interface a {
        Cursor a(Uri uri, String[] strArr, String str, String[] strArr2, String str2, CancellationSignal cancellationSignal);

        void close();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class b implements a {

        /* renamed from: a  reason: collision with root package name */
        private final ContentProviderClient f4719a;

        /* JADX INFO: Access modifiers changed from: package-private */
        public b(Context context, Uri uri) {
            this.f4719a = context.getContentResolver().acquireUnstableContentProviderClient(uri);
        }

        @Override // r.e.a
        public Cursor a(Uri uri, String[] strArr, String str, String[] strArr2, String str2, CancellationSignal cancellationSignal) {
            ContentProviderClient contentProviderClient = this.f4719a;
            if (contentProviderClient == null) {
                return null;
            }
            try {
                return contentProviderClient.query(uri, strArr, str, strArr2, str2, cancellationSignal);
            } catch (RemoteException e3) {
                Log.w("FontsProvider", "Unable to query the content provider", e3);
                return null;
            }
        }

        @Override // r.e.a
        public void close() {
            ContentProviderClient contentProviderClient = this.f4719a;
            if (contentProviderClient != null) {
                contentProviderClient.release();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class c implements a {

        /* renamed from: a  reason: collision with root package name */
        private final ContentProviderClient f4720a;

        /* JADX INFO: Access modifiers changed from: package-private */
        public c(Context context, Uri uri) {
            this.f4720a = context.getContentResolver().acquireUnstableContentProviderClient(uri);
        }

        @Override // r.e.a
        public Cursor a(Uri uri, String[] strArr, String str, String[] strArr2, String str2, CancellationSignal cancellationSignal) {
            ContentProviderClient contentProviderClient = this.f4720a;
            if (contentProviderClient == null) {
                return null;
            }
            try {
                return contentProviderClient.query(uri, strArr, str, strArr2, str2, cancellationSignal);
            } catch (RemoteException e3) {
                Log.w("FontsProvider", "Unable to query the content provider", e3);
                return null;
            }
        }

        @Override // r.e.a
        public void close() {
            ContentProviderClient contentProviderClient = this.f4720a;
            if (contentProviderClient != null) {
                contentProviderClient.close();
            }
        }
    }

    private static List<byte[]> b(Signature[] signatureArr) {
        ArrayList arrayList = new ArrayList();
        for (Signature signature : signatureArr) {
            arrayList.add(signature.toByteArray());
        }
        return arrayList;
    }

    private static boolean c(List<byte[]> list, List<byte[]> list2) {
        if (list.size() != list2.size()) {
            return false;
        }
        for (int i3 = 0; i3 < list.size(); i3++) {
            if (!Arrays.equals(list.get(i3), list2.get(i3))) {
                return false;
            }
        }
        return true;
    }

    private static List<List<byte[]>> d(g gVar, Resources resources) {
        return gVar.b() != null ? gVar.b() : androidx.core.content.res.e.c(resources, gVar.c());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static i.a e(Context context, g gVar, CancellationSignal cancellationSignal) {
        ProviderInfo f3 = f(context.getPackageManager(), gVar, context.getResources());
        return f3 == null ? i.a.a(1, null) : i.a.a(0, h(context, gVar, f3.authority, cancellationSignal));
    }

    static ProviderInfo f(PackageManager packageManager, g gVar, Resources resources) {
        String e3 = gVar.e();
        ProviderInfo resolveContentProvider = packageManager.resolveContentProvider(e3, 0);
        if (resolveContentProvider == null) {
            throw new PackageManager.NameNotFoundException("No package found for authority: " + e3);
        } else if (!resolveContentProvider.packageName.equals(gVar.f())) {
            throw new PackageManager.NameNotFoundException("Found content provider " + e3 + ", but package was not " + gVar.f());
        } else {
            List<byte[]> b3 = b(packageManager.getPackageInfo(resolveContentProvider.packageName, 64).signatures);
            Collections.sort(b3, f4718a);
            List<List<byte[]>> d3 = d(gVar, resources);
            for (int i3 = 0; i3 < d3.size(); i3++) {
                ArrayList arrayList = new ArrayList(d3.get(i3));
                Collections.sort(arrayList, f4718a);
                if (c(b3, arrayList)) {
                    return resolveContentProvider;
                }
            }
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static /* synthetic */ int g(byte[] bArr, byte[] bArr2) {
        if (bArr.length != bArr2.length) {
            return bArr.length - bArr2.length;
        }
        for (int i3 = 0; i3 < bArr.length; i3++) {
            byte b3 = bArr[i3];
            byte b4 = bArr2[i3];
            if (b3 != b4) {
                return b3 - b4;
            }
        }
        return 0;
    }

    /* JADX WARN: Finally extract failed */
    static i.b[] h(Context context, g gVar, String str, CancellationSignal cancellationSignal) {
        int i3;
        ArrayList arrayList = new ArrayList();
        Uri build = new Uri.Builder().scheme("content").authority(str).build();
        Uri build2 = new Uri.Builder().scheme("content").authority(str).appendPath("file").build();
        a a3 = d.a(context, build);
        Cursor cursor = null;
        try {
            boolean z2 = true;
            cursor = a3.a(build, new String[]{"_id", "file_id", "font_ttc_index", "font_variation_settings", "font_weight", "font_italic", "result_code"}, "query = ?", new String[]{gVar.g()}, null, cancellationSignal);
            if (cursor != null && cursor.getCount() > 0) {
                int columnIndex = cursor.getColumnIndex("result_code");
                ArrayList arrayList2 = new ArrayList();
                int columnIndex2 = cursor.getColumnIndex("_id");
                int columnIndex3 = cursor.getColumnIndex("file_id");
                int columnIndex4 = cursor.getColumnIndex("font_ttc_index");
                int columnIndex5 = cursor.getColumnIndex("font_weight");
                int columnIndex6 = cursor.getColumnIndex("font_italic");
                while (cursor.moveToNext()) {
                    int i4 = columnIndex != -1 ? cursor.getInt(columnIndex) : 0;
                    int i5 = columnIndex4 != -1 ? cursor.getInt(columnIndex4) : 0;
                    int i6 = i4;
                    Uri withAppendedId = columnIndex3 == -1 ? ContentUris.withAppendedId(build, cursor.getLong(columnIndex2)) : ContentUris.withAppendedId(build2, cursor.getLong(columnIndex3));
                    int i7 = columnIndex5 != -1 ? cursor.getInt(columnIndex5) : 400;
                    if (columnIndex6 == -1 || cursor.getInt(columnIndex6) != z2) {
                        i3 = i6;
                        z2 = false;
                    } else {
                        i3 = i6;
                    }
                    arrayList2.add(i.b.a(withAppendedId, i5, i7, z2, i3));
                    z2 = true;
                }
                arrayList = arrayList2;
            }
            if (cursor != null) {
                cursor.close();
            }
            a3.close();
            return (i.b[]) arrayList.toArray(new i.b[0]);
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.close();
            }
            a3.close();
            throw th;
        }
    }
}
